SystemOrganization addCategory: #'CreativeCorsetry-Site'!
SystemOrganization addCategory: #'CreativeCorsetry-Options'!

WSObject subclass: #CCFabric
	instanceVariableNames: 'image name description code colour'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
code
	^code! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
code: aCode
	code := aCode! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/23/2009 13:55'!
colour
	"Answer the approximate colour of this fabric"
	^colour ifNil: [ colour :=
		((Form fromFileNamed: (image pathFor: image preview)) scaledToSize: 1@1) dominantColor].! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 12:18'!
description
	^description! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
description: aDescription
	description := aDescription.! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
image
	^image! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
image: anImage
	image := anImage! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:28'!
name
	^name! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
name: aName
	name := aName! !

WSObject subclass: #CCFabricSet
	instanceVariableNames: 'name description fabrics'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
description
	^description! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
description: aDescription
	description := aDescription! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
fabrics
	^fabrics! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/24/2009 10:45'!
fabrics: aCollection
	fabrics := aCollection.! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:51'!
initialize
	super initialize.
	fabrics := OrderedCollection new.
	! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:51'!
name
	^name! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
name: aName
	name := aName! !

WSObject subclass: #CCSize
	instanceVariableNames: 'name description value units'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSize class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:52'!
availableUnits 
	^#(cm inches)! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:29'!
description 
	^description! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:29'!
description: aDescription
	description := aDescription! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/8/2009 21:15'!
initialize
	super initialize.
	units := #cm.
	value := 0.! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:56'!
migrate 
	units := units ifNil: [#cm].
	value := value ifNil: [0].! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:28'!
name
	^name! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:28'!
name: aName
	name := aName! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:17'!
printOn: aStream
	aStream nextPutAll: value displayString, ' ', units asString.! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:47'!
units
	^units! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:47'!
units: aUnit
	units := aUnit! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:22'!
value
	^value ! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:16'!
value: aSizeInMm
	value := aSizeInMm! !

WSForm subclass: #CCFabricEditor
	instanceVariableNames: 'fabric imageEditor editMode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:47'!
fabric: aFabric
	^self basicNew
		initializeWithFabric: aFabric;
		yourself! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 12:19'!
cancelEditing
	editMode := false! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 12:19'!
edit
	editMode := true.! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 12:19'!
editMode
	^editMode! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/17/2009 11:55'!
initializeWithFabric: aFabric
	super initialize.
	fabric := aFabric.
	imageEditor := (WSField image on: #image of: fabric; beRequired; yourself).
	self add: (WSField text on: #code of: fabric; beRequired; yourself).
	self add: (WSField text on: #name of: fabric; beRequired; yourself).
	self add: (WSField largeText on: #description of: fabric; yourself).
	self add: imageEditor.
	self edit.! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 13:22'!
value
	^fabric! !

WSForm subclass: #CCFabricValueEditor
	instanceVariableNames: 'option selectedFabric fabrics page subset'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricValueEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:38'!
option: anOption
	^self basicNew
		initializeWithOption: anOption;
		yourself! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/5/2009 11:25'!
beRequired
	rules add:  (WSRule rule: [ :a| (selectedFabric = nil) not ] message: 'is required')! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
firstPage
	self page: 1! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:07'!
initializeWithOption: anOption
	self initialize.
	option := anOption.
	selectedFabric := anOption fabric.
	fabrics := anOption fabricSet fabrics.
	self page: 1.! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/2/2009 18:27'!
itemsPerPage
	^16! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
lastPage
	self page: ((fabrics size - 1) // self itemsPerPage) + 1! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
nextPage
	self page: page + 1! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:24'!
page: pageNumber
	page := pageNumber.
	subset := fabrics copyFrom: ((page - 1) * self itemsPerPage) + 1 to: (fabrics size min: (page * self itemsPerPage)).! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
previousPage
	self page: page - 1.! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:45'!
renderContentOn: html
	html fieldSet class: 'cc-fabric-editor'; with: [
		html legend: label.
		option description ifNotNil: [ html paragraph: option description].
		self renderSelectedOn: html.
		html div class: #fabricList; with: [
			self renderListOn: html.
		].
		self renderNavigationOn: html.
	].! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:41'!
renderListOn: html
	selectedFabric notNil 
		ifTrue: [ html wsImage class: #selected; image: selectedFabric image preview]
		ifFalse: [ html div class: #selected; with: 'Select a ', option name, ' from the right' ].
		html div: [
		subset do: [ :f |
			html anchor callback: [ selectedFabric := f ]; with: [
					html wsImage 
						title: f name;
						image:f image thumbnail]]]! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:40'!
renderNavigationOn: html
	| maxPages |
	maxPages := ((fabrics size - 1) // self itemsPerPage) + 1.
	html div class: 'fabricNav'; with: [
	page > 1 
		ifTrue: [html anchor callback: [ self firstPage ]; with: '<<'.
			html space.
			html anchor callback: [ self previousPage ]; with: '<']
		ifFalse: [ html span: '<<'; space; span: '<'].

	html space.
	html text: 'Page ', page printString,  ' of ', maxPages printString.
	html space.
	
	page < maxPages 
		ifTrue: [ html anchor callback: [ self nextPage ]; with: '>'.
			html space.
			html anchor callback: [ self lastPage ]; with: '>>']
		ifFalse: [ html span: '>'; space; span: '>>']
	]! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 19:46'!
renderSelectedOn: html
	selectedFabric notNil 
		ifTrue: [
			html heading level: 4; with: selectedFabric name.
			selectedFabric description ifNotNil: [html paragraph: selectedFabric description]]! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/5/2009 11:57'!
save
	option fabric: selectedFabric! !

WSForm subclass: #CCSizesValueEditor
	instanceVariableNames: 'option'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesValueEditor class methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:13'!
on: sizesOption
	^self basicNew
		initializeWithOption: sizesOption;
		yourself.! !

!CCSizesValueEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:47'!
beRequired
	fields do: [ :f | f beRequired ]! !

!CCSizesValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/18/2009 15:30'!
initializeWithOption: anOption
	option := anOption.
	self initialize.
	self add: ((CCUnitsField new label: 'Units'; on: #units of: option) description: 'The units for the following measurements').
	option do: [ :size |
		self add: ((WSField numeric beZeroIsNil; on: #value of: size; label: size name) 
			description: size description; yourself)]! !

!CCSizesValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/18/2009 15:29'!
renderContentOn: html
	html fieldSet class: 'cc-sizes-editor'; with: [
		html legend: label.
		html paragraph: [
			html render: 'Accurate measurements are vital to the fit and comfort of your corset, please see the '.
			html anchor url: (self session baseUrl addToPath: #measurements); with: 'measurements page'.
			html render: ' for information on how to take correct measurements'].
		self renderMessagesOn: html.
		fields do: [ :f | html render: f ]]! !

WSRoot subclass: #CCRoot
	instanceVariableNames: 'pages current cartWidget background lightbox'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 14:35'!
applicationNamed: aString
	| application |
	application := CCApplication named: aString.
	application configuration addAncestor: WARenderLoopConfiguration new.
	application preferenceAt: #rootComponent put: self.
	^ application! !

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 2/7/2009 18:17'!
canBeRoot
	^true! !

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 3/30/2009 13:36'!
isDeployed
	^true! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:25'!
children
	^OrderedCollection with: current value with: cartWidget.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:00'!
inLightbox
	^lightbox! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 7/9/2009 19:28'!
initialRequest: aRequest
	| pathItems |
	pathItems := aRequest url findTokens: '/'.
	" First item wil be the /seaside prefix, second will be this app.  
	If there's a third then that will be the name of the page to view"
	(pathItems size > 2) ifTrue: [ | pageName |
		pageName := pathItems third asSymbol.
		pageName = #IPN ifTrue: [ self show: (WSIPNListener new initialRequest: aRequest; yourself) ]
			ifFalse: [pages at: pageName
				ifPresent: [ :page | current := page]]]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/6/2009 23:30'!
initialize
	super initialize.
	self initializePages.
	self initializeCart.
	background := CCBackground new.
	lightbox := false.
	self session root: self.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/6/2009 23:45'!
initializeCart
	cartWidget := WSCartWidget new.
	self session addListener: (WSCartListener cart: self session cart).
	self session on: WSEmptyCart do: [ :a | self session cart clear].
! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/17/2009 10:43'!
initializePages
	pages := Dictionary new.
	pages 
		at: #home
		put: (CCLazyValue factoryBlock: [ CCHome new ]).
	pages 
		at: #store
		put: (CCLazyValue factoryBlock: [ CCStore new ]).
	pages 
		at: #history
		put: (CCLazyValue factoryBlock: [ CCHistory new ]).
	pages 
		at: #measurements
		put: (CCLazyValue factoryBlock: [ CCMeasurements new ]).
	pages 
		at: #faq
		put: (CCLazyValue factoryBlock: [ CCFaq new ]).
	current := pages at: #home! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 8/29/2009 16:51'!
lightbox: aComponent
	lightbox := true.
	background lightbox: true.
	^AnswerContinuation currentDo: [ :cc |
		self
			show: aComponent
			onAnswer: [ :v | lightbox := false. background lightbox: false. cc value: v ]
			delegation: (CCLightBox new
				delegate: aComponent;
				yourself).
		WARenderNotification raiseSignal]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:20'!
menu: aSymbol labelled: label on: html
	html listItem: [self inLightbox ifTrue: [html anchor class: 'disabled'; with: label ]
			ifFalse: [html anchor url: (self session baseUrl addToPath: aSymbol); with: label]]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 8/29/2009 16:47'!
renderContentOn: html
	html div id: 'heading'; with: [html heading level: 1; with: 'Creative Corsetry'].
	self inLightbox ifFalse: [
		html div id: 'nav-bg'; with: [
			html div class: 'tl'. html div class: 'tr'.
			html div class: 'l'. html div class: 'r'.
			html div class: 'bl'. html div class: 'br'].
		html div id: 'nav'; with: [self renderNavOn: html]].
	current = (pages at: #home) 
		ifTrue: [ html render: current value]
		ifFalse: [ html render: background.
			html div id: 'contents'; class: (self inLightbox ifTrue: ['lightbox'] ifFalse: ['']); with: [
				self inLightbox ifFalse: [html heading level: 2; with: current value title].
				html div class: 'tl'. html div class: 't'. html div class: 'tr'.
				html div class: 'l'. html div class: 'm'; with: (self inLightbox ifFalse: [current value] ifTrue: []). html div class: 'r'.
				html div class: 'bl'. html div class: 'b'. html div class: 'br']]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/17/2009 10:47'!
renderNavOn: html
	html unorderedList: [
		self menu: #home labelled: 'Home' on: html.
		self menu: #store labelled: 'Our Corsets' on: html.
		self menu: #measurements labelled: 'Measurements' on: html.
		self menu: #history labelled: 'Corset History' on: html.
		self menu: #faq labelled: 'FAQ' on: html.
	].
html render: cartWidget.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:11'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: current value title, ' - Creative Corsetry'! !

WSSession subclass: #CCSession
	instanceVariableNames: 'cart root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:17'!
cart
	^cart! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 23:59'!
initialize
	super initialize.
	self resetCart.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:08'!
mainClass
	^CCRenderLoopMain ! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/10/2009 11:24'!
resetCart
	cart := WSOrder new! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:06'!
root: aRoot
	root := aRoot.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:07'!
start: aRequest
	^self mainClass new
		root: root;
		start: aRequest.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 13:13'!
urlForProduct: aProduct
	^(super urlForProduct: aProduct)
		addToPath: 'store';
		yourself! !

Object subclass: #CCBackground
	instanceVariableNames: 'lightbox'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:51'!
inLightbox 
	^lightbox ! !

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:58'!
initialize 
	super initialize.
	lightbox := false.! !

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:50'!
lightbox: aBoolean
	lightbox := aBoolean! !

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:48'!
renderOn: html
	html div id: 'contents-bg'; class: (self inLightbox ifTrue: ['lightbox'] ifFalse: ['']); with: [
		html div class: 'tl'. html div class: 'tr'.
		html div class: 'l'.
		html table id: 'background'; with:[
			html tableRow with: [html tableData with: [
				html image url: CCLibrary / #frontpageJpg]]].
		html div class: 'r'.
		html div class: 'bl'. html div class: 'br']
! !

Object subclass: #CCFootnote
	instanceVariableNames: 'notes html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCFootnote class methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:10'!
newWithCanvas: html
	^self basicNew
		initializeWithCanvas: html;
		yourself.! !

!CCFootnote methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:52'!
addNote: text at: tag
	html anchor class: 'fn'; url: '#', tag displayString; name: tag displayString, '_'; with: [ html superscript: tag ].
	notes add: tag->text.! !

!CCFootnote methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:12'!
initializeWithCanvas: aRenderCanvas
	self initialize.
	html := aRenderCanvas.
	notes := OrderedCollection new.! !

!CCFootnote methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:51'!
render
	html div class: #footnotes; with: [
		notes do: [ :n |
			html paragraph: [
				html anchor class: 'fn';name: (n key displayString); url: '#', n key displayString, '_'; with: [html superscript: n key].
				html space.
				html text: n value]]]! !

Object subclass: #CCLazyValue
	instanceVariableNames: 'block value'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLazyValue class methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:17'!
factoryBlock: aBlock
	^self basicNew
		initializeWithBlock: aBlock;
		yourself.! !

!CCLazyValue methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:17'!
initializeWithBlock: aBlock
	block := aBlock.! !

!CCLazyValue methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:26'!
value
	^value ifNil: [ value := block value ]! !

WAComponent subclass: #CCFabricComponent
	instanceVariableNames: 'fabric'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricComponent class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 13:12'!
fabric: aFabric
	^self basicNew
		initializeWithFabric: aFabric;
		yourself! !

!CCFabricComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 13:13'!
initializeWithFabric: aFabric
	self initialize.
	fabric := aFabric.! !

!CCFabricComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/23/2009 14:42'!
renderContentOn: html
	html paragraph: [ html strong: fabric name ].
	html div style: 'padding: 10px; background-color: #', fabric colour printHtmlString; with: [
		html wsImage: fabric image preview].
	html paragraph: [ html strong: 'Code: '; render: fabric code].
	html paragraph: fabric description.

! !

WAComponent subclass: #CCFabricSetEditor
	instanceVariableNames: 'fabricSet fields'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSetEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:55'!
fabricSet: aFabricSet
	^self basicNew 
		initializeWithFabricSet: aFabricSet;
		yourself! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/17/2009 14:56'!
cancel
	WSStoreServices transactionProvider abort.
	self answer: nil! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:57'!
children
	^{fields}! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 13:10'!
initializeWithFabricSet: aFabricSet
	self initialize.
	fabricSet := aFabricSet.
	fields := WSForm new.
	fields add: (WSField text on: #name of: fabricSet; beRequired; yourself).
	fields add: (WSField largeText on: #description of: fabricSet; beRequired; yourself).
	fields add: (WSDynamicFieldGroup new
		label: 'Fabric';
		newItem: [ :x | CCFabric new ];
		component: [ :f | CCFabricComponent fabric: f];
		editor: [ :f | CCFabricEditor fabric: f];
		on: #fabrics of: fabricSet;
		yourself).! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/17/2009 14:55'!
renderContentOn: html
	html form multipart; with: [
		html render: fields.
		html div: [
			html cancelButton value: 'Cancel'; callback: [ self cancel].
			html submitButton value: 'Save'; callback: [ self saveAndAnswer]
	]]! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 13:19'!
saveAndAnswer
	fields valid ifFalse: [ ^ nil ].
	(WSApplyFormCommand form: fields) run.
	self answer: fabricSet! !

WAComponent subclass: #CCHome
	instanceVariableNames: 'background'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

CCHome class
	instanceVariableNames: 'background'!

CCHome class
	instanceVariableNames: 'background'!

!CCHome methodsFor: 'initialization' stamp: 'srh 4/14/2009 20:01'!
initialize
	super initialize.
	background := CCBackground new.! !

!CCHome methodsFor: 'rendering' stamp: 'srh 4/14/2009 20:01'!
renderContentOn: html
	html render: background! !

!CCHome methodsFor: 'initialization' stamp: 'srh 4/21/2009 21:07'!
title
	^'Home'! !

WSOptionComponent subclass: #CCFabricOptionComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricOptionComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/5/2009 12:05'!
renderContentOn: html
	html strong: option name, ': '.
	html render: option fabric name, ' (', option fabric code, ')'! !

WSOptionComponent subclass: #CCSizesComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:17'!
renderContentOn: html
	html div: [ 
		html strong: option name.
		html paragraph: [
			option do: [ :size |
				html strong: size name, ': ';
					text: size displayString; space]]]! !

WSOptionField subclass: #CCFabricSetOptionEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSetOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:34'!
initializeWithOption: anOption
	super initializeWithOption: anOption.
	self add: (WSField largeText on: #description of: option; yourself).
	self add: ((WSDropDownField list: CCFabricOption fabricSets) 
		on: #fabricSet of: option;
		labels: [ :o | o name ])! !

WSOptionField subclass: #CCSizesOptionEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesOptionEditor methodsFor: 'as yet unclassified' stamp: 'Stuart Herring 9/18/2009 11:55'!
initializeWithOption: anOption
	super initializeWithOption: anOption.
	self add: (WSDynamicFieldGroup new
			label: 'Measurements';
			newItem: [ :x | CCSize new ];
			editor: [ :size | CCSizeOptionEditor size: size ];
			on: #sizes
				of: option)! !

WAApplication subclass: #CCApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCApplication class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 14:48'!
description
	^'CC Application'! !

!CCApplication methodsFor: 'as yet unclassified' stamp: 'srh 4/19/2009 16:22'!
defaultLibraries
	^#()! !

!CCApplication methodsFor: 'request handling' stamp: 'srh 4/14/2009 15:25'!
handleExpiredRequest: aRequest
	| url |
	aRequest isXmlHttpRequest
		ifTrue: [ ^ WAResponse new forbidden ].
	"Remove the seaside fields and cookies, so that it looks like a default session"
	url := WAUrl new.
	aRequest isGet ifTrue: [
		aRequest fields keysAndValuesRemove: [ :key :value |
			(url isSeasideField: key)]].
	aRequest cookies removeKey: self handlerCookieName ifAbsent: nil.
	^ self handleDefaultRequest: aRequest.! !

WSOptionAdminPage subclass: #CCFabricSetAdmin
	instanceVariableNames: 'fabricSets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSetAdmin class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 13:28'!
label
	^'Fabric Sets'! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 09:29'!
actions
	^{'Add Set' -> [ self add ]. 'Done' -> [ self answer ]}.! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:31'!
add
	| f |
	f := self call: (CCFabricSetEditor fabricSet: CCFabricSet new).
	f ifNotNil: [ (WSAddtoCollectionCommand add: f to: fabricSets) run ]! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:39'!
delete: f
	(self confirm: 'Really delete ',f name, '?') ifTrue: [
		(WSRemoveFromCollectionCommand remove: f from: fabricSets) run ]! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:41'!
edit: aFabricSet 
	self call: (CCFabricSetEditor fabricSet: aFabricSet)! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 14:07'!
initialize
	super initialize.
	fabricSets := CCFabricOption fabricSets.! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 14:05'!
renderBodyOn: html
	self renderFabricSetsOn: html! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:31'!
renderFabricSetsOn: html
	html table: 
		[ html tableRow: 
			[ html tableHeading: 'Name'.
			html tableHeading: 'Actions' ].
		fabricSets do: 
			[ :f | 
			html tableRow: 
				[ html tableData: f name.
				html tableData: 
					[ html anchor
						callback: [ self delete: f ];
						with: 'Delete'.
					html space.
					html anchor
						callback: [ self edit: f ];
						with: 'Edit'.

					html space.
					html anchor
						callback: [ self copy: f ];
						with: 'Copy' ] ] ] ]! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 13:28'!
title
	^'Manage Fabric Sets'! !

WSOption subclass: #CCFabricOption
	instanceVariableNames: 'description fabric fabricSet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricOption class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 17:52'!
fabricSets
	^WSStoreServices repository at: #CCFabricOption ifAbsent: [ WSStoreServices repository at: #CCFabricOption put: OrderedCollection new]! !

!CCFabricOption class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:42'!
label
	^'Fabric Selection'! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/4/2009 16:03'!
asComponent
	^ CCFabricOptionComponent option: self! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 10:50'!
deepCopy
	"Answer a copy of the receiver with its own copy of each instance 
	variable."

	| newObject |
	newObject := self class basicNew.
	newObject instVarNamed: 'fabric' put: fabric deepCopy.
	newObject instVarNamed: 'description' put: description deepCopy.
	newObject instVarNamed: 'name' put: name deepCopy.
	newObject instVarNamed: 'fabricSet' put: fabricSet.
	newObject instVarNamed: 'required' put: required deepCopy.
	^newObject
	! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:31'!
description
	^description! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:31'!
description: aDescription
	description := aDescription! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:30'!
editor
	^CCFabricSetOptionEditor option: self! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:41'!
fabric
	^fabric! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:42'!
fabric: aFabric
	fabric := aFabric! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:33'!
fabricSet 
	^fabricSet! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/7/2009 15:23'!
fabricSet: aFabricSet
	fabricSet := aFabricSet! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:59'!
valueEditor
	^ CCFabricValueEditor option: self! !

WSOption subclass: #CCSizesOption
	instanceVariableNames: 'bust waist hips underbust units availableUnits sizes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesOption class methodsFor: 'as yet unclassified' stamp: 'srh 3/8/2009 10:36'!
label
	^'Sizes'! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 5/4/2009 17:59'!
asComponent
	^CCSizesComponent option:  self! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:43'!
do: aBlock
	sizes do: aBlock! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:58'!
editor
	^ CCSizesOptionEditor option: self! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:53'!
initialize
	super initialize.
	sizes := OrderedCollection new.
	self units: #cm! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 00:06'!
migrate
	super migrate.
	units := units ifNil: [ #cm ].
	bust := bust ifNil: [0].
	waist := waist ifNil: [0].
	underbust := underbust ifNil: [0].
	hips := hips ifNil: [0].
	sizes ifNil: [
		sizes := OrderedCollection new.
		sizes add: 
			(CCSize new name: 'Bust'; description: 'Bust measurement at its widest'; value: bust; yourself).
		sizes add: 
			(CCSize new name: 'Under Bust'; description: 'this is where your underwire sits'; value: underbust; yourself).
		sizes add: 
			(CCSize new name: 'Waist'; description: 'the waist at the narrowest point'; value: waist; yourself).
		sizes add: 
			(CCSize new name: 'Hips'; description: 'hips at the widest point'; value: hips; yourself)].
	 sizes do: [ :s | s migrate]! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:36'!
sizes
	^sizes! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:46'!
sizes: aCollection 
	sizes := aCollection! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/2/2009 21:21'!
units
	^units! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:52'!
units: aUnitSymbol
	(CCSize availableUnits includes: aUnitSymbol) ifFalse: [ Error signal: 'Invalid Symbol'].
	units := aUnitSymbol.
	self do: [ :size | size units: units ].! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:58'!
valueEditor
	^ CCSizesValueEditor on: self! !

WSFieldGroup subclass: #CCSizeOptionEditor
	instanceVariableNames: 'size'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizeOptionEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:00'!
size: aSize
	^self basicNew 
		initializeWithSize: aSize;
		yourself! !

!CCSizeOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:21'!
initializeWithSize: aSize
	self initialize.
	size := aSize.
	self add: (WSField text label: 'Name'; on: #name of: size; beRequired; yourself).
	self add: (WSField largeText label: 'Description'; on: #description of: size; yourself).! !

!CCSizeOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:09'!
renderContentOn: html
	fields do: [ :f | html render: f]! !

!CCSizeOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:01'!
value
	^size! !

WAFileLibrary subclass: #CCLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLibrary methodsFor: 'uploaded' stamp: ''!
Stays1830Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 150 0 0 0 117 8 6 0 0 0 172 209 24 206 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 32 0 73 68 65 84 120 218 237 157 119 152 157 85 181 198 223 211 166 207 164 144 30 2 129 144 72 48 16 170 32 8 136 130 32 74 85 4 69 154 6 69 20 240 138 72 83 64 47 10 122 177 75 80 164 115 69 170 32 200 69 1 3 200 5 68 122 104 210 75 10 73 72 111 83 78 187 127 124 191 253 124 239 217 115 240 66 50 25 2 248 61 207 60 51 115 202 87 246 94 251 93 239 122 215 218 123 103 244 239 227 157 118 180 74 250 153 164 233 146 54 150 52 91 82 89 210 70 146 218 37 245 72 122 89 82 134 215 122 36 141 146 244 168 164 127 240 189 127 74 218 93 210 131 146 22 172 137 155 204 188 203 59 33 71 163 191 95 210 100 73 91 75 170 74 90 33 233 30 73 127 233 227 235 72 82 135 164 117 184 222 150 180 113 69 210 235 146 30 144 116 255 106 94 107 79 73 115 36 61 44 233 135 146 126 34 105 95 206 251 36 247 210 196 117 243 252 110 229 30 190 37 105 11 73 255 35 105 47 140 242 6 73 127 147 244 82 95 54 124 254 93 110 88 101 73 63 160 81 71 72 218 74 210 149 146 14 147 52 70 210 114 12 172 47 174 243 53 59 103 94 210 98 73 51 37 189 198 181 27 36 253 65 210 243 146 14 95 141 142 220 86 210 47 36 13 144 180 8 35 154 9 34 13 224 94 202 12 160 50 134 53 79 210 41 146 110 146 52 141 255 207 196 8 31 145 244 66 95 27 214 187 253 248 61 104 245 61 73 95 148 244 73 73 127 180 247 251 10 177 78 145 116 160 164 97 116 116 65 82 150 159 128 30 31 145 180 183 164 41 146 174 88 141 107 253 8 67 253 0 72 181 23 8 217 33 169 5 116 106 151 212 198 223 146 116 22 237 112 178 164 137 146 54 224 245 113 146 142 146 52 80 210 165 125 217 240 217 126 234 224 254 116 185 57 126 95 33 233 36 73 199 74 250 29 8 178 47 6 54 128 70 159 10 130 173 234 61 230 36 13 145 52 154 243 109 34 105 7 16 171 153 142 206 128 30 135 72 250 51 175 119 173 98 27 142 5 89 230 96 32 243 49 226 10 63 25 115 189 225 59 147 185 159 129 160 247 124 206 113 38 134 181 59 212 224 165 119 154 97 21 248 233 111 247 119 19 46 239 187 184 143 87 37 61 37 105 33 159 41 128 94 155 130 52 171 98 88 85 92 223 58 146 150 210 121 109 198 183 130 241 173 35 105 174 164 61 36 61 109 198 255 86 143 229 184 61 97 196 115 48 162 21 220 127 150 123 202 218 189 157 32 233 108 16 107 40 92 239 155 184 196 127 72 186 91 82 145 115 141 123 39 25 214 135 36 125 172 31 13 107 60 207 53 27 55 84 164 129 143 145 116 31 110 34 71 195 103 36 253 135 164 19 109 148 191 213 163 8 34 52 98 80 43 57 119 64 140 30 184 221 61 146 62 142 59 158 182 138 70 60 0 174 38 174 183 16 244 43 75 42 153 65 87 37 117 75 218 5 82 191 149 164 103 65 237 129 146 214 151 116 39 232 57 137 115 174 103 247 253 142 48 172 59 36 253 169 31 13 235 34 73 223 33 2 58 133 142 92 138 1 124 70 210 18 51 170 193 146 110 5 181 218 86 1 181 42 146 118 147 116 181 164 101 116 110 1 195 13 46 176 34 105 51 94 159 47 233 252 8 209 222 202 49 129 235 8 3 89 8 202 84 56 191 223 127 73 210 161 146 46 193 109 62 197 107 199 74 58 23 55 61 92 210 174 156 227 207 160 122 159 25 86 214 110 104 67 73 7 19 181 108 101 81 227 59 37 122 156 66 228 117 132 164 243 108 100 103 36 253 47 72 177 43 13 92 49 151 120 29 28 232 173 142 216 12 29 242 37 52 165 38 67 174 140 113 159 14 162 195 103 48 250 27 87 97 80 103 136 224 218 249 127 8 191 151 113 223 165 200 253 14 98 48 141 199 253 205 135 255 61 37 233 69 206 183 0 154 240 50 109 87 234 75 195 170 64 62 127 195 40 255 56 163 254 215 248 230 62 189 224 26 62 190 128 97 237 1 74 142 194 125 236 132 94 243 8 232 84 228 243 61 24 195 173 68 109 171 226 158 182 33 80 168 226 82 6 97 88 21 58 184 2 50 14 192 61 95 136 161 85 87 225 90 93 198 87 91 109 224 228 76 183 10 159 219 82 210 115 0 197 246 220 71 9 89 162 153 103 255 24 131 112 34 109 211 167 228 253 114 73 51 16 215 158 150 116 25 175 159 139 223 109 144 116 61 55 183 54 31 155 211 105 159 151 244 75 238 123 125 158 171 128 230 51 19 36 14 104 209 192 223 47 65 176 87 133 192 239 73 59 117 163 15 45 51 183 84 194 184 103 129 148 47 75 218 143 251 88 21 62 179 68 210 72 254 158 143 59 27 96 8 89 228 218 221 160 232 111 112 111 95 99 0 181 153 11 239 150 244 81 6 194 211 180 85 159 26 214 104 124 237 54 92 160 44 233 199 192 245 23 25 201 83 233 184 11 214 98 195 58 14 151 182 35 188 46 75 120 222 101 13 42 72 244 118 140 216 162 105 77 255 35 105 255 168 109 222 140 161 93 71 68 213 74 71 191 110 29 221 9 7 123 20 131 27 42 233 170 213 144 108 6 155 65 174 160 223 186 13 209 130 49 55 51 80 6 160 115 137 207 109 130 64 219 41 233 19 32 232 9 244 235 183 86 35 90 173 107 88 93 144 219 67 240 193 251 73 58 21 81 109 178 164 79 211 224 109 184 198 11 17 232 214 150 35 75 3 47 134 168 95 128 161 148 48 156 110 211 104 178 12 152 143 155 91 89 138 81 220 129 139 10 71 187 69 96 255 234 216 82 210 93 124 126 11 58 46 111 81 230 70 24 196 223 233 204 191 173 198 179 54 219 223 99 48 212 101 24 84 112 187 121 4 208 233 128 197 17 24 252 39 208 243 6 208 54 83 136 96 219 65 208 158 213 8 42 122 29 121 110 108 56 48 123 186 164 157 185 129 79 129 92 235 72 250 138 164 35 37 253 156 27 156 10 186 253 114 45 48 172 138 146 156 217 105 74 242 102 135 96 16 69 162 168 153 52 96 24 245 179 104 220 60 70 245 61 16 103 36 40 240 117 12 225 117 80 224 6 116 174 189 141 128 207 149 116 0 196 125 91 248 201 104 222 155 105 162 101 78 210 186 184 225 191 74 250 242 106 60 103 21 3 153 197 255 179 121 45 144 247 50 3 103 57 125 116 43 207 118 44 36 189 157 65 86 226 222 175 129 27 30 0 159 238 211 35 143 64 54 134 27 236 96 68 53 42 201 31 141 83 146 66 152 39 233 183 60 204 19 104 31 71 72 250 21 254 251 237 60 54 102 80 108 37 233 49 96 62 184 177 185 166 247 200 80 100 33 28 100 7 184 228 125 240 164 65 16 222 38 206 57 0 227 216 70 210 181 116 218 120 180 185 75 65 200 70 218 232 98 36 128 19 64 146 25 68 217 3 249 252 51 136 182 187 74 186 29 126 179 18 14 214 97 110 119 24 70 50 4 23 58 142 207 61 204 115 149 204 181 21 77 24 13 136 92 182 224 101 58 231 56 155 1 210 67 159 143 224 255 60 129 205 53 107 162 99 198 50 146 114 184 187 193 140 184 59 237 130 23 24 185 219 9 66 56 4 53 247 86 206 33 245 111 234 38 92 235 122 238 229 86 26 182 149 159 188 164 227 33 215 123 69 223 61 67 210 65 74 170 29 118 51 197 249 122 80 108 99 254 63 4 20 111 1 201 66 20 118 34 8 37 220 170 187 207 141 248 123 83 12 179 192 235 173 184 178 173 36 221 194 247 190 129 55 88 23 228 219 153 103 105 196 32 91 232 151 86 6 242 22 74 242 125 23 32 157 252 4 110 233 199 7 149 228 255 206 176 215 78 163 109 6 241 108 71 217 51 126 121 77 116 78 150 72 101 11 44 61 148 127 20 209 125 126 69 248 62 5 114 151 97 116 111 9 39 105 165 129 206 162 131 170 253 104 88 85 228 133 105 146 142 166 177 11 102 116 37 139 6 139 134 208 5 92 229 147 74 234 145 190 10 47 90 15 196 107 96 64 157 73 39 157 134 49 124 9 99 236 70 240 252 16 134 208 10 66 125 149 208 254 121 37 41 147 215 105 147 30 12 236 115 252 238 194 96 123 24 200 83 37 237 131 59 93 23 116 57 12 20 219 23 65 181 7 161 243 17 60 202 20 6 204 253 184 222 203 184 230 143 48 188 23 185 15 161 73 254 147 231 94 12 197 249 158 164 87 224 211 75 214 68 231 228 44 194 120 63 70 22 194 240 7 24 173 103 99 84 39 74 58 71 210 205 116 218 37 24 221 203 124 102 71 26 246 1 173 90 146 213 143 38 131 252 204 191 112 129 103 225 138 191 131 11 106 49 131 42 226 110 94 193 213 63 102 92 100 79 92 253 108 206 243 0 157 119 45 129 203 121 24 236 205 116 66 55 198 54 144 52 73 145 191 247 194 88 139 124 103 32 215 249 146 93 127 12 247 251 95 160 97 7 174 234 19 24 247 82 168 198 88 58 190 2 39 202 153 148 176 43 239 103 48 248 77 149 228 249 94 196 173 95 73 112 112 23 81 231 57 146 254 19 228 219 157 123 107 192 112 11 24 97 200 26 220 97 84 161 207 221 201 24 70 205 111 233 156 10 124 226 36 110 234 72 37 185 166 70 26 249 38 58 127 57 92 99 37 144 62 18 130 127 183 17 251 204 91 64 178 192 21 254 67 73 89 200 115 146 190 253 6 159 123 150 193 112 13 136 181 88 105 2 54 36 102 127 14 247 217 177 78 160 241 48 163 250 20 238 241 131 112 169 129 116 106 30 23 86 192 0 167 67 222 31 229 90 243 105 139 38 220 226 16 211 167 102 19 244 84 48 156 145 116 108 14 46 219 102 46 123 57 247 83 96 80 132 138 136 160 140 119 114 142 46 254 110 198 75 116 18 116 245 48 120 30 194 248 38 113 15 215 65 206 143 231 187 93 180 195 206 24 225 77 244 239 21 125 153 202 81 148 170 153 1 180 255 138 134 170 242 0 191 86 82 41 112 20 70 119 36 163 250 122 26 117 0 176 125 44 35 252 115 74 242 113 135 147 63 59 129 135 126 171 81 222 48 144 226 174 55 48 172 135 184 167 41 184 134 153 74 115 125 101 35 180 11 57 223 128 58 231 184 7 3 185 17 247 254 71 220 206 82 220 88 136 36 91 64 159 41 184 153 12 247 181 59 29 242 56 200 177 37 157 253 34 60 116 49 72 84 194 200 238 71 190 249 32 134 247 0 134 182 208 16 112 59 206 93 130 211 6 237 170 196 224 175 114 205 59 57 95 224 109 141 184 181 42 6 127 39 238 246 114 206 159 51 239 116 53 127 79 166 15 95 93 19 174 208 115 128 255 13 68 223 161 180 56 109 57 214 189 57 13 127 20 110 231 12 58 190 7 104 63 151 17 112 131 146 122 236 75 120 128 111 209 209 23 43 45 247 248 255 140 42 164 90 14 120 3 93 229 78 160 126 20 46 225 40 51 170 138 33 90 206 140 35 54 172 131 49 160 137 136 134 178 103 14 247 209 110 106 118 9 244 156 102 90 216 250 68 200 79 51 224 126 2 162 221 203 117 15 34 130 124 134 193 57 20 99 62 218 232 70 217 254 238 84 82 129 113 37 156 247 57 218 254 35 180 101 208 177 182 129 227 157 69 212 57 7 228 189 21 247 88 193 120 15 36 106 109 163 159 87 130 86 119 98 188 147 49 218 53 122 132 218 232 159 243 123 0 63 29 52 248 84 62 119 33 191 191 199 123 3 121 191 195 136 243 249 24 86 136 20 71 113 222 43 121 48 213 81 183 235 241 168 167 112 119 173 22 125 253 133 134 61 20 228 12 141 29 170 38 91 248 29 196 205 35 65 146 139 34 78 121 37 17 82 72 84 119 112 142 14 165 213 151 45 209 185 115 22 21 11 131 190 24 158 114 47 6 122 13 168 127 11 92 235 51 240 176 141 45 162 108 181 159 22 187 94 35 198 48 26 228 255 16 174 254 120 139 56 155 35 117 60 212 183 111 7 175 251 45 223 219 148 193 55 156 115 7 221 238 152 40 82 28 187 38 85 107 49 34 171 160 202 16 51 146 44 127 255 132 176 244 124 92 192 53 184 192 197 198 13 154 120 128 47 73 250 62 226 234 175 25 149 199 17 174 111 33 233 54 58 116 91 92 196 4 144 35 60 228 135 8 6 30 98 196 190 76 52 52 4 210 189 15 60 226 64 235 112 207 147 149 12 117 150 241 122 80 208 203 116 218 203 68 139 89 80 165 83 105 181 67 213 12 189 209 248 97 129 96 230 98 73 63 69 162 152 72 16 48 15 78 247 186 185 212 135 112 51 87 74 250 172 157 35 174 40 9 165 53 85 107 243 14 136 253 100 218 120 56 28 169 193 140 189 205 184 218 227 184 189 219 225 115 19 48 156 207 242 108 193 48 119 182 192 167 199 130 181 53 102 88 225 120 128 142 93 108 98 91 30 222 16 212 249 157 121 144 144 99 12 13 82 228 243 237 184 132 79 97 24 83 25 197 67 113 147 187 41 169 234 28 135 194 191 147 146 4 247 126 22 72 220 135 1 151 9 161 151 144 92 190 153 142 253 22 157 174 168 227 75 220 111 144 78 230 210 248 43 120 158 93 64 145 147 64 219 203 36 125 216 62 239 174 48 79 103 102 236 249 22 241 157 83 137 186 46 192 197 116 145 70 121 197 212 249 129 74 38 61 28 143 65 182 153 113 87 162 224 41 160 246 98 12 97 60 215 26 15 255 221 54 82 215 101 131 169 155 103 31 141 81 221 199 245 199 147 255 108 194 136 214 231 181 161 100 17 110 92 211 121 182 152 191 28 109 121 182 240 126 27 60 225 12 30 116 3 72 243 54 214 41 13 52 88 214 8 243 37 24 216 84 16 235 110 190 119 50 35 239 46 2 129 175 209 217 161 232 236 10 56 223 20 68 204 63 195 31 58 25 161 57 11 243 115 145 182 21 238 33 15 247 56 0 131 254 171 105 81 173 124 230 25 34 165 108 212 30 161 211 242 102 104 205 12 144 123 113 175 235 129 76 95 196 128 231 48 0 158 192 141 255 149 72 50 112 174 209 220 159 23 1 102 84 91 167 30 184 225 98 174 219 138 214 182 190 33 113 209 242 130 225 123 157 244 69 6 215 91 196 59 180 154 46 185 57 131 122 17 198 63 160 63 13 75 144 240 160 207 132 2 178 12 163 226 92 70 248 129 140 134 137 60 84 217 12 172 196 121 139 6 215 207 209 1 187 131 24 55 19 249 117 240 157 31 224 255 255 6 58 158 202 72 207 48 178 174 65 247 217 148 168 167 209 80 165 194 181 170 170 173 251 206 48 8 38 194 213 114 184 134 6 123 182 249 24 195 16 94 43 169 182 150 202 221 98 137 235 127 129 220 228 150 220 247 15 141 32 127 24 138 112 58 3 100 1 174 247 94 140 56 107 110 47 99 40 84 181 116 77 151 13 150 64 234 7 152 129 55 216 61 6 163 236 102 0 45 132 196 207 128 191 61 110 154 224 112 144 190 132 148 115 95 127 27 214 5 116 242 226 8 170 243 160 198 93 32 137 232 144 193 246 128 197 58 163 49 148 113 4 87 208 69 116 116 22 36 119 32 29 188 57 90 216 125 24 220 247 248 238 120 184 223 182 112 135 133 145 11 172 154 68 146 137 94 111 196 117 237 202 192 24 97 40 84 194 109 135 180 200 98 58 212 121 80 213 72 114 208 246 238 33 50 190 140 239 111 131 38 54 130 14 158 1 242 223 166 164 50 100 11 206 127 190 105 86 101 51 158 140 25 113 158 246 156 103 82 71 197 62 27 140 175 98 1 87 133 182 187 134 118 27 142 71 25 105 3 47 67 20 28 166 120 5 55 219 175 134 181 18 227 57 198 184 73 214 34 176 48 101 106 83 200 226 238 24 75 214 92 148 76 83 106 136 16 173 135 247 66 225 89 7 74 240 110 24 245 203 240 169 167 57 207 64 34 184 44 13 157 181 134 174 154 145 100 34 52 8 247 123 59 188 240 106 220 224 74 235 196 10 4 187 17 100 43 219 57 74 86 165 80 230 51 115 112 135 19 224 162 95 38 149 179 12 195 122 26 132 233 132 212 95 204 179 253 82 181 181 84 5 211 219 60 240 88 204 185 66 244 247 79 115 249 178 103 203 217 115 119 162 240 63 101 178 194 108 132 220 157 48 246 208 54 199 242 189 247 225 69 250 213 176 114 68 117 167 211 24 69 227 91 85 165 243 241 14 128 236 175 111 15 25 52 168 178 161 92 201 36 141 138 93 51 116 86 134 104 239 80 116 153 51 113 131 215 243 185 39 112 5 89 107 212 146 157 39 111 134 21 79 129 234 36 82 27 2 58 126 150 251 115 212 200 225 126 191 97 186 87 224 66 129 24 87 149 78 205 127 20 225 247 89 16 246 55 198 67 195 231 6 113 205 80 97 240 44 81 242 110 74 75 132 227 54 15 70 50 14 84 110 32 82 94 97 65 73 28 96 148 49 146 33 150 25 25 137 78 119 59 60 176 104 3 253 4 80 246 21 173 225 163 158 97 149 45 173 242 100 212 216 225 59 179 9 133 139 6 213 89 235 144 70 59 79 198 208 203 73 103 1 18 89 134 224 159 141 235 56 21 104 159 74 110 107 9 13 84 50 89 36 68 128 1 1 27 44 98 170 88 195 7 221 232 36 220 215 165 228 60 151 243 254 74 4 200 14 130 132 143 209 145 129 131 53 168 118 98 68 129 64 224 7 184 171 173 24 8 47 226 94 134 51 8 214 7 45 54 195 69 157 173 164 88 242 59 160 110 53 106 107 15 58 58 13 245 159 1 217 29 161 29 145 123 104 187 159 98 48 77 244 205 223 65 208 1 134 192 195 64 194 140 85 102 244 171 97 133 227 114 184 195 29 74 167 28 133 89 45 77 68 43 5 70 103 206 208 162 108 8 226 198 149 85 239 217 43 75 24 161 31 4 253 46 163 115 246 68 15 154 13 226 188 47 138 210 74 54 202 243 102 220 177 14 21 254 95 132 145 220 78 197 64 187 161 221 113 184 242 61 145 65 194 92 192 170 25 114 198 52 189 91 249 206 9 188 127 58 134 52 134 129 18 196 214 16 41 62 64 0 178 51 110 212 219 43 31 185 199 86 222 47 89 202 172 68 59 85 34 173 45 143 14 56 28 35 159 199 64 124 12 247 27 36 143 86 62 223 102 104 185 244 237 52 44 193 159 182 180 68 179 115 144 249 60 120 11 141 89 182 115 102 141 72 103 173 81 178 209 181 95 70 153 255 38 35 255 171 184 139 19 233 164 224 22 54 50 67 137 53 167 106 132 136 142 146 85 115 33 39 193 225 246 129 111 45 71 139 186 130 206 124 13 23 124 51 134 150 55 82 237 252 243 0 184 212 52 190 243 29 238 111 57 81 224 53 32 200 197 24 225 133 24 205 201 198 109 198 69 136 149 177 200 118 33 8 157 5 61 155 35 205 43 24 227 18 220 235 47 237 51 221 220 203 223 249 255 10 196 208 44 239 149 161 55 221 111 183 97 9 216 156 196 168 107 99 52 103 121 176 65 184 203 45 237 102 99 5 219 35 171 114 228 50 87 208 16 219 227 247 71 163 95 181 160 206 31 15 199 242 90 244 130 141 188 92 29 119 91 48 215 146 163 195 90 32 211 127 36 162 189 149 207 220 206 189 255 23 29 118 47 114 203 111 149 214 41 101 204 125 183 210 89 143 98 148 33 15 186 28 20 111 165 163 207 64 249 62 18 65 242 50 248 227 246 24 226 116 19 159 227 99 190 245 203 60 51 232 172 61 87 5 23 190 24 173 46 180 195 109 74 170 98 95 192 245 62 109 188 110 17 125 148 83 63 76 84 126 51 23 88 78 158 110 4 74 121 72 129 100 45 207 230 250 140 167 131 42 170 157 17 156 141 92 139 204 160 126 0 90 140 64 48 189 148 14 106 87 58 57 83 145 252 81 170 243 60 197 200 216 178 230 10 126 74 142 111 46 174 175 195 92 67 56 215 84 58 236 27 74 39 42 4 99 238 6 241 190 77 185 205 116 220 226 120 227 109 115 12 189 6 130 148 23 34 16 63 135 20 113 41 92 114 105 148 43 29 201 253 206 177 72 56 175 116 169 128 144 85 232 68 142 249 182 113 182 54 206 253 25 100 161 113 188 182 137 210 101 7 58 145 109 30 238 143 228 243 155 57 230 145 114 249 51 81 208 153 248 243 27 121 176 217 74 167 150 23 109 148 55 24 122 21 34 213 184 100 85 5 161 4 250 18 116 159 195 33 165 19 225 120 109 102 44 46 192 230 205 29 186 18 239 220 75 102 212 141 16 238 223 65 212 255 74 154 39 62 78 224 57 15 230 179 173 92 187 89 73 157 211 24 12 101 22 122 92 11 124 103 49 8 182 210 116 166 41 180 223 18 208 106 111 80 229 68 62 147 181 168 59 32 207 48 165 51 143 170 150 98 171 224 166 79 81 50 243 168 53 210 198 150 51 104 50 184 221 229 220 231 105 160 127 153 126 251 239 181 1 177 100 200 178 63 15 185 19 176 187 20 67 120 205 200 121 156 220 86 212 217 238 174 66 132 121 24 35 124 59 162 209 165 52 196 241 134 154 138 196 202 188 161 161 71 140 85 187 23 23 57 131 107 92 132 96 122 52 207 240 70 237 242 101 50 12 159 163 51 171 140 248 61 48 202 105 100 34 214 7 153 10 74 43 113 135 99 104 67 224 56 195 225 117 79 34 229 28 143 144 186 174 69 129 65 110 40 26 34 79 231 220 163 77 160 61 136 191 79 133 70 84 76 134 105 100 64 156 12 58 127 25 206 246 79 27 64 59 168 31 230 38 188 213 53 25 158 198 8 30 1 101 38 113 142 185 140 90 213 113 89 21 35 243 61 81 116 152 39 122 25 78 7 14 34 32 56 19 174 243 19 67 181 33 198 227 60 29 146 183 243 103 163 40 203 73 120 217 180 179 60 252 103 242 27 60 103 64 186 189 49 136 70 144 168 13 109 106 40 138 251 30 124 238 159 160 84 43 237 179 144 123 94 192 239 165 60 215 169 180 211 22 24 247 112 120 223 213 86 2 83 192 101 110 142 241 14 167 125 197 192 254 12 191 119 224 243 46 5 229 149 20 0 254 135 9 196 95 71 4 190 65 105 129 224 220 181 9 177 194 49 151 6 255 7 124 229 68 19 26 157 47 228 234 68 130 185 72 208 44 152 234 252 23 75 118 127 19 190 53 139 239 188 96 213 12 101 51 172 156 145 246 162 185 221 128 98 13 17 122 133 121 148 103 112 157 55 115 124 6 241 246 80 16 99 43 92 81 30 142 51 11 29 43 164 130 102 241 220 161 210 161 72 7 175 96 96 190 138 2 126 189 210 185 137 1 165 90 44 226 235 98 32 134 156 223 246 240 190 48 121 120 165 210 154 120 79 13 181 227 126 63 2 226 30 71 180 253 75 36 162 255 84 63 28 171 186 138 204 131 140 204 247 145 74 104 55 35 234 177 223 133 72 0 204 153 112 25 132 205 121 156 231 58 210 36 219 42 93 87 224 91 52 206 83 116 206 210 136 188 23 205 245 101 34 163 203 43 157 71 151 53 67 19 98 232 183 222 32 0 168 119 236 2 1 111 34 231 183 7 63 231 210 193 115 112 99 57 222 95 96 105 171 144 75 29 197 223 55 195 33 247 1 233 238 226 247 167 149 206 32 10 247 189 4 116 27 194 179 239 100 10 127 169 206 96 238 177 64 227 87 220 243 58 184 221 159 226 34 223 236 51 247 59 98 133 227 50 30 248 8 26 53 54 158 6 139 20 61 169 91 54 190 37 19 250 30 100 52 14 39 146 217 75 201 26 162 203 44 234 145 105 75 49 121 175 26 249 205 213 9 20 130 107 220 75 201 212 54 189 197 6 254 34 164 253 39 156 227 253 188 126 44 72 86 130 127 30 138 155 12 149 156 65 57 239 178 32 230 70 37 85 173 161 140 104 44 231 218 132 182 236 230 156 31 197 176 174 68 189 111 54 18 191 128 239 149 162 254 172 88 138 41 131 209 239 167 116 58 88 105 109 70 44 39 184 139 136 230 42 81 150 222 181 172 74 164 103 201 244 152 34 35 234 90 178 242 135 209 184 7 26 180 23 35 216 143 221 107 57 82 228 101 134 236 9 231 110 162 205 51 86 225 121 51 68 117 135 34 23 156 0 49 159 69 7 191 200 53 55 100 80 181 131 102 147 148 206 90 14 237 211 129 123 255 18 58 211 31 249 251 191 49 218 209 232 89 175 43 153 20 209 129 161 100 13 205 74 145 71 200 70 237 46 67 242 35 160 47 253 118 172 14 98 133 145 113 10 163 175 211 72 115 41 138 60 202 117 70 84 222 34 157 145 240 170 75 57 207 15 25 245 143 163 55 61 7 146 121 9 137 151 33 103 12 13 122 84 91 69 234 28 43 44 68 251 242 42 60 111 48 208 241 112 165 47 192 163 54 132 75 53 242 44 15 131 66 207 99 108 47 90 26 172 96 3 160 130 177 220 6 31 170 224 70 31 86 82 210 125 46 200 214 106 46 190 108 202 251 34 107 243 156 157 211 53 190 101 184 252 239 171 159 143 190 80 96 207 131 63 108 105 145 151 162 70 200 71 13 83 50 119 184 146 14 127 21 69 252 86 254 63 16 36 248 61 110 100 93 213 78 132 173 152 209 120 90 167 65 105 73 177 187 226 110 208 225 218 213 120 214 175 130 118 43 49 166 235 8 96 66 61 88 183 146 122 173 251 64 241 171 112 143 141 74 39 163 198 53 94 33 21 115 20 159 89 8 90 181 71 253 83 49 3 15 174 190 219 248 86 62 10 94 202 184 209 137 90 253 77 11 222 22 195 146 146 250 169 11 34 69 62 23 9 148 50 67 104 48 68 11 213 19 87 43 169 17 223 68 73 57 202 55 32 205 91 131 48 235 154 193 102 35 78 229 18 134 12 169 50 134 114 221 112 158 105 171 241 156 187 192 207 218 64 174 35 73 57 109 166 116 110 224 190 144 236 13 144 12 134 91 192 210 104 193 132 223 255 66 196 218 95 225 1 54 166 93 114 170 93 5 57 166 21 35 162 124 108 33 66 238 115 113 221 185 119 170 97 189 174 164 222 233 80 203 107 185 126 149 137 200 125 217 56 150 48 200 193 240 171 163 9 137 219 16 3 15 130 128 14 139 18 182 94 52 88 142 4 211 106 100 204 93 38 14 174 78 129 219 190 74 230 234 61 67 240 114 56 60 51 32 197 10 37 137 251 93 224 76 135 99 128 37 67 238 82 20 189 74 73 117 199 83 188 126 35 18 206 112 203 50 84 162 20 85 217 144 206 159 63 136 207 139 148 20 106 254 32 242 34 253 118 244 229 162 181 167 18 217 93 22 141 46 169 182 6 171 71 189 171 6 178 68 46 131 233 52 17 206 223 103 129 65 124 223 197 40 47 233 85 15 85 227 29 129 139 109 171 213 91 244 44 28 67 149 212 251 239 12 154 230 64 168 80 23 245 27 220 100 3 63 219 213 145 93 10 166 93 5 153 96 24 188 178 13 36 188 17 35 141 163 97 7 132 81 54 128 139 214 14 67 136 74 223 182 245 203 250 58 203 125 13 141 178 34 114 137 85 83 222 93 204 11 13 53 31 193 240 34 37 117 96 91 43 41 29 57 79 233 66 99 77 145 32 26 92 109 57 66 194 140 122 39 192 187 35 153 97 117 142 231 16 32 27 72 71 133 73 181 183 19 185 190 160 164 74 226 62 52 170 48 17 118 145 185 232 144 146 10 40 251 36 175 13 68 70 248 10 131 116 55 51 200 82 29 106 33 211 230 124 211 128 111 48 32 245 110 48 172 28 209 220 167 77 133 174 90 90 165 106 74 120 60 77 235 85 162 171 25 184 171 207 65 146 183 84 82 95 30 242 133 163 85 187 220 82 38 10 179 179 102 108 89 67 173 28 220 237 225 62 120 230 224 246 182 182 129 49 88 233 20 184 102 165 51 129 218 148 46 254 182 192 92 119 213 244 181 176 4 231 143 149 174 5 255 16 57 200 135 237 25 179 54 24 115 118 47 77 54 216 202 240 179 161 80 147 183 237 232 75 87 24 252 248 95 148 100 211 191 67 238 207 231 26 250 100 7 47 4 12 11 225 183 195 99 182 230 92 55 209 200 33 153 58 152 142 242 84 81 85 181 59 65 84 34 173 44 76 60 29 9 23 236 139 4 236 39 113 249 45 74 215 112 109 81 186 102 195 230 24 200 24 92 92 72 52 47 142 212 242 96 164 3 80 217 151 32 17 44 35 32 106 139 248 85 81 181 149 185 133 72 10 89 166 36 193 253 109 189 181 85 126 214 122 87 40 148 233 201 184 128 78 11 141 93 176 243 235 103 73 105 12 32 205 241 20 159 217 156 239 223 192 57 238 128 83 40 50 172 120 242 102 62 34 172 203 200 201 173 176 78 88 157 35 108 211 118 183 210 26 242 42 104 91 4 65 42 74 42 15 218 44 186 243 173 222 170 17 15 45 225 46 3 225 15 34 107 41 226 141 5 227 170 194 16 59 173 77 194 146 226 115 223 78 163 234 107 196 138 211 61 83 224 72 62 226 74 17 1 13 81 76 5 248 62 13 196 122 31 92 237 135 64 122 152 36 48 214 92 129 235 53 158 74 114 163 11 70 188 13 60 166 47 143 49 145 102 55 152 232 245 36 165 69 126 25 83 206 67 129 94 65 189 139 29 157 63 61 128 225 86 148 78 54 245 212 84 214 184 106 214 140 121 153 146 229 8 126 173 181 224 88 83 37 170 215 226 18 60 172 206 68 40 229 4 188 202 200 94 170 100 50 192 239 16 35 183 67 53 94 159 198 28 99 106 187 187 191 188 25 92 37 210 123 10 74 42 18 158 232 163 103 139 39 196 86 65 138 102 80 55 220 71 151 69 124 205 160 109 103 164 59 185 187 14 139 129 4 226 222 82 39 139 224 185 80 33 73 132 115 12 134 143 62 184 54 24 214 154 220 35 231 15 74 106 129 126 12 119 170 70 154 75 214 20 227 48 19 101 138 146 178 228 176 220 78 88 99 33 236 194 160 136 192 86 35 190 81 138 206 155 81 186 10 241 156 53 48 40 93 135 123 29 247 21 22 64 91 194 253 15 196 200 220 77 42 146 99 188 24 177 37 26 32 138 50 25 190 48 72 135 189 183 189 214 208 234 199 107 19 98 229 80 209 119 143 8 118 38 10 141 189 124 184 29 3 10 91 174 108 69 131 157 76 68 184 2 130 31 196 81 31 253 94 170 92 49 14 226 42 255 162 62 122 54 159 101 29 144 100 161 210 181 174 118 64 42 217 8 69 126 25 6 182 174 210 74 216 138 106 171 59 74 117 130 154 140 113 51 151 89 178 117 244 172 46 6 228 181 107 139 97 173 41 196 10 228 121 41 146 193 227 74 167 149 55 68 4 54 140 252 78 37 69 111 93 74 87 245 253 57 50 193 116 58 207 211 33 5 83 223 195 115 20 35 174 181 18 225 242 247 74 23 112 235 171 99 133 210 226 194 245 148 172 47 145 87 146 76 31 66 68 220 160 164 186 97 9 159 95 106 178 65 119 29 161 183 20 73 36 62 63 178 158 65 133 247 39 163 247 45 124 183 35 86 56 126 166 164 76 182 24 113 43 47 206 11 19 4 194 118 180 199 41 169 67 186 16 163 153 170 180 204 101 180 122 167 134 242 118 190 92 52 250 133 204 176 208 162 194 190 66 172 49 54 80 194 250 15 173 16 247 231 149 148 111 191 168 116 167 175 117 148 78 191 202 68 60 179 172 218 92 95 99 36 199 184 110 21 239 73 40 180 195 171 180 22 29 107 218 176 254 151 208 185 49 210 178 226 100 106 129 207 76 34 34 12 145 205 145 74 146 179 161 246 61 222 53 171 26 69 154 94 174 28 54 160 124 72 233 22 37 125 105 88 161 186 32 60 71 64 212 253 149 76 151 219 20 222 19 86 251 107 3 177 202 102 32 141 170 157 104 235 243 6 157 127 133 129 89 136 116 187 240 189 125 148 212 179 191 103 12 75 74 55 40 144 234 207 59 116 98 250 87 37 73 232 23 148 76 93 255 19 58 214 124 115 63 99 35 99 202 171 247 108 156 112 206 113 184 212 39 85 187 3 216 234 26 86 150 243 149 48 142 21 240 167 54 140 109 132 210 165 132 230 241 90 171 122 231 60 125 225 184 76 36 191 248 62 218 5 115 187 78 250 195 70 151 127 51 9 226 61 99 88 255 195 232 117 177 180 162 218 89 53 5 120 72 30 183 119 153 146 106 202 167 148 36 83 15 227 243 175 17 229 249 178 69 206 215 226 197 216 62 164 100 254 221 18 144 179 181 15 148 247 140 210 212 84 152 53 52 20 226 94 130 215 133 154 247 77 148 238 49 24 230 22 54 70 231 42 217 64 240 104 208 231 103 102 84 127 155 187 87 17 85 215 186 237 254 250 195 176 166 41 169 144 44 70 58 86 197 144 170 135 6 30 74 120 126 7 238 171 71 73 5 233 32 126 30 81 186 96 152 207 45 204 68 81 84 224 37 99 17 86 115 74 23 71 91 93 195 42 130 132 47 155 59 234 176 96 225 14 37 9 245 171 25 32 221 12 170 33 17 162 102 34 217 196 83 48 101 213 47 242 203 168 182 252 250 5 37 115 28 31 141 16 238 61 97 88 175 169 118 217 28 47 92 243 76 255 2 254 255 58 35 48 44 218 127 37 196 116 25 70 226 75 11 121 212 228 228 182 91 73 141 211 229 74 211 32 55 129 124 149 62 120 166 125 149 110 117 27 140 121 33 191 219 144 22 26 17 118 151 169 118 147 240 74 164 188 123 221 90 213 2 130 216 13 198 181 109 109 74 170 39 50 17 145 127 207 24 150 112 71 99 148 78 215 242 17 25 38 145 206 130 108 15 83 146 6 57 1 142 245 164 210 229 190 23 41 93 51 189 24 169 214 30 61 21 33 180 161 108 165 17 114 187 131 222 220 230 150 255 223 177 149 146 100 123 131 161 204 98 37 201 243 143 242 254 94 12 140 151 80 200 95 136 6 86 37 114 127 206 65 75 230 238 123 140 228 123 180 219 192 160 125 77 107 225 209 95 134 53 79 233 94 198 241 106 39 5 83 198 27 65 149 145 74 106 179 230 96 108 191 80 82 168 183 194 92 74 131 106 23 182 173 24 25 14 75 80 247 24 34 52 40 89 84 255 160 62 120 158 1 74 234 178 2 95 26 165 116 227 242 77 144 77 38 128 42 93 102 252 50 215 87 81 239 57 126 190 90 97 94 189 203 146 125 53 191 176 152 73 33 138 16 223 213 2 105 124 132 53 161 30 182 134 139 151 99 20 29 241 35 37 37 35 75 64 185 32 254 61 163 116 27 150 92 29 161 176 98 42 251 80 58 63 132 249 97 1 220 91 148 20 228 93 182 26 207 50 26 20 13 215 108 84 186 9 210 45 74 119 241 144 210 117 176 54 54 132 139 149 116 95 56 174 82 7 193 226 136 215 231 103 22 149 84 134 236 129 184 252 158 67 172 30 11 183 243 170 221 195 184 57 34 198 82 82 125 185 45 63 167 129 52 51 108 48 52 217 189 123 109 123 17 195 219 204 56 144 115 187 102 37 41 162 139 87 227 89 118 98 160 228 35 3 89 7 67 246 178 150 32 202 14 49 30 20 47 158 226 75 113 59 113 247 73 190 149 40 232 145 93 231 55 68 134 239 73 87 248 2 40 82 85 239 201 14 61 246 119 72 170 30 134 208 120 29 164 248 52 37 51 143 87 42 77 230 246 68 174 197 167 150 237 168 116 137 37 69 174 230 1 58 124 85 35 196 253 224 110 62 33 118 107 162 216 79 40 73 33 237 7 199 26 111 194 110 161 14 10 85 212 187 80 209 73 124 169 78 116 232 101 215 77 74 170 65 154 149 238 139 248 158 50 172 162 146 69 235 171 234 157 221 47 88 131 62 138 43 108 64 181 15 51 161 219 81 228 67 93 120 216 41 213 71 127 38 18 77 231 89 103 120 57 112 147 146 73 15 223 213 170 21 195 141 81 14 123 20 46 0 0 25 121 73 68 65 84 146 187 108 54 94 247 2 72 153 37 64 216 65 73 22 225 117 51 232 101 170 93 4 184 222 134 7 110 64 190 180 121 53 138 40 101 134 215 170 164 194 246 188 247 34 199 234 161 161 165 218 73 16 121 51 140 48 233 243 119 32 211 24 26 45 236 221 115 147 210 106 211 124 228 54 220 120 214 81 239 45 76 130 155 12 132 63 24 194 186 122 115 219 221 133 99 75 165 171 225 245 88 224 177 30 4 254 251 184 224 118 6 192 23 9 68 138 136 153 205 170 45 220 115 195 247 72 57 104 123 57 115 129 37 213 110 43 227 134 57 83 201 4 142 195 149 76 162 120 91 203 146 251 19 177 198 34 29 108 165 180 138 210 19 210 161 129 195 110 98 207 209 81 251 130 92 247 17 109 5 178 156 137 220 170 203 13 27 40 173 52 168 24 183 9 139 130 4 23 114 145 146 117 184 222 202 177 171 146 101 0 218 84 187 169 194 203 198 169 26 149 22 45 46 225 57 94 53 55 237 19 65 92 32 205 170 126 114 221 39 157 244 68 174 52 184 204 118 165 27 150 126 224 237 54 170 254 68 172 9 136 156 123 43 73 10 247 168 118 253 44 95 188 163 3 178 190 23 238 79 74 102 237 60 79 52 54 159 142 93 102 231 247 181 13 54 80 186 119 142 47 200 86 182 17 223 200 185 94 83 146 199 124 228 77 62 199 100 37 9 242 2 209 108 137 235 133 117 33 142 66 47 11 133 134 97 159 158 249 230 242 125 48 133 4 115 33 226 156 5 213 46 126 91 140 178 12 149 40 120 9 46 126 39 208 120 59 165 211 230 222 213 136 213 206 3 135 232 41 31 145 214 160 103 205 96 164 223 167 180 138 244 211 32 192 52 190 191 88 233 190 53 21 139 52 67 39 13 131 208 22 212 187 10 179 100 188 104 32 124 238 240 55 217 22 161 44 102 169 210 242 151 110 36 133 176 103 243 34 37 169 167 125 145 76 2 135 108 86 237 238 25 141 170 93 12 206 151 185 244 204 66 41 114 157 78 29 98 174 26 6 207 254 74 202 117 70 246 115 31 191 45 134 213 8 145 93 174 180 244 214 51 251 101 213 46 39 121 29 186 213 193 144 240 31 41 73 231 132 218 120 175 233 146 33 96 89 201 236 158 25 145 139 245 45 219 124 65 217 80 85 186 181 254 255 84 207 190 184 115 69 110 108 9 174 183 73 73 121 207 207 148 148 232 28 163 218 157 202 122 204 120 60 69 227 171 239 84 35 67 202 169 119 9 115 60 211 59 107 210 67 51 81 239 145 180 215 161 234 155 20 214 90 107 88 193 165 93 137 91 91 164 218 245 51 243 214 216 35 32 195 251 129 78 119 211 241 95 81 82 37 241 10 198 227 179 170 243 145 123 81 164 251 120 185 175 239 80 214 74 116 120 206 155 120 134 15 34 172 198 229 55 35 35 221 41 99 40 29 230 17 110 136 107 202 68 250 148 43 234 113 9 77 131 106 215 164 80 132 192 62 113 181 106 25 136 86 37 149 33 215 195 7 207 123 183 26 214 6 240 42 49 138 70 25 108 123 81 91 129 247 135 163 5 189 159 8 176 10 90 12 226 253 23 113 99 85 165 51 139 3 15 9 91 233 202 58 174 16 105 70 185 136 240 47 84 178 124 227 49 111 112 255 97 66 134 207 143 148 185 170 17 4 27 35 225 145 103 40 153 172 251 21 165 251 15 118 43 93 153 176 90 71 81 207 69 46 45 84 213 134 128 35 94 76 78 17 191 84 164 131 85 104 171 131 48 238 223 190 27 13 107 67 37 11 149 53 2 213 215 160 140 151 205 53 5 227 90 74 195 93 175 36 63 184 148 144 253 143 74 74 150 59 105 184 225 22 145 121 61 214 230 240 171 22 245 174 196 204 69 122 86 144 60 90 149 236 76 113 216 27 220 127 21 30 246 76 36 82 22 77 85 175 130 80 83 149 212 144 45 64 28 93 202 243 13 82 237 180 181 56 170 45 71 100 220 215 182 8 68 190 96 168 228 117 91 190 43 154 115 175 151 224 165 121 37 83 194 110 120 183 25 214 230 116 74 40 142 91 166 116 105 159 192 143 188 74 160 147 81 182 35 138 251 45 74 246 134 57 1 68 90 4 10 134 207 230 236 60 99 137 30 11 145 24 25 71 143 238 62 3 153 62 93 201 92 198 122 199 199 148 108 117 210 88 39 162 30 128 33 45 131 27 94 141 129 93 164 116 250 218 220 200 40 171 234 189 84 121 53 66 156 92 68 234 67 100 152 139 68 225 55 66 174 70 82 61 39 48 144 159 85 90 237 241 174 48 172 22 37 85 10 161 225 30 67 207 42 170 118 153 161 208 72 173 74 106 198 183 192 69 205 166 97 54 87 237 30 205 178 232 202 171 58 231 170 126 245 165 34 13 201 231 55 230 185 214 39 65 23 63 38 34 75 44 140 56 84 248 29 92 86 11 215 13 91 192 12 67 215 90 162 116 113 185 120 59 224 134 58 169 157 106 29 129 215 87 68 84 52 88 74 234 93 5 81 53 89 165 65 201 132 150 221 16 119 159 51 206 251 142 54 172 201 145 97 5 62 180 126 20 177 56 41 189 65 201 148 173 251 73 143 108 129 34 31 102 249 46 83 237 122 241 193 165 54 170 182 160 46 158 113 236 19 23 20 69 104 141 240 162 75 162 251 217 25 238 212 172 218 53 77 75 112 189 117 248 25 6 207 10 42 124 216 107 113 91 245 222 181 62 184 226 120 197 99 47 254 171 218 192 40 217 103 60 90 148 106 203 144 28 193 230 128 82 237 24 215 135 65 250 245 149 20 82 110 246 78 54 172 109 148 110 113 22 224 122 56 81 203 30 74 151 168 150 122 47 244 145 37 90 27 166 100 54 245 104 165 101 40 51 140 219 228 144 49 198 67 242 21 69 82 153 40 68 87 52 194 11 246 222 171 74 242 149 59 218 125 109 143 128 154 143 194 254 188 117 224 60 92 226 120 58 108 2 153 130 89 116 228 83 209 64 144 106 151 37 242 232 213 83 60 254 217 120 183 176 110 213 214 254 151 162 129 52 146 160 105 87 218 167 71 201 74 52 83 121 190 176 128 240 59 210 176 246 0 105 188 52 102 99 58 161 65 233 180 48 79 198 206 83 82 133 185 11 81 97 216 194 247 179 184 42 161 27 141 182 209 92 86 50 113 226 15 52 86 41 226 28 113 165 166 243 27 239 236 192 181 142 178 239 54 43 221 109 194 167 239 135 213 93 130 96 58 146 72 246 131 184 250 153 134 44 11 205 229 122 94 176 24 25 79 156 72 151 13 58 223 228 106 153 146 89 207 23 41 173 79 43 168 118 137 238 161 24 253 112 123 230 25 104 130 83 201 16 220 136 74 255 142 49 172 140 69 132 11 172 193 186 104 252 167 225 36 195 235 240 177 167 105 200 63 33 45 180 41 41 241 157 173 164 170 32 76 151 111 86 237 84 245 141 8 245 143 50 78 147 85 239 9 11 241 20 42 191 231 28 231 61 139 168 244 163 74 106 183 10 230 158 60 138 109 100 0 44 81 146 36 255 133 146 169 238 255 165 116 43 223 117 25 32 205 102 228 121 251 190 43 233 190 22 124 53 50 178 112 191 75 149 108 90 240 23 6 91 155 210 185 138 94 215 53 152 123 120 144 182 9 1 203 243 200 15 135 41 153 65 117 187 146 234 8 169 15 171 80 179 107 16 9 135 16 13 150 44 79 86 129 51 45 83 82 160 246 105 165 219 152 132 213 233 58 105 240 251 248 222 1 68 100 191 38 170 105 34 106 108 139 136 124 88 221 101 161 146 42 132 106 196 175 92 47 139 201 110 108 92 79 16 170 255 78 233 42 201 57 213 110 107 23 200 247 61 74 23 222 13 157 51 129 65 49 9 194 220 168 218 149 157 115 166 198 55 152 228 80 136 36 9 95 46 32 3 95 122 12 84 255 35 232 179 220 208 208 233 68 16 160 87 34 48 7 205 175 3 215 254 21 165 147 50 38 48 24 202 107 187 97 149 49 136 219 77 135 9 15 31 150 195 94 172 218 66 188 172 69 56 45 64 244 215 8 223 87 18 4 156 194 239 21 170 157 238 53 8 3 109 64 158 24 167 218 217 48 129 75 249 108 236 120 199 87 231 122 3 64 132 243 149 110 245 230 197 132 101 211 174 198 170 118 25 242 50 110 104 46 131 107 70 164 172 251 126 67 13 150 65 104 52 215 232 2 178 103 16 218 48 228 71 64 153 123 77 54 233 142 250 115 9 255 63 25 113 217 18 247 125 23 145 240 23 144 73 246 80 178 198 254 90 207 177 54 132 60 134 145 30 118 247 156 142 164 144 39 151 182 89 164 148 7 52 153 140 200 23 102 63 239 166 180 42 161 11 168 15 11 130 140 178 198 127 80 233 70 79 30 45 245 212 225 86 13 81 7 6 131 235 97 148 63 173 222 27 63 149 205 72 151 113 95 195 249 252 231 149 204 228 254 54 17 237 134 74 215 202 138 243 162 50 52 47 71 127 187 65 249 162 108 75 148 148 232 108 131 49 220 107 50 75 62 114 241 11 45 2 31 111 174 56 24 109 59 252 117 133 146 202 215 91 9 50 166 173 205 134 21 120 69 70 181 75 69 103 137 188 194 223 179 149 46 86 230 141 147 33 47 119 17 252 96 63 165 155 20 172 164 67 91 34 195 153 161 116 133 155 86 208 194 221 150 147 219 224 18 123 34 151 19 16 171 147 20 207 239 149 86 38 248 115 132 189 113 6 209 193 131 112 61 195 149 174 187 250 58 198 239 201 229 114 196 161 226 101 196 43 170 93 24 216 93 119 39 66 109 39 136 117 51 46 184 90 199 248 189 127 7 64 210 247 193 136 124 96 13 68 74 121 130 118 251 58 130 234 159 215 86 195 218 143 156 93 152 64 17 102 207 12 138 82 22 127 87 82 163 181 34 138 240 130 107 57 66 233 250 233 67 65 174 161 24 196 58 74 103 80 143 197 245 52 97 112 87 40 201 236 119 69 234 181 243 46 175 168 112 195 207 128 52 47 169 118 199 7 111 179 6 235 200 87 184 167 35 144 69 190 207 245 71 34 172 134 92 97 38 146 19 226 133 76 170 134 48 206 249 60 231 25 86 142 222 90 73 133 237 115 81 214 34 24 112 179 185 224 176 96 73 147 210 122 180 156 13 148 118 6 144 240 30 97 114 241 211 90 141 57 152 107 202 176 38 41 169 74 240 173 223 26 24 193 11 141 251 204 163 129 26 12 242 131 139 250 2 159 191 222 34 192 99 208 149 230 40 93 30 168 19 40 159 99 157 244 136 210 186 175 6 51 218 6 213 174 161 149 181 160 193 59 118 11 220 120 156 66 41 24 191 42 242 156 129 128 119 152 24 25 230 20 46 53 215 166 72 75 115 249 160 20 105 109 149 72 196 13 40 185 167 210 29 89 175 86 90 85 234 104 149 83 186 149 112 120 238 215 149 150 213 52 155 241 230 140 187 125 87 73 229 201 158 68 139 167 35 223 180 173 45 134 53 129 135 245 149 83 130 24 56 88 181 181 84 5 8 254 158 170 93 85 184 149 100 245 183 148 238 155 124 4 170 246 2 58 204 119 182 31 76 180 20 158 103 57 141 55 66 245 39 128 198 147 24 92 104 236 70 109 255 171 69 90 153 8 237 194 57 7 163 113 189 202 245 86 240 236 43 232 192 185 234 189 93 137 171 233 185 232 253 74 196 175 60 127 56 84 201 130 116 85 144 241 15 234 93 203 21 102 135 15 82 239 85 20 151 96 248 93 170 157 217 228 1 208 73 240 216 103 49 220 243 137 198 51 111 167 97 133 139 31 7 55 234 48 99 233 97 20 61 25 41 221 205 74 150 224 217 66 181 85 147 121 140 105 41 66 227 233 144 202 189 32 172 158 47 27 160 116 66 132 151 32 223 66 206 113 121 132 70 241 94 138 49 122 13 197 104 23 88 7 43 74 169 132 207 110 15 225 157 64 194 252 104 120 202 6 112 193 48 181 222 81 41 222 71 39 83 39 40 136 215 173 95 9 154 220 133 225 159 12 199 202 169 118 43 61 47 150 92 100 198 220 12 210 125 214 52 62 175 131 11 165 214 205 12 224 41 4 37 3 225 91 103 232 45 150 177 247 181 97 141 162 49 31 137 146 169 97 201 198 39 85 187 180 116 153 209 49 82 181 53 223 203 137 10 15 81 178 131 213 101 232 73 199 34 66 230 76 170 152 4 87 243 114 223 6 162 178 131 236 222 202 52 92 79 196 95 122 140 103 245 208 248 63 85 186 67 169 187 163 46 165 147 57 68 231 189 206 107 1 181 230 17 92 172 96 192 188 104 110 169 222 230 9 178 8 54 174 135 15 159 111 83 178 108 230 120 146 241 191 129 7 246 212 137 38 131 234 62 88 181 235 136 245 24 106 121 155 184 120 28 246 85 60 152 244 79 59 253 115 14 154 94 246 237 48 172 138 146 245 55 79 225 230 202 170 173 120 28 8 15 242 25 196 225 189 231 33 142 37 227 99 97 159 191 31 219 247 62 9 41 13 187 181 15 0 194 195 204 228 130 53 102 142 104 104 35 51 184 110 213 214 58 85 141 160 22 76 79 122 194 70 179 55 124 147 9 177 193 184 71 224 134 207 83 82 33 251 23 174 19 36 144 133 17 65 247 53 70 139 214 161 62 95 48 70 180 37 112 205 255 36 65 127 44 131 180 217 140 208 119 184 109 6 113 115 134 136 89 140 126 156 106 215 17 243 170 9 23 112 15 32 53 245 186 146 194 197 43 200 134 180 247 183 97 53 51 178 158 53 23 18 224 115 4 157 149 141 148 229 10 124 234 114 160 183 203 224 123 22 16 28 32 251 40 140 236 23 22 238 15 224 220 69 213 206 29 12 141 249 146 25 86 198 120 93 92 106 34 83 171 55 5 233 186 35 23 86 178 8 49 240 192 231 149 22 48 134 193 21 102 105 7 206 227 107 77 196 187 164 230 162 42 134 172 122 239 96 22 80 232 12 58 120 10 110 209 131 138 106 164 224 55 68 209 101 120 254 199 65 188 110 213 78 247 119 229 190 96 34 238 47 145 120 30 38 21 247 41 120 87 99 127 26 214 110 68 82 126 209 146 25 150 135 212 185 40 207 183 0 228 9 35 55 236 152 213 170 164 30 234 16 37 155 68 62 163 116 38 244 92 140 166 194 72 204 217 53 131 196 113 55 41 164 110 213 86 142 102 162 142 9 213 171 159 102 132 238 19 113 22 239 184 160 232 79 180 206 217 134 255 155 17 103 255 65 160 177 40 114 187 153 104 0 40 138 0 75 230 150 221 133 109 207 115 156 0 98 77 85 237 98 34 89 165 69 143 225 30 151 68 58 89 1 190 183 149 122 175 165 149 125 3 20 125 76 201 228 144 253 249 189 7 3 251 162 254 52 172 35 129 75 175 15 202 90 88 62 51 106 64 79 185 20 77 143 202 98 104 31 33 16 216 155 134 172 208 40 231 208 200 51 113 69 99 232 192 146 141 248 96 184 139 144 29 26 234 132 240 213 136 196 134 192 99 154 146 242 155 82 84 13 81 180 239 117 97 76 139 232 184 97 124 231 115 74 170 80 31 81 82 76 247 140 25 128 7 12 97 203 98 47 28 244 105 108 174 147 149 148 76 66 29 78 62 239 12 174 221 109 207 211 163 180 208 208 119 250 240 108 65 24 108 15 208 31 158 218 42 69 154 93 64 244 38 146 235 191 135 231 78 130 55 126 30 47 179 198 13 235 19 132 231 203 212 123 103 171 110 96 244 65 131 89 23 35 67 148 245 4 97 126 40 71 121 2 87 119 149 210 153 46 135 67 212 31 83 58 177 179 84 199 181 85 172 90 226 79 8 182 190 189 93 85 181 211 215 203 74 247 78 126 156 4 120 147 122 175 238 236 81 98 168 14 29 11 175 186 147 239 231 24 24 237 170 93 2 188 65 181 251 14 230 205 104 93 254 40 71 110 178 21 117 255 114 140 234 97 158 223 179 20 185 200 112 215 55 90 81 138 12 118 58 168 26 175 121 234 179 180 125 178 239 64 248 221 159 201 148 92 5 199 11 75 97 174 81 195 58 14 189 99 160 122 47 21 45 30 116 165 53 94 41 202 246 55 1 241 219 243 249 25 64 251 137 74 10 239 182 166 49 206 0 146 203 74 183 109 91 18 5 16 149 168 82 225 113 12 59 27 69 65 69 67 172 30 12 235 92 66 249 147 233 152 120 162 130 31 195 113 241 141 132 254 15 99 144 255 203 243 46 230 30 99 151 215 16 73 23 149 136 128 187 88 28 16 248 26 92 235 207 185 150 7 29 165 40 202 12 187 181 190 106 156 210 179 12 175 48 112 75 234 189 33 124 57 74 86 103 140 203 94 0 255 220 17 1 245 35 200 43 151 175 41 195 58 7 180 234 82 237 2 249 1 25 58 184 17 111 220 66 164 69 133 142 94 70 152 252 2 90 208 0 200 234 166 192 113 143 41 238 101 56 214 195 118 205 92 29 247 50 131 115 121 213 64 62 66 183 146 146 186 170 29 49 170 188 106 107 165 92 26 8 29 62 147 78 26 67 212 218 109 68 57 76 9 27 28 185 25 143 76 21 5 50 174 65 249 78 172 75 169 244 104 133 219 172 107 228 59 238 195 128 130 35 149 206 12 42 71 220 43 204 214 30 104 110 212 57 175 79 54 113 242 223 142 70 183 61 131 112 186 164 3 49 246 243 250 210 176 178 166 35 157 3 113 117 56 15 130 228 214 160 206 0 11 225 93 189 14 163 165 21 184 253 24 33 122 167 146 45 104 71 2 185 29 22 250 6 4 249 56 145 89 179 53 146 212 123 117 225 59 148 212 104 117 215 113 63 61 160 225 215 112 97 155 211 96 19 85 91 20 232 131 34 24 232 56 12 235 104 100 150 35 65 146 129 32 244 156 200 64 21 5 4 57 245 174 98 245 245 177 150 83 38 115 51 213 7 151 194 219 26 35 37 63 24 124 209 116 195 133 81 164 232 229 67 55 48 144 58 163 200 184 71 189 139 33 125 135 182 22 218 255 125 74 119 171 109 86 82 219 117 169 11 229 171 99 88 21 58 254 199 134 22 206 73 66 131 77 50 242 218 19 169 204 190 92 100 134 155 13 75 93 111 4 252 254 9 183 179 20 151 185 37 174 55 68 133 11 34 14 225 28 170 76 99 92 69 164 215 163 222 155 81 10 99 222 159 164 241 251 48 178 251 213 123 54 114 197 220 213 230 16 253 73 74 202 173 155 16 38 131 107 30 203 189 149 212 123 133 228 114 36 104 230 162 74 140 188 69 114 95 225 126 190 15 199 28 108 36 61 27 241 164 124 164 3 250 228 145 96 36 77 160 205 6 234 189 225 187 23 65 22 35 68 245 44 65 224 89 211 184 214 207 148 108 63 252 55 206 191 218 174 240 3 146 110 83 237 116 121 159 207 215 196 207 28 123 224 74 68 54 43 246 250 92 144 45 99 25 250 123 24 129 19 65 150 63 145 51 27 172 218 61 8 171 145 123 240 29 73 131 139 110 143 184 72 80 174 215 193 253 238 129 170 125 188 210 185 143 142 32 190 72 237 112 12 231 26 26 249 52 242 158 179 161 5 99 25 32 217 104 212 203 146 227 229 136 184 123 73 75 89 201 132 140 171 48 226 243 104 235 176 224 73 131 25 88 78 181 27 26 132 193 218 104 207 174 168 178 35 172 169 239 5 138 149 200 128 226 108 65 120 111 22 110 249 56 2 148 75 148 236 244 246 9 60 200 144 213 49 172 111 146 195 107 171 83 6 226 29 209 14 44 87 162 17 226 156 168 108 233 132 107 64 144 176 71 225 40 37 133 115 19 72 181 188 170 116 105 239 25 170 221 244 40 222 59 185 104 72 241 42 200 18 182 186 253 48 185 199 43 32 220 231 243 115 144 146 9 17 45 170 157 96 234 43 28 135 164 112 55 247 208 192 115 134 5 64 86 224 186 139 81 106 38 24 122 87 148 16 47 70 229 47 46 182 30 201 251 199 64 224 21 61 163 239 92 27 184 171 151 123 55 168 247 36 146 144 75 156 16 37 189 203 17 63 118 15 228 197 144 45 12 248 105 164 222 54 68 150 232 129 167 78 93 85 195 218 14 34 183 140 6 13 185 177 144 57 15 157 240 81 70 153 167 91 178 81 14 206 23 117 109 70 185 159 196 136 223 159 78 126 1 185 226 75 104 57 31 166 19 159 143 34 172 80 97 208 201 239 2 68 122 115 220 220 137 144 205 147 105 240 199 225 49 97 182 74 7 17 228 94 140 202 56 200 8 28 177 137 235 55 130 92 19 33 213 91 211 169 235 64 236 99 78 213 109 105 35 79 163 228 162 242 151 96 124 123 48 176 238 64 4 62 221 34 111 143 88 11 170 157 46 182 109 132 80 78 19 50 24 198 245 180 237 74 165 165 210 185 40 151 25 19 122 47 78 108 135 171 5 164 155 173 100 98 236 139 146 70 173 234 194 107 35 148 204 242 152 68 196 22 200 220 75 8 112 85 43 213 184 159 255 67 106 163 179 78 16 16 47 184 209 0 153 191 143 156 216 126 60 200 109 160 206 223 48 200 153 230 102 198 192 185 70 41 221 100 96 17 159 121 13 4 252 2 215 217 13 206 53 24 49 179 71 201 60 187 176 117 238 92 2 146 16 148 196 37 45 67 104 200 33 180 193 107 188 190 11 249 194 79 41 169 160 245 40 50 164 140 58 163 236 68 65 181 139 175 5 52 26 205 125 188 164 100 110 224 58 180 201 202 40 194 45 27 90 5 228 123 50 66 62 167 3 225 255 103 65 193 106 157 52 151 107 95 149 72 174 112 170 209 2 15 254 34 231 58 27 20 187 120 85 13 235 110 124 254 108 12 103 26 132 112 50 40 227 81 90 39 132 251 101 140 163 0 26 133 221 221 23 41 221 164 169 141 134 89 143 164 244 84 208 230 90 235 168 43 128 219 50 215 255 188 185 157 153 68 80 97 117 149 209 124 127 7 26 227 227 116 234 173 184 152 147 172 90 226 102 12 246 59 220 95 217 56 89 201 248 213 10 238 237 101 94 31 169 116 33 219 102 140 108 28 18 76 115 196 175 74 166 83 101 172 178 161 16 69 98 37 6 201 104 220 243 70 148 11 45 54 67 247 13 52 157 255 244 212 209 18 125 202 89 48 144 80 1 178 9 232 234 3 60 31 101 42 226 201 186 193 176 151 3 44 235 42 41 20 188 148 180 222 133 171 106 88 11 36 125 6 33 112 103 202 44 126 0 12 222 195 141 14 196 165 76 167 195 130 96 24 20 243 97 232 41 11 249 221 99 220 224 87 188 63 207 16 37 140 148 113 74 102 82 175 199 53 154 25 57 45 24 205 161 74 151 111 124 22 55 122 1 29 238 168 216 98 169 149 54 70 249 133 184 155 253 104 244 215 84 187 234 94 224 43 163 248 124 21 74 48 203 130 153 160 122 47 52 206 85 173 67 208 125 197 232 74 164 177 229 233 172 127 144 39 13 34 108 99 164 51 85 84 187 136 93 134 224 199 221 108 86 189 55 37 8 134 55 31 247 253 124 244 140 229 200 128 202 81 214 162 76 187 29 161 116 141 177 59 40 173 185 64 90 189 53 72 195 4 6 151 245 91 113 147 109 52 194 53 160 216 32 94 15 137 229 0 219 175 216 195 132 72 167 9 23 51 139 6 121 63 15 16 96 125 71 56 214 107 24 222 179 24 222 147 68 159 127 248 23 154 155 7 25 199 130 42 33 199 54 134 72 103 18 174 103 90 212 57 5 51 240 81 32 214 198 24 81 144 53 94 131 183 60 202 243 119 170 118 59 222 124 36 49 248 76 232 146 241 211 176 14 253 116 158 175 195 84 124 79 189 100 163 114 153 64 248 103 69 207 29 23 14 102 45 189 115 4 247 209 168 218 69 83 50 17 233 47 91 178 123 44 117 107 231 130 170 207 49 24 159 8 109 188 58 134 21 175 33 26 242 103 97 225 179 199 222 196 57 6 154 152 24 166 170 7 45 168 71 245 87 255 253 218 42 106 110 126 76 192 56 238 179 168 246 105 162 209 10 110 242 3 160 101 152 239 231 179 105 10 166 176 127 24 4 31 166 164 154 116 57 3 105 69 157 202 6 169 247 78 19 153 168 28 103 5 109 112 53 193 207 122 170 93 255 34 32 75 189 5 229 194 214 124 175 171 247 132 220 106 157 123 153 141 43 243 210 157 76 164 123 149 45 152 200 209 70 37 116 181 11 240 24 27 71 89 138 183 103 225 83 59 22 51 242 231 89 8 62 207 202 92 214 196 177 59 209 224 9 74 103 13 117 163 67 237 13 255 186 133 106 133 46 67 154 16 209 182 195 11 23 195 175 94 193 168 246 6 53 199 217 103 226 26 172 202 27 36 224 171 198 187 186 161 2 103 163 15 189 8 191 42 88 4 237 186 148 231 249 130 219 91 166 218 229 51 43 170 157 246 22 190 215 136 110 183 51 72 84 173 195 217 130 30 182 15 131 232 86 228 133 27 184 207 131 85 103 6 117 94 239 189 227 44 224 251 72 34 184 149 184 154 31 209 49 39 42 153 196 241 148 210 69 202 194 22 189 97 105 200 192 255 158 224 28 194 0 70 243 250 48 35 225 249 40 241 158 53 226 237 139 151 4 233 160 17 52 88 76 112 209 108 6 85 168 147 102 138 13 40 228 41 27 85 59 127 177 84 7 197 26 241 44 135 16 144 85 44 114 207 17 137 238 193 255 211 9 130 238 197 224 247 141 164 158 53 82 221 240 78 58 78 34 41 126 145 146 194 190 111 226 134 79 178 188 220 116 56 72 78 189 151 27 42 64 172 87 32 7 100 84 91 94 188 92 105 249 178 162 8 208 215 232 42 26 121 207 155 60 243 85 170 56 154 8 38 230 154 208 27 47 112 146 83 109 81 96 64 199 174 200 245 249 50 2 94 179 21 102 168 23 163 32 101 27 140 109 34 116 96 50 250 225 10 244 190 95 255 11 154 241 158 68 172 140 210 245 9 30 34 121 124 47 145 221 74 58 244 9 165 107 155 58 159 244 136 109 16 157 250 101 56 226 98 248 208 153 144 218 7 34 151 85 141 50 3 245 166 148 133 142 125 136 123 24 65 132 123 131 210 226 197 82 148 15 173 216 255 121 140 122 184 210 21 154 171 145 8 235 134 89 52 30 184 174 146 41 120 173 38 189 180 19 213 79 68 207 123 75 187 120 228 244 222 60 94 80 178 60 209 169 32 213 223 149 212 21 109 72 232 220 128 161 205 82 58 33 53 76 145 218 220 80 98 99 165 43 250 21 201 21 126 138 115 231 162 100 184 76 183 202 71 97 124 206 220 237 133 136 162 127 64 6 120 33 50 74 55 148 144 19 244 229 139 194 220 203 34 104 212 165 116 6 82 59 28 112 24 3 97 55 196 237 91 56 247 24 162 218 99 185 198 69 74 214 174 127 126 85 70 240 123 245 8 220 160 29 247 51 133 145 122 22 162 225 251 149 212 30 61 169 164 58 244 89 248 211 119 137 166 4 241 13 199 47 72 144 239 136 22 214 170 222 51 160 61 242 242 201 162 57 75 141 12 38 170 251 17 223 251 182 122 79 239 10 100 189 164 222 139 204 29 204 189 206 68 88 221 26 183 90 194 208 254 174 218 61 22 119 37 5 116 63 6 116 155 210 189 129 86 121 179 167 247 178 97 213 59 62 75 170 170 9 50 126 1 68 120 50 163 57 175 100 90 84 216 34 238 76 58 112 4 196 125 12 255 223 162 218 10 11 23 64 179 145 97 251 162 116 251 40 41 65 249 190 146 218 180 153 150 197 240 137 165 193 80 215 37 171 177 1 239 189 162 116 3 169 14 144 239 31 112 183 205 224 71 27 131 106 25 8 251 141 122 243 123 9 253 219 176 250 224 216 131 116 209 14 184 196 219 137 20 31 183 52 212 122 32 194 78 160 216 24 220 208 45 74 107 159 94 131 131 5 181 127 62 104 182 152 206 207 155 66 223 142 155 10 238 175 9 222 84 128 59 173 192 136 6 35 6 223 195 253 8 233 99 125 126 135 164 248 6 92 107 62 207 112 7 104 244 112 127 144 217 127 31 189 219 36 167 218 41 82 3 17 76 119 132 163 132 105 248 51 149 228 48 31 197 141 44 3 149 70 41 173 71 107 5 141 58 48 160 118 37 37 60 51 49 132 231 65 148 146 210 90 180 38 144 169 197 12 46 68 141 27 98 140 91 97 200 67 148 150 194 188 74 224 240 52 110 123 161 25 117 28 180 85 180 6 247 217 249 183 97 173 254 49 89 105 210 124 61 165 53 83 69 80 162 17 130 252 10 72 55 82 181 201 227 149 24 78 7 198 16 242 151 161 54 189 3 119 60 147 239 174 4 165 94 193 40 87 170 118 54 208 90 113 252 31 37 8 171 47 202 106 116 156 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
backgroundPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 160 8 3 0 0 0 73 195 222 234 0 0 3 0 80 76 84 69 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 96 30 80 106 44 91 139 91 127 174 141 166 199 175 193 229 219 227 248 245 247 254 254 254 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 245 87 125 238 0 0 0 219 116 82 78 83 254 254 254 254 254 253 252 251 251 250 250 249 248 246 245 243 242 241 241 240 239 237 234 232 231 228 226 223 218 213 207 198 191 186 180 173 165 156 147 139 130 123 112 105 91 83 75 69 59 43 30 23 22 22 22 20 16 11 6 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 51 202 71 65 0 0 1 207 73 68 65 84 88 195 197 216 193 106 131 64 20 133 225 46 92 232 110 92 4 55 10 67 28 28 28 70 34 195 125 204 190 225 121 153 238 218 180 77 205 47 76 168 235 15 65 8 185 231 156 183 247 163 199 246 45 197 224 71 39 189 29 168 60 247 250 124 254 130 37 249 86 247 207 99 88 66 163 31 207 35 104 75 39 61 135 182 58 9 192 60 72 0 90 148 8 180 171 16 44 147 16 188 93 132 224 173 21 130 229 232 125 119 208 38 33 120 240 189 223 97 20 131 89 12 218 0 225 42 6 205 65 184 136 193 210 65 24 196 96 105 32 76 130 208 67 104 45 132 89 16 206 16 90 15 225 46 8 55 10 19 133 145 194 64 161 167 112 164 208 81 168 23 64 55 250 16 211 182 219 225 201 185 123 99 63 103 67 80 82 235 83 65 80 82 19 10 131 82 183 24 131 146 91 141 65 105 200 16 74 209 32 212 213 32 212 84 32 212 229 6 161 218 27 132 186 20 8 53 25 132 95 223 254 244 247 24 41 84 166 112 48 8 181 82 232 12 66 45 20 118 5 66 5 10 155 2 161 18 133 158 194 214 32 84 166 112 166 176 55 250 183 183 83 184 81 152 40 140 20 6 10 61 133 35 133 238 37 119 166 54 196 71 19 159 97 124 216 113 84 192 225 3 199 25 28 144 112 228 194 33 14 199 66 30 52 113 116 197 97 152 199 107 28 216 113 5 224 165 2 215 20 94 124 112 149 226 229 12 215 61 94 32 121 37 197 37 151 215 102 94 196 121 181 231 99 1 159 31 248 160 193 39 146 19 163 11 159 113 78 12 67 39 166 166 19 227 213 239 57 236 223 14 146 171 126 134 125 245 168 16 171 199 153 173 118 228 194 33 110 174 29 52 113 116 245 181 227 53 14 236 161 118 169 88 106 23 159 181 118 57 203 149 11 36 173 164 180 228 210 218 76 139 56 173 246 116 44 160 243 3 28 52 224 68 2 71 23 56 227 176 97 136 77 77 79 199 43 54 135 125 0 56 141 56 110 239 133 139 26 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
bodyPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 204 0 0 1 144 8 6 0 0 0 226 25 143 202 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 211 0 0 13 211 1 189 213 28 106 0 0 0 7 116 73 77 69 7 217 11 1 3 34 55 43 192 236 69 0 0 32 0 73 68 65 84 120 218 236 189 119 124 92 229 149 255 255 62 234 213 146 220 229 222 113 193 54 96 83 76 111 161 5 18 90 32 148 36 132 132 148 95 178 164 183 205 102 9 155 108 178 249 238 134 108 250 166 178 75 9 129 0 41 244 94 141 49 54 238 54 46 184 247 34 217 114 83 215 243 251 227 156 65 195 48 229 206 104 70 51 146 158 15 175 121 9 79 185 115 239 157 231 243 156 126 142 56 231 232 137 16 145 60 32 15 24 12 76 2 70 2 3 129 50 64 236 109 109 192 126 96 39 176 22 216 0 180 57 231 58 240 240 72 101 221 245 52 194 136 72 33 80 5 28 11 28 7 76 5 38 0 213 64 3 176 11 168 7 138 129 82 160 0 200 7 26 129 53 192 124 96 17 112 192 57 215 238 151 128 71 175 37 140 136 84 3 103 216 99 44 48 219 72 177 4 120 206 8 177 1 104 5 134 2 195 128 241 246 222 241 192 24 96 171 145 230 49 96 145 115 174 193 47 3 143 160 40 232 65 100 41 7 110 6 46 6 142 0 229 192 38 35 202 115 192 2 231 92 155 189 119 8 48 192 84 182 14 160 217 36 76 41 112 58 112 18 112 2 240 168 136 60 225 156 123 203 47 5 143 94 37 97 68 228 67 192 191 1 79 24 97 6 24 81 94 114 206 237 11 35 213 76 96 58 48 26 168 48 210 148 153 202 86 101 170 90 181 73 159 35 192 139 192 93 192 179 174 167 26 116 30 94 194 132 17 165 12 56 6 248 162 169 82 243 128 11 129 135 129 231 156 115 205 34 34 97 170 218 56 192 1 251 128 205 192 110 160 14 56 108 206 128 50 96 136 169 104 147 128 89 166 178 13 21 145 251 157 115 45 126 89 120 244 56 194 24 9 166 0 31 50 3 127 154 73 152 143 2 255 0 158 114 206 181 139 200 112 224 114 224 100 147 24 139 129 149 192 58 35 73 19 208 106 239 21 115 0 20 153 122 54 8 152 3 156 11 124 9 232 39 34 191 119 206 53 251 165 225 209 211 36 76 45 240 47 168 171 184 29 88 97 118 199 46 224 97 35 192 76 224 35 246 158 215 128 23 128 45 64 75 52 15 152 169 92 109 246 56 10 212 137 200 122 224 21 224 70 224 43 128 19 145 59 157 115 141 126 121 120 244 8 194 88 140 229 2 224 52 224 147 102 147 76 53 131 255 38 160 67 68 102 3 183 0 135 128 95 161 30 175 182 36 190 163 18 24 14 140 0 70 153 109 3 240 41 160 81 68 254 228 37 141 71 79 145 48 85 192 149 192 118 231 220 51 34 50 212 36 206 219 206 185 13 34 114 28 234 49 219 8 220 237 156 219 46 34 133 34 82 108 130 164 37 1 89 10 77 42 13 4 250 3 37 192 65 224 135 166 6 126 29 216 1 60 229 151 136 71 78 19 70 68 242 77 205 26 4 228 139 200 88 224 45 51 230 239 22 145 97 192 117 102 163 252 13 40 23 145 201 118 45 109 192 65 17 217 25 192 227 117 24 88 13 172 50 245 172 196 36 206 96 212 3 119 179 136 172 119 206 189 237 151 137 199 59 235 51 215 60 169 34 114 18 112 47 240 178 73 154 55 128 223 162 30 178 143 160 113 148 73 182 251 151 160 94 175 131 168 55 108 23 154 10 179 47 17 97 76 202 12 48 130 12 55 201 50 210 190 115 147 57 25 222 4 126 230 156 107 242 75 197 35 231 36 140 121 177 190 136 230 126 173 52 187 229 74 147 48 13 246 239 143 1 11 128 243 129 3 192 54 115 10 8 26 119 41 5 70 154 29 228 236 1 80 104 4 171 0 250 1 53 70 152 74 35 93 171 145 238 49 212 211 118 190 217 72 127 54 71 130 135 71 110 73 24 17 153 1 188 10 124 213 84 166 235 128 179 129 165 182 200 143 2 19 77 138 236 0 150 219 66 175 51 201 48 26 117 35 175 49 103 64 17 157 185 100 5 246 239 98 251 119 139 73 166 122 59 214 122 96 103 88 16 116 8 240 56 240 45 224 25 31 212 244 200 69 27 230 6 91 252 91 205 32 95 102 146 161 3 120 198 164 199 163 38 17 202 209 104 125 141 45 252 117 192 30 224 120 52 40 249 154 73 159 74 179 109 182 26 49 90 140 140 245 246 185 38 224 168 115 174 53 226 92 74 236 254 28 7 60 27 38 169 60 60 97 114 66 186 228 161 17 252 39 80 239 215 62 179 37 154 209 24 204 179 38 77 28 154 238 82 139 198 101 166 162 110 231 22 224 78 52 93 230 34 224 68 35 218 11 246 183 210 72 152 111 170 23 38 109 66 249 103 101 166 162 13 51 155 102 130 217 52 163 232 204 73 243 240 132 201 25 12 182 5 250 148 115 110 181 121 203 206 50 85 108 174 115 238 96 196 251 215 3 235 205 67 182 199 72 34 192 247 128 133 230 32 56 211 84 179 71 236 239 88 147 88 227 129 25 97 146 170 220 108 155 208 67 204 110 90 107 175 137 95 42 30 185 70 152 49 166 6 45 17 145 90 52 137 242 253 192 126 231 220 238 88 31 50 114 237 53 9 115 11 176 196 57 247 160 136 252 55 176 221 236 160 90 224 127 77 157 107 49 194 12 68 93 215 213 70 156 60 147 102 7 205 233 176 2 248 1 61 40 163 219 163 111 17 102 160 45 230 254 38 89 6 217 238 126 48 209 7 157 115 117 34 242 160 73 169 91 68 228 37 231 220 94 17 185 199 164 207 39 208 180 151 87 204 46 58 4 236 53 231 65 155 17 37 228 105 43 54 187 232 125 104 189 205 18 191 76 60 114 145 48 101 70 152 115 208 218 149 103 204 158 152 34 34 249 137 170 35 157 115 13 34 242 71 147 38 31 4 126 111 169 50 143 155 4 186 17 77 173 57 29 141 233 236 53 130 20 153 116 41 178 71 165 17 166 192 236 37 111 187 120 228 36 97 138 236 239 58 52 250 62 197 12 244 185 65 15 224 156 219 45 34 191 0 174 17 145 49 206 185 77 246 252 2 17 217 13 156 103 118 205 233 38 93 86 160 46 232 144 100 43 53 137 182 222 28 14 245 166 42 122 27 198 35 231 8 83 98 11 212 1 215 155 154 180 22 205 31 107 79 130 52 107 69 228 9 96 172 136 236 115 206 29 182 231 183 136 200 159 209 232 253 121 192 100 212 203 54 4 141 231 188 211 36 3 104 182 58 155 177 168 151 204 195 35 39 85 178 82 52 27 121 129 169 100 163 208 128 100 178 88 142 230 158 13 16 145 166 80 22 179 165 236 47 19 145 141 116 246 4 152 129 214 194 44 67 11 206 54 1 27 69 100 133 169 132 7 241 49 24 143 28 36 76 40 78 50 23 120 208 164 64 13 218 225 37 41 56 231 90 68 100 147 57 13 162 189 126 72 68 150 155 74 54 212 28 2 87 24 105 174 66 75 150 119 153 58 214 232 9 227 145 139 132 169 49 123 98 57 90 3 211 138 122 181 242 66 111 16 145 42 212 155 117 212 158 15 157 191 67 251 141 181 135 145 162 9 141 226 135 114 212 196 62 19 178 71 242 237 255 119 1 63 54 226 52 153 106 88 101 54 78 145 55 250 61 114 217 134 113 168 55 107 29 90 179 63 192 212 166 205 34 50 24 184 20 245 112 237 48 130 141 54 169 84 12 172 17 145 133 145 57 95 150 65 48 210 212 43 49 194 53 154 237 82 142 102 67 239 4 126 105 223 249 16 154 57 80 141 6 49 247 248 101 226 145 139 132 105 67 155 93 252 25 120 30 13 46 94 134 214 172 128 122 205 142 162 117 251 29 118 238 253 208 92 175 17 182 192 223 140 162 62 149 163 94 177 233 104 32 115 11 154 229 92 101 164 155 132 198 101 150 160 113 156 241 70 212 155 208 244 152 127 120 41 227 145 139 132 57 140 166 240 175 65 83 250 167 163 253 195 234 45 77 102 15 240 154 115 174 213 218 41 117 0 91 69 164 217 57 87 64 167 135 45 92 186 20 154 244 217 19 38 153 26 236 51 107 76 229 170 178 71 181 145 177 214 164 207 13 168 187 121 137 111 45 235 145 139 132 217 104 54 196 205 104 80 177 208 236 138 33 64 81 168 217 158 136 156 155 159 159 63 110 216 176 97 163 27 27 27 43 234 234 234 86 163 201 148 171 109 225 31 8 59 230 112 83 191 22 1 163 106 107 107 167 54 54 54 14 109 104 104 232 48 219 101 61 26 243 41 68 179 11 118 216 243 51 236 243 191 195 215 194 120 132 33 47 135 206 229 101 251 91 135 230 124 57 179 55 138 195 36 198 197 192 199 68 164 120 240 224 193 55 214 214 214 126 162 168 168 104 54 157 77 44 10 44 118 130 136 132 108 156 80 151 152 252 209 163 71 255 107 109 109 237 215 138 138 138 62 132 186 149 111 65 227 49 7 76 61 43 181 239 93 101 164 125 200 164 142 135 71 110 17 198 57 183 14 245 76 61 111 59 253 100 91 172 251 77 53 2 245 108 29 238 232 232 184 111 219 182 109 11 234 234 234 182 3 47 161 181 253 245 166 210 149 216 123 135 162 177 157 6 59 206 146 221 187 119 111 104 106 106 202 71 189 111 11 204 118 105 51 71 193 38 179 133 6 160 217 205 43 128 101 190 112 204 35 87 85 50 76 181 26 140 86 85 238 68 61 96 27 194 220 197 79 2 123 218 219 219 235 243 242 242 254 67 68 38 118 116 116 188 24 158 205 108 65 73 66 196 9 111 189 148 151 151 247 111 197 197 197 39 52 55 55 63 143 186 173 127 103 54 19 38 85 4 205 48 216 141 6 49 235 252 18 241 200 101 194 44 65 147 47 39 162 53 253 211 208 116 21 194 22 255 27 0 29 29 29 139 136 18 212 12 107 88 209 104 18 228 29 116 116 116 204 67 91 205 70 195 62 251 219 108 42 94 157 145 202 195 35 39 109 24 208 106 201 83 204 120 31 104 106 82 170 227 40 118 155 81 31 20 161 128 230 102 52 173 102 151 87 199 60 114 157 48 139 76 149 106 55 219 36 84 241 152 10 14 160 30 175 160 24 106 223 187 12 13 116 110 246 203 195 35 167 9 99 195 141 218 208 152 200 221 104 227 138 241 41 30 203 37 41 33 78 52 117 172 3 141 207 172 242 203 195 35 167 9 99 57 95 197 168 75 119 142 169 85 211 173 5 108 166 113 149 221 143 11 208 158 0 27 253 242 240 200 117 163 63 116 78 63 69 35 237 14 13 92 142 72 100 143 136 72 5 144 31 57 130 79 68 6 2 13 81 218 40 133 191 103 10 26 184 172 71 221 216 191 117 206 29 245 203 195 35 167 9 227 156 115 38 101 158 66 99 39 199 163 1 198 115 69 100 115 128 238 252 159 17 145 144 247 172 10 45 17 216 135 182 110 138 231 241 186 34 76 13 252 163 217 49 30 30 61 66 194 212 1 39 58 231 254 96 25 202 181 192 135 209 36 200 221 113 62 119 4 245 168 157 142 182 92 234 135 198 116 126 25 143 44 97 61 150 5 184 223 57 183 212 47 11 143 30 97 195 24 158 3 174 55 73 179 15 141 205 12 66 163 246 137 140 252 255 65 43 53 235 204 6 249 29 240 74 128 18 231 208 184 139 149 126 73 120 244 52 194 252 1 77 217 63 205 178 132 151 162 153 204 165 137 108 24 17 25 131 102 8 220 135 150 9 172 69 203 148 11 19 72 217 51 128 215 253 8 114 143 158 168 146 205 67 155 128 223 42 34 203 80 143 85 7 48 75 68 86 71 166 218 139 200 32 180 153 197 80 212 5 93 105 206 130 16 73 246 162 29 50 223 176 124 181 72 156 142 102 22 252 200 47 7 143 30 39 97 108 76 222 79 140 204 31 112 206 237 64 27 139 95 109 100 136 68 41 218 58 233 179 166 182 29 70 211 98 26 209 224 229 121 232 96 217 33 81 164 82 37 218 228 111 35 126 218 152 71 15 85 201 64 131 134 255 11 156 109 105 250 247 154 244 184 50 202 123 247 154 221 178 196 200 178 23 205 63 91 111 132 217 100 18 43 154 116 185 24 117 39 255 50 52 230 194 195 163 167 169 100 33 247 242 107 102 203 76 118 206 205 179 158 98 183 138 200 22 231 220 115 97 239 109 20 145 151 209 172 128 147 77 202 56 212 51 118 16 117 21 207 119 206 29 138 144 46 39 160 221 98 230 2 127 241 75 193 163 199 18 198 208 128 122 173 106 237 223 191 71 43 33 111 19 17 113 206 61 27 70 154 14 17 217 128 86 71 22 163 205 43 218 80 87 243 123 70 144 139 200 68 224 54 212 149 252 255 76 42 121 120 244 104 194 128 54 189 104 55 82 236 18 145 127 55 39 192 119 68 164 20 120 50 20 193 183 188 177 86 123 28 142 118 48 115 85 143 3 190 137 54 216 248 49 176 212 103 37 123 244 6 194 20 216 226 95 23 38 73 150 138 72 27 154 193 252 69 160 90 68 30 113 206 29 72 116 48 107 183 52 25 248 154 169 122 11 80 79 154 239 155 236 209 43 8 211 142 198 81 118 68 60 95 136 198 89 134 160 30 174 33 34 242 15 96 93 44 73 33 34 3 208 52 155 80 13 255 207 80 87 242 24 83 225 252 148 100 143 158 77 24 231 92 11 17 29 91 108 225 231 3 175 163 174 224 155 128 115 109 241 63 103 118 204 126 147 76 37 116 182 159 61 25 173 228 236 0 254 19 237 1 240 85 123 221 15 76 242 232 53 54 76 36 142 67 61 96 27 156 115 59 69 228 127 140 56 231 2 215 152 145 127 196 12 254 208 120 241 42 212 125 254 54 112 15 234 49 107 18 145 14 212 163 86 232 151 129 71 111 37 204 5 38 117 118 155 20 170 23 145 135 129 197 104 211 191 17 104 32 83 204 97 176 23 13 96 174 70 131 159 91 195 212 182 3 70 152 98 191 12 60 122 29 97 108 202 241 37 192 163 225 233 49 150 25 176 218 186 197 20 153 202 246 206 203 166 134 53 155 138 23 142 93 116 14 131 245 240 232 117 18 230 18 180 161 248 157 49 108 158 102 17 25 237 156 91 27 240 120 235 77 85 155 105 57 106 237 126 57 120 36 66 94 79 56 73 17 153 6 220 106 198 122 188 121 49 167 91 31 230 160 132 89 132 122 218 38 155 219 217 195 163 231 18 70 20 211 209 9 97 237 192 29 9 130 140 45 104 19 243 132 176 216 205 239 80 79 217 63 3 39 91 147 115 15 143 216 107 50 87 131 220 34 210 15 109 132 241 97 83 197 126 14 60 22 143 48 86 15 115 156 115 238 111 1 191 163 0 141 248 127 206 156 4 143 1 79 59 231 124 3 12 143 158 67 24 75 140 60 15 205 36 174 3 238 7 158 137 215 200 34 236 179 227 156 115 27 146 248 174 2 224 52 224 35 116 246 35 123 24 152 231 11 202 60 114 154 48 150 20 121 166 25 248 133 104 222 216 223 129 21 153 54 202 69 100 28 234 182 62 15 245 156 45 68 155 9 206 181 97 178 30 30 185 65 24 83 165 206 65 3 144 67 208 184 201 179 104 61 254 254 56 159 203 51 123 164 35 77 231 81 129 78 65 187 4 152 133 102 11 44 176 199 34 231 220 54 191 100 60 97 178 69 146 66 52 175 235 20 83 137 70 25 81 94 6 94 4 246 38 146 42 86 49 41 206 185 131 233 116 52 152 35 96 6 90 235 63 7 109 193 180 6 109 191 52 223 36 158 239 91 230 9 147 17 98 228 153 122 53 0 237 49 54 20 237 2 51 12 205 1 27 142 102 36 191 4 60 13 236 14 154 110 111 77 250 42 128 109 1 122 150 165 74 234 89 104 221 255 108 116 230 229 78 35 206 74 251 187 9 205 93 235 0 58 124 60 199 19 166 43 139 45 52 116 117 22 90 135 50 4 141 196 183 219 2 219 4 188 5 188 232 156 219 154 194 119 148 2 83 209 148 151 61 25 38 254 20 52 253 102 6 154 249 92 133 150 66 111 48 18 237 65 51 171 55 3 251 34 43 60 61 60 97 98 45 172 124 52 167 235 120 219 149 67 249 93 187 208 4 200 189 104 46 216 46 180 172 248 168 157 71 123 23 22 242 96 108 96 108 134 37 101 127 147 142 179 205 57 48 26 45 13 104 167 115 156 249 97 180 39 193 179 192 91 153 60 39 143 30 78 24 17 25 78 103 42 253 0 52 115 120 133 169 46 107 157 115 219 99 16 172 12 205 3 11 61 142 0 7 163 228 127 69 251 206 50 180 211 229 219 206 185 101 105 38 73 153 73 197 66 52 200 91 99 255 31 34 73 165 169 99 213 246 218 40 147 120 67 81 119 248 67 192 203 206 185 93 126 169 121 194 68 46 250 57 104 7 252 241 38 69 230 163 117 43 235 226 185 101 109 231 46 183 5 87 110 228 17 52 113 50 159 206 244 251 67 104 173 75 3 112 56 220 51 38 34 147 236 251 159 235 138 39 75 68 170 77 138 20 218 119 231 27 41 66 106 228 126 180 116 160 209 108 173 214 40 159 175 53 9 116 25 26 215 121 1 120 220 57 247 170 95 110 158 48 216 40 138 43 209 110 251 109 168 135 235 105 96 83 80 79 146 17 174 196 22 106 129 237 216 253 209 122 150 162 48 2 117 216 95 208 180 252 60 123 237 128 169 101 43 156 115 43 3 126 103 33 157 233 253 69 246 221 133 97 255 159 111 234 226 126 251 222 118 224 64 16 231 130 221 147 201 104 150 194 25 70 176 59 129 127 56 231 14 251 101 215 71 9 99 11 253 102 52 129 113 57 240 127 104 83 137 67 93 36 97 129 45 220 2 35 68 184 20 170 182 93 191 52 140 48 216 34 175 68 99 55 43 3 18 166 220 8 83 108 159 63 130 182 102 194 142 219 102 229 3 169 94 71 141 169 139 215 152 170 246 83 224 46 79 154 190 75 152 15 0 63 52 137 242 11 231 220 250 140 157 168 198 71 36 140 36 33 162 56 35 81 168 70 191 9 88 233 156 91 147 196 49 67 112 233 238 32 99 155 202 116 180 83 205 73 192 183 129 7 189 51 160 143 17 198 82 73 254 140 6 27 191 157 138 91 56 67 196 58 198 86 254 154 156 186 209 234 205 251 169 57 67 62 229 156 123 211 47 191 158 135 174 164 247 223 106 118 199 143 114 133 44 33 162 228 26 89 12 171 209 166 129 85 232 224 167 106 191 252 250 8 97 68 228 88 224 122 224 199 65 141 236 190 14 83 245 94 67 251 68 127 0 152 99 42 161 71 31 144 48 55 163 129 199 135 253 45 76 138 52 71 141 48 187 237 30 250 6 28 189 157 48 34 210 31 184 28 184 199 167 127 164 132 117 104 243 243 243 208 180 33 143 94 46 97 230 152 30 238 165 75 234 170 217 95 208 152 213 7 252 29 233 253 132 185 24 205 149 218 226 111 95 202 164 89 141 166 11 93 225 239 70 47 38 140 229 86 205 70 211 61 218 252 237 235 18 94 4 166 89 137 130 71 47 149 48 35 209 58 150 151 233 76 81 241 72 13 175 163 217 5 199 249 91 209 123 9 51 17 205 169 90 239 103 170 116 25 203 208 182 80 179 252 173 232 57 72 182 243 229 24 212 37 122 196 223 186 46 219 49 123 68 164 1 152 150 141 239 23 145 201 97 255 108 71 19 77 119 248 141 48 189 18 102 8 176 15 173 1 241 232 58 182 152 212 238 110 178 228 161 5 110 175 219 99 62 218 5 116 153 136 124 54 141 223 115 141 136 44 22 145 79 245 85 194 212 160 245 40 222 224 79 15 54 162 69 103 217 64 27 80 143 182 223 125 4 120 213 126 223 111 139 200 224 52 125 71 173 217 104 35 251 170 74 86 142 166 191 251 70 15 233 193 118 180 238 39 91 216 231 156 187 41 76 34 60 2 156 111 170 247 30 17 249 39 180 87 219 173 161 110 160 34 114 3 112 29 112 155 115 238 77 243 156 126 23 56 193 156 24 117 104 47 185 151 129 143 219 161 63 104 45 127 1 110 112 206 245 88 149 62 89 9 83 132 166 207 119 248 181 158 22 212 1 133 86 255 147 37 83 70 170 69 100 128 136 156 131 246 100 219 72 103 195 247 211 141 64 3 194 62 115 22 240 126 180 3 16 104 123 221 47 152 52 169 68 219 102 125 15 45 185 8 185 204 251 161 5 117 199 218 26 234 51 42 153 208 89 1 25 87 71 238 235 137 133 34 50 70 68 6 37 120 219 225 176 141 40 27 56 6 109 23 181 220 212 178 33 192 19 65 53 8 17 25 10 76 65 43 93 167 57 231 78 64 107 126 30 119 206 45 70 199 35 2 220 237 156 155 236 156 155 16 175 49 99 111 84 201 218 77 45 75 68 180 137 168 55 237 64 31 230 204 24 160 82 68 30 141 227 121 106 77 241 119 72 155 74 6 188 97 255 95 136 182 194 250 28 218 196 227 134 0 159 223 99 191 241 72 17 121 28 120 14 248 139 115 238 51 189 245 71 77 86 194 180 5 145 48 192 7 35 196 120 95 68 161 109 28 65 36 109 214 8 227 156 251 176 61 174 2 78 69 231 230 156 96 125 9 226 194 26 145 252 43 176 13 237 137 253 95 192 92 17 249 185 39 140 162 131 96 179 237 79 65 107 238 251 50 134 6 176 245 242 194 84 221 172 195 186 251 28 49 155 163 210 52 138 162 120 191 165 115 238 1 224 68 180 181 214 247 77 205 188 210 212 181 182 44 111 8 89 39 12 1 9 83 140 54 188 235 203 56 30 13 6 38 218 128 32 123 110 250 124 17 153 44 34 211 68 228 12 17 185 199 140 243 237 206 185 125 102 208 59 224 22 17 169 20 145 247 163 125 176 67 54 204 177 34 242 6 154 193 190 200 8 179 207 174 43 15 120 210 28 27 199 138 72 129 136 76 200 162 131 35 43 54 76 80 194 108 65 83 62 94 232 163 6 127 169 237 186 207 19 63 231 78 34 136 211 221 152 134 6 46 243 208 150 83 206 28 0 33 119 240 223 236 183 188 198 36 200 160 48 71 69 104 253 76 2 30 55 155 181 8 109 119 245 128 115 110 135 221 139 45 192 251 208 174 167 37 104 247 156 250 30 251 219 38 147 9 33 34 127 64 91 191 94 107 35 239 98 189 239 70 224 211 206 185 51 250 40 97 102 1 119 1 87 59 231 222 138 243 190 175 0 63 2 106 226 21 227 221 46 183 31 15 124 58 109 170 23 142 63 241 167 51 218 104 43 80 214 138 43 163 172 177 150 218 125 167 112 202 134 124 242 223 89 20 245 212 151 62 199 115 51 235 168 235 63 132 33 123 135 49 108 239 106 86 143 61 155 179 151 140 102 244 254 229 44 175 93 204 226 99 154 104 42 201 39 191 125 56 195 119 190 143 247 173 202 39 191 3 224 48 135 139 94 226 165 41 59 216 49 180 148 210 198 183 121 251 248 174 180 174 234 105 132 249 35 218 79 248 170 4 132 25 1 44 5 206 118 206 45 239 131 132 249 6 26 191 184 206 84 155 88 239 251 14 112 27 80 21 43 152 119 187 220 126 2 240 40 218 113 166 199 79 68 187 205 221 246 63 125 77 37 75 104 247 56 231 182 137 72 104 66 241 23 251 24 89 250 3 103 163 67 152 18 149 112 23 198 83 217 194 200 114 243 109 238 182 39 241 232 113 70 191 36 161 111 223 133 166 68 12 237 99 247 116 38 234 78 126 13 77 223 15 114 79 243 61 89 122 39 97 10 129 102 130 21 143 61 109 134 228 153 125 72 186 12 70 135 203 30 69 167 9 36 186 79 109 97 247 213 147 165 55 17 38 172 97 248 193 128 82 102 47 58 108 232 180 62 116 63 71 161 29 117 214 216 245 39 66 104 170 65 153 39 75 239 147 48 37 246 195 30 32 88 174 145 160 238 195 154 62 116 63 67 129 221 45 116 54 53 143 135 131 118 159 42 61 89 122 31 97 202 237 135 173 39 120 122 255 48 212 63 223 87 176 23 88 11 52 7 108 54 94 111 132 169 246 100 233 125 132 169 64 251 145 237 37 88 100 122 32 154 128 184 180 15 221 207 58 96 49 48 72 68 74 2 188 127 31 32 115 152 115 178 39 75 239 35 76 37 90 227 176 59 160 13 115 42 234 253 153 223 135 238 103 163 217 47 227 2 170 162 187 107 169 229 92 206 189 205 147 165 103 32 153 56 76 63 52 9 175 46 96 163 132 139 208 44 214 141 125 229 102 58 231 156 136 236 68 171 40 171 208 233 202 49 113 11 183 12 238 71 63 94 224 133 135 231 186 185 158 44 189 140 48 85 168 59 57 232 244 172 51 128 5 65 70 220 245 50 52 152 225 95 22 239 77 183 203 237 39 12 103 248 159 238 229 222 246 117 172 59 224 151 98 239 83 201 170 205 118 73 56 183 82 68 42 76 45 121 45 192 123 243 123 234 205 179 170 202 200 77 167 217 12 249 130 120 100 9 217 44 235 88 183 15 45 5 232 85 16 145 207 139 200 117 125 153 48 53 166 163 7 25 244 58 2 77 241 95 29 227 102 150 137 200 40 17 153 72 207 46 52 187 17 245 30 190 235 242 120 247 240 218 152 100 49 155 101 11 48 188 155 23 115 190 136 172 17 145 87 162 188 246 27 17 89 103 169 252 93 193 215 128 47 101 232 252 95 16 145 21 246 88 46 34 139 68 228 89 17 185 42 141 223 49 68 68 254 28 217 118 42 80 242 165 245 177 250 14 218 109 254 74 231 220 230 4 239 63 109 56 195 95 249 56 31 223 92 64 193 123 50 83 29 46 175 137 166 126 14 151 95 76 241 193 124 242 123 90 159 51 105 163 173 168 137 166 170 114 202 247 9 210 209 41 94 154 43 27 105 28 80 65 197 206 104 215 142 122 15 111 12 25 248 34 242 16 112 172 115 238 152 238 36 12 90 89 185 199 57 119 82 196 107 247 163 233 252 31 114 206 61 216 133 239 88 143 142 102 63 53 3 231 63 15 45 43 88 97 27 83 49 58 238 222 1 151 164 99 28 162 136 76 5 230 161 163 236 175 76 214 134 41 180 31 186 30 237 26 147 8 45 123 216 35 207 243 252 183 46 224 130 37 239 117 37 53 230 63 201 147 239 107 165 181 252 52 78 123 114 4 35 122 84 219 157 131 28 44 156 207 252 41 128 156 198 105 43 202 40 123 39 46 245 48 15 223 112 144 131 151 204 102 246 215 102 49 107 71 148 143 31 186 205 221 182 61 236 223 91 129 83 69 164 48 23 7 197 138 200 21 104 134 250 67 192 39 77 123 248 79 155 64 16 254 190 81 192 63 217 235 139 98 28 107 22 154 58 52 16 88 8 252 50 116 205 86 18 82 13 252 10 245 176 206 0 158 116 206 109 136 113 106 71 128 11 157 115 77 246 249 63 160 67 170 46 7 222 180 89 167 151 1 143 133 74 44 44 139 254 195 192 75 206 185 5 246 220 4 224 51 104 29 207 6 116 238 209 219 118 158 2 140 22 145 175 218 119 254 9 231 92 194 135 121 200 238 1 30 64 83 209 19 189 127 176 169 37 55 198 121 79 169 25 198 18 228 28 114 233 97 55 178 24 200 143 120 190 28 248 29 240 191 64 121 192 99 125 217 54 162 129 221 120 254 249 192 38 224 141 40 175 221 111 59 245 213 246 239 151 208 236 142 77 104 50 105 19 26 111 186 35 236 51 23 155 196 114 246 222 102 123 223 107 97 239 249 55 116 106 221 17 251 219 129 134 28 138 237 245 69 230 85 125 195 84 127 23 254 29 17 231 56 207 84 217 146 176 235 121 210 142 125 166 61 247 85 59 198 191 134 125 238 3 246 220 157 246 239 79 219 185 52 154 71 179 13 109 236 49 197 254 118 216 181 52 218 245 92 156 151 132 132 169 10 187 25 137 220 171 123 128 205 104 15 171 88 239 105 116 206 29 237 106 47 95 17 41 180 242 217 188 128 239 207 239 170 163 193 41 154 157 115 145 25 15 35 209 134 118 175 39 209 172 110 19 90 169 152 171 134 127 187 109 14 107 209 126 100 151 24 97 206 12 221 127 224 223 209 56 221 221 104 63 135 15 160 65 217 208 61 63 14 184 197 22 231 149 104 43 166 103 208 209 41 255 98 111 107 67 51 67 74 237 56 63 49 18 196 66 37 240 162 136 188 142 54 118 63 203 212 167 151 147 184 182 207 216 245 93 106 18 237 106 52 12 210 106 175 29 178 13 99 142 93 215 171 65 85 178 34 147 50 107 8 222 87 249 111 192 101 34 82 235 156 219 153 33 117 161 159 93 200 38 180 4 54 209 251 5 152 14 12 20 145 55 156 115 7 211 120 46 197 104 236 73 208 182 171 65 177 222 238 239 48 211 201 115 17 251 209 98 184 58 187 214 181 192 201 166 134 13 65 251 0 44 118 206 125 212 222 191 90 68 194 55 214 91 77 13 91 108 191 215 41 182 161 30 177 133 26 194 70 224 196 144 154 149 4 26 141 140 103 136 200 93 97 231 145 208 116 176 123 255 1 251 252 35 206 185 191 217 53 134 122 197 29 118 206 45 73 214 75 86 104 132 57 24 101 87 141 133 187 77 69 185 62 19 174 99 17 25 103 94 170 147 129 35 214 242 39 40 46 0 110 22 145 233 97 55 166 171 56 5 248 24 218 228 123 93 18 159 219 26 230 89 236 46 116 216 35 90 111 134 144 196 143 183 104 155 77 234 84 154 68 45 53 253 63 22 66 13 81 102 1 255 159 61 62 104 132 169 137 144 222 65 201 114 8 173 232 61 197 57 55 27 109 58 178 25 56 91 68 134 4 60 198 239 108 51 184 213 54 185 165 34 242 221 120 31 72 198 232 47 39 113 5 97 56 150 153 205 243 49 96 149 136 60 147 142 32 166 136 212 216 143 116 133 25 137 127 32 65 68 61 92 149 18 145 21 104 223 223 43 208 134 12 175 152 180 89 211 133 115 58 9 248 166 237 182 15 39 89 179 126 200 84 156 209 221 197 22 187 15 13 104 126 96 36 250 161 193 215 245 1 15 23 106 104 81 21 231 61 71 141 160 183 216 189 15 71 107 154 174 233 128 136 108 48 137 117 26 157 233 91 37 113 62 243 123 243 82 254 147 17 110 6 240 69 17 121 140 206 145 46 239 218 84 130 74 152 34 123 28 73 226 2 218 128 95 154 152 253 42 112 181 136 12 232 194 162 172 20 145 51 108 119 250 150 137 248 251 129 185 201 72 23 59 175 39 128 63 218 143 125 25 240 53 17 185 94 68 102 4 105 96 23 118 78 131 68 228 3 104 93 254 249 182 91 109 77 246 183 182 157 113 92 55 171 89 187 204 3 244 249 176 235 153 98 6 239 78 130 167 52 45 50 123 101 156 136 12 183 227 156 17 177 80 95 178 191 159 51 109 224 128 245 132 152 13 220 148 38 141 227 120 219 0 247 160 229 225 47 26 241 39 135 185 210 63 24 241 153 59 129 66 231 220 191 57 231 174 176 117 81 97 54 214 102 219 200 42 82 145 48 69 230 137 72 214 253 187 14 248 111 180 51 202 183 129 153 22 44 91 234 156 219 30 240 70 140 53 187 99 6 90 43 159 103 210 235 62 96 81 42 174 88 83 43 231 138 200 38 51 22 79 71 91 163 30 1 22 138 200 70 91 48 59 77 2 52 154 113 88 96 59 105 173 197 1 102 1 23 218 15 83 103 139 164 63 218 149 63 25 194 108 236 102 149 12 147 136 79 2 223 19 145 15 155 209 61 14 13 36 255 32 168 106 228 156 91 111 189 201 46 1 230 139 200 46 59 78 177 45 58 128 95 163 177 157 115 129 69 34 178 219 190 103 12 218 94 246 151 41 156 127 181 253 86 208 217 7 47 228 1 219 10 108 21 145 29 192 57 230 24 168 226 189 1 226 243 129 55 108 29 180 219 111 250 22 240 91 231 92 171 61 127 146 136 188 106 231 251 133 160 129 203 89 104 179 234 207 59 231 30 78 146 249 21 192 207 205 245 184 105 56 195 75 6 48 96 115 9 37 59 75 40 217 91 66 73 67 33 133 77 249 228 183 59 156 180 209 86 212 66 75 89 19 77 85 45 180 212 52 210 56 186 133 150 225 121 228 181 20 81 180 165 154 234 229 147 152 180 104 24 195 14 228 145 215 229 105 89 71 57 90 184 131 29 3 55 177 105 230 33 14 77 104 165 181 182 157 246 242 60 242 142 22 82 88 151 79 254 225 60 242 154 4 105 119 184 252 54 218 42 91 105 29 220 74 235 8 160 189 148 210 183 106 169 125 113 29 235 254 85 144 150 9 76 248 209 28 230 4 14 156 181 211 46 143 241 216 205 135 56 116 234 165 92 250 185 42 170 154 186 139 49 47 243 242 132 249 204 255 76 27 109 85 14 87 144 79 254 193 17 140 120 242 6 110 120 34 244 158 159 242 211 175 55 209 52 242 99 124 236 27 67 25 122 84 87 255 175 63 117 144 131 51 46 226 162 239 207 100 230 174 189 236 45 189 155 187 191 222 76 243 40 65 90 42 169 92 126 132 35 199 20 82 184 239 75 124 233 123 26 52 57 82 112 23 119 221 124 136 67 147 219 104 171 202 35 175 165 152 226 157 51 153 249 192 185 156 187 250 14 238 184 189 141 182 170 175 243 245 132 77 83 238 224 142 127 109 163 237 157 49 33 130 180 230 147 127 116 26 211 30 186 144 11 151 133 158 127 154 167 143 93 198 178 235 91 104 25 86 64 193 129 106 170 23 239 103 255 73 131 24 244 210 205 220 252 192 239 249 253 13 245 212 207 106 167 189 18 144 2 10 14 28 207 241 127 60 159 243 87 1 204 101 238 216 55 120 227 134 38 154 70 9 226 102 50 243 219 65 9 115 10 58 243 227 38 231 220 19 41 120 143 126 108 108 254 241 181 92 251 145 254 244 159 220 78 123 72 245 113 22 41 119 186 221 186 240 246 169 174 128 130 230 2 10 26 139 40 58 82 66 201 193 124 242 91 5 73 251 88 57 135 147 118 218 11 90 104 41 111 161 165 172 157 246 146 118 218 11 59 232 40 232 160 163 0 200 115 56 4 233 200 35 175 173 128 130 166 34 138 14 151 81 182 31 96 27 219 230 20 80 112 180 31 253 182 244 163 223 238 36 190 151 67 28 26 210 64 195 216 33 12 89 82 68 81 19 30 185 138 192 110 229 2 83 133 82 105 192 38 97 158 146 87 239 231 254 59 77 215 28 111 174 212 26 83 247 10 76 44 118 152 106 84 15 236 48 119 241 230 238 206 122 182 238 149 67 205 86 170 54 177 159 111 6 236 110 96 131 115 238 176 189 247 92 224 65 211 231 159 119 206 253 32 201 239 58 13 109 203 250 13 231 220 75 126 93 230 46 146 33 140 164 72 152 66 211 237 171 129 126 182 240 151 217 35 124 209 20 0 237 185 50 148 212 26 115 111 12 104 252 206 2 86 161 213 168 169 140 224 219 73 103 183 127 79 152 94 64 152 34 219 249 83 113 1 22 155 193 149 135 150 238 74 52 82 244 240 186 153 217 38 93 218 128 241 41 228 133 29 53 137 122 140 95 146 185 141 100 220 202 173 164 214 101 190 212 164 11 192 4 162 52 173 235 5 56 1 205 129 218 132 230 209 85 37 249 249 38 243 40 142 74 99 32 213 35 139 132 9 217 23 169 18 166 194 8 55 141 30 62 227 48 138 253 209 207 212 176 215 81 55 234 0 146 31 245 209 136 198 14 70 208 183 218 82 245 90 194 228 17 167 40 42 1 202 76 45 219 138 250 185 139 123 217 61 60 214 108 187 77 102 195 20 166 64 152 22 224 77 35 203 16 191 44 123 15 97 82 153 99 82 106 70 255 2 52 253 163 172 151 221 195 51 128 53 102 131 29 50 245 42 169 204 99 179 233 54 217 134 52 220 47 203 190 77 152 50 35 205 235 166 142 141 237 101 247 240 108 58 91 73 29 66 155 132 212 166 112 156 125 168 59 125 172 95 150 189 131 48 46 69 194 132 12 254 133 168 39 232 148 94 100 191 148 160 73 123 175 133 17 102 55 48 34 133 209 116 245 166 182 78 179 24 144 71 79 36 140 213 144 20 166 66 22 43 234 26 106 187 238 58 52 3 118 78 47 186 127 171 74 110 102 0 0 32 0 73 68 65 84 147 108 67 8 73 152 195 166 90 165 162 122 30 6 86 2 199 161 249 104 30 61 84 194 228 161 94 174 22 130 205 59 9 71 129 169 39 7 208 198 219 111 16 112 164 117 15 193 153 38 25 182 132 25 239 161 46 48 253 146 180 99 218 208 224 231 40 52 3 194 163 135 18 166 192 22 192 65 146 171 135 193 36 211 48 52 237 189 5 152 107 18 103 92 47 185 127 167 3 203 67 65 74 51 222 119 162 222 174 126 41 28 111 149 57 13 166 247 228 126 109 125 157 48 133 104 122 253 190 46 16 166 206 82 234 151 161 81 237 179 123 129 253 82 138 198 149 22 68 188 20 74 243 175 76 225 176 27 209 218 249 179 233 125 238 247 62 67 152 98 211 171 55 166 48 253 182 16 141 43 236 182 29 184 222 244 244 11 123 193 189 27 99 234 230 188 40 198 123 126 42 18 198 38 41 207 55 199 72 185 95 158 61 147 48 35 209 116 143 84 26 52 20 162 145 239 240 18 226 231 128 57 189 192 142 153 97 234 234 202 136 231 67 157 117 6 152 195 36 89 188 102 70 255 120 191 60 123 38 97 78 51 85 44 149 57 47 149 182 211 110 11 123 238 89 52 18 62 165 135 223 187 153 104 153 239 254 136 231 15 163 21 152 131 72 126 134 40 192 18 83 127 207 246 203 179 135 17 198 118 200 139 209 28 169 164 154 68 216 103 199 160 57 100 225 173 101 151 27 1 207 233 193 246 75 161 17 254 45 222 155 193 125 212 72 51 144 20 18 77 157 115 251 204 214 59 39 69 9 21 228 252 11 68 228 81 17 185 39 226 249 15 137 200 99 34 242 233 136 231 127 35 34 143 7 209 10 68 228 239 214 251 184 34 192 123 231 136 200 117 61 41 238 148 104 7 172 66 227 38 11 82 232 225 37 102 20 215 135 19 198 142 179 188 135 239 160 131 108 51 88 28 133 48 77 70 154 154 88 132 177 102 130 241 146 80 95 70 51 160 51 98 199 152 11 123 160 145 50 220 133 125 19 90 155 127 93 132 115 227 66 96 80 64 27 246 24 180 174 167 48 192 123 111 67 91 195 14 238 45 132 57 201 84 170 167 163 252 232 121 1 9 179 143 206 86 60 33 188 132 198 99 10 123 40 97 198 160 238 241 165 188 55 131 59 212 90 180 50 218 253 181 251 54 7 24 30 71 130 188 102 247 125 114 6 175 97 13 234 193 188 60 194 94 61 104 231 22 202 84 56 211 156 27 27 236 252 251 137 200 73 34 114 185 136 156 17 69 146 92 11 92 101 182 92 232 154 135 136 200 5 246 254 26 123 174 218 238 79 27 154 25 49 70 68 134 246 116 194 92 101 139 125 94 148 215 138 68 100 86 156 120 129 160 245 47 219 163 52 255 155 107 187 202 168 30 76 152 2 96 75 100 49 156 93 107 19 26 236 205 139 32 203 0 180 75 205 28 226 151 57 172 181 133 123 122 6 175 225 62 52 54 118 174 157 219 88 52 222 214 110 127 79 180 247 93 99 210 226 239 214 233 114 149 73 192 191 2 47 0 139 69 228 83 97 199 253 35 240 64 232 190 136 200 111 208 76 236 39 204 225 179 68 68 126 13 252 23 218 116 188 6 109 176 178 200 254 246 76 194 216 238 127 1 218 202 40 90 83 7 135 166 128 92 35 34 147 98 16 102 100 132 193 31 194 34 123 125 70 15 37 204 104 51 246 99 77 14 59 106 18 38 63 92 13 51 239 87 127 91 64 219 99 149 99 91 175 128 141 230 112 201 20 94 176 223 38 148 236 121 165 145 252 251 246 219 126 56 76 197 218 129 246 28 104 71 61 158 119 162 189 135 255 203 174 241 235 97 42 102 75 72 77 21 145 203 129 143 218 166 123 43 240 67 187 174 241 192 189 104 26 209 33 224 47 104 67 198 223 231 250 15 31 47 65 112 178 73 128 159 196 120 189 197 22 254 69 192 37 34 114 34 240 180 115 110 111 24 97 6 19 125 236 248 30 83 213 166 216 78 213 147 12 254 34 187 47 91 136 221 167 173 193 84 170 72 233 91 143 54 152 59 228 156 75 148 102 180 12 56 47 83 215 225 156 107 22 145 205 104 178 231 24 179 41 183 162 61 196 62 133 102 27 148 154 180 217 234 156 107 176 235 58 209 198 70 92 102 215 215 129 134 14 198 241 222 1 90 163 209 32 238 14 224 94 107 222 135 136 84 91 167 202 77 104 156 238 7 137 102 14 245 4 149 236 98 219 105 30 143 113 195 67 29 27 31 64 19 43 139 35 8 88 100 70 235 129 40 159 237 176 221 101 66 15 148 46 21 182 136 54 17 123 26 219 62 147 36 133 17 170 90 189 115 174 46 0 89 48 251 104 132 136 84 102 240 90 150 218 166 118 181 109 2 219 173 249 199 86 180 250 243 108 179 115 214 218 66 175 18 145 103 81 215 247 207 76 122 244 179 235 140 230 65 187 219 62 123 1 218 183 120 158 136 252 59 193 102 12 245 56 194 92 4 108 178 225 50 177 118 41 231 156 171 119 206 61 102 34 118 95 216 203 53 116 206 11 137 134 237 116 127 183 199 116 160 220 22 217 246 56 63 252 54 243 66 149 69 217 100 130 98 165 109 64 153 172 143 185 27 117 129 95 101 155 192 91 246 252 18 251 109 190 99 107 228 47 246 252 143 205 230 89 136 134 5 166 19 103 82 129 101 118 204 6 126 97 27 204 16 180 227 230 93 189 138 48 230 193 152 110 122 110 96 17 31 209 41 101 176 121 64 234 99 124 164 158 158 57 223 178 212 54 131 221 113 58 221 132 58 217 143 237 66 44 101 141 109 56 147 50 120 45 139 77 154 140 54 155 235 126 123 254 207 166 106 29 99 228 127 62 116 61 33 123 196 57 247 170 205 1 42 141 163 190 158 140 182 214 186 213 57 119 22 90 59 180 158 206 160 245 33 211 68 42 122 202 143 31 203 134 153 142 214 121 60 219 133 99 15 55 59 39 86 23 200 70 122 102 130 97 168 49 251 161 4 94 174 61 102 180 191 64 106 189 16 118 219 61 154 152 65 59 198 89 199 251 247 155 49 62 55 130 72 147 129 21 206 185 144 234 249 178 73 150 123 68 228 109 83 227 78 32 118 173 212 39 129 11 69 100 161 169 239 163 109 93 220 107 175 63 96 234 224 31 68 100 53 208 230 156 251 100 79 84 201 78 180 215 230 117 225 216 147 208 152 196 214 20 212 193 158 112 207 58 226 44 196 58 51 128 207 35 250 12 150 32 139 185 205 212 190 137 25 190 158 87 205 129 177 45 100 91 153 141 185 217 30 225 13 23 127 130 186 135 107 77 101 175 182 207 54 132 189 167 48 204 118 123 210 54 142 147 209 249 147 39 155 58 247 13 123 253 9 243 190 13 68 3 166 57 223 151 45 106 111 101 17 185 215 116 213 17 73 12 80 138 60 198 61 192 108 231 220 228 24 175 255 239 245 92 255 129 73 76 242 109 133 122 24 142 114 148 70 26 169 161 134 188 0 251 94 51 205 28 226 16 149 84 82 28 69 169 104 165 149 70 26 169 164 242 167 223 117 223 253 98 143 34 140 233 220 11 128 253 206 185 247 165 124 96 145 117 104 12 231 218 24 175 63 101 90 193 69 61 105 177 136 200 120 180 49 251 111 157 115 63 139 243 190 233 38 161 111 118 206 61 144 226 119 253 55 112 149 115 110 164 167 105 238 170 100 213 102 140 47 235 194 162 26 97 250 234 43 113 222 54 145 248 99 222 114 21 135 209 44 229 225 9 242 193 86 163 238 246 107 187 240 93 235 129 234 32 137 140 30 217 35 204 72 243 90 172 236 194 113 207 179 99 63 31 131 80 131 205 248 91 218 3 239 89 131 17 125 114 60 239 142 121 12 159 4 206 10 229 79 165 128 77 102 15 212 250 165 154 187 132 169 69 99 13 235 186 112 220 15 152 177 191 54 198 235 103 155 209 60 183 167 221 48 155 204 181 210 36 100 162 238 46 127 53 137 157 106 138 203 22 212 147 57 194 47 213 220 37 204 32 251 145 182 166 114 64 235 53 124 26 240 68 156 56 197 117 97 42 75 79 196 34 52 40 57 57 65 156 101 41 234 105 186 58 197 239 217 134 166 159 248 110 152 57 76 152 1 168 255 255 80 138 199 60 25 117 19 62 16 131 80 147 208 140 221 123 83 232 17 144 43 88 97 210 243 50 226 100 29 219 245 61 1 156 43 34 169 212 182 28 64 179 9 124 219 165 28 38 76 141 233 233 237 41 30 243 114 219 25 23 196 120 253 19 104 210 226 253 61 245 166 57 231 246 3 15 163 99 8 19 197 73 30 52 9 49 43 133 239 105 71 227 24 222 134 201 97 194 244 67 107 49 146 142 78 219 46 122 6 154 181 124 36 202 235 147 129 235 233 156 116 155 17 136 72 158 136 212 100 216 187 244 168 109 44 183 36 120 223 66 91 244 87 165 248 61 219 61 97 114 155 48 101 168 235 52 149 62 202 147 80 47 91 172 73 203 31 71 243 203 254 152 225 235 42 180 221 255 27 34 50 53 67 82 102 27 90 23 114 141 77 153 142 245 190 195 104 138 209 185 150 163 151 44 118 225 71 96 228 52 97 138 209 180 245 84 242 159 102 153 206 189 56 202 174 63 213 140 223 59 233 108 173 154 49 173 201 212 160 175 2 215 138 72 166 70 108 220 143 22 84 125 35 65 167 202 251 232 204 187 74 22 187 241 67 150 114 154 48 249 102 99 164 66 152 233 104 150 237 161 8 178 8 26 192 115 192 125 150 171 148 73 27 163 5 45 212 122 22 245 248 229 103 232 123 246 160 249 85 151 0 241 178 34 230 155 1 127 126 10 95 179 23 40 245 173 99 115 151 48 146 10 97 172 185 195 4 162 55 134 24 131 102 196 62 212 13 210 37 132 149 192 119 77 10 52 102 240 123 254 106 18 245 27 230 82 143 134 195 104 166 239 156 56 239 137 71 152 34 226 164 209 123 100 151 48 5 70 150 100 37 204 64 179 95 22 133 19 198 136 116 17 90 111 241 80 119 185 146 157 115 173 206 185 55 157 115 203 50 57 161 217 108 148 31 155 186 117 73 140 183 133 162 254 19 72 62 35 119 159 217 100 62 61 38 135 9 83 74 242 105 233 161 84 145 85 17 42 215 80 212 213 252 2 157 21 125 189 13 79 161 89 11 159 17 145 65 81 72 213 97 82 72 72 222 189 92 111 132 41 243 203 53 119 9 147 202 164 227 169 166 122 236 9 147 46 249 104 26 204 24 224 65 107 182 221 235 96 117 240 191 65 251 176 93 16 227 109 123 208 128 231 44 155 92 22 20 251 61 97 114 223 232 79 214 126 41 64 203 78 55 70 24 252 85 192 199 204 174 89 216 203 239 229 43 118 141 215 71 147 50 104 108 235 21 116 18 194 208 36 9 83 144 110 27 70 68 254 89 68 110 137 242 252 197 34 242 93 203 56 71 68 62 33 34 191 21 145 137 158 46 209 9 147 71 242 81 254 106 35 204 10 147 50 33 207 216 217 104 239 177 191 132 90 236 244 98 52 0 247 160 117 235 179 163 72 161 80 91 170 100 7 74 29 177 77 172 36 141 100 201 3 62 107 143 72 220 130 182 112 157 110 255 190 214 158 59 214 211 229 189 157 25 197 126 156 100 9 51 204 12 254 85 97 45 132 74 128 127 66 59 37 190 208 219 111 164 165 177 204 67 227 50 231 199 136 253 188 141 14 92 154 145 228 208 216 60 210 223 255 160 157 247 122 51 137 162 93 252 200 136 53 63 6 249 202 227 16 179 40 83 13 213 115 69 194 228 167 72 152 81 102 247 108 10 123 238 28 180 55 192 189 214 145 190 47 96 39 218 14 245 28 162 71 231 119 160 133 121 167 19 124 66 89 137 253 78 217 234 67 125 21 240 5 172 148 193 186 254 175 20 145 187 68 100 57 176 210 250 141 29 19 70 148 255 207 26 95 172 5 214 138 200 92 17 249 120 111 248 129 11 162 16 38 212 32 58 144 29 99 45 101 167 161 241 130 173 161 157 5 248 18 154 194 255 104 95 17 215 206 185 70 17 153 135 118 193 31 107 54 93 248 235 71 108 33 221 138 186 225 247 7 56 108 49 169 185 249 3 169 210 34 242 159 17 207 69 182 117 26 136 86 207 134 28 65 149 104 194 233 64 211 30 196 84 208 251 69 228 120 52 56 251 61 212 187 247 166 217 94 19 129 43 208 44 143 94 69 152 80 84 60 153 184 69 5 154 210 191 146 78 15 217 28 180 235 251 151 45 26 222 151 176 202 212 174 153 34 242 114 148 24 208 66 147 26 83 69 100 125 128 172 135 60 52 175 175 53 3 231 58 17 77 31 74 22 245 192 197 206 185 197 182 57 62 111 164 57 31 141 69 245 7 238 118 206 125 209 54 208 234 222 98 3 229 69 33 76 1 218 79 44 232 142 86 99 18 102 169 85 35 2 124 26 205 129 122 176 15 218 133 219 208 120 211 201 68 247 108 173 50 201 115 17 201 165 236 100 66 194 44 3 62 24 241 120 57 192 231 90 177 226 63 179 89 87 155 36 156 141 246 28 107 0 110 16 145 87 69 228 110 96 140 115 238 213 222 72 152 80 79 169 64 169 36 102 208 141 67 75 154 151 218 115 35 209 88 196 195 49 186 254 247 118 181 236 136 145 98 122 52 194 152 183 240 117 219 141 147 137 222 103 194 120 110 118 206 253 35 252 193 187 219 253 6 69 168 148 35 223 57 183 16 45 225 88 131 38 192 94 3 60 37 34 223 234 173 132 41 64 51 142 131 236 104 5 102 192 238 161 179 105 198 133 168 155 249 255 232 187 88 105 70 127 172 116 254 103 208 86 186 51 3 122 179 132 220 110 124 56 195 164 206 60 17 25 224 156 123 220 57 119 186 105 30 31 183 107 184 188 55 171 100 201 16 230 92 96 89 152 39 236 82 180 61 208 242 62 76 152 208 236 203 73 49 220 170 11 80 143 217 135 2 170 63 185 70 152 82 224 118 17 185 86 68 30 51 251 100 41 154 33 254 83 243 154 125 22 77 151 26 110 239 223 212 155 9 211 28 144 48 253 109 23 121 205 212 177 129 182 107 62 149 201 132 199 30 128 13 168 215 240 164 104 170 148 149 56 63 15 92 22 160 214 191 217 142 81 144 230 115 44 137 97 99 69 115 4 69 174 147 98 52 152 249 103 83 191 119 0 159 177 88 212 86 212 67 248 43 91 23 63 50 13 228 43 189 225 135 125 87 231 75 75 127 120 4 117 255 253 56 209 162 23 145 171 128 223 1 103 56 231 86 138 200 89 195 24 246 248 141 220 184 181 140 178 3 125 152 48 236 99 223 36 135 203 27 196 160 53 209 54 159 38 154 250 213 81 55 185 63 253 215 148 82 218 16 91 31 107 47 220 197 174 227 107 168 89 87 70 217 254 116 157 223 90 214 246 43 162 168 125 12 99 222 85 74 190 155 221 37 13 52 20 13 103 248 209 114 202 219 66 255 30 197 168 35 37 148 180 255 150 223 78 109 160 161 248 74 174 92 183 149 173 21 3 25 216 52 137 73 7 139 40 122 199 219 183 159 253 69 111 243 118 191 58 234 74 134 48 228 232 52 166 29 40 162 232 159 111 115 183 61 219 211 127 215 104 113 152 124 130 187 48 63 104 187 233 122 251 247 204 58 234 100 7 59 190 62 129 9 123 250 50 97 94 225 149 155 246 179 255 67 151 115 249 55 251 211 191 49 10 97 74 158 225 153 59 139 41 222 116 29 215 221 30 235 56 59 217 89 253 20 79 253 117 56 195 239 187 136 139 158 76 215 249 77 138 49 69 99 136 253 23 235 223 245 212 255 186 141 182 97 21 84 252 211 217 156 29 213 57 84 67 13 39 190 51 34 243 29 172 235 21 63 172 115 238 157 135 233 162 27 208 148 150 252 240 215 34 31 38 206 183 2 119 132 61 247 63 118 99 202 226 125 182 47 60 208 238 159 77 192 9 113 222 243 125 180 102 191 127 156 247 12 48 207 213 103 115 228 186 94 179 223 189 162 47 254 174 121 93 144 48 51 209 110 38 143 154 122 150 143 70 132 215 144 90 3 141 222 134 165 104 134 242 217 113 222 243 39 52 163 59 222 123 58 232 28 50 155 11 184 0 152 110 133 115 125 14 121 81 254 157 103 132 73 100 244 95 110 59 95 40 109 191 18 77 151 88 71 234 61 205 122 13 204 107 184 134 248 131 93 87 163 133 101 215 38 32 204 97 18 183 165 237 174 235 58 220 7 50 207 3 19 70 236 17 100 193 191 31 152 235 156 59 104 255 30 104 187 229 70 47 97 222 193 75 232 212 225 194 24 139 175 3 237 16 122 90 140 26 154 16 97 14 160 45 124 61 114 80 194 72 34 233 34 34 227 208 36 189 191 135 61 221 223 8 179 197 19 230 29 60 105 27 201 168 56 239 121 20 109 158 120 82 76 71 89 231 84 102 143 28 149 48 137 22 252 133 70 170 231 222 229 28 81 223 254 206 36 167 5 247 102 44 70 51 146 231 196 121 79 104 52 222 121 113 36 204 118 160 38 131 253 213 60 186 32 97 66 217 202 241 22 253 37 104 116 127 123 216 115 3 204 246 57 232 111 235 59 42 215 17 52 77 230 172 4 54 202 124 180 214 63 154 234 214 134 186 237 7 162 233 52 30 57 68 152 144 151 172 37 142 58 86 131 182 20 122 36 226 165 65 70 150 38 127 91 223 133 69 9 36 140 179 247 140 136 97 167 180 155 243 96 32 190 139 127 206 17 38 84 15 211 28 71 173 58 214 212 175 103 34 158 31 130 214 73 120 194 188 27 75 128 49 113 26 248 57 180 50 177 138 40 115 96 236 119 216 98 170 242 88 127 59 115 143 48 5 9 22 253 41 38 73 86 134 73 157 66 35 204 54 79 152 247 96 57 26 228 29 23 67 109 115 104 193 89 17 177 91 41 213 219 189 157 226 91 198 230 22 97 138 3 16 102 54 218 29 38 60 7 169 159 237 142 27 61 97 222 131 183 77 138 76 142 243 158 82 179 85 154 226 16 102 33 218 162 169 202 223 210 220 33 76 165 25 161 141 49 236 151 82 96 60 90 171 29 142 254 166 131 111 64 179 107 61 58 37 72 131 45 248 201 49 238 169 160 237 99 27 208 38 26 209 112 212 84 187 113 248 209 23 57 69 152 161 104 84 249 104 140 247 15 54 227 115 41 239 246 162 13 64 139 165 182 101 186 51 127 15 197 102 98 79 42 203 67 251 31 108 65 203 186 99 169 109 59 77 3 240 61 150 115 129 48 34 82 140 6 35 215 162 145 229 104 24 102 82 104 109 132 83 96 176 29 107 175 191 165 81 177 149 216 193 203 10 212 237 252 114 130 70 237 173 38 253 189 13 147 35 18 166 6 237 94 57 143 216 237 127 6 153 100 169 11 35 90 30 154 116 121 144 212 234 193 251 2 182 19 59 181 229 124 147 206 15 39 56 70 168 95 92 155 191 157 185 65 152 106 147 20 171 194 186 191 68 162 198 212 181 240 108 230 18 211 193 183 132 19 201 227 61 132 41 51 27 48 220 126 169 2 62 135 230 156 37 42 233 46 178 205 170 213 223 206 236 161 32 202 14 22 175 195 126 69 152 106 16 66 153 17 102 163 25 174 30 239 197 110 91 240 213 17 14 149 171 209 32 240 53 1 74 186 29 157 141 22 61 114 64 194 132 188 57 241 106 204 11 121 111 23 198 50 212 67 182 57 172 175 178 199 187 17 154 241 210 47 76 186 148 163 133 122 47 155 132 73 132 3 182 193 245 243 183 51 55 8 83 135 118 246 24 25 39 56 214 142 122 106 36 130 48 253 233 190 81 124 61 17 13 182 216 195 55 163 233 168 171 249 142 128 83 217 118 154 58 60 170 183 53 248 238 145 132 177 161 64 59 80 247 103 172 89 36 251 81 47 89 248 15 63 192 142 179 213 223 206 152 56 194 123 103 188 156 107 170 218 220 128 199 216 134 186 167 103 144 254 78 254 30 41 72 152 144 29 51 144 216 19 200 214 162 129 201 153 98 64 221 165 135 136 29 116 243 208 123 22 217 129 255 116 96 145 115 46 144 17 111 133 122 107 209 182 86 62 205 63 219 132 177 49 114 67 109 241 199 170 184 92 131 54 161 187 193 118 185 60 35 204 1 122 88 12 166 155 213 154 54 83 99 243 237 187 43 204 81 242 122 146 199 121 27 77 65 242 132 201 1 9 51 200 116 234 117 196 136 244 91 154 199 239 209 185 47 167 153 241 95 139 198 96 14 118 227 98 207 19 145 254 93 248 124 89 2 231 70 186 209 30 78 24 35 75 127 172 1 98 18 88 143 186 246 125 180 63 7 8 51 10 13 64 174 76 160 38 60 141 78 20 251 178 45 186 254 192 225 110 238 116 89 8 28 47 34 195 82 32 75 49 154 113 221 157 115 239 93 196 253 62 213 236 154 213 73 30 103 131 29 107 184 55 252 179 72 24 243 138 77 71 99 4 107 18 232 210 71 129 59 208 54 75 23 161 129 203 238 174 178 236 48 149 240 82 83 111 146 193 44 123 28 233 198 243 45 176 133 222 110 163 250 206 70 221 201 201 222 183 237 166 250 78 34 51 221 252 61 2 74 152 114 52 1 112 37 17 83 179 98 144 102 49 26 59 248 188 57 8 186 53 96 105 18 112 185 169 144 103 7 221 109 173 51 203 45 232 44 155 163 221 120 202 37 116 246 23 155 104 11 254 33 146 140 218 91 201 243 22 180 144 204 7 48 179 72 152 106 83 83 22 152 157 18 4 15 161 67 131 134 16 59 187 57 147 216 129 54 153 184 154 40 149 138 49 240 9 83 33 95 233 230 115 45 54 194 180 161 205 46 118 2 243 83 204 236 94 135 38 193 122 9 147 13 194 132 213 99 244 67 61 96 65 177 192 22 194 104 50 51 29 43 209 110 219 142 118 192 47 1 174 50 219 36 158 116 57 201 164 203 111 44 230 212 157 40 51 195 191 220 54 153 151 232 28 111 152 140 253 37 70 152 33 94 194 100 79 194 228 163 83 127 119 218 142 29 20 187 108 17 244 239 102 3 58 156 52 219 129 127 152 148 153 20 103 161 149 0 223 68 189 76 207 100 225 84 251 161 141 69 66 221 65 151 134 167 17 137 72 165 53 23 9 162 218 237 50 7 141 79 243 207 34 97 206 2 222 74 102 196 158 217 17 117 38 101 178 153 223 244 20 154 129 240 169 56 82 230 82 52 178 254 159 65 3 133 105 70 141 217 43 249 166 74 237 15 35 75 190 217 36 183 136 72 162 54 74 206 212 186 193 104 254 158 71 22 8 83 141 70 143 23 166 240 249 77 246 55 107 141 178 157 115 117 232 212 128 75 137 210 12 207 22 225 151 128 87 209 9 89 100 145 48 45 168 75 60 156 180 39 163 99 202 111 1 174 52 47 90 172 107 109 50 137 190 195 108 78 143 44 16 102 150 73 137 215 83 248 252 219 33 29 61 178 214 163 155 241 28 90 248 246 77 17 25 26 241 218 37 192 84 224 231 89 146 46 216 34 111 53 231 72 113 24 153 203 209 177 223 251 208 62 9 31 2 198 36 56 86 5 218 132 228 108 191 124 179 67 152 75 209 196 201 84 102 82 134 98 54 229 182 139 102 75 202 52 3 63 65 93 182 31 15 91 144 253 209 52 158 249 4 79 114 204 4 6 163 49 174 35 188 187 217 251 241 104 23 158 159 219 163 12 205 160 136 102 135 229 91 117 235 42 147 84 167 250 229 155 29 194 156 3 188 96 115 23 147 197 218 176 93 175 38 203 215 178 16 184 11 248 140 136 92 40 34 227 109 51 152 105 207 31 205 50 97 246 27 89 90 232 12 154 158 2 236 112 206 29 66 187 95 46 7 206 17 145 104 42 238 16 96 164 57 102 202 2 72 34 143 12 17 102 16 169 215 178 108 13 35 76 86 187 203 91 83 142 95 155 202 243 93 224 95 128 91 209 232 248 188 44 119 179 25 140 166 242 151 163 153 203 13 97 170 218 17 59 255 70 179 179 102 19 189 195 229 84 96 182 5 47 43 208 52 25 143 44 16 230 81 224 92 17 25 25 239 141 34 82 20 197 11 213 156 67 18 6 231 220 38 52 215 109 134 109 4 211 80 55 242 174 44 159 218 16 35 76 63 35 72 40 37 166 133 119 123 24 231 153 173 115 161 136 68 150 88 236 7 118 218 239 52 26 248 169 95 190 217 33 204 29 182 211 93 111 122 114 97 52 178 152 206 124 126 196 152 236 112 3 123 64 142 92 211 131 168 235 117 173 169 97 175 103 33 80 25 141 48 59 209 56 74 35 157 29 46 15 70 108 52 27 209 160 230 85 132 101 83 139 72 181 169 115 11 128 27 209 164 205 7 252 242 205 14 97 150 163 41 251 87 162 109 150 106 163 72 146 49 104 118 242 87 120 119 67 186 233 104 227 191 253 104 64 46 23 176 208 174 235 66 52 78 180 49 155 39 99 201 161 101 166 26 134 146 70 67 155 146 139 144 144 109 104 218 206 36 44 24 108 134 254 177 104 73 197 20 52 231 239 23 196 238 29 231 145 73 194 152 238 255 55 91 248 23 26 9 170 195 126 240 60 180 179 201 48 251 225 79 176 231 48 213 96 11 234 22 205 21 194 52 152 10 54 197 244 252 221 89 62 159 97 70 140 29 166 130 13 10 147 204 163 66 231 39 34 133 230 168 24 202 187 43 51 139 140 36 109 192 245 168 251 121 174 31 90 149 61 9 3 154 215 244 148 237 98 211 128 65 97 25 192 121 102 132 174 54 79 206 248 176 31 52 207 84 141 189 192 128 88 179 28 187 25 29 38 85 196 156 18 245 89 62 159 81 118 78 59 141 56 53 116 14 70 58 9 237 153 28 50 234 175 65 75 38 142 208 217 176 175 20 157 47 211 10 76 0 30 202 1 21 179 111 19 198 2 122 47 155 29 82 105 164 9 95 252 142 206 20 245 114 58 243 152 118 218 15 187 203 36 76 89 142 16 38 148 216 184 55 78 83 194 238 194 104 52 238 178 221 22 255 1 96 151 136 28 99 210 252 81 17 153 12 124 6 117 131 143 179 243 15 17 166 26 117 39 79 64 123 90 191 229 151 109 246 37 12 104 16 114 143 253 184 103 210 217 8 163 195 212 134 65 70 136 208 28 204 144 145 90 102 234 198 0 186 183 236 55 22 28 157 113 142 92 104 44 56 198 84 177 3 182 233 148 162 217 225 95 166 179 70 255 106 123 254 109 180 216 236 40 157 205 18 71 163 158 180 209 192 223 115 96 3 232 211 40 8 51 56 247 139 200 50 180 70 127 188 169 14 135 157 115 29 34 178 203 254 45 38 121 66 18 102 189 17 101 159 253 205 181 90 243 163 57 112 14 99 129 125 118 31 119 160 243 93 190 99 54 214 155 70 156 22 219 176 138 76 178 44 162 51 223 108 138 17 102 3 97 67 172 60 178 47 97 176 31 112 56 234 250 156 18 246 252 65 35 201 65 222 221 134 73 236 199 44 177 191 185 64 24 9 83 39 91 115 132 48 155 236 255 23 163 41 60 131 76 146 239 71 93 197 245 230 112 41 71 19 73 127 79 167 235 249 20 123 223 95 172 6 200 35 135 8 179 220 22 253 33 52 139 54 124 167 110 54 155 101 132 25 248 3 108 183 172 71 3 133 66 22 179 150 35 8 83 17 166 78 230 130 74 182 209 164 248 30 52 176 90 111 247 179 210 136 177 27 141 31 125 31 248 149 217 42 133 34 50 221 28 49 191 115 206 173 240 203 53 135 84 50 195 30 180 187 226 88 96 172 136 252 151 121 100 234 204 176 15 169 101 23 3 247 161 158 179 55 209 116 142 86 114 99 156 156 208 233 226 206 106 85 162 121 13 7 132 8 99 131 97 175 49 123 230 37 179 177 196 238 239 115 102 11 14 165 179 238 127 50 240 56 112 167 95 170 57 72 24 231 156 19 145 135 209 250 145 19 208 250 140 251 80 183 241 3 104 4 218 1 31 69 179 102 87 216 143 62 192 164 82 46 68 251 243 232 140 115 100 219 205 61 208 206 33 164 146 141 71 11 217 158 66 83 118 234 205 102 41 177 123 119 28 234 13 171 49 199 197 10 224 113 231 156 31 84 149 163 18 6 52 1 48 164 90 125 29 168 115 206 61 41 34 127 69 93 156 55 153 99 224 155 182 75 78 71 163 235 67 209 44 129 130 110 238 81 22 77 194 132 170 17 75 178 124 127 71 219 249 108 14 187 223 251 236 185 83 141 76 45 118 158 85 246 124 189 25 247 203 157 115 190 193 123 174 19 198 57 119 84 68 254 142 54 191 254 50 240 13 17 105 113 206 61 47 34 119 161 121 103 23 161 174 231 129 182 83 62 11 124 1 141 23 20 147 221 41 89 165 97 132 207 118 92 104 172 145 32 148 89 188 1 248 147 57 72 66 3 146 48 233 188 197 238 249 219 41 150 90 120 100 73 194 132 114 154 230 139 200 237 104 69 224 183 68 164 201 57 247 154 136 252 198 84 140 51 209 90 147 3 104 254 211 245 182 163 150 208 189 77 242 34 17 158 16 90 145 3 132 105 166 51 61 167 222 54 152 18 212 235 24 26 144 212 10 28 202 98 69 168 71 18 250 126 76 56 231 86 1 255 97 6 255 183 68 228 253 70 134 251 128 219 129 223 153 180 25 99 187 227 168 28 80 131 198 219 223 6 160 50 94 141 124 55 157 203 174 16 17 156 162 217 57 215 224 156 171 119 206 237 117 206 237 182 255 247 100 233 169 18 38 2 235 128 31 162 197 88 159 5 222 135 122 211 118 217 163 202 36 205 86 52 71 170 52 203 215 52 201 118 245 181 118 110 37 104 98 105 54 48 17 95 232 213 183 8 99 89 177 171 68 228 135 192 251 109 17 28 131 186 60 5 141 246 175 49 41 83 78 246 99 49 147 76 186 172 64 51 133 75 179 72 152 145 168 71 204 163 15 73 152 16 113 54 3 191 178 201 191 67 81 79 89 45 26 67 88 108 100 105 1 70 136 200 146 44 166 159 31 131 6 88 55 144 197 225 67 214 152 175 10 159 44 217 55 9 19 70 156 6 219 193 215 68 44 144 93 70 158 41 192 19 100 207 83 54 9 29 199 177 23 117 131 103 75 69 28 103 234 160 39 76 95 49 250 147 196 14 91 164 83 201 82 27 83 43 229 29 136 198 49 246 219 14 95 150 69 194 20 145 96 124 136 71 31 37 140 181 10 218 105 18 38 91 125 127 143 49 187 106 53 154 40 90 66 246 92 203 147 208 248 202 30 191 204 60 97 98 97 61 154 218 145 45 87 238 116 83 5 87 163 25 215 121 89 116 66 76 65 227 85 222 93 236 9 19 19 171 77 13 26 154 165 235 153 97 142 135 141 104 134 117 11 97 253 9 186 81 53 44 64 189 134 171 200 194 40 16 143 158 67 152 181 182 179 207 200 210 245 28 135 118 146 60 76 103 55 155 90 235 144 223 157 24 128 198 164 150 120 194 120 194 196 195 26 212 131 54 43 75 215 51 25 88 102 255 31 178 31 70 210 89 240 214 93 24 139 102 28 123 194 120 194 196 197 94 52 250 127 98 22 212 160 65 104 98 232 82 123 234 32 157 195 135 186 59 93 103 130 17 101 131 111 135 228 9 19 19 182 56 86 0 211 179 160 6 77 179 235 9 17 230 8 234 234 206 6 97 198 25 89 15 249 37 230 9 147 8 11 209 154 245 225 221 124 45 83 80 151 242 50 35 111 59 154 16 90 75 55 6 47 173 159 219 40 115 60 52 251 37 230 9 147 8 111 162 181 244 221 173 150 77 50 135 195 246 176 231 182 163 181 39 221 57 82 176 194 236 166 181 158 48 158 48 65 240 150 45 220 238 30 248 51 17 216 30 145 38 191 29 141 131 140 8 235 228 153 105 12 49 233 186 26 117 107 123 120 194 196 181 99 14 160 1 187 238 38 204 88 58 7 60 133 19 102 31 221 155 125 80 139 6 75 55 103 121 38 141 71 15 145 48 0 111 0 83 187 107 238 165 117 103 233 31 133 48 59 81 215 242 180 110 38 76 27 154 136 234 225 9 19 8 243 108 151 157 212 77 215 49 0 245 132 173 143 144 118 135 232 236 228 159 223 13 196 21 179 95 26 240 227 40 60 97 146 192 107 168 199 106 78 55 93 199 48 52 56 185 41 202 107 155 209 52 149 238 144 48 197 104 89 242 22 114 163 175 179 71 15 33 204 122 52 45 229 244 110 186 142 161 182 88 55 71 121 109 3 26 117 239 142 172 229 126 230 124 88 143 143 193 120 194 36 97 248 55 163 105 33 199 119 83 0 115 168 73 180 237 81 94 219 130 70 221 71 118 195 121 84 161 30 178 77 190 169 133 39 76 178 120 201 12 224 17 221 100 104 135 18 46 35 177 3 117 115 143 239 134 243 168 54 210 108 246 75 203 19 38 89 188 96 106 208 236 110 34 204 94 162 55 31 223 131 54 252 30 213 77 6 127 43 154 97 224 225 9 147 20 150 217 66 61 185 155 140 254 88 253 135 247 161 17 247 76 215 232 20 160 195 91 119 197 80 13 61 60 97 226 226 48 90 64 213 29 118 204 64 180 187 164 139 98 79 29 53 226 246 207 240 57 20 163 253 217 54 147 253 185 154 30 61 144 48 29 232 220 204 177 166 50 101 74 21 42 70 99 62 59 226 188 237 16 153 31 39 88 140 214 227 172 245 6 191 39 76 42 112 104 207 229 65 166 170 100 10 53 70 134 237 196 46 214 218 109 11 154 12 159 199 80 252 88 61 79 152 148 216 162 181 49 161 158 92 211 50 120 13 161 97 180 59 226 16 166 174 27 36 204 100 147 170 190 15 153 39 76 202 216 143 78 6 158 156 65 59 102 96 24 97 98 225 40 157 83 201 50 133 57 230 120 216 232 151 149 39 76 170 56 10 204 55 59 38 83 237 142 6 160 205 250 118 197 41 7 110 52 213 48 147 56 25 45 73 62 232 151 149 39 76 170 104 70 167 4 15 201 224 14 63 192 84 177 120 11 181 137 12 22 145 137 72 17 218 41 103 177 95 82 158 48 93 177 99 58 208 132 200 82 180 237 80 38 208 31 173 223 143 87 172 21 26 139 151 41 132 186 196 188 233 151 148 39 76 87 113 192 140 225 76 213 248 215 152 116 137 55 195 190 61 195 215 122 138 73 49 47 97 60 97 186 140 6 179 101 70 103 168 76 184 18 141 179 196 35 76 166 91 29 133 12 126 31 225 247 132 233 50 66 77 202 39 100 72 45 42 13 64 152 76 215 243 159 2 44 203 242 244 104 143 94 68 152 205 104 157 72 38 12 239 34 52 13 39 94 253 124 97 6 13 254 50 187 182 249 126 57 121 194 164 3 205 104 246 238 104 50 227 90 206 55 251 33 158 218 85 156 64 2 117 5 227 80 183 246 34 191 156 60 97 186 12 139 141 236 68 221 191 153 168 122 20 52 165 222 37 80 219 154 50 116 137 199 219 119 47 245 203 201 19 38 93 216 99 170 83 77 6 142 221 30 192 176 175 36 115 131 97 143 7 234 157 115 187 252 114 242 132 73 23 246 161 177 146 97 34 146 238 239 108 179 235 136 103 216 87 147 185 166 20 199 162 163 217 61 60 97 210 134 58 123 140 33 253 221 91 90 204 168 143 71 152 26 52 175 45 19 152 128 159 99 233 9 147 102 236 55 194 140 34 253 227 252 154 205 232 206 75 64 152 180 55 214 19 145 114 52 229 199 19 198 19 38 173 56 104 164 25 153 1 194 28 65 221 213 249 49 22 117 190 17 42 19 195 89 107 205 54 243 42 153 39 76 250 96 109 151 14 160 5 86 233 86 201 26 208 244 254 88 68 44 183 69 157 9 194 12 179 239 221 228 151 146 39 76 186 81 143 186 150 51 33 97 202 227 16 177 198 8 179 55 3 215 52 212 238 161 239 18 227 9 147 17 194 84 102 64 194 180 162 241 157 88 215 82 157 65 194 248 198 227 158 48 25 53 252 43 50 64 152 118 52 146 31 235 90 170 140 48 153 88 212 131 129 131 190 233 133 39 76 38 57 253 22 35 0 0 21 3 73 68 65 84 112 8 117 255 166 123 162 177 36 32 97 165 169 129 153 112 43 247 39 115 238 106 143 62 78 152 70 52 65 178 44 205 199 45 64 163 252 177 34 253 101 246 158 76 52 7 175 34 126 165 167 135 39 76 202 104 54 245 41 221 221 91 74 208 224 101 172 108 229 144 186 214 248 30 209 36 82 218 197 230 28 229 158 48 158 48 153 66 139 17 166 52 205 29 100 250 161 5 106 177 178 145 67 89 0 209 74 152 7 1 99 187 112 62 165 248 177 22 158 48 25 66 171 45 234 18 160 80 68 210 213 197 37 100 71 180 37 184 70 137 161 38 94 65 192 44 234 40 121 112 197 70 86 15 79 152 140 16 166 195 8 211 14 156 25 112 145 150 88 87 150 104 175 21 154 148 8 77 75 78 202 118 114 206 237 69 199 10 206 10 112 30 2 140 179 130 177 16 138 200 92 217 128 135 183 97 104 3 42 204 13 59 71 68 130 148 44 143 37 246 140 153 106 52 120 248 54 177 187 198 28 178 239 141 213 140 124 29 112 73 128 126 3 121 192 137 118 62 225 14 7 79 24 79 152 140 160 209 164 64 191 48 99 125 98 128 207 77 68 59 103 70 91 208 67 140 76 111 197 33 204 110 91 212 195 226 156 215 132 128 247 106 38 239 158 100 38 196 111 239 228 225 9 147 50 14 153 148 9 237 244 245 192 9 1 62 55 34 142 132 25 102 199 91 23 167 1 197 70 251 238 73 113 36 88 144 230 21 133 38 97 194 109 150 118 226 247 18 240 240 132 73 25 117 182 155 135 70 95 236 66 171 21 227 217 13 161 209 229 77 49 218 192 142 178 29 126 87 130 239 221 73 236 73 104 133 4 139 13 141 70 235 247 215 134 61 215 214 205 247 208 163 15 17 230 160 61 198 152 122 181 26 152 101 243 93 98 97 178 217 40 75 163 144 169 200 212 181 109 196 25 96 100 221 55 151 217 119 69 75 252 156 11 28 19 64 45 187 2 216 24 81 138 220 140 186 150 61 60 97 210 11 231 92 59 218 97 63 52 156 117 181 253 61 43 134 116 201 3 142 67 179 145 215 70 121 75 63 116 140 198 106 18 79 252 122 195 36 219 232 40 175 61 143 78 124 254 72 28 73 87 13 92 15 220 21 241 210 1 50 63 217 204 163 143 74 152 144 61 17 170 186 220 11 60 2 124 84 68 162 25 228 249 38 93 26 156 115 141 81 94 175 50 9 179 198 72 21 15 175 217 223 51 163 16 121 15 240 67 226 215 252 95 130 198 92 30 141 120 126 7 25 156 174 230 225 9 83 143 166 147 12 52 215 242 131 104 44 227 178 40 209 246 14 179 121 226 165 237 15 1 54 153 218 21 15 107 209 70 28 231 197 120 253 205 40 210 35 28 159 5 30 112 206 237 139 178 1 140 240 203 200 19 38 83 40 10 51 160 65 59 98 254 3 237 77 92 27 69 133 123 13 152 23 227 88 131 80 183 238 206 0 234 96 51 218 104 239 212 24 175 59 11 98 70 83 199 134 154 45 245 127 81 94 94 3 12 12 24 79 242 240 132 73 26 213 246 119 100 24 41 158 65 3 143 209 230 199 44 2 158 136 97 223 140 50 53 106 95 192 239 126 9 24 97 4 72 6 3 128 71 156 115 107 99 168 152 5 100 110 50 129 71 31 39 76 191 176 69 24 218 221 119 3 15 69 147 20 206 185 166 24 19 189 66 139 244 0 193 251 141 205 181 207 29 159 228 57 239 6 238 136 241 218 14 52 24 59 205 47 37 79 152 76 32 212 91 185 48 130 24 111 25 113 146 57 239 26 180 155 229 145 128 159 89 129 198 77 142 75 230 132 157 115 251 156 115 43 98 188 220 96 143 25 126 41 121 194 100 146 48 93 205 240 21 52 254 209 74 236 164 203 200 133 127 192 164 197 212 116 93 140 57 27 54 120 9 227 9 147 41 148 161 158 175 77 105 56 86 104 170 88 50 215 176 145 206 56 80 186 176 6 152 226 151 146 39 76 90 97 17 253 114 52 234 190 178 139 135 235 48 251 165 140 228 34 237 187 81 87 116 58 177 129 232 1 81 15 79 152 46 161 218 8 243 6 93 111 170 215 110 78 130 106 52 128 25 20 135 72 255 20 180 141 64 63 17 169 240 203 201 19 38 157 24 96 18 97 115 128 64 99 16 194 108 69 211 82 146 73 77 233 32 253 227 251 54 219 125 28 233 151 147 39 76 58 49 200 36 204 150 52 24 219 206 212 171 226 36 85 172 34 210 63 137 108 171 253 245 106 153 39 76 90 49 216 36 204 166 52 29 175 1 117 41 39 19 52 172 32 74 247 152 46 98 15 218 226 201 7 47 61 97 210 78 24 72 95 83 240 6 147 86 227 19 148 8 68 170 133 105 237 128 233 156 107 50 18 14 241 203 201 19 38 157 24 138 214 195 164 107 135 63 136 166 246 31 67 103 202 77 34 212 18 32 247 44 5 236 181 235 243 240 132 73 27 134 152 116 73 215 44 251 35 70 152 9 4 159 157 89 27 102 115 164 19 187 61 97 60 97 210 6 75 221 239 143 230 94 165 133 48 86 195 191 222 156 9 253 3 156 67 181 217 48 155 51 112 137 117 132 229 199 121 120 194 116 21 165 104 188 100 23 233 245 82 109 65 59 194 140 14 48 108 54 20 225 223 152 129 235 107 72 66 45 244 240 132 73 136 10 123 236 77 51 97 182 163 53 253 211 137 72 232 140 130 201 104 28 230 237 12 92 223 97 2 118 207 244 240 132 9 42 97 202 209 116 150 116 182 37 218 109 18 227 56 18 71 240 167 154 58 184 41 3 215 215 132 111 134 225 9 147 70 20 219 227 8 177 199 82 164 98 199 28 53 59 102 74 0 194 28 11 236 115 206 101 162 121 120 107 0 9 231 225 9 19 24 133 246 104 73 39 97 12 235 208 24 79 162 156 178 41 100 118 60 184 248 229 228 9 147 46 20 160 93 96 92 6 142 189 193 236 162 177 177 250 35 139 72 57 234 246 93 153 161 235 203 39 125 238 114 15 79 24 196 30 153 248 190 45 232 184 139 169 113 118 249 81 166 178 173 202 208 245 149 160 77 253 60 60 97 210 190 19 167 27 59 204 153 112 76 28 194 76 176 239 126 43 67 215 85 73 240 82 105 15 79 152 132 232 176 71 126 186 117 125 231 220 97 52 14 50 54 206 219 198 219 181 174 206 208 245 85 27 105 61 60 97 210 130 54 123 20 101 200 56 174 67 211 94 98 29 123 44 154 195 182 39 67 215 55 136 224 237 158 60 60 97 18 162 197 30 165 25 34 204 30 52 159 44 214 177 199 0 59 210 80 184 22 11 153 74 234 244 232 163 132 105 70 131 123 229 25 34 204 1 226 71 218 135 147 153 28 178 80 158 220 64 50 147 212 233 209 71 9 19 170 25 233 151 161 239 60 76 103 27 218 104 11 186 10 77 161 201 4 6 163 65 217 141 126 57 121 194 164 11 71 236 81 157 161 239 108 38 118 140 167 194 22 116 166 84 166 201 246 119 157 95 78 158 48 233 66 163 73 129 1 25 250 206 118 98 207 154 172 50 233 179 55 67 215 118 172 125 255 122 191 156 60 97 210 2 107 58 126 208 116 253 76 196 98 196 142 31 75 194 20 160 193 205 76 224 120 96 187 115 174 193 47 39 79 152 116 98 159 73 152 130 12 28 187 208 8 17 77 45 43 177 239 204 84 96 113 54 58 95 198 195 19 38 173 216 109 54 76 38 178 122 203 136 221 197 191 200 174 51 237 169 43 34 210 31 109 175 52 207 47 37 79 152 116 99 167 237 244 153 40 229 237 103 54 146 139 115 141 153 136 193 76 55 178 190 234 151 146 39 76 186 177 3 237 218 63 33 3 199 30 74 236 110 52 237 70 164 76 168 130 167 155 170 183 210 47 37 79 152 116 99 171 169 77 153 24 13 49 44 142 209 223 108 210 165 44 3 223 123 26 176 52 198 208 39 15 79 152 46 75 152 253 192 140 88 117 43 41 218 17 149 104 90 204 206 24 42 217 17 52 143 173 38 157 23 35 34 3 209 24 204 115 126 25 121 194 164 29 206 185 35 104 180 253 184 52 31 122 132 57 19 54 197 32 204 1 52 70 147 238 206 148 51 80 55 249 11 126 25 121 194 100 10 171 80 175 82 191 52 30 115 148 17 102 173 53 41 143 68 3 214 138 41 205 215 114 10 58 62 99 141 95 70 158 48 153 194 82 52 112 57 61 141 199 28 141 6 46 183 199 144 108 45 104 12 40 109 206 6 27 51 126 34 176 16 95 56 230 9 147 65 44 182 221 254 140 52 30 115 172 17 34 222 194 93 11 76 76 163 237 52 50 204 126 241 165 201 158 48 25 195 6 91 220 103 167 105 167 47 52 149 108 99 130 133 187 28 141 255 164 171 255 241 177 166 6 46 180 150 181 30 158 48 25 49 252 143 162 51 46 103 137 72 58 26 223 85 155 209 191 42 1 97 22 163 174 229 217 105 32 105 62 112 2 234 149 243 53 48 158 48 25 199 75 182 219 167 99 252 247 96 180 56 44 17 97 150 160 129 205 211 211 240 157 53 70 188 215 73 243 172 25 15 79 152 104 8 185 97 207 77 195 177 134 152 148 217 96 25 209 177 36 219 94 83 219 206 76 195 119 142 66 59 212 204 55 137 233 225 9 147 81 188 133 214 166 156 159 134 99 13 69 99 47 65 106 93 230 2 83 45 208 153 170 58 150 23 38 25 223 242 203 199 19 166 59 236 152 70 224 53 96 166 136 212 116 97 241 138 169 99 251 137 157 169 28 142 23 209 254 97 93 73 205 41 65 211 97 214 146 153 41 0 30 158 48 81 241 184 217 2 199 119 225 24 197 104 55 152 109 196 206 35 11 71 40 163 184 43 118 76 21 112 50 234 29 171 247 203 199 19 166 187 240 28 26 192 60 167 11 199 168 64 99 48 155 131 16 198 57 183 13 205 103 59 173 11 18 109 20 154 232 57 223 47 29 79 152 238 196 70 52 38 115 106 23 130 137 21 104 0 113 43 26 12 13 130 133 192 116 17 41 72 241 94 157 97 42 160 175 176 244 132 233 86 59 166 3 120 2 245 54 141 76 241 48 229 168 123 122 103 18 13 250 230 163 9 147 195 82 248 190 124 224 98 52 166 227 155 246 121 194 116 59 30 179 5 127 114 138 159 175 68 59 105 38 211 254 117 33 90 23 51 37 133 239 27 140 102 40 191 16 35 201 211 195 19 38 163 88 134 102 251 158 146 226 231 7 162 209 251 100 218 39 173 68 43 47 39 165 240 125 103 218 253 122 198 47 27 79 152 108 224 32 26 45 159 41 34 85 201 124 208 226 33 35 80 119 114 50 222 170 58 179 65 82 201 92 190 10 88 238 156 219 228 151 141 39 76 54 208 12 60 101 187 125 178 11 184 192 8 83 79 114 99 38 218 205 217 48 46 73 130 86 155 132 121 212 47 25 79 152 172 192 82 89 22 154 241 62 53 69 194 236 39 185 6 125 14 109 233 58 212 106 90 130 226 52 180 232 237 31 126 201 120 194 100 19 219 108 199 63 78 68 138 82 36 76 99 146 132 89 131 6 32 251 39 241 185 15 163 169 48 190 127 178 39 76 86 81 143 54 193 59 158 228 250 149 229 163 94 171 253 73 206 124 113 70 208 74 116 8 82 16 117 172 18 205 123 123 208 123 199 60 178 74 24 203 43 123 195 108 138 17 73 18 166 42 73 131 31 91 240 59 80 215 114 208 60 182 83 208 140 232 7 253 114 241 200 203 129 115 120 203 140 241 100 74 136 67 132 73 165 30 101 63 218 174 54 104 1 219 135 208 122 155 181 126 185 120 228 2 97 54 152 109 112 18 154 13 28 4 133 230 44 72 165 35 191 179 235 78 56 69 64 68 42 208 116 152 39 51 56 238 207 195 19 38 41 53 105 63 176 8 152 101 182 69 16 84 16 127 196 69 60 148 210 57 213 57 17 166 152 170 248 132 95 42 30 185 34 97 64 221 203 163 209 232 125 16 84 1 173 164 214 226 40 244 217 32 9 155 167 162 94 184 21 126 169 120 228 18 97 150 160 221 41 103 89 20 63 17 202 209 246 175 73 181 56 50 27 105 160 125 238 80 128 143 156 100 100 241 165 200 30 57 69 152 109 104 5 227 101 4 155 80 86 100 42 85 178 45 142 4 45 107 62 154 200 254 49 251 101 34 176 128 204 140 202 240 240 132 73 217 142 105 177 133 121 26 193 186 236 75 152 1 159 44 97 70 161 179 100 18 37 109 14 67 99 61 139 80 47 158 135 71 206 72 24 128 87 208 216 72 144 76 226 86 91 252 169 204 203 28 107 210 37 145 74 54 210 200 187 214 7 44 61 114 145 48 139 81 175 87 144 86 72 71 209 244 152 226 20 190 103 60 176 53 128 155 120 168 217 58 7 252 50 241 200 57 194 88 239 176 117 1 9 115 192 236 152 138 36 191 166 204 84 178 32 65 200 225 70 152 86 191 76 60 114 81 194 128 246 14 59 209 218 177 198 67 72 157 170 78 242 248 19 76 42 173 10 72 152 54 111 191 120 228 50 97 94 54 85 104 84 130 247 181 24 105 6 39 121 252 83 77 157 91 30 215 51 160 77 206 251 219 247 120 15 153 71 206 18 102 161 45 210 68 101 203 109 168 151 43 217 102 22 231 162 211 3 54 37 120 95 9 26 235 17 58 61 114 30 30 185 69 24 231 220 30 96 11 48 39 193 91 91 109 209 15 23 145 64 134 191 189 239 84 116 136 107 162 26 154 66 123 20 121 194 120 228 178 132 1 237 249 117 82 130 247 52 163 211 204 70 39 161 150 29 107 234 222 147 65 249 107 54 82 190 95 38 30 185 76 152 165 192 36 179 35 226 73 152 5 102 235 76 12 120 220 43 208 188 176 167 3 188 55 148 107 86 67 240 12 106 15 79 152 172 96 45 90 63 63 34 142 234 214 129 214 209 28 5 78 74 64 174 16 46 1 86 56 231 54 6 120 111 147 217 72 133 192 176 116 142 73 247 240 132 73 55 118 219 121 37 106 182 183 5 120 30 184 148 4 35 197 109 74 192 68 224 217 128 182 84 43 218 55 173 9 157 54 150 231 151 138 71 174 18 166 216 12 237 33 9 22 117 3 218 197 101 188 73 153 120 215 50 192 12 248 100 70 84 204 53 210 156 232 9 227 145 203 132 153 140 186 141 91 2 188 119 30 176 30 120 63 241 75 142 15 216 49 71 199 145 66 149 17 115 55 223 70 167 165 141 241 132 241 200 101 194 156 142 166 251 7 233 144 191 203 108 158 227 18 24 231 117 192 106 224 162 56 239 25 9 212 134 73 176 38 180 64 45 31 239 90 246 200 97 194 204 2 214 56 231 86 219 206 95 16 43 85 198 178 136 19 150 27 219 251 30 69 219 210 14 143 241 182 254 168 235 57 36 113 242 128 233 38 105 124 122 140 71 206 18 70 120 119 77 204 80 98 244 44 179 96 100 127 115 0 36 82 225 158 51 251 232 132 24 175 239 227 221 227 252 6 27 97 94 242 132 241 200 101 194 60 2 76 19 145 233 246 239 241 196 118 49 247 67 75 142 223 14 64 152 208 16 215 88 113 155 45 17 78 129 18 115 20 84 248 142 49 30 185 76 152 223 219 121 221 104 255 174 4 134 196 240 130 133 114 190 214 146 56 13 63 212 244 111 96 12 181 237 40 239 118 59 239 49 163 255 58 17 153 237 151 138 71 78 18 198 57 247 22 58 134 47 52 139 178 3 141 184 23 198 56 255 124 160 62 128 20 200 15 240 221 251 35 8 244 43 52 69 230 59 34 82 235 151 139 71 206 17 198 36 73 5 157 109 144 202 236 60 163 17 162 9 141 246 15 15 48 183 114 140 253 221 150 4 121 23 1 255 142 198 98 190 224 151 139 71 46 170 100 103 162 197 91 161 156 175 253 192 6 139 190 71 162 1 205 90 62 143 196 213 151 151 152 157 51 55 73 137 247 15 224 215 192 39 69 228 12 191 100 60 97 114 73 186 84 1 223 50 3 252 33 123 122 9 58 106 47 218 98 110 66 155 103 156 204 187 61 92 145 199 45 7 110 64 27 159 175 74 225 212 126 109 118 210 151 147 28 203 225 225 9 147 81 92 97 18 230 87 206 185 245 70 138 58 75 131 137 133 167 204 160 191 57 78 109 204 89 192 76 224 215 49 36 85 34 41 179 15 248 41 90 79 51 199 47 27 79 152 92 144 46 67 128 207 161 17 254 187 147 88 204 27 128 63 27 217 98 213 209 124 24 77 143 233 74 143 228 39 76 58 125 34 34 133 198 195 19 38 43 184 8 205 80 254 169 237 232 201 224 79 102 207 124 62 198 235 51 129 85 225 94 176 20 112 8 184 19 237 230 127 162 95 58 158 48 217 148 46 21 192 149 104 112 241 233 100 63 111 82 230 239 192 197 34 18 173 129 70 33 218 237 50 101 88 122 205 115 232 120 142 79 136 72 127 191 124 60 97 178 133 105 182 107 223 67 176 38 225 209 240 119 212 83 22 205 198 88 13 76 78 131 42 181 27 248 95 179 101 46 11 88 184 230 225 9 147 86 233 82 0 92 104 231 242 108 23 210 80 214 161 177 154 104 41 252 247 162 57 105 159 236 138 151 203 57 215 102 78 134 23 205 222 58 219 147 198 19 166 187 49 217 12 246 167 80 119 114 170 24 102 215 19 205 254 121 26 184 31 184 21 184 85 68 198 6 8 116 198 34 205 30 212 99 182 27 248 166 73 154 10 191 148 60 97 186 67 186 12 3 62 133 118 103 185 155 212 6 36 33 34 37 192 71 208 32 231 43 81 22 249 33 224 255 161 158 174 235 209 88 207 165 34 50 56 69 210 172 0 190 135 214 217 124 14 248 156 136 76 244 49 154 222 15 201 86 99 122 51 206 63 1 92 99 42 211 207 156 115 7 83 36 203 85 192 127 0 15 59 231 190 16 231 189 195 129 139 209 10 205 114 52 144 249 176 165 192 164 114 13 211 209 128 232 108 52 255 237 113 224 85 231 220 78 191 180 60 97 210 73 150 201 38 89 206 3 30 3 126 225 156 219 145 194 113 74 77 157 251 58 176 17 248 106 40 224 153 192 102 58 1 109 158 113 174 169 86 255 237 156 123 37 197 107 25 138 186 154 175 64 203 13 214 160 37 10 175 217 220 27 15 79 152 46 145 229 36 83 99 166 1 127 1 238 74 101 71 54 201 242 97 179 75 182 1 223 119 206 189 145 196 231 7 154 179 225 243 168 103 238 22 231 220 230 20 175 41 31 152 10 156 143 122 208 74 209 134 129 247 118 49 246 227 145 99 40 232 102 178 156 7 124 5 117 255 254 18 120 40 69 53 172 208 84 161 47 162 113 145 239 19 172 7 64 184 29 178 79 68 30 64 3 158 63 1 62 13 252 115 138 54 77 187 136 172 64 147 59 139 208 6 131 31 5 106 68 228 7 206 57 95 177 233 141 254 164 22 120 177 136 124 16 184 13 45 65 254 15 224 158 20 201 34 192 117 166 134 109 49 178 44 76 197 29 237 156 107 117 206 61 138 38 87 222 100 233 57 93 193 81 180 238 166 29 45 64 187 153 56 73 161 30 158 48 239 89 220 86 120 245 41 224 95 208 46 47 223 5 158 72 37 9 210 112 17 240 109 51 178 191 239 156 91 144 134 145 122 119 161 69 106 103 117 225 24 249 168 151 238 101 180 7 65 127 180 150 231 60 191 204 188 13 19 84 175 159 142 122 194 78 3 230 155 113 191 178 11 199 156 10 252 17 173 130 252 166 115 238 165 52 158 239 82 180 149 236 13 41 126 190 31 234 125 219 99 170 217 249 70 238 118 224 82 231 92 189 95 110 222 134 137 135 147 129 175 161 17 246 123 129 251 157 115 219 186 176 160 11 128 47 161 29 49 63 155 78 178 24 158 3 62 36 34 149 22 183 9 122 94 161 174 154 13 104 95 129 75 81 79 217 95 208 206 153 247 161 110 231 167 253 114 243 42 89 172 69 52 212 212 166 33 192 15 128 63 116 133 44 134 227 208 152 205 111 157 115 79 102 224 180 31 177 243 61 51 201 207 213 162 177 157 19 209 124 182 23 77 181 187 197 84 180 195 70 40 15 79 152 152 184 12 184 0 77 166 60 140 213 227 139 200 112 115 7 167 130 75 237 124 255 47 67 231 188 0 173 236 252 116 162 134 23 34 50 94 68 102 89 255 129 58 147 44 87 1 87 155 164 250 63 96 156 217 107 207 160 147 213 60 60 97 98 98 18 90 176 53 28 109 107 84 40 34 151 161 193 189 178 144 141 99 37 201 65 49 11 216 152 74 128 51 8 156 115 135 129 95 160 65 205 175 136 200 156 56 249 102 3 77 130 156 103 49 164 39 208 177 233 55 162 205 50 214 161 169 62 167 0 255 112 206 237 242 75 205 219 48 241 176 132 206 22 72 139 209 152 196 120 180 121 120 147 136 204 48 181 229 111 64 131 17 103 16 176 57 154 247 204 22 238 40 98 212 246 167 17 15 163 221 101 46 69 219 198 206 19 145 103 128 121 17 158 184 245 168 151 238 179 34 50 14 173 248 124 8 237 172 121 45 154 8 90 135 78 74 91 238 151 153 151 48 137 48 28 141 183 220 107 170 202 7 205 232 253 171 57 3 190 99 4 105 176 66 172 79 161 117 44 177 206 103 130 217 23 243 50 121 51 44 42 255 19 224 199 102 196 31 139 38 106 142 141 120 223 62 224 183 118 62 159 67 99 66 109 104 229 231 10 187 222 89 192 207 77 218 120 120 9 19 83 191 207 3 110 66 179 134 199 161 110 229 95 162 233 251 167 160 193 203 61 104 147 188 50 224 147 102 243 220 70 88 247 74 147 42 29 102 48 95 103 4 124 62 211 55 196 57 87 47 34 247 162 153 3 37 192 239 128 175 137 200 151 195 135 201 58 231 246 138 72 168 209 223 191 161 85 157 251 141 100 207 153 253 54 63 192 0 90 143 30 132 180 199 97 140 48 59 208 164 202 201 104 114 227 103 209 230 222 63 6 170 140 36 71 128 207 152 135 233 207 104 140 166 33 236 24 103 160 51 41 167 218 14 254 44 240 53 231 92 115 183 222 32 145 79 160 217 4 223 71 93 196 135 67 73 149 150 117 48 214 84 180 133 104 230 193 110 212 147 183 196 47 47 47 97 2 109 210 104 25 111 37 157 177 152 118 83 187 38 160 249 95 187 208 142 146 167 1 15 160 110 231 134 136 243 250 162 237 218 253 109 49 254 140 96 67 150 210 141 7 205 17 240 9 179 163 22 136 200 78 59 151 80 176 114 55 240 67 219 40 182 165 193 133 238 209 87 36 140 237 188 35 209 46 249 191 49 157 126 169 17 102 62 26 75 185 222 244 251 219 129 187 173 138 49 252 243 211 129 215 140 40 175 162 89 191 171 179 118 147 68 198 163 121 97 179 77 50 182 218 198 80 96 182 216 243 192 15 125 58 191 39 76 87 22 89 169 217 50 231 152 183 232 4 51 164 255 96 139 111 42 48 46 50 253 221 200 246 93 179 119 62 7 172 116 206 237 205 250 141 210 96 236 52 180 21 212 32 179 111 14 218 134 240 186 115 110 183 95 78 158 48 255 255 40 77 100 124 208 142 63 7 3 100 88 217 159 1 178 211 81 130 129 129 65 29 90 211 28 250 255 255 255 7 70 70 70 94 232 200 82 8 3 228 28 228 134 255 255 255 47 26 116 1 6 113 39 27 3 100 200 252 15 3 3 195 39 232 225 24 163 96 52 195 80 45 145 49 66 251 35 218 208 140 195 200 0 217 127 34 192 0 89 74 242 30 218 231 49 133 170 91 11 237 56 143 142 48 141 130 65 5 0 97 144 8 108 252 34 249 106 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
frontpageJpg
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(255 216 255 224 0 16 74 70 73 70 0 1 1 1 0 240 0 240 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 194 0 17 8 2 117 1 144 3 1 34 0 2 17 1 3 17 1 255 196 0 28 0 0 1 5 1 1 1 0 0 0 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 255 196 0 25 1 0 3 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 1 2 3 4 5 255 218 0 12 3 1 0 2 16 3 16 0 0 1 224 128 235 245 192 0 0 0 0 0 0 0 0 0 0 17 65 22 75 121 148 95 189 119 154 57 121 58 117 202 121 163 175 108 28 124 125 60 27 28 227 58 42 26 94 90 94 173 209 81 138 150 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 128 162 220 130 182 151 68 254 12 234 223 108 92 153 218 174 73 4 21 244 161 106 165 204 157 6 159 91 81 205 226 98 245 153 59 172 155 12 149 221 58 123 245 246 211 16 183 87 178 208 11 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 18 71 116 220 234 135 75 173 91 206 197 212 237 214 202 115 235 107 102 3 45 50 38 95 158 133 164 226 196 211 180 78 102 150 108 204 210 41 92 206 171 102 234 199 180 229 70 248 244 210 222 78 198 117 60 134 233 81 239 210 48 54 96 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 202 157 30 10 30 255 0 63 107 203 202 165 93 92 172 230 176 181 64 138 86 34 148 86 168 233 51 218 91 17 84 38 134 202 43 213 153 181 46 180 216 101 189 131 116 41 69 43 118 169 243 52 104 167 70 221 59 119 57 177 235 229 247 110 192 54 96 0 0 0 0 0 0 0 0 0 0 0 3 219 163 154 179 214 99 238 121 179 211 65 177 153 207 148 152 91 116 229 208 71 95 151 145 87 83 21 170 80 78 221 98 123 204 175 157 55 38 9 182 206 125 10 147 197 67 51 115 217 160 149 93 105 107 189 46 164 167 118 162 211 46 104 38 172 236 49 38 119 144 221 10 30 134 200 6 128 0 0 0 0 0 0 0 0 0 18 34 109 88 95 231 103 163 189 207 239 97 125 181 102 90 158 108 155 45 158 106 165 137 217 134 144 242 221 86 75 158 90 210 94 218 34 229 250 94 62 165 117 169 75 115 106 229 72 98 217 81 211 212 68 143 134 149 196 66 180 179 86 213 121 211 26 120 39 188 164 120 197 118 178 117 219 166 184 67 217 232 88 3 0 0 0 0 0 0 0 1 116 169 237 242 78 126 142 93 190 76 180 183 113 118 231 78 167 79 7 163 142 124 187 244 244 181 154 107 59 240 215 50 190 166 110 55 203 77 167 66 167 35 155 222 229 250 241 52 51 36 184 216 175 82 206 87 91 70 134 140 180 72 180 51 116 94 69 208 173 215 86 173 178 39 174 94 79 158 172 234 244 1 201 229 209 209 165 217 172 66 47 85 0 0 0 0 0 0 10 150 36 191 113 79 46 51 109 209 212 50 177 169 151 167 27 104 119 158 81 232 147 141 253 8 229 219 5 101 164 215 42 24 221 29 14 125 249 220 157 108 236 118 226 242 117 169 117 243 86 138 123 180 177 180 181 35 151 137 173 148 178 245 236 192 99 163 162 179 83 100 246 184 142 140 33 209 233 148 210 193 97 59 232 139 58 101 207 4 250 78 122 79 7 163 176 5 0 0 0 0 0 110 100 245 124 115 94 57 96 228 154 82 68 231 26 122 25 186 51 165 30 139 153 68 189 185 212 236 156 143 181 206 232 244 45 24 44 54 178 207 230 250 172 124 58 56 246 244 85 233 97 88 210 112 179 32 219 65 227 103 117 49 135 38 117 77 75 151 161 219 68 235 144 93 252 200 219 148 138 221 91 132 179 78 225 90 34 58 52 204 99 226 172 237 103 223 171 215 180 64 117 80 0 0 0 15 69 254 143 31 91 205 204 204 191 159 154 163 53 107 173 104 232 102 106 77 101 83 183 1 94 157 210 113 61 188 242 227 186 236 151 119 226 130 45 185 214 132 149 99 72 224 146 41 109 80 150 174 71 166 214 202 198 162 100 177 82 106 58 65 86 134 253 116 249 238 127 179 133 158 113 47 109 139 85 81 210 182 53 201 134 122 213 156 179 81 210 210 243 71 51 208 217 64 96 0 22 107 232 226 174 234 101 235 121 217 69 155 171 156 86 101 250 215 90 208 210 206 235 162 249 222 155 113 116 231 124 181 195 57 210 20 155 150 38 66 133 172 66 193 168 136 114 198 34 73 43 202 57 16 86 152 217 26 8 244 112 217 155 161 135 38 117 236 57 238 55 35 89 116 84 113 58 90 137 241 21 53 114 150 169 126 133 214 160 175 165 157 223 208 1 171 0 7 106 81 185 197 54 117 178 181 185 115 142 157 220 229 76 179 94 248 111 250 46 102 206 188 244 33 158 156 165 70 17 78 72 217 52 248 145 128 200 93 21 200 212 96 156 70 4 214 41 206 22 86 39 166 173 1 189 171 4 58 153 115 228 169 133 176 95 223 61 153 145 85 50 189 136 169 96 242 93 239 26 221 11 112 72 175 67 43 103 43 126 136 64 237 160 20 47 186 70 121 185 104 105 225 237 100 50 141 200 19 163 187 143 220 83 244 88 108 83 219 130 157 57 233 97 180 132 4 183 196 216 7 51 99 80 72 101 138 165 145 185 141 8 141 28 150 106 217 20 234 208 110 88 201 114 192 230 75 161 203 117 244 84 242 187 140 183 180 94 137 148 155 209 72 102 106 183 45 215 96 143 143 177 90 194 215 90 156 235 90 229 10 158 150 131 217 60 26 85 46 212 243 113 189 175 141 183 45 217 90 121 202 153 234 126 91 236 186 231 167 70 230 99 229 161 157 62 92 105 52 184 247 90 177 20 76 69 185 43 205 52 177 73 19 81 49 241 177 6 185 15 179 86 200 72 49 25 32 192 21 169 28 178 180 149 128 107 25 112 218 79 25 165 102 57 218 175 149 177 152 159 0 241 166 186 147 214 179 58 227 182 88 189 61 82 237 61 60 213 154 150 43 121 249 94 215 202 213 76 163 110 9 209 190 219 228 190 193 191 52 25 26 56 230 57 217 26 25 41 213 211 193 214 100 174 173 42 47 79 86 198 118 177 200 214 160 138 197 102 163 116 110 9 231 171 97 55 215 153 141 61 177 163 82 68 144 13 43 54 179 83 199 10 4 122 25 27 131 191 42 56 80 103 104 103 135 21 82 245 2 244 109 82 150 117 175 86 253 15 67 115 103 35 119 53 13 123 116 248 179 185 181 147 176 148 80 93 167 58 233 122 247 146 122 198 252 185 248 186 184 211 57 217 90 89 205 98 108 96 235 162 121 167 189 14 173 196 171 21 160 102 164 189 92 25 51 154 179 53 11 155 197 137 234 77 46 102 181 26 37 174 217 99 97 100 182 231 223 52 156 162 222 91 29 210 224 244 173 88 108 140 29 106 55 168 163 150 194 222 195 119 114 229 57 103 71 231 104 231 246 234 237 252 30 139 55 5 59 148 121 115 179 208 243 189 8 77 155 163 66 47 170 239 56 174 199 163 151 51 39 75 43 50 133 43 181 42 113 119 178 238 103 93 3 97 155 151 102 182 69 8 98 177 93 168 243 41 101 244 151 116 124 253 189 57 250 44 222 101 102 95 163 183 133 153 215 91 55 19 44 46 218 110 103 167 227 113 69 110 187 84 179 58 12 125 162 109 154 154 26 67 162 154 1 213 207 191 158 62 111 159 222 231 135 170 232 180 39 74 212 174 84 235 213 253 63 53 210 228 234 103 219 169 132 88 232 185 237 210 100 167 114 180 116 119 157 6 78 159 71 22 86 102 134 110 101 58 182 105 212 215 142 74 72 234 236 209 177 201 189 152 149 242 225 142 88 209 71 49 49 122 223 43 94 197 142 247 85 219 2 92 253 109 138 186 83 250 206 99 75 158 123 61 60 13 223 58 101 108 117 132 252 93 44 238 140 182 238 84 181 105 213 231 129 21 51 239 231 143 155 231 247 176 41 222 187 17 54 234 243 69 209 171 250 94 111 165 198 179 106 91 171 156 88 220 192 223 68 213 44 71 26 250 77 170 242 244 241 101 231 94 206 135 86 173 138 206 107 229 234 227 7 85 110 181 190 109 94 217 151 58 99 36 108 152 244 239 226 244 87 41 86 104 61 18 120 97 133 37 105 46 250 104 106 226 111 114 198 254 173 107 30 116 87 134 213 45 98 3 55 95 108 244 236 215 176 50 9 171 170 169 159 123 56 92 214 30 174 77 23 239 83 158 52 107 92 155 234 254 151 154 234 115 172 154 151 232 231 156 219 216 61 8 136 236 69 29 30 154 147 69 191 6 62 118 150 108 213 40 39 133 204 84 181 250 36 241 238 105 183 27 170 214 51 42 25 98 25 124 254 31 95 207 117 95 35 4 153 253 235 90 206 92 83 22 104 196 155 109 110 219 118 176 142 151 66 39 121 185 199 78 213 109 35 153 233 121 46 183 105 211 158 25 129 43 88 170 170 174 109 252 209 114 89 247 115 169 233 232 102 219 155 124 83 193 173 187 166 230 122 120 210 133 59 180 115 202 109 238 123 162 30 134 117 186 241 175 169 195 106 191 71 6 30 110 134 110 122 213 107 134 174 117 188 239 68 213 234 90 177 153 224 85 215 204 228 233 162 203 17 103 88 156 135 109 139 215 126 123 87 164 195 244 28 46 185 101 101 77 213 163 219 93 77 184 47 240 99 210 202 145 114 40 243 45 228 235 158 23 105 198 246 154 61 25 161 148 77 171 98 170 116 243 116 179 154 227 40 233 103 183 163 102 158 164 212 44 115 118 213 122 126 91 167 155 161 82 221 108 179 126 247 63 209 34 234 79 114 116 244 60 237 60 158 142 12 108 205 12 236 182 170 42 53 181 115 61 85 247 73 20 221 28 53 113 247 179 57 58 112 163 189 95 155 162 175 61 175 143 181 113 120 157 101 63 74 185 214 116 85 30 120 79 189 61 87 101 165 201 110 249 185 239 195 45 28 229 156 214 223 59 188 51 180 230 58 151 86 229 134 82 89 82 213 65 212 163 118 160 185 28 205 236 42 90 73 20 211 181 136 159 22 250 29 47 51 210 149 74 181 170 156 209 62 246 15 64 43 253 39 61 218 143 111 23 67 31 78 76 234 54 169 198 208 53 90 45 55 178 210 190 135 87 35 95 126 68 206 209 169 155 194 139 66 167 159 219 145 147 209 243 250 215 45 135 98 135 172 239 89 202 150 50 183 83 62 81 244 218 121 61 103 20 207 157 171 75 37 137 207 116 92 255 0 68 223 234 121 78 161 187 143 175 34 73 82 197 48 175 93 173 106 159 33 220 112 212 180 229 130 236 232 84 189 159 211 178 244 92 222 240 219 90 205 46 76 221 211 115 61 64 106 119 222 127 232 45 86 207 174 211 42 181 100 172 169 132 79 102 222 190 87 101 80 233 3 126 82 188 213 113 210 165 75 112 121 221 184 92 191 107 149 165 249 206 79 95 197 251 26 83 191 70 236 243 179 75 27 114 14 139 66 150 175 158 104 215 210 102 71 53 133 216 115 125 121 103 244 188 167 79 78 195 161 170 43 148 227 114 116 103 176 231 53 56 190 227 144 110 13 28 235 74 238 103 104 103 245 238 107 227 232 211 177 94 221 46 12 157 211 115 221 58 125 103 77 143 189 120 96 230 108 115 201 212 166 148 199 98 122 214 3 161 237 252 251 171 121 236 54 162 168 146 1 156 186 178 25 163 195 124 238 123 103 149 232 215 146 194 181 155 235 102 183 43 73 109 110 36 114 251 62 167 133 236 252 152 214 73 165 230 121 25 221 14 87 70 124 141 237 60 14 172 117 42 93 97 89 243 200 160 209 209 132 60 207 77 207 57 202 150 27 38 150 243 238 210 237 233 45 85 150 158 198 125 234 30 118 79 235 249 46 189 29 198 230 14 205 225 137 129 181 142 158 107 109 66 17 57 26 139 125 143 59 209 115 221 217 35 126 66 180 72 17 174 98 172 252 203 188 126 218 114 92 182 255 0 63 235 197 151 61 218 59 90 52 36 155 236 122 94 87 173 241 179 208 144 147 10 175 75 66 173 206 94 7 69 147 217 131 74 119 53 72 199 176 24 201 35 68 56 91 120 109 99 232 230 105 151 13 121 35 244 58 199 53 104 215 167 98 47 55 35 171 229 58 168 126 135 114 50 249 241 178 239 230 162 8 38 172 36 88 245 229 238 232 65 115 135 103 61 21 200 138 136 72 229 138 95 53 149 213 97 244 239 230 188 215 75 203 250 89 94 177 85 221 90 91 124 50 230 250 126 153 218 62 38 122 175 107 249 218 81 180 230 99 81 220 202 232 203 158 179 159 119 179 39 181 205 77 176 201 11 80 99 108 99 181 131 173 151 170 246 162 129 232 116 0 50 244 180 174 112 231 7 91 202 117 188 235 211 225 179 82 249 176 179 116 51 102 171 84 126 93 43 29 119 145 122 78 79 176 179 78 215 23 68 206 141 238 28 10 229 34 150 24 174 59 3 168 195 244 58 124 251 35 115 23 191 41 193 89 98 53 158 171 167 233 56 253 223 50 61 6 74 182 188 214 234 242 180 41 103 105 229 237 28 221 107 124 191 127 63 88 144 184 165 129 240 181 30 78 158 75 154 51 64 186 245 68 7 110 160 0 235 217 247 249 147 122 222 67 170 227 199 213 234 90 173 120 115 153 58 152 179 116 249 141 190 50 243 167 102 187 239 30 239 209 124 2 126 109 190 142 147 198 123 78 77 187 69 163 102 42 102 0 169 242 29 183 155 105 92 111 61 179 153 237 204 169 52 21 82 70 176 231 29 215 115 230 254 173 228 85 185 98 57 116 125 9 170 50 28 252 254 39 171 13 62 45 32 239 229 244 75 124 199 69 26 201 19 163 155 135 43 87 49 204 53 46 209 236 236 0 222 128 0 158 7 73 127 161 192 219 243 50 245 218 182 42 87 63 53 137 175 130 171 23 142 223 231 116 194 85 11 128 68 7 141 2 247 107 231 137 149 125 11 163 243 127 81 201 209 236 30 55 208 249 181 171 43 87 119 216 219 42 59 21 83 96 197 230 229 183 237 94 17 215 242 158 175 83 205 57 174 125 125 27 142 194 111 86 18 70 214 237 154 196 246 51 87 177 225 187 8 210 244 114 51 61 43 65 98 157 86 108 74 158 135 88 5 0 0 0 23 122 110 67 166 225 159 92 167 127 51 46 78 107 159 232 185 52 249 42 50 38 220 234 40 38 35 152 192 64 5 104 39 34 40 196 84 3 111 15 87 163 174 106 26 21 55 233 206 115 23 131 129 21 170 98 163 65 170 34 0 0 12 115 69 165 210 242 93 36 109 184 136 233 168 113 53 112 182 233 98 41 217 168 0 0 0 0 26 185 82 228 125 1 145 151 63 7 38 71 47 191 199 185 231 28 229 219 1 37 140 81 177 205 4 69 65 32 40 0 0 128 9 165 155 165 191 85 170 178 67 211 217 156 34 112 121 202 32 178 84 16 20 69 4 0 17 21 2 109 252 13 168 232 232 166 161 52 222 118 124 145 119 117 168 26 0 0 0 0 0 2 6 215 125 229 157 63 6 87 120 61 206 86 121 22 195 45 94 81 69 60 1 11 92 214 145 5 4 69 1 5 64 16 64 93 60 189 93 250 107 182 187 175 104 17 204 230 228 85 106 144 162 9 42 32 2 160 2 42 3 186 62 111 163 141 111 194 250 23 214 192 59 118 0 0 0 0 0 0 17 64 47 208 116 46 191 143 220 194 225 227 101 133 149 225 74 189 186 148 171 177 205 104 21 70 136 160 34 57 4 212 84 4 189 70 93 53 138 197 123 91 116 83 107 153 205 202 170 138 160 64 0 0 0 1 174 104 46 182 111 74 183 41 189 189 125 200 161 108 0 0 0 0 0 0 0 0 2 101 130 223 60 62 29 28 94 127 62 92 253 28 187 152 209 65 2 168 209 28 128 141 112 13 107 218 12 71 52 21 237 179 183 83 104 221 169 24 162 139 25 32 0 0 2 181 64 107 180 138 186 249 43 109 232 128 111 96 0 0 0 0 0 0 0 0 0 0 142 64 52 115 157 115 147 26 185 122 217 49 192 209 85 164 85 65 136 168 2 57 16 214 189 160 198 72 198 75 42 79 211 219 150 57 57 248 144 1 0 0 2 0 182 55 110 21 47 188 64 234 216 0 0 0 0 0 0 0 0 0 0 0 0 0 7 52 11 217 22 237 242 225 132 183 105 103 196 10 130 64 80 17 80 17 21 24 198 72 192 177 43 78 190 234 8 228 228 226 64 9 64 0 13 37 80 238 149 52 238 86 135 86 192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 40 2 160 22 226 134 94 124 243 19 115 63 30 58 96 25 8 168 8 142 1 140 145 140 182 217 99 233 237 160 138 115 113 160 160 145 218 26 139 90 182 98 139 126 197 64 223 64 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 5 177 88 146 229 84 151 159 44 232 247 19 60 49 83 94 53 158 83 117 16 148 171 183 15 87 103 59 38 243 185 241 207 191 12 122 111 60 8 111 170 40 80 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3 122 134 99 144 9 70 133 52 64 161 20 16 0 192 0 0 0 0 0 0 0 0 0 0 0 15 255 196 0 48 16 0 2 2 2 0 4 5 4 3 1 0 3 0 3 0 0 1 2 0 3 4 17 5 18 33 49 16 19 34 48 50 20 32 35 51 6 64 65 52 21 66 80 36 37 53 255 218 0 8 1 1 0 1 5 2 254 168 83 5 102 121 70 121 13 60 134 158 81 133 12 42 127 249 1 101 116 51 74 240 140 76 106 196 40 128 84 220 179 100 22 235 15 48 150 114 203 43 64 188 138 193 170 34 21 63 252 53 93 202 49 153 205 88 138 160 114 136 125 94 13 163 44 94 148 188 34 21 232 107 153 10 124 165 232 149 49 214 149 165 148 234 21 215 247 192 149 84 88 226 240 240 22 207 69 172 253 5 170 211 91 131 102 26 247 27 170 221 219 30 208 225 116 97 77 203 107 218 217 78 171 74 249 102 160 236 200 30 89 89 95 238 168 220 196 196 107 39 146 148 213 191 197 103 168 48 43 29 85 162 2 39 54 136 99 54 134 89 72 49 209 235 122 47 220 230 109 83 103 56 97 29 1 150 33 88 60 57 67 165 181 66 53 253 165 93 206 29 130 108 54 32 173 50 23 116 87 241 236 204 189 45 66 38 180 45 249 86 211 230 20 148 118 211 11 105 19 24 194 57 46 110 171 185 103 81 173 120 47 198 227 201 97 2 197 101 215 246 17 119 49 232 34 86 156 131 56 104 218 117 92 96 24 6 140 38 71 69 238 21 116 253 81 242 126 112 252 234 253 153 63 37 253 127 235 71 249 127 137 241 188 29 211 221 211 157 88 107 250 202 55 48 113 183 49 42 13 109 131 213 196 7 226 179 224 195 83 213 91 92 187 159 33 112 5 107 244 181 90 104 226 63 169 219 66 51 106 82 37 139 178 205 55 55 26 127 149 246 187 231 87 117 109 27 19 152 48 215 245 20 76 90 119 49 151 166 61 122 76 179 200 207 249 48 223 245 85 235 172 128 71 47 44 43 235 200 249 116 39 17 52 214 158 133 194 43 187 18 78 210 191 74 217 99 22 95 66 215 212 152 254 21 204 141 109 59 197 58 151 39 66 63 164 37 21 196 232 49 8 148 143 195 196 128 9 130 121 171 106 182 43 82 172 213 130 44 175 209 148 72 8 121 148 166 229 67 145 45 105 109 190 101 156 188 208 106 107 115 96 71 183 157 249 249 19 155 209 254 74 230 64 245 47 206 127 136 210 250 245 15 244 105 77 158 210 190 178 129 232 195 59 197 226 67 209 128 117 140 223 39 77 48 209 12 128 174 112 212 167 185 66 9 234 51 46 45 98 131 189 132 84 159 229 207 205 49 250 203 250 199 105 255 0 167 83 4 200 155 245 234 118 139 0 231 150 174 143 190 131 101 71 34 215 43 152 255 0 14 18 119 143 155 250 177 19 120 161 8 5 118 170 57 79 197 243 234 216 172 13 129 185 121 210 176 221 202 70 244 121 170 235 50 28 147 121 210 80 63 19 117 140 189 127 245 82 68 81 169 145 6 188 198 59 141 213 43 238 159 60 132 230 12 53 239 9 142 147 152 187 160 17 76 198 62 142 19 173 88 188 248 248 93 16 141 197 237 203 46 94 150 122 150 234 180 227 162 228 252 110 213 115 25 137 98 242 179 203 90 25 149 209 43 253 84 141 163 44 51 255 0 65 50 38 135 55 78 93 202 187 143 157 167 70 229 247 171 93 144 186 172 111 104 101 35 173 83 135 184 91 87 230 125 23 87 190 126 93 54 163 172 110 146 196 141 219 37 247 47 59 122 61 50 163 204 254 119 163 29 129 170 238 173 79 194 166 229 200 101 141 221 251 164 187 179 54 143 55 164 74 251 167 123 200 213 103 152 88 52 125 177 49 146 63 106 206 152 9 81 212 160 250 105 179 151 32 119 201 77 154 123 58 206 88 203 50 146 86 121 149 218 102 146 174 167 111 217 234 39 118 41 51 15 245 115 109 241 27 104 71 90 95 114 193 202 76 78 247 71 249 207 242 190 235 242 186 111 77 104 230 7 219 169 118 117 200 24 122 84 233 170 228 210 245 53 252 108 109 30 21 119 159 136 195 107 87 199 193 132 202 79 199 69 76 38 87 71 226 59 107 60 166 74 213 24 197 198 109 253 63 79 43 145 26 139 38 47 50 50 122 170 29 28 157 198 149 247 182 89 243 128 244 72 157 237 135 189 82 193 163 236 137 131 95 51 221 242 110 193 20 68 215 53 93 235 237 105 211 127 31 187 202 200 29 148 234 85 96 111 27 23 97 170 28 185 212 110 28 69 16 227 136 49 150 10 132 53 79 34 121 34 93 138 55 94 43 37 99 17 165 152 214 70 75 22 47 123 151 211 111 204 246 89 81 234 189 236 141 242 222 141 195 107 236 214 54 113 19 73 119 201 250 171 142 149 69 149 252 111 239 137 107 86 248 182 121 180 74 207 38 77 23 51 95 12 176 203 68 101 133 39 44 229 156 179 150 114 79 46 121 115 146 114 70 64 101 152 171 50 41 101 91 83 108 224 128 178 190 235 222 200 253 204 167 212 175 208 251 24 203 179 65 233 120 216 99 233 126 162 169 83 106 47 108 131 213 119 191 227 246 179 226 153 147 251 48 143 53 252 209 154 57 141 12 62 58 154 154 154 251 53 10 198 89 147 135 93 178 236 75 82 58 20 52 247 78 246 75 33 149 183 43 94 61 133 239 87 166 186 7 160 252 173 240 168 74 251 166 245 145 220 41 39 130 151 243 12 40 166 46 132 230 140 209 154 49 132 205 253 231 196 8 68 126 145 154 119 151 99 215 96 124 2 135 148 169 180 75 33 240 30 170 91 239 164 109 165 29 85 198 154 217 174 180 204 112 34 122 130 226 89 144 216 124 58 154 98 0 163 115 115 115 112 152 198 19 15 218 60 79 128 240 51 40 244 243 122 212 252 254 4 75 43 13 50 43 41 44 135 195 30 90 58 253 212 116 9 218 142 139 107 75 65 209 18 165 220 173 102 6 39 58 132 84 30 27 155 155 132 194 97 48 205 205 205 205 205 193 246 143 6 153 108 65 61 195 21 53 30 100 132 75 23 99 50 190 70 104 189 233 153 3 238 89 173 85 64 220 94 205 210 88 210 145 204 213 142 86 225 216 230 251 185 2 35 67 227 185 184 76 38 24 102 230 230 252 55 23 238 50 219 165 221 101 196 105 58 202 87 149 97 142 38 109 124 213 180 0 237 122 71 235 89 251 106 27 47 242 169 76 79 137 27 143 221 250 74 61 111 193 113 252 170 30 60 99 226 102 230 225 135 192 253 163 236 30 23 31 75 116 54 59 153 215 154 129 184 189 1 240 105 96 153 43 201 97 236 189 208 109 108 29 126 204 113 215 155 170 244 74 254 38 93 184 91 154 112 218 252 203 80 114 163 203 12 62 36 194 124 76 48 253 130 44 31 109 157 101 137 186 238 230 5 9 39 15 76 187 133 166 225 142 39 19 73 178 77 125 233 239 144 52 222 34 80 61 22 13 74 250 196 248 54 229 143 209 52 79 241 186 119 148 99 203 12 38 115 78 104 76 38 111 192 195 15 216 34 253 198 48 235 109 74 209 232 84 76 117 229 70 51 159 108 190 13 56 130 238 153 95 117 153 29 71 138 247 214 170 50 175 141 82 214 0 55 89 87 207 248 237 122 161 165 134 90 209 218 115 206 104 90 115 64 124 12 49 190 193 23 237 220 220 38 24 124 28 202 58 148 240 105 144 61 47 208 215 220 75 6 234 110 254 21 119 179 226 101 127 26 187 95 173 24 62 92 25 121 120 123 203 76 180 203 26 115 250 183 9 130 47 129 134 31 176 65 247 19 9 132 205 194 101 167 166 32 244 40 240 105 116 201 233 122 119 94 203 213 95 191 134 56 245 93 20 108 214 172 34 124 110 159 232 95 201 136 188 152 214 25 113 150 153 105 129 191 38 231 52 88 176 67 12 97 12 220 16 65 12 176 182 247 55 55 9 140 208 180 220 38 92 125 56 223 5 240 105 108 205 233 120 137 1 0 220 61 94 24 131 213 103 200 202 11 24 59 52 97 40 175 157 199 68 180 203 140 180 203 162 159 207 185 184 177 96 241 49 246 60 4 16 120 31 177 140 99 24 206 105 185 103 83 64 232 60 26 89 56 158 197 181 152 191 16 102 64 235 4 196 17 227 119 165 76 78 206 39 113 194 246 185 205 241 176 203 76 178 91 219 122 201 223 130 196 220 84 105 202 179 154 161 5 139 51 159 243 41 216 130 15 178 162 20 53 213 195 229 180 116 49 252 106 245 223 80 130 24 210 201 196 250 74 207 84 140 61 55 117 88 59 226 252 44 135 186 60 175 181 145 196 224 202 91 136 89 218 217 108 121 108 201 244 154 79 152 43 199 99 22 164 72 91 81 188 198 130 184 82 108 239 56 157 82 219 2 3 1 241 38 107 153 60 165 48 212 68 234 33 235 30 153 113 43 48 23 98 177 224 99 75 39 21 31 141 71 65 185 178 65 253 70 44 171 244 56 232 101 61 234 232 53 181 51 248 234 134 201 186 90 101 177 227 204 148 216 192 215 149 12 233 14 252 59 70 51 59 213 70 33 244 238 3 3 78 105 184 198 0 117 225 201 178 212 198 82 179 48 6 175 17 57 107 65 224 209 165 155 156 83 245 87 212 243 116 222 162 126 166 137 221 7 224 96 99 119 170 82 55 45 60 172 221 103 241 117 245 223 45 150 71 141 46 29 48 91 240 39 57 157 102 218 122 225 143 210 100 101 221 206 249 246 107 234 50 20 253 94 92 250 220 200 153 185 198 12 204 201 245 215 79 252 147 8 56 196 196 226 62 115 14 199 160 231 157 230 82 131 125 66 47 131 70 150 78 39 250 211 189 35 112 107 146 158 161 251 215 221 63 85 190 21 119 163 181 189 73 239 252 101 127 21 242 217 100 104 210 206 220 61 180 200 204 98 152 93 68 54 51 78 209 165 252 138 110 162 150 25 0 166 71 57 138 119 10 70 71 135 156 76 4 75 110 171 27 1 38 63 211 77 65 210 48 83 62 50 166 243 114 43 130 24 209 229 147 137 126 186 254 75 221 236 218 227 247 126 245 119 237 91 248 85 210 85 217 132 255 0 127 143 127 199 124 178 60 104 251 143 49 143 46 98 239 64 65 88 154 2 3 179 100 179 8 243 228 99 230 36 177 138 217 94 74 68 201 170 62 88 150 100 110 115 134 41 85 174 105 225 217 6 97 97 138 39 88 192 24 118 35 182 171 195 137 4 49 163 203 39 19 253 105 242 110 94 85 29 49 255 0 117 157 233 249 89 241 178 52 172 74 254 63 227 119 224 67 88 23 203 35 198 141 26 19 203 148 177 96 217 141 220 2 1 153 57 84 86 207 151 84 206 245 229 253 21 141 7 14 58 108 75 210 110 209 10 110 97 94 216 209 120 168 214 6 87 212 44 177 244 124 201 150 127 30 34 234 180 130 24 209 229 147 138 55 166 177 178 189 147 245 227 29 228 91 222 143 149 189 173 134 85 41 236 97 248 240 63 255 0 157 119 123 35 198 141 26 101 3 230 214 12 93 78 97 3 44 222 203 3 46 198 173 229 220 62 150 25 106 212 100 27 237 89 245 86 67 113 51 123 138 6 215 18 219 102 39 11 84 53 34 160 135 172 101 212 203 99 172 127 138 193 12 104 242 201 197 59 167 100 62 132 62 156 111 250 109 239 71 202 238 207 12 170 81 216 198 156 36 17 195 238 150 71 141 12 212 190 134 121 90 250 17 68 8 177 130 207 76 58 153 173 150 89 243 217 38 101 171 117 203 75 60 92 20 51 233 177 84 91 78 52 244 136 151 218 163 31 234 237 179 16 58 87 184 219 150 239 147 40 238 99 124 86 8 99 71 150 78 34 127 48 148 16 9 167 166 48 35 34 238 244 124 156 244 176 3 12 171 189 26 42 227 80 106 112 223 248 110 150 71 141 224 131 115 15 20 53 67 31 150 58 24 252 209 105 99 57 81 33 34 92 213 214 153 54 225 218 51 87 29 110 11 105 137 94 84 179 206 73 204 76 8 230 84 104 173 48 248 133 33 235 42 202 122 79 50 90 125 22 245 183 27 224 190 6 52 121 108 206 253 171 221 122 4 217 148 239 234 110 239 71 202 206 196 136 221 234 148 16 1 211 32 249 96 127 199 124 182 60 111 10 23 174 31 71 101 142 145 134 163 24 68 51 43 21 46 153 152 23 172 181 29 73 103 16 100 92 39 158 76 93 25 210 125 22 85 135 19 134 105 144 114 137 110 166 75 114 210 79 171 23 245 175 131 70 143 44 153 223 185 123 255 0 136 133 134 56 214 77 221 232 249 48 220 184 1 26 85 222 141 114 87 209 155 246 226 127 203 124 184 199 134 9 136 61 84 184 25 113 132 186 189 151 164 198 93 67 189 101 100 26 148 103 214 87 137 90 47 114 141 43 199 83 27 14 157 89 87 33 228 234 188 76 1 70 94 69 214 41 233 96 38 18 103 17 48 9 143 240 95 6 141 30 89 51 135 230 88 39 154 2 99 29 228 91 222 158 228 250 91 169 105 84 163 172 10 67 84 57 174 172 114 215 124 182 60 49 123 225 247 177 185 56 167 133 139 46 15 25 4 33 103 40 51 35 14 139 103 17 198 122 27 108 39 60 46 243 212 101 106 77 149 85 136 145 30 157 245 211 22 17 216 19 152 252 214 40 60 245 118 30 13 26 60 121 197 6 172 65 19 76 179 31 246 89 222 174 253 233 39 81 165 125 241 206 163 62 215 1 55 146 221 175 150 199 134 9 136 122 241 19 172 202 91 158 168 210 229 17 213 33 153 88 254 116 108 91 171 92 235 26 182 25 84 198 187 24 199 250 121 248 246 149 90 77 120 25 77 48 240 22 150 35 163 212 240 130 131 229 106 176 124 138 224 240 49 163 70 156 89 61 53 124 151 195 27 124 246 119 175 186 254 135 134 82 187 53 8 154 3 130 2 247 57 151 153 100 104 124 49 126 92 83 254 142 26 119 143 225 116 96 97 231 153 55 154 98 230 84 227 140 88 182 176 192 119 139 195 148 79 160 174 62 13 66 39 224 200 126 45 169 129 147 118 67 54 165 143 104 153 54 21 172 204 52 62 106 193 224 99 199 62 25 171 186 101 4 104 174 141 61 35 247 78 244 31 193 100 50 146 55 143 213 104 94 102 224 245 121 117 59 76 131 28 198 135 195 23 191 19 249 112 193 170 60 44 212 114 35 71 80 102 86 62 59 78 33 66 135 6 212 31 85 110 223 49 227 92 207 41 56 252 216 182 240 226 104 242 244 194 59 170 204 198 221 110 53 48 220 155 212 192 102 227 24 230 90 209 37 195 104 70 158 149 4 14 133 59 52 89 138 127 13 147 91 9 242 197 237 79 203 23 105 136 207 215 34 52 104 96 152 131 173 248 135 34 234 212 34 248 62 163 106 52 206 174 214 86 193 200 105 197 113 205 77 200 4 119 229 186 247 165 234 91 66 156 22 76 140 179 129 140 243 135 98 125 60 109 104 133 51 49 54 149 162 18 121 19 36 118 220 230 133 163 152 70 202 136 221 178 87 89 21 153 235 42 58 82 96 152 135 211 108 61 5 63 60 111 141 10 89 237 244 83 113 51 155 104 198 49 155 139 48 251 215 241 240 38 57 141 12 201 182 186 81 175 161 231 25 178 190 90 91 153 153 9 34 145 228 173 100 182 7 224 204 110 39 74 142 31 151 245 94 12 140 101 201 46 168 163 93 94 165 7 154 166 133 245 57 224 235 57 124 30 113 17 203 112 232 171 97 1 255 0 81 240 196 49 251 191 122 254 88 221 176 149 65 201 17 210 90 117 29 163 60 230 137 48 126 98 110 110 19 12 48 238 100 82 45 91 176 169 19 138 42 153 142 52 204 91 117 216 74 220 198 179 195 171 250 203 104 225 184 251 199 169 42 16 236 203 82 88 156 193 235 97 49 127 81 142 179 81 117 224 99 78 40 32 62 132 82 101 221 7 134 41 245 191 123 59 210 3 76 85 212 225 202 57 237 153 6 92 101 147 151 168 17 38 53 188 141 77 165 148 52 220 223 129 134 113 35 120 162 203 242 208 102 220 196 80 127 35 114 243 213 160 114 0 43 140 88 26 177 120 133 147 135 81 109 104 53 7 89 110 163 14 185 43 205 94 35 106 216 68 43 53 224 99 78 39 250 213 9 148 126 204 131 234 240 164 245 182 25 95 124 46 171 193 253 82 233 144 101 209 146 114 235 192 76 125 217 125 125 0 251 76 200 178 186 150 203 42 35 143 138 188 202 253 46 232 207 98 169 73 179 203 194 46 228 188 241 60 122 206 30 69 89 21 128 33 38 20 150 128 60 51 16 87 96 234 62 214 156 67 245 213 189 99 38 154 222 254 21 247 126 181 255 0 180 142 103 198 94 85 224 114 243 47 150 67 15 129 32 47 14 172 165 85 117 131 237 51 54 149 190 187 248 99 206 37 75 208 251 245 88 220 150 57 220 29 102 62 57 190 252 94 17 72 56 184 233 84 19 180 36 152 235 30 103 167 61 24 141 205 87 216 99 76 239 215 79 124 115 232 126 254 11 23 173 77 222 166 33 176 54 211 130 141 46 65 150 199 134 31 10 147 206 200 169 98 175 220 211 136 228 223 77 214 241 2 171 197 239 250 147 161 189 71 29 19 182 37 166 172 133 202 226 47 56 99 102 110 106 29 8 228 180 117 50 212 231 85 2 187 126 198 141 51 127 90 68 244 208 126 202 62 47 210 44 225 199 83 132 141 81 147 45 143 12 105 190 156 45 61 21 136 62 230 151 114 76 143 166 215 21 228 243 27 186 245 78 105 79 89 138 190 94 93 119 213 186 114 177 217 225 58 28 132 206 89 100 126 249 237 201 145 191 19 26 52 204 248 0 101 158 148 251 49 206 154 200 157 248 110 167 14 59 171 42 91 26 57 140 101 143 185 139 241 64 96 19 95 107 76 206 30 237 147 119 14 181 86 238 138 70 226 141 120 81 57 180 113 248 95 58 225 112 186 233 113 208 8 76 99 26 93 56 146 243 38 29 156 245 120 24 198 25 153 240 199 109 189 231 175 217 89 235 145 218 179 56 114 115 78 28 161 113 242 165 177 204 176 203 236 229 31 90 233 151 194 243 41 200 74 204 31 117 135 149 63 242 66 202 242 248 139 0 227 105 234 221 123 33 229 61 207 33 53 103 222 130 142 47 104 152 239 230 87 53 8 150 25 111 89 158 127 30 29 220 151 131 55 9 134 25 153 250 240 196 126 255 0 96 238 125 84 214 211 134 54 159 135 127 207 149 45 150 25 107 76 251 116 162 86 237 91 112 238 58 245 204 76 218 50 20 25 191 176 199 166 185 252 131 203 167 7 135 29 85 118 252 202 135 227 200 148 71 109 89 252 125 41 201 174 140 92 117 136 161 68 39 81 236 99 24 75 94 113 76 165 64 182 21 186 135 230 77 195 12 105 153 250 208 114 99 159 186 131 23 210 248 44 26 112 209 172 124 185 124 180 203 219 166 99 237 199 141 86 217 81 195 227 249 52 140 78 61 137 116 174 228 176 3 55 224 211 249 133 186 163 9 180 185 61 90 175 213 147 41 50 239 217 252 102 206 92 186 160 48 152 198 88 250 153 188 66 138 166 95 19 182 216 199 112 206 23 102 234 7 192 198 151 142 105 121 251 235 61 109 30 174 26 61 124 56 239 31 46 100 75 76 203 125 6 59 127 186 140 172 138 14 7 242 55 89 137 157 143 146 156 209 222 127 36 201 23 231 99 54 158 228 148 118 200 248 215 44 253 152 150 249 57 56 214 171 167 60 187 38 186 198 103 28 169 102 87 18 201 190 22 217 134 25 195 91 86 39 129 141 59 75 15 95 184 65 234 175 134 183 171 134 127 205 153 47 151 25 158 221 23 217 170 219 42 108 78 61 149 84 179 143 84 248 204 197 153 14 156 128 193 87 146 252 136 177 187 206 13 196 197 41 153 198 172 99 109 246 219 247 25 133 243 165 186 70 134 100 29 3 236 80 221 112 64 15 194 191 229 204 61 111 153 38 103 62 217 125 234 186 213 104 245 100 8 177 189 163 56 121 245 227 118 27 135 194 230 217 246 20 245 193 126 184 64 156 76 149 105 146 140 38 102 185 111 249 143 19 237 225 157 173 221 239 236 33 246 140 197 58 124 99 20 198 105 144 250 70 246 176 236 229 126 30 127 253 126 75 25 146 75 76 198 210 191 87 240 48 251 120 83 32 203 58 175 185 71 203 28 234 33 240 201 125 183 180 135 71 248 246 111 62 22 67 76 131 56 131 244 111 144 240 48 251 120 221 23 32 194 122 127 190 221 31 179 178 208 219 91 155 149 28 245 246 248 126 67 83 115 48 116 202 51 136 89 182 78 192 67 12 62 221 31 166 243 234 6 127 190 218 124 254 39 26 100 62 207 184 135 71 27 44 165 25 87 228 89 45 86 230 172 77 67 12 62 222 39 90 156 250 196 255 0 79 127 104 116 54 176 106 215 241 212 199 103 221 198 176 163 217 171 83 61 116 244 8 194 24 97 246 241 27 71 255 0 117 159 235 119 246 240 84 216 247 54 207 188 14 166 37 179 61 183 125 2 89 221 227 67 237 212 116 221 172 29 135 115 223 218 69 44 202 162 154 143 244 43 109 28 154 249 229 2 90 127 61 221 25 253 215 129 186 80 189 61 188 58 188 180 115 191 233 84 250 138 146 195 255 0 228 101 119 111 116 13 192 137 44 179 211 237 97 81 204 109 125 255 0 76 74 44 212 204 94 91 115 59 123 169 216 252 125 172 90 13 172 236 0 254 160 48 114 216 185 195 67 221 174 63 235 246 113 233 54 177 229 69 63 214 6 122 108 91 171 53 159 114 174 214 126 191 99 26 134 184 250 107 67 253 128 98 176 101 186 130 158 229 127 27 126 31 126 54 41 120 204 21 73 254 208 136 242 220 112 192 130 15 176 98 124 110 248 253 170 165 141 24 170 145 223 251 202 196 70 228 180 91 142 203 236 214 58 100 118 241 212 167 17 218 47 151 80 102 223 255 0 3 113 108 34 48 174 200 216 198 50 50 253 213 143 78 95 120 149 187 202 240 204 85 170 168 214 19 9 255 0 225 238 7 48 91 8 165 161 199 172 207 165 159 71 100 250 55 139 72 81 101 21 49 11 74 67 108 46 102 255 0 249 27 155 51 152 206 99 57 204 44 102 255 0 175 255 196 0 42 17 0 2 1 3 4 1 3 4 2 3 0 0 0 0 0 0 0 1 2 3 16 17 18 32 33 49 48 4 50 65 19 34 66 81 64 113 35 51 97 255 218 0 8 1 3 1 1 63 1 241 57 31 80 214 41 153 254 27 144 221 177 108 25 20 133 47 59 120 36 246 43 115 110 173 156 9 231 200 216 249 216 197 177 177 62 9 116 69 137 248 152 242 196 96 67 187 121 16 217 146 29 13 240 44 9 225 139 194 228 36 62 196 237 33 19 17 155 52 65 113 103 216 132 252 12 237 153 31 99 98 157 154 36 196 204 138 209 236 192 213 226 243 189 153 193 18 75 12 159 70 162 19 50 59 33 90 61 217 246 39 104 189 210 99 232 136 137 172 141 21 41 227 145 50 44 104 193 131 22 139 192 167 117 104 189 178 228 66 52 218 70 191 179 2 137 141 248 25 25 29 140 131 216 204 137 219 136 172 178 117 53 116 99 199 155 41 52 100 66 234 242 35 216 200 172 149 170 106 150 60 146 21 211 23 100 111 38 69 15 188 153 210 155 35 124 217 221 95 36 150 68 177 116 34 55 118 138 43 188 65 144 25 147 54 126 7 178 34 187 35 217 209 234 122 72 91 23 137 221 93 217 91 212 246 182 40 26 109 39 149 177 28 152 49 101 101 104 244 59 196 173 239 179 35 179 67 104 250 82 62 156 143 161 35 233 233 187 91 16 222 8 116 51 6 50 124 19 255 0 99 29 144 174 144 219 192 156 236 241 251 187 219 218 41 140 98 179 247 189 138 235 79 200 227 149 195 20 95 236 73 15 77 158 239 130 152 237 145 114 143 205 221 49 93 127 70 120 18 79 228 235 162 95 213 153 131 27 105 14 200 130 23 185 219 3 92 50 53 8 188 218 26 186 67 143 236 92 26 153 38 221 152 246 35 37 49 140 70 175 150 67 187 193 101 224 124 20 157 161 217 39 33 54 254 7 27 59 75 106 41 140 100 59 43 188 69 148 213 233 251 138 190 246 82 124 136 73 124 142 15 224 211 44 246 105 253 187 50 36 251 221 79 161 140 137 234 87 72 198 47 57 56 242 118 65 17 70 95 193 23 251 49 247 13 24 48 62 9 61 208 234 204 139 228 170 254 225 94 81 212 125 50 49 17 20 254 14 117 242 126 68 214 29 228 142 182 161 89 145 236 172 191 201 178 40 119 88 127 36 150 25 28 234 42 221 162 91 99 221 230 68 155 205 71 117 206 196 71 143 130 120 34 79 173 146 91 105 222 104 139 56 214 199 104 61 136 90 145 87 254 139 163 156 24 188 135 178 146 226 236 138 228 252 216 201 49 16 172 208 166 164 105 180 229 136 149 62 234 73 146 226 4 166 244 112 83 150 165 205 229 52 137 60 145 119 138 196 113 179 228 252 216 201 108 83 104 141 116 251 42 207 43 131 211 173 113 193 83 216 198 254 194 140 240 74 178 37 85 202 241 180 22 94 214 133 239 100 135 191 209 203 19 193 93 112 199 237 220 149 169 44 45 216 195 100 135 191 210 251 202 207 179 227 116 61 164 22 88 184 221 81 18 240 122 87 247 146 150 89 45 208 101 40 241 189 242 85 88 240 82 122 100 33 238 165 29 79 195 56 234 68 150 55 228 130 108 169 141 177 90 158 8 67 74 241 85 167 148 53 142 55 193 125 163 239 98 89 41 83 210 188 149 104 234 232 105 199 189 209 246 143 187 198 46 92 34 157 45 30 105 193 72 157 41 45 189 68 125 218 20 156 136 83 81 254 12 168 197 146 244 239 224 116 164 133 78 89 28 115 17 122 118 251 35 70 49 254 59 242 127 255 196 0 41 17 0 2 1 3 3 4 2 2 2 3 0 0 0 0 0 0 0 1 2 3 16 17 32 33 49 4 18 50 65 34 48 19 81 64 66 35 82 129 255 218 0 8 1 2 1 1 63 1 250 101 86 49 37 213 161 245 82 244 46 170 98 175 33 117 8 141 68 255 0 131 57 168 149 58 156 236 135 38 237 145 166 70 167 236 88 118 133 118 136 205 75 238 171 85 69 18 168 229 108 217 161 108 60 51 134 70 86 140 218 41 212 82 251 42 213 237 69 89 182 197 117 193 39 111 86 138 178 19 104 165 83 187 234 169 60 34 82 238 26 220 224 100 86 78 14 88 151 104 196 178 36 59 198 93 165 57 119 125 13 225 21 103 220 51 217 36 53 146 27 50 69 37 236 198 70 142 4 199 118 82 159 107 19 206 190 162 126 175 37 134 69 100 157 35 2 121 41 173 134 134 176 49 51 214 154 19 245 170 82 237 68 165 220 243 121 126 202 67 142 73 211 59 112 200 241 105 18 142 198 15 90 99 46 214 69 229 105 234 39 102 51 27 20 94 54 35 49 146 128 140 153 51 102 96 90 40 75 214 135 193 82 89 122 86 210 216 198 231 112 217 147 58 114 70 89 186 32 240 197 122 210 194 211 21 131 38 76 253 27 156 105 163 44 198 245 229 232 118 98 142 16 199 101 174 76 162 219 99 221 137 232 233 229 234 245 30 88 237 21 150 78 204 198 151 108 14 36 87 104 247 18 209 73 226 66 38 241 27 59 82 231 36 132 140 24 178 214 144 150 149 201 30 10 207 227 103 106 92 15 67 22 188 107 162 254 39 80 246 16 237 15 17 221 212 138 224 239 201 255 0 72 71 12 119 145 183 166 38 103 85 7 177 212 232 91 66 245 22 81 139 210 163 41 35 240 200 252 50 63 3 42 81 144 211 76 77 144 150 174 156 234 94 226 187 241 21 164 74 244 163 149 228 101 197 10 83 55 42 227 246 53 184 163 146 11 85 15 35 169 243 179 180 184 208 239 73 82 246 40 252 126 44 140 36 189 137 100 171 248 204 44 236 71 2 88 213 69 252 142 163 207 68 184 209 60 141 99 115 146 132 147 88 192 154 237 18 207 177 36 138 187 46 45 29 116 124 142 163 204 67 180 175 30 73 64 148 113 110 153 213 254 164 83 107 228 38 147 59 138 178 171 100 181 209 242 58 143 44 136 98 91 147 209 201 90 54 233 243 254 216 19 150 4 219 244 53 177 85 47 76 136 181 209 228 234 68 72 167 201 59 178 30 37 85 177 34 135 103 178 48 106 24 137 219 63 216 225 182 236 170 162 184 68 29 150 133 110 156 234 80 137 20 204 230 240 89 56 42 72 147 40 84 148 124 10 51 148 163 185 182 73 241 177 83 189 121 10 88 32 242 180 171 116 232 174 182 17 34 43 109 29 221 163 172 78 121 50 116 145 147 207 108 138 121 207 200 194 238 42 39 130 187 127 188 153 41 200 79 58 89 65 108 85 89 141 164 47 29 21 101 185 155 244 209 132 185 150 8 46 213 182 228 57 43 165 141 202 255 0 141 120 218 12 131 211 236 167 178 25 37 134 72 254 183 155 194 27 187 224 160 233 227 228 133 140 44 17 224 171 226 87 150 87 141 147 193 9 103 76 119 98 226 213 150 36 51 250 138 213 182 70 111 46 10 31 158 49 67 207 187 62 14 162 53 113 139 108 136 54 71 141 20 86 93 235 199 40 99 241 86 141 170 116 209 151 137 42 83 143 39 112 247 41 57 119 34 75 252 105 146 95 19 63 19 168 148 187 185 178 193 78 155 145 24 225 14 244 86 21 228 178 137 236 63 21 104 232 157 40 204 151 74 215 7 79 73 197 229 148 151 124 73 248 153 216 234 105 119 112 71 166 147 33 66 49 188 172 150 72 172 45 29 68 112 201 112 132 45 125 59 249 96 172 182 214 237 70 57 121 211 90 57 68 133 244 116 254 101 87 157 114 230 212 227 218 181 85 134 25 17 139 87 79 230 55 174 69 40 101 235 169 30 227 13 60 12 90 169 75 182 68 119 30 174 94 8 71 11 232 171 15 104 95 68 114 75 85 40 123 250 112 84 134 30 69 190 135 120 175 142 156 148 225 220 243 245 227 36 225 129 61 89 248 104 100 33 145 109 246 206 151 232 227 157 47 199 68 41 126 255 0 129 40 41 18 163 250 48 213 187 145 41 199 180 74 76 84 115 201 24 40 241 252 60 13 29 168 194 251 63 255 196 0 51 16 0 1 3 2 3 8 1 3 3 5 0 3 0 0 0 0 1 0 2 17 16 33 18 32 49 3 34 48 64 65 81 97 113 50 19 35 129 51 80 145 4 66 82 98 161 36 96 114 255 218 0 8 1 1 0 6 63 2 229 244 90 45 22 159 181 216 45 235 43 171 5 14 90 173 84 155 161 0 41 133 45 63 179 88 41 59 202 194 23 154 121 87 88 29 159 183 236 86 8 63 107 252 33 134 203 16 252 210 90 160 214 202 14 185 8 87 175 158 126 122 119 67 8 252 215 19 86 38 219 186 249 45 105 123 43 34 66 186 150 222 186 47 20 178 186 183 56 28 251 49 6 180 64 164 40 168 201 19 76 76 177 164 231 178 150 243 64 144 152 212 218 200 88 77 1 82 129 232 87 130 154 236 129 12 198 146 57 140 78 8 120 163 92 188 33 216 175 11 27 87 149 10 13 64 90 163 73 88 66 133 25 77 36 114 210 130 152 186 149 233 74 182 170 234 41 34 133 221 21 212 171 169 87 80 2 196 253 81 60 28 67 149 181 26 138 41 204 82 20 210 105 162 186 146 188 4 16 29 148 244 83 66 120 49 202 97 168 68 119 8 185 72 88 148 163 89 233 76 35 64 161 71 90 219 68 92 128 81 154 107 135 147 147 87 53 7 246 78 111 156 152 123 210 20 40 25 37 6 132 90 58 86 80 86 87 165 213 178 72 228 36 175 21 189 28 212 66 53 149 42 202 122 149 101 221 199 33 122 3 169 52 140 131 60 169 28 120 168 163 90 156 23 229 70 92 74 74 213 64 68 117 68 158 137 210 133 92 222 149 140 242 105 131 141 40 162 164 82 233 151 232 154 254 232 21 57 72 68 17 73 83 221 16 172 138 52 115 148 30 28 172 92 80 20 210 69 100 106 16 238 51 20 93 221 18 160 41 66 213 40 152 80 137 8 40 225 150 113 161 111 43 100 192 78 227 244 173 178 69 116 90 86 235 69 32 34 218 110 173 230 230 140 146 177 112 252 214 73 202 32 166 109 59 138 56 35 179 58 14 66 234 203 191 4 183 137 57 116 164 168 119 226 129 223 132 94 36 114 125 138 255 0 32 175 108 193 79 14 50 222 128 43 13 209 75 221 90 220 174 243 84 236 204 248 87 25 124 142 12 102 147 72 104 64 187 120 171 8 230 180 94 50 22 247 224 77 109 89 166 35 162 134 136 230 109 151 198 73 207 239 45 232 27 252 172 45 208 114 246 64 208 101 60 56 202 210 21 214 51 169 230 49 116 86 209 122 160 202 106 70 127 106 43 48 130 107 71 82 131 123 115 4 40 167 145 152 59 130 114 89 68 40 88 191 196 115 50 180 86 172 100 57 39 128 43 116 237 167 249 115 196 228 40 142 0 168 81 64 182 126 191 99 119 186 145 144 101 154 0 152 223 25 71 28 97 225 12 186 41 164 101 57 153 23 32 161 148 14 96 55 48 33 70 99 235 52 45 155 122 19 153 185 174 229 221 90 23 190 1 113 87 106 177 133 223 39 172 192 228 6 166 176 16 164 133 179 204 29 217 110 137 87 178 238 172 33 117 87 52 176 65 220 11 155 43 45 101 117 87 18 165 135 241 76 93 248 48 134 121 69 66 7 176 204 83 99 181 46 172 204 154 39 142 188 0 50 89 93 65 8 14 4 5 100 103 189 66 190 82 86 209 217 199 117 170 209 104 180 164 234 143 216 195 217 25 96 91 175 143 194 253 69 243 255 0 139 245 27 252 43 237 25 252 43 185 170 240 190 11 11 118 94 205 44 42 192 56 50 84 194 125 90 17 168 171 207 156 239 110 75 5 122 65 195 42 237 11 104 208 108 13 150 139 224 86 132 43 57 93 96 218 8 29 215 66 190 222 9 241 144 148 227 219 133 1 58 173 245 150 212 39 206 120 239 77 114 151 181 228 74 39 22 33 225 111 182 74 187 66 209 91 102 190 34 159 109 165 111 63 10 249 23 83 90 18 81 35 169 224 192 163 189 84 122 206 51 176 228 129 117 112 180 88 49 95 170 179 147 176 223 18 232 23 234 43 60 21 14 18 187 35 39 18 248 127 213 33 152 105 165 33 1 156 84 175 197 70 118 231 217 159 57 181 82 230 171 56 133 244 133 233 170 213 106 181 91 141 178 197 181 32 158 193 67 68 82 244 213 12 224 84 133 248 225 50 115 130 58 20 22 149 133 213 110 29 193 209 97 218 177 125 77 156 104 174 240 183 158 175 11 116 149 221 97 109 130 221 115 148 60 201 169 52 28 27 169 105 80 123 86 234 213 138 179 59 173 43 69 162 178 222 42 193 64 149 137 239 3 194 135 195 151 218 156 62 214 224 52 222 217 175 137 93 144 197 179 196 238 229 96 115 48 121 83 54 93 232 84 33 156 215 229 8 3 123 103 189 89 235 57 111 72 205 162 186 220 0 133 188 8 42 206 33 124 150 241 166 170 205 128 131 182 198 72 90 100 148 51 154 10 126 42 61 100 189 89 235 48 88 58 150 230 233 11 119 101 139 202 242 135 72 165 222 191 81 110 185 93 208 161 163 68 26 205 158 22 247 165 148 33 65 156 208 40 10 127 212 212 122 201 20 27 179 116 7 140 251 63 254 114 118 91 207 90 46 136 144 3 79 132 58 202 208 211 83 70 143 40 125 182 133 132 22 250 86 2 164 38 217 12 243 146 127 214 163 214 88 1 49 164 94 120 27 51 225 52 214 235 69 241 90 194 221 124 161 245 88 190 33 124 2 182 206 159 109 151 232 167 104 248 88 231 17 166 168 184 244 82 83 0 224 7 118 87 82 40 239 85 7 44 162 227 211 56 91 63 72 78 75 5 170 187 49 169 34 19 6 204 202 153 1 111 60 173 92 191 83 10 99 254 190 38 131 162 134 108 214 246 207 8 166 138 14 166 129 221 56 6 144 104 252 178 166 151 78 119 126 6 207 210 158 249 117 42 226 85 247 87 218 218 202 182 209 97 185 52 185 95 115 26 232 223 107 114 22 171 89 90 80 73 224 17 225 17 72 41 198 164 100 132 90 19 103 94 3 58 49 168 52 104 51 125 183 145 233 125 237 174 47 105 173 107 181 64 35 11 113 176 238 170 112 202 12 59 22 225 137 81 244 161 89 94 235 244 215 101 188 155 131 130 85 149 242 21 108 130 19 91 226 151 226 104 177 109 29 1 79 212 178 5 169 210 139 250 33 180 157 105 245 30 64 108 45 37 72 97 104 172 83 16 77 62 56 18 133 7 1 141 234 120 3 62 170 28 186 143 74 206 134 52 225 70 242 141 236 190 159 74 22 185 196 6 173 11 189 168 99 64 165 169 229 18 69 148 112 26 84 43 32 42 17 167 101 9 167 174 77 86 181 149 39 63 254 57 1 222 86 248 41 204 112 254 233 161 146 132 41 40 141 142 41 61 150 174 111 178 190 227 137 247 148 194 44 60 25 67 41 200 60 112 3 122 13 120 18 247 0 190 98 20 178 46 122 32 136 106 18 161 56 190 26 33 107 140 160 230 79 229 104 160 100 15 28 24 5 98 57 65 164 40 9 217 229 98 63 39 95 129 129 193 110 237 12 40 218 126 41 45 66 159 79 234 0 183 201 114 221 173 184 133 59 61 168 236 237 103 65 115 193 107 89 178 196 211 213 95 101 5 7 1 16 181 83 66 190 163 46 87 219 217 255 0 197 131 250 131 139 37 169 133 22 240 125 229 35 36 231 59 67 171 184 59 208 183 176 167 253 40 13 200 66 217 58 127 186 235 245 90 22 1 181 105 61 171 124 141 119 5 173 241 153 212 186 49 166 96 198 234 80 28 29 166 208 109 93 14 233 40 255 0 119 229 60 118 57 110 131 139 245 65 243 126 56 25 218 105 10 217 134 209 189 58 33 133 195 23 86 211 92 196 235 11 19 118 78 252 163 246 211 200 26 220 171 152 64 154 5 116 3 93 101 14 216 227 244 131 162 60 102 132 118 125 243 189 253 179 250 167 142 6 38 18 15 132 27 253 70 240 238 167 103 180 7 60 225 91 67 132 74 218 119 70 80 160 69 63 234 50 92 213 109 152 80 4 10 216 45 226 172 160 25 114 15 235 40 28 195 205 243 197 35 52 100 196 199 22 148 6 215 124 40 113 250 101 75 28 29 235 46 207 101 213 197 57 77 2 8 162 207 242 25 47 75 186 79 101 12 221 10 244 142 217 64 242 163 128 29 221 55 49 207 59 45 171 155 249 65 191 213 55 16 238 22 45 150 208 26 225 110 140 178 142 232 162 16 171 54 157 138 15 105 177 20 151 56 5 27 61 226 190 88 71 97 150 50 147 193 245 200 98 217 188 180 168 218 125 192 156 68 135 198 136 147 169 66 145 221 70 79 163 182 59 163 66 176 236 108 59 149 247 30 78 127 72 100 195 194 247 150 56 225 52 163 197 57 39 134 41 162 184 132 96 201 228 33 14 71 69 28 48 154 102 100 35 117 188 103 247 7 127 76 77 219 167 39 60 148 113 90 240 177 13 13 32 115 225 95 67 200 97 194 93 217 91 103 132 43 242 4 113 229 48 175 39 143 33 99 28 137 71 143 39 226 222 71 9 208 168 164 115 160 4 24 63 60 151 212 111 229 5 28 112 104 231 158 156 79 168 255 0 145 211 148 145 65 199 213 96 110 156 63 168 255 0 136 255 0 188 176 61 10 111 174 57 225 222 205 11 11 116 28 182 23 38 250 227 158 23 142 165 96 102 131 152 192 229 125 59 242 255 0 235 221 96 103 53 133 250 41 109 219 202 226 126 235 86 22 216 115 151 88 182 95 194 131 200 195 68 149 139 107 115 219 246 13 237 123 169 23 28 33 150 93 184 20 48 126 199 188 216 43 112 130 174 211 156 82 205 43 238 58 22 227 127 63 179 221 93 191 194 179 161 91 104 213 243 217 255 0 43 231 179 87 120 82 226 85 154 173 255 0 163 255 0 255 196 0 41 16 0 2 2 2 2 2 2 3 1 0 3 1 1 1 0 0 0 1 17 33 49 65 16 81 32 97 113 129 48 145 161 64 80 177 209 193 241 225 255 218 0 8 1 1 0 1 63 33 255 0 34 82 48 48 39 188 190 5 219 61 177 247 132 170 4 52 52 255 0 225 146 30 244 59 134 179 100 134 8 219 32 73 76 208 212 225 158 153 161 158 193 90 233 19 57 41 38 150 66 254 248 227 20 209 31 240 76 106 225 199 232 200 137 8 250 144 74 104 67 159 104 147 209 99 238 33 74 222 159 11 27 77 137 78 168 152 98 54 211 23 132 202 30 114 144 203 43 67 178 31 251 164 23 148 131 112 158 144 87 137 116 182 124 7 3 164 28 146 67 39 194 211 236 108 37 216 141 137 171 68 224 242 78 137 105 92 157 129 57 18 136 170 178 68 161 79 129 150 3 38 146 128 211 3 80 255 0 216 214 161 157 35 96 212 44 121 9 169 209 9 51 3 175 220 139 2 90 12 214 146 61 137 171 104 131 184 65 49 104 82 95 66 209 47 191 161 170 76 4 223 149 145 93 83 226 141 24 117 3 222 2 67 31 178 57 204 125 63 212 230 50 160 126 196 105 232 25 70 70 148 109 162 38 113 84 236 99 43 236 104 122 206 104 122 117 17 242 40 124 162 127 100 93 181 99 179 67 174 198 188 148 39 9 141 96 156 68 244 54 102 141 149 78 135 49 217 116 108 150 208 198 255 0 67 24 72 246 220 36 42 26 9 143 108 68 154 20 83 152 55 61 100 78 82 232 119 209 33 37 239 16 72 41 177 97 136 217 15 234 4 148 244 52 73 97 187 38 108 13 191 129 217 25 8 82 44 88 136 118 164 178 191 162 54 91 67 219 252 211 133 186 165 165 217 33 90 178 244 65 240 130 184 34 86 83 176 159 64 43 105 57 10 68 172 229 116 42 38 147 3 19 187 39 52 50 225 100 133 88 173 98 149 178 44 48 167 101 101 152 195 20 134 32 107 35 54 24 5 114 56 80 51 149 107 50 140 67 207 244 86 251 104 149 254 73 25 156 84 88 33 106 204 61 13 211 21 124 98 139 244 100 99 193 163 244 129 244 25 155 41 65 36 184 71 125 177 237 190 4 19 219 6 160 100 237 134 53 178 232 138 29 11 214 98 41 75 143 63 130 210 198 164 199 110 81 139 18 214 52 50 227 56 75 131 79 248 68 255 0 196 146 76 229 224 161 161 1 80 166 225 198 213 74 100 13 186 103 185 176 44 230 218 30 85 68 229 12 104 250 62 4 42 26 179 66 165 217 74 110 181 161 172 72 169 108 11 8 66 103 147 13 182 148 150 88 152 21 151 77 224 113 147 217 38 34 76 74 130 88 238 56 77 108 50 68 148 127 225 98 133 20 104 192 136 107 146 109 36 144 135 228 34 44 200 133 82 36 86 135 82 216 180 105 19 86 84 35 35 158 133 70 240 57 48 29 69 67 65 144 110 201 74 244 136 15 5 52 20 75 213 45 74 97 5 133 11 20 137 76 138 12 42 62 199 177 156 161 8 219 58 26 202 255 0 5 1 123 182 91 220 51 86 51 187 30 235 78 133 158 242 199 193 88 83 146 3 208 150 165 134 37 35 96 61 245 98 83 111 137 255 0 177 137 13 41 22 146 206 17 35 206 139 54 131 97 121 20 193 11 33 41 125 139 57 69 224 233 6 49 99 173 147 49 32 96 150 140 17 4 53 193 69 127 161 91 13 147 63 50 75 39 122 22 70 209 55 150 13 203 36 117 192 170 50 91 61 65 68 216 144 214 41 88 182 67 146 49 57 68 83 233 100 243 239 36 52 130 82 73 108 134 239 254 176 199 58 34 152 121 44 152 231 178 232 70 147 180 38 62 132 55 163 19 45 11 133 208 225 74 44 96 148 76 237 177 101 72 77 3 7 80 145 149 40 95 161 143 242 185 5 19 59 46 164 49 212 145 108 25 52 213 18 34 178 36 118 236 74 150 24 146 154 129 191 168 216 152 141 116 197 164 209 113 146 26 162 54 28 139 38 48 236 16 63 80 68 3 43 53 129 164 205 153 8 118 66 46 62 70 111 160 119 55 196 167 174 197 143 99 87 20 18 131 140 72 182 86 9 79 200 178 205 237 12 18 1 18 154 172 251 99 36 19 22 142 3 74 26 89 0 138 137 13 240 162 11 27 66 84 185 106 134 58 200 55 168 102 32 43 58 133 44 19 90 20 71 67 116 180 38 33 77 66 134 104 24 222 153 135 22 28 110 132 28 61 36 193 138 131 40 82 83 98 126 56 145 85 203 162 203 91 227 25 252 47 78 86 69 189 243 240 26 72 148 71 12 176 8 34 236 69 70 24 169 164 197 236 183 11 196 143 89 24 203 36 164 185 96 149 103 200 130 201 34 54 179 18 156 57 6 201 32 44 53 197 143 11 38 152 233 227 228 157 252 72 70 54 169 91 54 140 167 217 8 39 35 224 10 6 185 62 244 233 142 187 85 232 205 4 23 85 195 209 2 24 132 21 16 181 172 153 165 47 99 170 2 56 9 104 68 96 104 221 10 134 253 49 69 121 32 171 178 28 181 149 14 66 202 16 89 241 99 31 70 64 167 29 70 43 66 20 152 99 95 137 40 214 66 181 115 35 163 176 52 60 50 73 201 9 54 101 49 16 152 158 163 27 177 175 91 105 161 42 40 37 62 85 209 36 183 98 68 113 143 7 192 209 229 13 58 25 126 130 72 73 24 115 86 56 211 14 151 15 162 216 168 107 35 115 9 143 26 15 252 81 127 9 26 250 177 14 115 2 32 101 16 48 208 189 174 16 33 169 32 228 53 16 137 1 177 41 133 170 43 46 37 8 53 68 124 138 152 40 240 244 32 129 112 48 195 67 26 227 232 22 213 162 242 61 200 159 129 168 159 200 236 20 224 100 96 73 62 153 108 49 248 22 66 253 196 214 201 70 97 34 68 202 228 148 32 102 120 8 209 83 38 197 160 197 64 202 204 18 132 24 68 24 163 194 103 193 9 137 141 143 131 18 124 132 18 196 55 232 139 144 4 12 17 29 132 129 64 202 229 15 129 232 78 114 82 248 4 135 231 8 43 113 208 141 41 25 130 210 202 28 154 98 9 147 182 56 129 134 158 223 66 68 125 239 4 1 73 235 192 63 14 204 203 36 146 108 111 4 9 202 23 93 9 37 233 216 164 111 67 92 8 161 133 205 171 11 124 112 135 248 16 133 252 150 69 145 244 132 87 25 34 69 55 8 99 17 21 116 69 72 59 4 26 32 214 35 137 243 7 183 136 101 227 124 24 227 19 106 83 21 213 225 178 244 35 30 198 184 20 196 213 12 103 97 32 89 179 161 174 86 152 185 134 239 201 37 142 23 177 176 233 24 199 77 34 225 137 110 140 116 40 66 149 4 189 81 64 131 146 79 136 78 55 7 193 34 12 38 72 217 145 15 8 68 53 144 205 100 36 45 79 161 100 194 81 28 164 76 196 45 18 199 16 242 161 99 245 66 223 140 72 242 137 170 31 73 186 92 54 152 152 49 167 66 7 133 161 82 116 152 12 92 73 35 12 48 212 56 216 195 100 146 38 56 153 35 229 3 251 161 177 250 12 32 18 106 53 216 75 71 98 194 235 131 225 52 161 10 197 204 141 11 35 202 193 251 144 131 192 137 237 130 77 251 97 145 21 52 156 8 220 192 142 240 19 16 110 84 129 107 180 129 248 24 145 190 65 177 190 19 145 135 195 102 94 50 99 100 169 163 185 114 54 113 64 235 100 84 215 2 241 12 56 34 132 118 79 137 169 226 153 9 145 238 132 186 105 219 39 102 85 69 156 161 35 53 132 162 39 158 208 85 15 225 103 203 80 158 15 193 141 243 196 145 58 178 73 27 27 134 147 144 195 183 98 83 87 194 194 106 18 148 45 16 222 133 86 56 168 191 36 121 229 100 45 216 178 83 46 196 74 66 74 66 0 145 38 145 210 72 10 74 162 80 57 87 35 150 69 78 11 62 4 249 89 147 35 98 50 48 36 146 73 24 124 39 32 243 107 161 184 68 104 127 157 16 74 133 38 71 98 122 118 52 40 201 180 64 70 132 228 146 22 21 210 33 3 202 46 4 8 139 35 88 148 16 222 228 57 95 61 128 85 225 107 224 157 120 6 49 25 24 146 73 36 141 248 20 248 119 200 147 217 81 20 45 9 66 186 212 28 164 73 159 86 22 27 153 11 38 138 7 147 72 52 35 46 144 137 46 147 153 61 12 165 28 189 101 7 178 132 36 107 241 139 56 219 28 173 193 29 13 138 131 15 129 102 120 159 30 223 177 34 65 57 226 60 202 210 34 148 130 74 77 177 13 54 162 72 27 132 76 163 182 20 126 197 209 40 195 198 4 138 137 32 42 189 114 22 13 76 151 218 24 200 113 198 24 196 109 82 146 100 53 4 140 103 197 240 180 75 177 178 34 238 83 47 237 153 64 90 30 57 213 17 148 79 100 57 195 58 224 51 34 134 25 152 140 209 37 100 98 112 48 89 178 137 65 152 184 126 47 222 22 66 119 193 27 9 142 91 81 242 65 143 232 98 104 67 18 57 164 225 19 28 106 27 24 203 15 249 26 127 244 12 159 234 51 213 61 8 211 180 72 221 25 58 21 120 148 83 160 146 102 66 84 207 160 200 243 196 144 239 163 46 29 41 116 9 77 244 200 10 125 82 147 145 226 35 80 230 124 62 90 24 153 36 88 58 82 217 135 209 72 62 40 15 223 36 54 147 98 69 130 163 195 142 37 185 9 36 136 235 161 102 225 106 70 80 144 91 14 3 42 168 73 253 2 149 168 36 59 8 16 149 120 105 62 226 160 197 132 148 129 42 234 140 140 197 134 246 200 253 153 122 217 140 139 118 21 198 201 169 115 120 73 184 27 138 10 148 165 8 170 88 65 66 88 100 54 143 129 118 159 182 63 186 248 29 104 109 224 37 181 66 74 20 66 137 66 230 159 33 153 211 30 153 72 167 11 100 36 161 40 100 36 118 35 47 3 234 71 180 51 218 120 103 174 145 65 163 1 198 147 235 133 218 19 192 210 0 157 12 222 210 25 11 81 212 171 16 177 176 205 17 211 101 130 47 15 174 13 108 111 11 59 149 75 2 36 182 72 148 196 143 72 73 176 136 75 134 228 220 84 215 98 117 17 104 57 170 118 55 176 43 116 26 251 125 17 106 49 159 96 88 136 213 175 162 90 114 193 233 126 199 215 167 38 135 172 223 200 207 48 54 155 80 76 239 8 238 70 200 208 131 199 62 195 227 239 134 19 192 133 71 135 208 208 253 153 120 240 221 72 248 19 161 3 19 174 18 46 248 107 99 120 43 177 216 41 148 152 66 13 36 178 162 33 124 131 46 190 139 9 155 72 98 253 97 93 144 208 187 152 207 252 194 221 155 176 30 240 82 165 200 97 22 118 216 234 146 147 166 72 244 29 45 139 114 134 146 228 129 186 10 139 225 216 216 127 232 125 202 101 69 77 20 60 167 208 182 23 251 27 113 12 220 142 36 179 209 101 151 2 154 176 234 194 199 112 53 177 239 157 145 210 225 38 250 143 67 193 45 33 180 198 157 177 52 33 37 53 10 198 30 206 204 64 135 3 75 189 185 21 132 151 208 162 192 192 251 152 157 47 132 105 8 179 79 208 205 56 239 246 36 148 198 216 150 66 89 200 236 19 192 68 210 94 102 184 151 177 210 84 240 50 38 70 75 46 140 71 220 206 37 62 79 227 25 153 10 204 150 155 18 76 164 200 67 235 99 91 28 97 249 63 83 14 51 75 34 110 163 69 34 64 165 233 30 176 249 23 37 126 172 8 37 11 22 106 70 201 138 227 180 232 44 191 85 242 55 10 94 22 37 239 154 169 120 17 147 70 197 221 78 198 212 224 219 254 72 188 146 191 167 157 194 98 36 123 39 219 120 21 89 14 166 38 62 102 83 1 79 128 179 49 147 33 37 120 173 137 92 135 183 151 35 77 92 97 39 162 251 114 199 12 42 21 82 178 66 182 58 173 24 217 177 101 195 70 119 202 41 163 39 35 125 55 50 198 110 25 75 182 68 180 201 230 69 193 162 49 61 16 231 161 146 66 10 105 129 104 59 31 201 197 184 56 227 13 34 148 197 208 244 22 43 95 105 156 192 37 58 131 3 169 9 40 37 4 148 37 177 4 86 216 190 21 220 115 129 96 241 79 255 0 177 27 104 208 132 55 43 88 189 2 252 207 64 181 50 132 55 74 144 217 138 63 101 228 196 245 140 83 25 154 146 110 73 223 68 140 151 234 49 97 157 205 146 209 222 50 160 198 162 109 236 254 111 8 252 94 137 146 240 61 52 117 147 36 185 32 38 198 83 24 180 169 37 64 137 191 212 134 197 108 42 77 76 109 24 212 146 89 229 193 191 134 106 201 72 114 57 25 128 240 52 32 132 148 35 26 75 146 61 128 122 143 102 75 108 241 177 100 110 197 232 51 171 93 139 72 163 107 31 182 46 73 123 145 255 0 233 134 53 63 114 32 215 150 80 153 24 240 130 146 217 177 210 204 136 189 8 97 59 181 39 242 241 94 31 1 46 24 42 76 171 29 16 130 228 148 140 166 3 254 163 224 51 56 213 84 196 128 181 221 137 84 197 73 104 102 205 249 18 178 117 23 214 172 159 141 6 98 233 201 136 153 157 139 229 79 246 125 255 0 67 105 1 52 76 89 243 29 114 154 21 162 2 162 217 182 35 169 18 193 10 174 186 19 174 132 206 10 36 236 99 126 199 242 154 139 28 31 153 154 226 54 19 209 171 79 185 148 194 69 10 45 153 150 9 7 97 168 209 93 178 86 184 161 185 22 139 240 204 144 19 59 129 161 29 14 153 29 131 182 103 54 129 217 96 203 232 57 52 190 3 213 41 106 52 242 160 195 232 194 4 194 214 37 177 19 157 210 142 255 0 11 33 171 20 197 210 194 118 82 85 114 120 236 88 79 174 26 241 15 213 9 100 225 30 6 137 119 3 156 193 148 195 242 61 61 116 21 186 248 188 49 90 160 149 233 73 30 118 82 207 67 12 76 252 33 170 74 244 224 77 12 147 4 204 137 25 78 229 251 28 249 211 99 231 199 246 21 16 147 6 152 235 50 109 238 72 24 7 38 89 23 230 96 35 178 248 23 68 205 225 10 96 75 55 16 66 155 179 212 164 97 178 190 87 94 9 8 20 218 36 249 22 14 197 42 80 152 187 25 184 107 178 38 22 33 158 4 178 126 132 228 204 91 232 40 30 152 215 195 33 172 129 7 201 232 35 177 92 44 161 140 216 155 169 50 171 33 171 108 223 48 136 149 61 49 59 90 117 35 249 253 70 69 223 67 50 152 62 200 106 9 91 1 220 159 82 112 127 110 134 226 144 234 153 252 26 228 9 169 29 201 137 36 204 23 29 14 56 252 25 16 59 82 18 76 21 222 203 173 33 147 134 226 216 114 5 54 68 161 18 13 157 9 1 123 236 137 25 198 190 117 145 191 97 146 94 131 76 112 197 162 104 44 52 50 13 7 198 159 73 139 89 7 104 176 44 103 135 193 58 175 216 33 216 45 194 73 160 139 151 211 98 203 137 254 137 9 74 204 100 81 100 66 50 79 10 6 35 18 56 220 19 36 27 236 156 252 142 10 181 97 139 63 135 5 2 98 158 153 131 49 72 44 205 108 105 91 34 101 8 151 173 182 124 0 97 197 145 92 69 75 235 15 149 240 225 149 96 194 82 35 120 64 169 175 186 42 113 159 106 137 100 62 201 52 255 0 4 139 67 177 21 26 120 102 72 95 2 8 209 150 197 37 44 8 200 157 214 160 100 68 23 209 71 104 202 140 244 251 16 52 116 81 226 13 41 141 43 130 14 246 133 217 217 61 8 223 53 193 152 214 33 188 102 214 136 201 38 164 44 175 238 42 123 140 9 14 134 70 3 102 50 48 227 25 149 9 157 192 182 39 184 69 112 248 189 66 251 67 138 171 31 247 40 74 97 103 4 149 186 153 99 26 106 145 105 238 62 66 195 39 204 67 60 141 8 92 254 192 181 114 174 228 245 142 133 26 34 94 4 73 36 127 121 177 232 46 122 177 227 2 20 69 251 28 157 160 208 74 18 142 217 145 152 168 223 82 50 176 175 39 19 218 50 43 85 228 201 48 30 114 153 243 197 175 137 134 179 17 143 198 61 208 168 48 88 160 64 210 66 162 78 135 236 52 46 11 33 53 165 44 18 152 77 72 174 32 93 81 35 85 127 72 129 80 244 164 73 108 173 181 141 20 49 250 242 32 69 5 108 69 236 68 26 17 2 81 27 220 73 93 145 92 141 250 100 200 89 46 107 181 28 79 184 208 172 191 204 88 23 113 34 143 69 50 33 104 141 138 156 151 30 75 43 216 201 37 232 128 248 206 76 86 209 14 208 180 39 132 136 254 223 220 132 71 36 145 89 10 82 149 20 82 152 100 101 164 182 65 54 178 237 66 239 196 116 37 219 136 48 86 61 148 182 236 91 83 84 192 150 160 198 84 107 138 94 132 137 218 69 20 133 202 128 67 93 144 134 96 124 81 112 136 184 35 84 124 147 114 35 218 81 56 219 9 101 46 9 164 143 98 79 33 25 65 75 115 188 28 12 176 223 6 25 24 195 196 103 25 106 132 96 255 0 236 117 98 68 13 243 0 157 129 17 224 203 216 129 133 117 148 66 144 246 201 6 96 162 148 33 32 204 162 148 249 29 70 156 114 39 161 42 240 18 85 244 196 16 37 31 108 145 185 137 77 157 162 252 17 161 184 72 104 75 33 225 51 32 205 184 36 100 52 26 40 34 71 104 168 186 28 146 70 53 193 113 37 226 118 63 59 90 146 177 148 146 36 44 232 17 206 229 134 82 132 215 9 34 208 222 132 52 88 61 9 129 138 96 237 48 131 93 236 66 17 99 64 214 248 99 24 248 164 185 59 129 189 2 30 95 150 128 255 0 162 58 20 130 196 202 178 242 127 68 77 141 34 114 177 201 176 136 151 100 134 72 188 76 170 157 137 243 163 15 161 105 79 38 9 55 50 20 62 227 18 204 161 210 51 226 68 57 70 68 183 252 20 41 86 94 180 132 232 148 156 66 153 98 147 13 101 17 179 149 92 181 99 92 30 135 177 216 138 29 35 126 135 151 231 49 201 45 4 202 140 102 75 114 74 160 185 143 126 29 190 1 138 82 66 208 167 150 65 137 7 189 46 123 63 177 129 162 99 108 219 76 141 28 54 16 167 65 228 162 196 42 32 82 150 77 232 47 244 46 132 132 172 138 82 173 9 18 56 10 14 196 198 54 55 202 178 194 77 204 33 82 123 99 62 86 71 158 194 17 180 244 65 186 23 57 232 157 108 180 61 177 236 97 198 26 41 116 65 144 43 227 196 71 134 251 77 118 54 83 136 202 128 107 3 181 97 229 79 161 51 80 50 66 141 235 0 157 146 94 196 134 143 236 40 142 2 76 134 137 10 184 93 171 155 18 52 153 35 224 198 38 81 166 170 143 138 67 198 48 173 183 104 72 15 36 154 164 94 177 70 76 204 204 131 133 153 6 199 209 10 177 10 136 3 4 20 248 100 118 231 202 33 92 190 236 50 97 152 152 203 164 216 202 62 135 73 141 111 224 141 166 148 141 158 97 34 162 209 216 235 224 45 162 1 130 8 150 11 239 68 44 229 83 36 108 110 12 76 178 34 36 149 252 98 81 231 215 131 83 84 33 212 161 73 10 177 155 26 249 155 17 55 18 171 236 134 162 155 135 81 56 9 62 197 59 19 230 179 112 76 44 178 137 161 195 89 34 56 141 108 134 198 218 142 201 109 1 32 38 74 38 60 130 58 145 54 56 19 69 134 135 105 15 210 71 54 108 41 24 64 132 50 22 55 20 221 246 39 240 23 30 88 137 179 52 67 203 249 89 251 176 169 73 136 78 161 35 202 190 209 155 31 138 4 72 41 179 57 23 17 88 97 242 126 158 80 162 165 243 124 40 74 229 6 27 133 183 182 34 108 165 10 135 216 152 81 2 90 228 129 222 202 39 236 192 176 200 165 53 252 101 225 212 82 224 90 140 224 157 145 74 85 30 20 127 90 29 23 177 139 82 244 32 195 142 53 190 72 142 236 26 95 138 20 237 134 43 133 172 49 2 132 49 42 73 201 176 220 81 55 141 137 41 205 166 68 7 191 36 84 183 188 11 168 143 183 45 177 133 161 121 63 162 42 47 203 47 3 111 33 169 187 133 65 5 28 94 193 1 107 148 132 175 225 204 156 181 30 237 179 109 241 203 111 132 249 223 23 98 216 121 198 21 31 9 253 29 54 139 193 173 141 124 83 35 156 23 50 73 34 196 3 72 63 253 137 11 106 79 83 103 169 67 178 108 74 109 236 200 168 93 65 254 9 253 99 194 44 204 122 178 149 224 146 246 54 162 18 41 247 44 15 97 148 116 141 223 99 99 79 23 179 176 210 185 48 210 70 235 4 158 103 134 99 238 195 23 192 197 240 53 177 243 36 82 70 232 202 127 15 183 8 156 17 144 251 114 106 160 152 204 81 45 147 15 100 247 180 49 218 161 47 216 170 231 99 216 58 134 200 74 111 62 157 186 39 246 54 54 79 37 115 104 76 72 67 58 35 211 89 26 95 154 34 245 32 159 81 34 217 193 104 123 100 41 217 46 48 92 190 100 146 124 31 13 152 125 86 60 193 36 141 242 204 4 37 118 134 77 19 98 34 236 184 212 75 97 19 191 134 33 63 106 116 41 188 54 137 249 18 117 7 100 124 0 155 57 124 223 227 60 14 111 65 62 163 49 151 142 124 214 132 46 52 70 168 99 88 29 73 188 141 47 240 166 75 158 15 111 9 38 90 94 49 189 147 16 93 98 18 228 124 63 54 60 79 178 206 46 198 255 0 19 26 32 73 82 201 16 154 139 193 36 199 248 241 27 11 248 150 51 41 11 41 32 233 165 2 17 92 143 241 126 192 198 73 31 95 144 200 165 158 133 250 89 1 103 189 50 70 252 105 195 28 142 29 251 66 203 229 18 159 161 9 50 101 130 120 160 199 198 252 55 195 18 126 197 4 217 160 121 121 177 120 87 228 52 173 3 39 75 8 154 186 208 255 0 36 3 145 246 135 4 33 114 118 49 73 221 146 81 81 121 31 48 71 151 181 34 87 157 51 46 20 243 46 118 52 29 24 154 101 139 151 217 249 161 9 21 64 138 224 232 66 9 92 150 139 206 252 159 132 51 180 59 249 133 169 23 227 59 225 4 89 72 31 230 152 70 155 191 244 62 194 84 80 146 57 159 224 99 32 125 153 6 22 135 227 54 100 77 210 50 67 176 211 247 254 6 77 209 65 83 24 20 127 69 129 252 156 31 147 225 140 98 112 65 180 113 53 202 74 45 185 240 98 242 174 161 20 233 18 191 197 34 29 250 17 235 35 151 108 171 125 15 204 120 62 88 248 86 66 55 33 15 3 241 44 250 250 145 35 252 109 12 192 120 121 33 15 67 51 67 200 255 0 3 24 199 196 144 207 196 137 23 96 197 53 70 36 55 63 228 137 143 163 255 0 209 29 86 131 252 44 99 225 104 95 196 71 213 40 58 104 128 105 127 230 114 98 127 166 190 136 111 192 35 197 114 248 102 196 57 252 31 143 65 221 134 208 76 37 253 30 95 250 34 99 50 36 127 249 51 203 243 99 20 53 209 175 53 63 255 0 116 68 90 64 198 255 0 212 209 99 213 89 116 56 102 217 114 67 77 126 7 193 104 39 239 228 174 231 66 20 146 158 150 52 55 63 236 152 30 205 161 34 47 162 101 31 183 116 111 194 8 24 209 84 170 188 19 55 8 177 229 236 74 109 247 182 57 175 254 1 50 102 242 4 255 0 96 140 244 189 12 234 120 49 149 10 163 134 208 225 146 133 232 81 67 125 178 56 201 39 252 26 100 41 178 69 9 40 75 90 253 12 150 31 254 193 255 0 237 11 239 247 49 81 125 65 89 146 93 11 169 127 54 81 8 146 28 216 255 0 225 211 193 119 30 199 206 32 77 217 51 254 111 255 218 0 12 3 1 0 2 0 3 0 0 0 16 0 0 0 0 0 3 62 74 250 152 17 240 4 16 0 0 0 0 0 0 0 0 0 135 50 118 222 134 223 216 214 32 2 0 0 0 0 0 0 0 0 131 201 232 104 65 2 123 201 62 219 140 16 64 0 0 0 0 0 4 119 232 54 188 72 122 62 240 24 78 161 65 0 0 0 0 0 1 6 76 120 15 188 1 108 150 152 40 7 243 0 0 0 0 0 3 22 157 13 120 52 217 178 239 127 143 216 229 113 80 131 0 0 0 5 123 204 217 156 187 158 67 161 58 62 193 84 30 173 36 0 0 1 42 167 207 4 55 236 224 174 158 104 181 76 5 162 228 48 0 0 60 253 158 145 106 85 37 160 173 25 175 197 48 92 240 110 65 0 0 229 230 90 137 18 228 8 86 123 174 70 217 68 35 171 201 28 0 150 157 168 31 246 240 3 48 208 206 199 254 32 65 142 143 3 16 3 171 48 222 190 178 140 165 204 190 148 172 24 74 225 93 165 120 128 69 185 175 220 224 231 28 61 109 48 116 30 182 102 208 54 71 137 0 47 206 74 57 154 131 245 243 3 182 108 162 125 155 69 221 152 6 143 125 74 177 153 44 79 18 228 85 222 61 242 28 206 42 255 0 107 81 32 18 124 186 201 214 223 58 158 192 92 61 66 64 53 208 157 73 57 38 129 27 54 56 73 59 129 33 199 196 176 159 222 154 0 139 82 49 81 17 192 173 64 5 13 50 236 70 59 56 161 57 123 176 144 212 1 239 57 184 4 119 13 131 222 99 38 173 0 130 180 58 55 180 52 28 125 147 35 2 210 57 247 86 47 170 104 118 14 225 100 13 96 21 140 250 252 38 203 188 106 17 160 235 207 123 216 48 125 18 213 157 228 86 81 140 139 17 253 189 125 102 231 250 14 59 9 13 29 223 10 217 79 228 23 236 174 10 218 219 107 114 106 238 156 48 174 68 164 161 27 88 145 110 12 223 149 7 216 227 48 140 151 65 44 66 107 227 152 86 253 190 105 169 166 21 184 142 61 141 254 243 83 197 162 69 241 161 111 176 234 29 54 123 149 198 255 0 73 162 186 13 173 178 223 198 60 52 254 129 83 7 175 241 85 85 9 204 107 8 64 8 204 140 178 154 65 7 235 131 32 197 170 229 163 200 137 240 243 126 95 184 6 82 128 1 225 80 152 15 213 76 28 74 14 201 50 31 162 193 101 232 145 0 0 43 216 163 246 250 25 220 194 24 39 35 193 131 72 77 197 140 0 19 128 216 131 10 90 175 97 67 233 10 146 164 217 241 53 233 48 128 6 47 181 192 18 67 236 182 116 64 128 215 46 63 228 240 96 0 0 5 106 169 202 107 109 189 223 79 217 168 62 187 211 139 120 64 0 0 18 7 244 235 93 39 135 125 185 35 239 255 0 255 0 126 68 99 0 0 0 4 29 187 48 54 84 96 12 139 238 186 215 175 67 3 0 0 0 0 0 225 74 255 0 227 92 117 22 203 95 105 76 24 65 4 0 0 0 0 0 5 21 97 205 159 76 3 116 139 172 241 193 12 0 0 0 0 0 0 4 209 190 197 164 65 195 216 184 124 65 4 0 0 0 0 0 0 0 0 4 60 34 57 79 77 82 128 97 4 0 0 0 0 0 0 0 0 0 0 0 9 231 157 116 24 192 0 0 0 0 0 0 255 196 0 33 17 1 1 1 1 0 3 1 1 1 1 1 1 1 0 0 0 1 0 17 33 16 49 65 32 81 48 113 97 64 145 255 218 0 8 1 3 1 1 63 16 255 0 15 86 159 97 36 150 237 88 49 143 255 0 14 133 252 229 99 220 234 57 238 80 105 111 59 114 229 175 184 119 215 251 4 117 228 31 219 47 82 217 236 62 141 131 238 200 2 105 106 144 179 252 240 36 199 158 7 229 195 12 36 190 219 158 45 160 142 54 135 249 113 96 228 147 141 212 33 147 219 129 106 147 96 200 101 11 137 107 194 45 143 240 233 146 62 189 91 25 127 104 228 52 228 15 178 249 44 35 5 237 146 195 184 121 115 58 235 226 63 106 6 14 240 189 205 129 177 182 237 131 182 220 184 64 121 123 71 97 235 114 114 69 131 11 81 229 131 244 202 116 219 27 141 184 203 226 16 218 206 139 123 102 197 25 163 110 121 199 167 139 12 186 231 228 177 44 52 72 219 5 242 148 99 212 195 46 99 105 224 94 46 248 0 146 247 96 219 130 120 237 169 249 7 16 195 46 57 123 114 57 198 56 201 245 248 73 150 65 62 50 38 142 223 210 220 115 199 39 63 15 11 95 37 251 127 237 144 145 127 23 80 31 108 253 132 161 51 39 50 66 114 72 254 5 201 164 3 238 217 113 30 136 50 8 153 229 182 48 195 224 38 7 98 61 147 151 191 48 180 240 112 187 101 135 168 188 175 249 200 235 177 25 225 178 240 194 125 195 16 85 162 91 101 140 182 94 23 150 151 97 206 220 182 255 0 178 200 114 94 36 37 111 129 207 27 108 178 91 213 158 23 37 158 31 80 125 67 112 193 140 157 14 94 217 50 245 46 77 220 223 198 219 44 30 1 182 91 142 16 243 124 87 155 60 118 29 47 66 204 241 155 35 8 240 152 145 227 54 50 69 49 137 242 121 61 39 180 114 113 100 34 195 115 255 0 147 235 193 120 201 47 94 193 90 114 49 247 9 118 201 9 78 201 17 13 176 79 105 217 193 30 150 57 137 107 120 51 236 185 11 54 231 184 154 47 184 145 122 185 8 109 39 223 25 224 96 52 111 76 191 241 47 237 203 28 33 79 131 220 226 97 246 151 106 57 216 131 182 79 169 159 217 118 63 31 197 235 115 44 101 148 111 255 0 180 248 3 223 136 248 71 254 228 30 185 61 173 4 125 73 39 169 233 122 71 131 18 57 201 114 244 147 178 61 50 134 18 218 122 94 214 159 240 152 114 197 179 12 194 37 67 192 128 36 36 194 91 28 35 195 123 74 14 94 190 37 30 90 58 90 2 18 167 251 55 216 145 125 32 164 183 227 98 250 186 208 227 127 217 123 140 73 157 147 39 145 171 127 49 5 246 222 207 144 228 229 182 179 14 43 15 115 125 240 103 133 132 26 123 153 235 125 204 142 104 136 225 234 49 214 226 17 234 125 193 219 112 190 145 132 181 186 127 72 210 124 9 137 85 173 179 104 64 196 64 128 25 176 15 34 188 90 118 157 134 222 95 124 29 33 95 83 54 3 143 15 169 109 217 167 45 132 95 151 253 152 78 149 131 83 132 239 216 52 191 141 154 156 124 124 153 71 9 245 27 172 88 160 249 110 17 201 111 180 32 142 199 217 139 212 49 90 177 197 135 28 13 241 129 200 108 91 108 218 113 23 203 134 56 141 166 151 34 237 102 19 225 72 29 212 117 179 3 151 67 155 14 188 229 150 88 71 187 38 72 235 190 126 144 15 101 84 47 81 174 73 201 60 60 98 90 74 32 226 85 204 163 223 145 164 177 135 100 150 247 60 157 27 208 179 196 200 147 242 225 55 166 148 250 96 73 43 135 247 123 113 11 22 91 58 253 229 205 37 91 105 227 53 207 196 24 50 37 115 61 178 123 28 245 116 198 3 33 229 59 111 144 192 109 129 105 198 23 175 4 171 108 178 60 103 207 199 109 186 73 114 237 143 27 54 255 0 109 147 248 27 136 120 62 243 242 217 176 114 246 159 148 136 189 47 111 223 6 209 139 209 125 252 247 224 131 25 250 92 228 216 54 127 88 43 115 60 31 206 28 177 211 63 161 245 225 158 167 198 126 55 27 189 183 221 253 62 191 32 195 63 192 250 74 241 159 57 101 151 14 196 105 36 243 242 184 34 200 255 0 33 216 145 235 240 77 239 34 53 103 95 132 120 67 155 239 252 207 118 13 142 103 228 29 37 151 221 229 24 46 159 127 237 237 46 169 234 219 190 15 103 135 190 44 222 18 208 56 127 191 36 61 93 24 30 1 129 201 177 251 226 4 114 57 194 204 255 0 226 36 37 237 209 30 191 207 255 196 0 34 17 0 3 0 3 1 0 2 3 1 1 1 0 0 0 0 0 0 1 17 16 33 49 65 32 81 48 97 113 64 177 129 255 218 0 8 1 2 1 1 63 16 252 28 219 58 204 65 232 116 48 227 22 232 246 152 151 76 77 63 240 37 216 214 13 217 181 209 73 101 68 156 13 177 10 174 49 132 103 56 122 252 202 123 190 21 39 69 190 201 88 180 95 240 56 166 245 13 99 99 154 132 145 244 191 137 185 154 23 34 218 47 163 38 40 82 74 59 137 163 232 49 168 74 79 196 131 107 54 199 48 157 14 144 161 244 35 20 161 216 193 54 40 186 49 140 45 111 205 27 134 49 176 212 154 217 234 31 161 222 138 7 77 148 98 112 44 122 122 45 224 248 16 85 243 138 142 142 65 161 201 16 142 144 218 27 165 162 18 99 96 221 139 131 19 216 189 30 136 103 180 107 223 229 97 140 107 29 67 217 186 28 137 66 75 66 210 28 61 16 209 64 183 17 244 92 25 118 57 15 228 158 8 93 193 7 80 72 194 158 152 148 66 116 104 178 236 36 147 17 49 142 6 122 35 72 89 104 204 216 141 209 240 98 98 51 123 49 214 13 48 109 209 50 141 142 68 104 52 76 37 180 53 74 124 13 115 100 67 229 29 122 68 27 28 15 238 38 99 99 102 241 74 54 48 151 161 53 6 132 160 220 217 187 199 17 187 10 56 130 54 12 48 232 208 70 177 40 214 32 169 250 25 97 176 79 13 104 221 131 113 54 81 120 35 70 55 131 17 225 5 162 139 9 161 209 66 218 134 155 130 97 226 26 163 96 55 91 194 139 176 239 37 135 132 33 41 8 53 112 64 91 203 26 82 30 217 40 23 71 58 52 163 118 45 21 141 8 223 134 157 42 110 15 8 106 16 81 210 136 165 25 233 65 44 150 106 27 120 110 99 13 189 65 198 55 45 229 96 236 76 12 245 209 94 133 159 49 98 213 136 106 141 230 44 78 131 123 43 240 160 27 22 177 175 82 29 35 96 28 218 225 71 11 134 120 77 141 25 195 131 112 244 240 19 9 168 34 26 75 135 86 133 121 15 222 12 61 161 87 68 245 39 122 116 162 162 106 178 23 11 133 216 220 13 192 176 93 56 11 15 98 161 213 225 91 122 32 238 159 120 54 76 33 54 201 117 81 162 130 208 132 46 87 7 210 67 254 39 131 84 227 192 176 222 6 108 98 244 145 222 43 244 33 50 9 98 147 236 119 160 117 139 25 71 149 193 244 232 38 191 195 132 104 122 36 66 101 152 110 133 54 197 250 26 90 232 170 16 233 13 230 145 55 20 18 172 144 158 199 132 120 62 138 87 3 246 41 8 97 8 110 108 210 16 216 223 131 163 109 127 6 55 247 103 114 15 118 132 125 68 77 244 68 184 46 141 229 109 97 123 58 184 112 45 161 133 132 114 21 163 44 58 21 219 74 219 98 211 52 55 56 62 192 32 4 94 30 28 12 164 208 195 19 116 209 147 69 70 8 101 7 2 210 134 241 230 141 177 85 246 61 240 88 207 162 100 211 69 66 2 70 49 161 243 22 104 41 153 111 133 40 213 142 216 103 165 255 0 176 133 61 41 160 179 71 11 18 96 225 145 84 158 147 43 8 29 0 148 103 3 197 120 107 12 113 225 190 29 240 78 247 4 166 197 55 112 123 118 133 66 173 141 211 110 200 15 164 194 26 176 32 195 165 20 114 45 40 178 76 108 209 13 122 34 170 223 69 70 106 134 73 167 162 167 186 162 249 20 63 130 54 102 176 182 169 112 144 162 146 15 102 17 42 30 176 37 92 21 208 84 197 133 15 1 40 75 65 61 104 86 205 198 144 78 158 140 178 248 111 130 248 238 224 231 1 8 52 154 141 81 133 104 205 178 81 39 24 209 162 105 22 79 164 29 142 150 56 44 233 244 66 30 108 232 35 64 44 194 55 153 184 132 217 96 33 34 204 66 104 209 111 201 245 132 84 62 132 142 153 224 104 180 218 30 111 130 46 9 37 204 33 25 98 72 66 86 95 33 180 70 138 28 227 23 60 23 7 41 122 109 33 112 239 74 214 151 195 184 55 188 99 220 177 5 210 66 236 92 196 248 67 69 40 99 211 249 141 93 11 143 198 93 15 160 136 104 224 159 47 248 13 172 125 249 37 102 204 230 190 81 11 236 4 55 243 50 130 237 68 105 178 252 102 143 68 203 231 177 212 182 22 39 193 182 182 106 208 233 240 132 33 6 226 167 163 191 133 163 91 52 206 13 215 195 129 49 157 67 235 203 99 129 180 240 81 105 126 39 8 198 189 70 205 225 225 97 67 23 153 105 193 239 88 145 63 35 73 168 63 163 122 4 135 10 35 76 95 244 173 184 134 90 22 180 191 63 64 98 13 45 162 191 161 93 108 122 87 78 98 28 8 32 85 127 133 13 5 31 164 86 225 236 31 226 255 196 0 42 16 1 0 2 2 2 2 2 1 3 4 3 1 0 0 0 0 1 0 17 33 49 65 81 97 113 16 129 145 64 161 177 32 48 193 209 225 240 241 80 255 218 0 8 1 1 0 1 63 16 253 14 62 41 117 23 132 210 19 84 12 174 30 132 81 143 193 17 255 0 68 59 144 250 155 64 247 20 204 11 101 74 199 153 147 255 0 132 252 35 226 38 82 32 135 62 35 51 224 119 45 206 12 234 51 167 247 89 134 234 232 185 35 64 171 237 3 113 181 140 198 133 22 169 212 186 114 34 163 188 50 247 114 148 111 84 43 48 140 23 228 204 202 180 238 40 114 126 191 50 229 42 21 185 133 46 183 226 22 21 29 222 2 31 5 27 28 68 26 95 84 127 48 160 64 235 17 118 42 112 60 192 90 0 52 226 225 10 101 251 68 119 147 77 26 171 167 137 172 7 21 44 2 198 174 3 121 173 12 81 121 54 197 27 77 57 132 213 191 38 72 101 126 67 81 236 32 166 95 235 41 98 42 8 181 83 8 203 246 79 127 234 46 80 240 5 2 55 23 110 152 193 116 94 229 39 138 220 116 40 53 151 11 3 99 41 4 248 148 19 87 162 144 129 171 76 116 11 11 176 84 26 22 153 86 59 181 50 132 67 182 2 174 251 203 75 15 189 79 12 2 61 30 91 142 131 241 207 234 67 130 24 3 126 117 8 6 46 67 4 47 202 229 219 8 68 144 215 253 144 149 9 164 228 234 46 189 180 240 203 73 170 20 194 238 224 81 246 137 91 67 185 138 158 151 17 161 180 95 148 120 145 255 0 161 51 56 112 197 70 26 208 170 215 201 17 170 158 72 77 86 161 21 146 170 160 85 152 42 13 181 81 220 66 214 77 63 167 230 87 80 208 114 225 174 32 212 151 45 248 144 240 188 80 223 87 49 142 13 158 37 165 29 146 153 160 170 69 98 199 46 153 165 161 195 152 242 155 203 112 226 45 49 196 166 92 78 44 194 64 223 23 196 72 227 129 97 169 211 8 6 242 53 3 162 112 210 70 238 212 226 86 141 238 2 174 147 155 155 172 241 24 19 38 87 8 11 109 51 78 153 89 37 58 199 218 71 150 51 60 254 150 229 46 165 34 174 61 6 183 184 13 55 161 240 199 4 106 135 204 1 133 143 196 194 184 13 16 61 40 213 37 86 130 52 79 251 209 140 31 18 144 52 118 68 171 184 18 178 65 108 254 4 64 64 171 55 184 2 165 220 183 51 28 118 238 51 227 69 38 165 110 175 17 84 118 255 0 16 74 5 83 225 138 250 37 138 253 70 30 76 17 217 96 35 37 173 159 237 30 14 58 56 148 138 149 95 164 99 128 71 124 24 197 50 64 215 9 113 120 204 69 66 179 9 27 26 58 117 15 231 129 9 212 124 156 48 196 38 132 32 48 25 6 53 29 114 129 139 135 28 67 152 20 140 119 43 52 57 117 16 105 98 130 40 182 160 37 237 114 177 156 5 98 47 92 34 173 118 110 100 214 200 181 102 97 236 152 79 84 99 26 41 10 51 81 91 3 161 252 34 128 161 244 49 82 254 47 244 12 171 99 152 27 220 176 99 28 12 162 164 166 48 70 25 83 74 72 95 66 218 171 204 106 6 136 15 62 239 41 96 17 176 113 49 42 157 16 65 65 13 102 245 154 25 129 110 63 2 179 2 169 110 142 162 58 13 169 161 151 83 136 4 77 186 32 68 40 221 93 74 242 70 235 168 206 60 32 21 219 152 46 106 18 19 107 98 142 200 209 7 59 142 13 141 39 100 206 135 28 53 105 43 244 40 177 43 206 185 68 20 80 49 16 127 186 3 2 241 17 197 25 223 48 197 18 212 43 42 110 159 48 37 199 18 33 72 88 64 134 216 158 163 210 121 87 112 220 84 108 204 33 77 129 72 202 159 193 28 171 249 64 129 179 62 96 200 190 129 212 34 3 76 194 56 70 234 29 70 71 35 28 50 12 253 66 200 7 8 19 108 194 235 205 192 148 234 166 89 71 72 220 96 94 226 30 134 14 192 216 202 137 222 194 85 12 142 152 48 39 232 1 96 21 93 178 152 39 103 204 45 167 6 161 165 128 77 214 64 184 181 134 234 246 68 214 37 126 161 23 0 48 109 132 94 32 35 190 68 6 105 31 136 40 109 211 44 232 94 6 184 136 185 93 8 116 0 105 141 238 202 162 110 0 239 184 106 211 196 96 190 121 123 141 221 72 182 102 78 201 204 23 221 105 141 5 197 86 102 236 20 76 175 110 227 80 33 35 112 102 84 70 200 22 123 137 97 75 98 120 26 72 10 64 15 40 90 128 170 196 74 169 159 238 243 136 176 53 112 170 224 165 153 95 188 88 252 35 187 17 156 191 217 74 216 176 62 144 151 69 98 23 155 70 152 40 75 93 48 138 241 70 82 230 79 113 12 184 212 166 239 72 33 86 38 8 9 101 134 97 15 92 134 20 83 41 85 21 187 190 101 89 116 30 227 103 107 161 212 0 67 191 40 237 130 151 28 11 26 185 85 204 137 18 199 83 9 122 230 85 39 36 170 106 38 120 48 86 24 94 44 152 141 64 176 62 34 40 48 19 9 114 86 255 0 188 161 91 132 197 82 48 170 64 224 224 57 149 28 13 17 71 198 53 212 20 33 114 247 164 97 180 141 84 169 48 41 238 50 210 21 137 146 34 75 150 91 134 232 37 110 190 137 145 14 197 192 44 24 46 93 67 130 166 140 35 88 120 133 70 78 18 225 169 75 88 3 144 106 1 49 88 124 2 30 156 231 35 235 236 132 46 13 113 18 129 20 4 23 148 204 12 201 121 133 113 5 244 163 24 56 151 24 22 54 74 23 14 253 115 5 67 121 143 76 52 163 241 207 246 140 181 9 142 90 38 158 41 5 51 77 218 198 168 156 192 6 19 184 213 192 38 98 232 88 243 44 119 6 159 113 106 170 196 13 217 222 107 57 66 160 79 80 1 99 78 24 89 120 176 71 224 13 85 22 78 56 143 76 170 177 137 126 28 15 153 185 6 106 109 21 104 131 70 20 104 133 225 69 185 109 200 144 25 217 119 26 229 223 229 132 60 187 57 38 55 96 192 133 198 40 36 194 171 102 118 149 10 221 165 25 85 70 177 83 19 8 173 248 128 70 234 18 93 207 250 196 18 39 7 184 220 63 180 129 68 3 30 52 247 18 235 204 179 11 13 192 176 25 80 199 9 89 20 68 92 75 230 51 25 99 6 168 211 132 160 212 223 18 131 176 102 41 107 212 48 201 196 43 46 241 28 178 1 191 168 127 16 253 163 12 101 197 70 202 36 193 22 245 106 0 34 197 15 12 87 22 86 218 136 208 246 60 68 58 161 173 198 74 25 25 140 109 121 64 96 160 22 80 249 37 157 54 30 99 208 92 170 149 223 114 182 150 100 230 38 35 1 83 149 234 21 55 50 10 206 167 19 24 196 107 170 91 247 6 27 5 190 25 66 137 168 127 100 221 74 48 57 106 38 225 86 194 86 209 5 81 106 0 180 94 233 143 136 21 18 33 150 13 251 28 188 90 72 10 220 193 238 154 124 202 188 65 87 19 5 102 162 42 163 165 69 81 156 44 76 75 46 19 92 102 200 70 141 221 250 133 105 91 172 181 16 25 98 253 230 238 44 68 50 25 158 172 51 129 113 178 46 8 57 151 165 21 153 128 50 168 166 160 46 140 151 50 143 128 27 42 199 120 64 142 139 110 195 185 202 128 127 245 204 89 57 254 183 127 0 180 76 227 28 41 116 85 232 241 12 232 92 139 139 0 97 113 212 195 189 194 83 37 11 81 201 47 28 48 150 124 66 183 11 7 131 104 238 2 128 191 184 139 248 25 171 172 126 98 244 197 7 187 121 150 161 168 46 24 72 21 38 130 111 88 98 56 26 98 168 11 7 18 161 203 184 3 173 93 194 83 189 37 112 195 144 159 74 197 195 100 22 96 199 146 2 76 253 34 189 72 192 98 18 89 27 150 7 204 6 56 109 247 27 185 227 250 152 110 32 21 149 196 93 104 90 194 128 223 48 216 54 51 42 218 52 148 42 70 10 45 228 72 219 21 226 93 233 170 38 155 43 92 158 72 68 41 66 121 37 75 166 19 130 37 188 102 121 165 9 124 67 206 225 11 89 75 35 36 89 153 152 140 110 0 116 64 13 64 86 167 130 33 46 179 24 80 140 108 16 122 32 26 164 172 16 246 92 163 210 84 250 176 192 246 165 29 105 205 70 162 48 97 109 220 66 4 14 243 43 50 177 108 204 177 27 76 218 90 149 89 156 179 159 233 230 5 181 47 98 193 107 150 10 232 120 150 112 96 212 182 238 92 84 164 181 153 187 220 173 47 88 245 116 217 82 196 123 32 44 104 225 151 26 147 71 168 207 116 88 213 181 236 151 43 23 41 136 28 154 50 234 92 192 151 25 78 101 85 129 156 92 69 234 23 248 178 226 13 96 157 129 80 47 1 43 122 130 204 253 67 173 35 128 17 241 50 214 122 153 3 194 121 155 226 112 43 49 37 112 99 240 201 21 187 195 14 220 66 187 98 80 173 103 232 134 84 200 178 37 47 245 63 0 76 166 113 255 0 112 175 240 70 234 72 202 132 212 91 74 178 53 153 88 149 33 180 226 99 133 138 72 96 33 6 59 132 234 201 179 12 183 102 174 52 81 117 139 29 126 120 139 89 226 101 102 92 185 133 220 6 102 196 177 142 85 152 73 2 163 128 155 198 49 106 108 142 226 143 81 134 165 255 0 145 18 87 200 102 95 69 246 71 162 27 135 147 185 112 58 142 9 97 250 30 229 172 103 43 212 5 242 252 31 211 172 68 62 163 134 99 37 141 104 200 57 150 28 76 16 116 197 226 12 69 40 195 130 1 15 70 33 81 57 76 69 105 45 228 180 9 193 230 36 215 113 243 139 188 49 171 44 198 230 110 204 118 243 17 54 132 29 32 185 70 173 197 185 197 65 136 223 136 36 8 240 248 148 43 145 112 168 141 108 115 2 52 104 16 210 234 95 196 71 105 225 133 3 2 187 85 1 2 135 153 101 156 175 178 53 238 103 136 107 227 159 131 96 132 127 253 146 161 54 164 172 148 86 230 109 151 107 46 76 17 17 200 219 7 25 83 48 148 181 45 107 145 238 84 223 40 115 28 24 197 74 239 23 220 191 113 243 142 51 12 226 185 230 131 41 16 70 156 195 206 22 132 39 48 70 61 146 187 135 63 21 92 144 65 245 43 41 233 13 196 92 169 40 194 231 68 6 120 100 158 41 137 37 197 145 48 255 0 32 197 22 114 92 38 208 138 94 167 6 34 51 40 83 238 37 48 215 199 63 12 50 162 216 254 212 64 161 228 152 214 96 53 47 162 215 65 25 97 168 141 171 143 49 222 177 212 104 53 109 113 80 246 130 128 109 153 24 6 34 199 113 113 81 199 115 12 183 48 30 227 241 45 113 163 150 224 230 98 97 168 48 182 120 149 151 5 91 152 159 8 75 54 245 169 175 167 40 194 80 129 198 211 108 42 229 153 40 217 119 16 157 166 161 185 131 216 108 149 101 179 21 50 25 3 113 132 120 76 203 152 138 109 235 137 85 97 243 196 172 133 219 26 242 132 167 146 90 72 57 130 135 37 192 93 67 82 211 192 230 81 27 188 7 48 168 107 254 97 48 182 170 205 78 39 25 181 128 92 178 144 167 184 194 19 6 97 60 192 84 200 203 47 224 72 171 220 185 51 147 92 186 24 71 102 101 110 94 34 144 220 142 255 0 111 217 29 49 146 158 162 230 132 40 92 170 196 142 174 198 98 8 132 154 84 34 134 18 57 110 168 245 16 138 150 29 133 209 152 29 169 23 213 220 62 118 32 138 171 147 0 97 121 140 16 155 110 112 48 92 200 244 153 35 167 64 101 132 56 128 64 250 200 32 178 0 254 19 19 40 89 145 135 148 40 68 62 229 252 252 10 201 138 154 153 147 153 117 151 80 35 225 19 68 194 46 37 192 49 48 110 14 222 208 128 236 8 225 168 176 196 140 30 124 203 232 254 116 72 121 129 141 193 114 51 40 102 222 179 46 159 156 203 140 16 118 148 42 224 204 180 30 24 239 228 217 234 17 12 10 76 188 203 220 196 69 137 160 238 28 51 12 221 4 167 168 35 15 18 130 139 241 165 215 241 22 9 141 129 108 173 220 173 225 152 55 10 183 51 110 90 238 54 34 196 73 189 220 84 204 18 237 136 96 138 7 152 187 51 30 140 21 93 207 44 243 198 50 186 170 188 76 26 183 108 175 190 75 49 159 13 175 196 160 91 148 33 247 52 35 100 38 116 199 150 228 66 39 163 82 234 215 49 211 104 202 78 129 125 195 84 135 197 65 220 1 188 159 194 88 81 166 174 25 142 190 168 234 243 221 66 182 77 56 93 77 56 73 122 63 246 38 94 43 16 133 153 66 230 53 57 131 161 180 102 203 46 28 206 196 185 152 35 196 86 78 4 88 153 163 18 217 140 58 17 242 139 189 195 202 56 213 196 140 204 76 221 82 162 1 54 160 208 96 48 17 211 50 234 200 208 138 212 174 47 24 78 151 73 192 141 63 48 192 145 149 155 140 35 230 159 220 224 16 23 219 49 106 86 61 202 174 117 81 229 178 181 136 34 160 157 207 230 88 229 34 160 133 112 64 22 102 103 50 145 204 21 23 204 238 76 142 101 175 49 230 96 71 136 247 21 90 197 67 22 99 160 142 196 122 68 119 41 112 21 17 241 1 119 15 48 243 30 96 220 165 239 68 84 115 102 24 33 12 136 42 184 39 5 231 27 141 57 189 61 143 137 115 14 37 18 185 141 122 181 9 90 151 49 155 210 120 58 48 236 137 146 96 140 1 160 171 239 48 196 209 63 105 145 40 28 196 87 49 133 45 181 5 85 20 194 91 11 82 144 89 1 121 130 218 60 84 44 233 31 90 139 36 38 162 162 36 215 47 198 38 213 124 76 155 152 230 54 16 140 252 76 219 150 155 150 21 114 163 188 225 59 232 168 180 49 48 49 225 130 212 60 11 149 202 39 75 196 195 41 0 106 100 55 192 222 10 235 77 190 163 163 181 130 186 178 52 1 205 199 130 189 196 133 108 96 59 149 220 71 0 23 91 47 152 74 250 2 87 212 0 106 111 137 108 199 186 103 72 199 119 43 164 203 45 2 225 226 62 55 230 28 90 253 198 2 46 42 108 120 51 114 131 240 40 160 12 113 97 13 194 134 210 54 96 224 226 99 192 191 180 91 57 149 164 153 103 180 187 156 115 30 203 38 190 162 210 235 16 202 50 166 19 86 102 36 202 242 141 98 101 229 4 60 23 55 50 110 181 140 170 245 184 51 5 205 1 50 38 29 251 110 108 27 140 198 207 185 90 140 233 134 16 47 145 154 93 6 226 167 212 197 22 169 145 142 213 64 37 104 105 22 30 102 132 77 156 74 171 222 137 64 35 229 82 221 147 194 184 248 34 187 88 28 15 170 38 95 44 81 42 21 154 165 9 12 4 40 185 136 246 176 101 1 138 134 120 124 169 113 100 154 210 4 105 236 87 16 88 123 151 55 136 246 129 77 176 202 198 33 106 98 71 134 115 141 9 110 4 202 138 238 3 147 151 16 240 75 241 24 102 70 27 152 110 144 125 23 229 8 163 168 177 185 112 80 32 14 218 230 31 160 196 92 18 225 81 183 170 130 3 130 103 102 91 113 218 130 196 151 23 178 52 160 8 121 209 14 224 197 142 31 244 164 87 83 190 38 219 125 226 253 115 113 48 14 42 37 104 206 251 133 120 193 55 2 194 6 38 124 196 233 131 104 146 82 252 215 50 201 89 26 224 110 136 237 143 87 137 142 47 141 192 104 44 133 179 153 187 152 150 242 124 99 31 15 56 240 202 135 146 12 51 49 228 148 4 163 102 216 40 115 186 96 160 178 121 154 165 161 95 83 243 36 160 232 155 15 112 52 225 136 77 54 229 81 137 40 24 75 114 255 0 196 112 67 140 68 166 229 151 21 172 38 238 19 88 25 32 224 194 102 112 87 198 161 77 152 232 102 34 210 49 118 26 58 128 128 194 52 161 242 220 82 209 231 51 178 50 139 114 149 213 74 10 204 206 102 5 146 157 63 16 234 238 32 7 120 149 11 93 215 153 134 176 93 65 180 242 48 208 58 168 241 177 153 17 211 67 10 67 80 28 74 196 198 7 184 64 149 83 186 100 149 43 141 137 220 121 112 150 139 220 199 217 229 140 220 210 193 76 234 88 30 97 81 20 176 149 156 98 153 117 157 61 79 221 75 217 131 136 167 211 73 48 220 29 51 61 112 0 251 184 120 53 54 102 44 177 90 195 40 174 146 13 152 170 48 248 104 152 131 49 249 69 56 62 163 255 0 96 145 12 130 84 180 89 166 42 145 109 149 227 206 33 130 244 171 255 0 168 156 196 166 84 76 144 68 221 179 236 128 108 164 72 20 122 63 238 100 106 143 24 80 165 90 119 40 75 204 232 127 234 20 93 153 95 179 19 51 100 144 141 184 245 22 143 181 0 70 92 16 87 65 73 225 212 33 173 86 9 64 76 98 148 199 184 236 163 152 199 154 49 161 120 130 192 11 153 168 193 177 21 14 137 251 195 84 119 50 15 153 106 106 216 195 217 126 101 4 90 184 148 76 144 11 113 206 98 4 112 115 2 105 48 205 96 25 124 46 88 178 205 152 205 202 216 201 82 200 172 144 241 13 189 118 65 97 201 223 195 140 17 30 234 20 219 27 18 175 172 97 68 229 117 10 45 167 65 149 9 0 121 33 251 97 35 57 95 80 101 211 234 161 12 227 205 203 148 24 183 164 210 198 184 149 225 114 102 130 197 81 12 178 26 247 43 14 175 185 104 44 132 7 4 229 2 135 207 51 70 112 24 156 102 140 88 102 234 142 140 183 9 179 196 8 157 24 144 4 182 235 137 88 32 82 90 101 52 191 222 81 11 12 82 142 19 35 123 204 8 92 123 243 73 108 124 23 55 134 44 113 112 80 39 197 103 69 107 40 220 34 92 59 101 17 58 101 164 231 35 2 84 1 25 8 13 140 213 216 221 184 34 214 72 251 151 192 229 201 83 132 18 83 114 191 10 188 15 128 162 227 67 224 168 157 147 178 226 168 210 133 85 21 135 22 62 245 254 165 220 214 140 198 108 6 77 194 22 113 162 158 33 32 169 196 191 66 73 73 121 28 66 88 88 204 126 162 212 87 115 148 221 149 166 80 230 48 34 23 106 15 67 67 115 48 49 180 94 81 63 16 87 178 92 62 16 180 64 32 32 222 25 50 183 29 29 21 46 23 76 100 90 156 165 31 241 54 211 51 51 51 35 29 220 241 149 147 86 195 160 11 241 35 150 168 73 111 2 192 32 247 125 179 2 134 203 6 11 156 202 161 94 24 39 36 1 161 204 174 166 218 183 52 11 183 136 207 84 85 25 82 107 187 153 16 57 154 114 204 71 240 48 137 110 39 131 254 17 79 189 145 70 221 255 0 48 208 10 160 27 218 10 141 69 5 193 5 84 26 143 17 97 142 174 110 148 71 48 8 1 148 126 94 26 128 146 130 155 255 0 28 208 234 108 121 131 11 85 37 197 52 67 112 77 47 185 71 114 84 75 172 112 75 84 227 113 91 65 183 143 95 18 173 98 203 54 99 220 22 39 51 64 104 180 35 85 139 184 106 192 108 135 251 110 102 230 119 168 220 87 213 198 96 28 55 168 67 133 155 170 191 185 107 103 171 201 6 9 135 165 11 70 14 21 185 96 15 166 163 118 203 229 133 194 194 87 136 56 188 64 185 172 97 56 235 138 49 11 28 56 32 38 52 234 60 207 121 101 125 98 8 176 154 159 177 74 209 48 71 185 178 38 102 54 87 94 234 60 124 55 150 21 157 144 174 224 49 238 8 193 79 248 103 238 224 251 24 195 166 156 204 213 102 107 209 133 1 220 72 13 100 196 1 89 72 192 192 198 240 196 69 22 171 212 205 214 37 23 54 99 203 5 226 34 40 204 188 112 76 227 67 130 146 1 74 182 6 65 112 37 3 128 160 43 168 107 75 188 232 135 64 40 14 24 133 103 210 194 47 118 82 72 56 218 241 146 74 223 49 88 148 111 48 185 128 175 78 53 27 105 119 25 168 173 100 216 167 40 78 87 162 123 142 209 10 83 55 204 23 81 159 19 44 2 7 43 198 114 247 73 164 84 71 185 178 61 202 150 98 145 84 35 213 97 10 21 83 115 8 108 216 92 47 73 51 191 80 85 125 205 31 48 67 82 142 221 48 169 91 16 8 112 68 134 131 12 183 207 102 24 10 22 200 0 49 77 49 187 55 96 203 17 133 192 184 113 210 80 253 203 184 157 32 10 164 151 174 51 236 89 68 0 30 70 88 91 110 182 155 245 44 23 81 31 202 100 200 233 80 254 201 130 82 42 237 153 51 80 118 40 113 11 148 206 150 33 152 9 18 212 52 178 5 207 113 248 84 29 157 164 31 92 74 153 105 114 180 193 201 21 211 79 114 179 113 2 244 147 9 245 32 135 17 110 44 49 238 34 210 198 186 37 175 165 196 205 18 209 22 51 237 16 168 151 63 137 251 184 191 60 170 46 170 176 244 87 5 202 234 185 80 14 72 197 249 71 45 192 178 34 21 219 152 134 98 176 166 14 102 208 242 193 212 116 65 69 115 16 211 15 190 221 195 107 42 27 191 81 102 202 149 16 102 225 138 238 175 184 109 1 115 19 41 49 80 80 189 91 218 49 232 21 169 151 51 184 221 13 220 182 243 45 59 24 75 135 221 69 162 113 117 1 0 40 136 239 128 94 186 130 23 166 113 45 16 38 194 91 221 136 107 212 154 66 133 87 48 51 157 75 219 44 57 90 98 37 27 85 40 193 6 63 55 95 225 248 116 240 220 96 156 133 128 105 92 217 30 47 140 203 34 119 18 64 184 171 190 88 169 198 22 184 33 40 179 152 250 151 201 207 49 82 141 204 89 53 82 183 5 152 64 75 182 80 220 17 232 132 241 40 100 49 70 18 88 109 144 55 203 139 103 251 204 64 216 61 3 152 37 60 141 35 11 241 51 218 103 215 58 149 247 46 200 82 189 202 98 252 31 243 20 19 74 117 150 52 88 41 181 198 224 158 110 0 61 137 128 195 162 103 255 0 107 149 85 69 42 134 0 86 100 69 241 137 169 6 161 45 205 88 247 5 172 58 159 40 5 98 18 216 43 182 141 30 108 63 104 239 219 29 73 136 149 221 47 95 202 92 81 213 86 32 161 220 51 105 151 85 38 97 156 67 96 68 104 139 135 42 40 214 163 203 58 136 181 177 210 214 125 198 172 181 37 15 50 221 11 233 11 7 138 185 145 81 172 237 212 122 10 251 99 175 233 220 240 1 139 98 117 33 45 192 155 79 59 74 135 6 1 124 190 226 121 147 196 126 20 116 112 194 80 39 184 108 45 16 213 26 18 238 14 2 153 105 107 55 182 37 153 169 252 132 209 159 120 52 25 113 30 179 14 136 251 32 76 234 16 0 224 142 130 110 6 230 140 217 150 44 95 0 163 81 118 204 180 18 164 34 173 53 83 27 130 255 0 218 49 247 68 133 243 45 87 65 5 90 179 83 42 213 74 135 100 57 150 66 74 70 11 226 29 192 176 145 96 56 35 41 51 33 187 134 163 82 101 111 48 148 135 19 0 60 108 76 71 164 191 169 105 96 138 31 37 5 133 157 87 17 26 0 162 144 69 4 28 137 101 172 174 80 75 45 238 27 95 126 35 230 126 40 212 231 122 8 15 101 78 121 184 178 200 150 243 142 165 254 222 77 192 89 97 230 226 96 222 216 128 73 104 212 165 224 108 134 217 81 113 5 122 162 131 24 153 137 153 152 46 226 5 202 166 4 214 226 166 240 11 220 77 209 112 104 92 147 243 21 183 152 241 240 203 6 89 85 14 87 23 29 160 129 67 46 200 102 20 19 114 195 85 238 62 120 49 217 11 3 26 178 151 169 154 199 41 86 34 3 2 242 234 178 234 165 143 17 134 196 241 9 100 14 249 220 178 192 27 196 61 70 187 134 170 32 114 229 106 56 25 20 117 19 244 70 98 2 143 88 16 50 147 10 27 135 43 112 170 251 23 97 247 45 56 88 51 125 192 73 184 164 217 217 26 34 73 105 130 163 75 37 206 170 43 83 108 42 114 48 178 180 104 46 17 83 89 190 38 97 23 153 149 168 109 22 144 224 47 80 243 74 69 217 114 67 32 112 255 0 49 218 142 148 238 40 107 18 0 91 230 84 51 216 207 22 108 166 213 8 160 37 143 152 21 11 48 110 165 215 153 75 189 203 150 110 184 80 220 42 189 222 34 74 101 163 16 171 97 222 28 78 38 176 217 118 132 80 51 92 157 93 17 232 97 104 47 17 92 42 197 19 229 112 181 84 105 86 26 90 129 45 117 183 199 152 20 181 128 156 95 76 102 187 44 152 21 190 166 45 252 198 177 20 99 151 238 34 23 148 241 95 81 205 24 244 253 225 9 93 137 114 229 150 240 189 70 182 26 106 227 199 104 213 177 49 24 85 1 80 41 204 42 105 148 49 184 182 50 198 205 168 182 208 227 165 14 20 194 44 131 76 10 250 252 8 173 245 8 51 135 212 175 185 68 217 25 150 138 161 196 203 141 115 130 11 201 138 81 98 155 220 50 216 16 108 17 142 192 113 83 102 97 3 240 93 48 150 65 172 199 167 185 46 95 19 25 32 138 196 165 83 5 27 46 60 244 246 67 71 33 212 76 203 130 170 159 125 74 135 3 148 96 107 226 216 37 201 11 216 60 199 224 116 112 75 225 53 130 135 181 68 243 214 77 33 190 27 145 170 241 11 182 86 78 42 6 178 156 12 130 1 64 244 73 112 60 196 130 29 25 196 160 244 96 86 37 225 68 166 166 114 238 243 114 131 112 1 185 120 228 151 42 220 191 58 142 24 196 190 156 243 20 132 5 97 7 44 156 92 1 87 216 64 173 184 187 113 75 13 179 248 38 77 111 16 106 172 205 23 220 0 68 181 3 178 113 230 42 4 208 11 203 47 248 70 42 140 196 212 75 71 51 60 188 198 61 119 48 183 13 107 226 224 85 68 86 162 190 88 191 110 35 82 173 112 188 186 131 218 169 153 17 98 37 134 176 84 90 7 11 5 138 169 6 165 107 137 97 196 49 228 38 106 4 82 78 8 188 39 239 152 151 99 154 151 12 117 7 72 74 136 5 11 129 77 165 113 222 49 48 57 168 226 50 224 147 153 91 129 209 42 53 0 94 229 0 104 64 166 206 87 51 138 58 149 185 139 150 201 207 46 239 191 148 25 156 91 25 38 129 136 68 119 48 27 163 5 148 175 81 167 81 107 58 21 51 17 81 112 171 196 23 167 17 74 161 192 17 84 118 252 136 9 138 19 22 229 87 152 141 230 34 110 100 106 88 39 128 144 170 165 170 142 176 44 170 161 241 166 23 158 127 226 4 9 113 158 99 29 93 196 50 160 89 238 84 8 110 8 162 9 205 240 199 232 76 228 62 8 21 90 212 171 224 112 34 189 99 180 81 11 75 252 132 60 17 182 118 66 5 163 83 196 55 120 187 37 170 252 24 128 192 61 124 65 40 140 202 123 166 97 224 184 129 254 148 93 149 81 220 84 146 216 184 184 68 43 77 203 236 208 98 101 226 114 193 100 88 187 132 168 32 139 193 11 55 130 24 24 66 118 97 107 65 247 20 19 243 69 218 49 66 222 235 80 21 195 199 196 87 153 97 184 207 196 157 140 45 54 75 192 33 177 118 114 75 91 60 141 165 27 170 107 140 188 77 112 14 140 174 184 93 132 77 156 114 135 123 178 200 55 208 21 35 225 0 116 98 202 3 193 9 53 59 185 80 131 108 54 110 80 137 134 10 46 163 12 18 244 22 20 14 101 251 165 191 81 46 195 70 32 54 84 91 0 224 136 3 27 196 56 96 66 120 31 86 202 195 102 20 241 241 7 44 101 142 244 202 9 232 18 107 122 136 171 231 112 150 194 45 123 140 163 141 47 196 200 92 132 214 136 132 27 150 225 157 72 23 24 247 185 115 123 142 188 76 65 198 31 81 152 99 82 140 23 16 228 128 172 152 230 33 64 75 63 100 97 168 89 202 68 133 64 186 165 204 52 229 138 193 141 230 2 134 202 77 35 53 115 43 64 42 179 158 101 42 137 109 72 78 186 228 200 248 135 192 61 172 7 1 220 4 183 111 48 135 102 21 166 155 144 3 96 201 5 22 0 145 115 43 81 209 50 248 232 192 59 245 48 65 91 60 68 14 43 164 189 78 126 48 61 161 24 142 173 24 56 106 25 119 157 2 122 0 135 201 150 152 22 179 27 137 169 182 97 129 200 204 238 90 122 39 70 59 149 169 88 148 198 227 184 218 25 26 59 131 207 55 101 165 197 133 11 113 6 0 238 149 246 224 163 40 125 93 194 128 174 226 48 50 119 8 102 10 25 191 168 144 194 148 216 193 234 195 134 212 16 160 70 101 240 49 22 203 42 80 226 46 8 23 248 137 151 218 184 234 226 217 46 138 166 44 204 137 226 185 137 108 81 118 192 65 247 240 131 225 4 216 171 117 137 66 116 196 251 80 194 246 6 225 149 75 12 254 101 30 216 234 204 89 103 56 211 153 162 246 205 164 224 125 106 33 128 2 171 249 136 137 184 68 22 179 49 0 198 0 11 215 125 67 2 10 105 93 38 123 80 218 186 254 32 1 182 155 214 99 207 73 98 98 243 89 6 58 20 147 14 226 21 2 166 183 119 226 92 24 215 4 86 99 115 130 191 118 27 150 41 105 19 85 10 141 40 139 197 35 223 54 110 44 200 187 207 136 198 251 153 18 136 201 20 120 102 1 198 98 250 52 96 170 67 126 35 191 155 160 145 77 202 128 121 140 41 131 79 184 142 237 114 225 108 211 29 198 177 82 101 120 38 84 202 192 201 54 230 41 111 151 168 34 66 213 182 112 128 7 15 51 26 184 50 163 25 155 105 129 74 26 94 77 146 139 212 49 142 37 208 243 194 140 182 225 7 69 205 204 212 189 66 217 27 67 9 209 16 141 89 16 89 101 109 87 55 1 21 70 10 197 205 244 6 225 34 210 158 25 83 69 222 161 97 168 241 42 64 30 160 71 152 240 216 95 19 85 113 83 166 92 237 151 52 148 204 83 36 69 163 167 117 169 95 38 218 129 71 101 247 138 175 200 210 76 165 172 198 32 255 0 153 24 30 47 114 191 172 31 168 118 17 105 141 197 89 57 155 38 200 9 204 50 237 132 225 59 14 57 49 5 97 138 66 109 185 87 113 59 96 26 130 243 48 206 110 11 30 88 253 155 209 111 130 92 131 216 140 66 77 23 123 116 196 66 15 136 21 21 117 153 67 117 10 167 108 43 154 241 59 241 18 240 12 87 76 91 166 188 46 161 17 26 229 30 218 58 184 88 12 115 136 237 172 38 198 96 1 41 45 111 115 57 89 228 236 149 131 43 185 146 59 81 153 216 131 59 55 110 56 39 171 191 188 230 254 121 34 123 145 136 160 127 41 16 173 164 171 87 22 243 4 53 55 125 252 4 20 2 217 137 173 192 84 193 158 252 159 100 172 2 180 210 62 33 214 70 127 104 21 174 66 233 177 150 1 115 16 76 74 196 38 239 47 140 224 130 119 164 10 162 27 231 109 194 59 26 246 46 49 187 27 53 81 100 13 67 15 175 44 118 100 204 176 0 43 196 36 242 11 0 79 41 185 91 248 131 74 36 8 170 169 102 225 11 96 206 101 193 118 212 199 28 137 187 138 153 134 55 28 38 104 237 138 92 160 121 149 171 15 230 255 0 200 125 205 191 209 92 198 128 48 184 148 67 178 167 142 99 64 182 229 136 185 67 201 44 246 193 168 15 178 84 178 155 132 136 230 86 153 33 187 34 29 123 69 63 115 143 253 175 217 31 210 225 160 250 132 213 57 121 168 156 212 19 196 60 75 178 88 93 167 168 146 203 16 205 203 190 143 156 198 81 34 31 80 32 27 46 226 236 74 68 128 230 68 131 230 87 117 66 213 234 225 6 122 167 54 87 240 199 234 31 37 192 142 56 37 171 110 35 199 152 194 151 152 5 126 56 140 133 107 155 212 60 97 203 17 109 209 32 168 70 3 229 182 69 60 192 37 200 85 161 238 107 63 167 105 97 175 164 137 205 205 51 213 209 100 118 162 175 50 215 21 45 74 6 3 110 41 134 243 12 188 65 72 196 194 197 18 184 155 151 24 109 78 7 249 166 164 216 155 63 99 112 21 44 119 0 21 251 151 98 193 248 255 0 212 64 121 45 247 44 9 74 204 168 244 150 174 231 50 145 116 207 161 122 97 223 110 143 41 168 236 21 78 201 99 132 15 80 170 238 167 17 136 254 4 91 84 185 184 8 4 102 212 106 222 37 155 168 246 83 42 230 61 199 5 101 168 15 49 12 218 82 155 131 240 129 245 220 12 64 12 7 85 29 195 250 57 196 99 122 138 3 73 135 164 181 186 128 99 30 62 1 111 46 188 192 93 241 17 185 206 38 18 229 203 195 159 242 92 116 225 229 130 194 209 21 248 149 84 10 163 248 78 107 168 160 246 74 38 86 248 129 147 3 115 254 101 44 87 224 157 72 83 48 22 65 106 35 99 34 59 78 169 20 125 145 254 241 27 4 161 107 168 30 6 68 119 227 220 41 116 8 104 134 85 72 131 197 128 33 67 213 219 95 188 68 229 109 54 203 155 91 235 224 105 47 125 10 224 26 56 156 71 156 198 90 155 35 8 162 178 237 156 121 135 245 107 28 240 24 10 215 32 148 51 141 218 1 84 91 248 49 108 37 209 217 129 43 17 101 230 91 45 234 91 212 179 74 41 220 204 51 182 211 246 128 249 99 24 201 94 29 183 168 231 42 16 237 148 203 168 17 133 197 4 66 128 116 148 167 138 138 219 22 205 92 113 40 121 104 42 104 114 71 162 88 13 155 106 154 101 112 216 244 140 88 97 70 200 204 107 220 146 169 48 66 189 142 32 105 2 253 165 203 248 140 63 161 206 38 16 64 118 196 52 214 213 47 44 182 110 21 87 226 98 47 153 106 48 23 134 33 0 221 48 253 80 34 98 10 142 226 203 113 45 207 194 252 70 214 102 105 45 27 56 138 210 200 85 66 16 103 249 38 21 90 138 152 178 75 150 203 152 71 57 100 86 13 238 47 129 73 139 34 178 13 9 184 106 232 112 145 56 231 212 3 128 23 247 25 203 118 199 43 253 135 186 9 151 121 77 99 71 28 177 104 89 239 18 192 20 109 101 32 206 52 62 229 108 177 109 241 5 4 6 12 204 34 183 44 238 52 106 92 62 9 136 199 126 209 79 149 98 92 234 197 45 236 138 21 165 193 168 84 191 49 133 141 84 185 120 143 194 171 166 24 185 22 178 70 11 253 58 150 69 15 5 74 2 112 28 203 219 250 254 195 16 124 194 207 45 73 0 33 52 3 99 125 75 113 103 4 101 236 167 114 171 67 18 213 244 43 14 166 40 27 138 109 21 34 199 193 114 153 172 51 17 154 84 68 123 84 160 214 24 50 120 154 114 230 46 37 252 63 54 203 143 83 164 177 92 203 86 11 162 84 208 96 151 14 2 47 226 9 147 238 26 254 193 220 107 7 63 195 56 245 122 243 217 245 95 188 91 110 82 43 134 165 56 155 109 132 189 203 24 214 54 249 92 145 211 8 111 225 238 92 99 161 132 62 234 18 174 230 9 11 148 92 203 241 47 196 88 176 254 135 115 104 253 29 44 8 102 22 14 132 38 24 142 92 195 251 85 44 161 174 167 228 39 183 121 69 204 83 90 168 87 166 98 129 97 133 195 137 207 230 211 225 248 84 169 218 44 87 159 18 165 55 46 217 27 149 93 190 51 184 61 50 252 252 7 50 234 47 147 184 231 19 53 225 4 91 224 71 204 105 78 119 212 94 209 67 196 86 255 0 109 94 35 225 25 151 198 110 243 93 122 128 46 162 229 84 114 197 68 32 85 76 112 185 249 247 41 226 109 152 136 132 98 183 27 158 161 121 34 200 133 87 130 102 210 57 126 88 132 58 101 230 4 60 203 172 69 252 205 185 248 43 127 47 24 12 91 132 129 59 141 86 25 125 34 163 220 63 183 204 72 225 175 171 136 37 181 167 115 105 3 54 212 18 55 125 84 27 4 171 218 98 72 66 226 207 192 24 13 76 196 248 233 18 227 230 56 139 115 7 246 107 20 113 151 222 109 97 178 161 47 17 215 199 48 196 231 228 231 21 99 152 138 53 91 124 190 35 222 98 128 37 185 248 63 182 204 205 195 113 117 95 16 149 248 202 99 169 205 66 12 88 169 136 179 47 207 192 32 98 81 40 152 137 57 155 124 65 157 18 46 110 150 8 171 168 26 220 77 254 26 135 18 222 229 189 69 199 199 63 28 199 159 133 249 219 0 72 43 125 140 189 113 191 239 153 13 177 181 128 19 251 164 180 10 174 9 81 107 112 177 51 101 48 32 74 196 78 224 149 52 131 227 98 205 153 143 166 51 238 92 179 152 59 161 47 50 123 49 176 130 215 198 147 79 147 81 227 220 23 96 8 254 97 127 207 10 163 171 123 227 175 17 253 0 182 70 28 7 15 98 20 16 119 163 137 118 220 81 8 7 55 150 226 53 247 42 17 94 103 220 175 48 74 196 78 56 130 25 168 67 86 135 137 196 74 180 149 167 182 24 112 252 104 156 196 184 21 24 57 151 230 54 49 158 225 85 101 196 109 212 176 7 6 0 224 234 46 10 158 127 190 234 106 40 35 85 152 174 233 31 54 107 8 171 64 164 118 148 230 11 113 2 82 124 87 194 74 126 7 31 1 204 22 235 23 45 108 21 212 202 117 234 63 23 57 142 33 159 135 82 156 167 159 19 59 21 125 254 8 4 9 64 126 254 229 197 238 30 127 68 84 109 159 243 28 13 240 88 176 60 102 12 185 184 22 192 34 77 63 6 216 146 160 131 16 226 60 203 100 138 206 37 68 143 203 186 156 215 19 18 136 88 239 100 224 148 156 213 92 175 108 116 87 244 149 12 56 248 93 231 1 146 188 170 124 76 21 231 246 211 42 190 29 71 108 197 184 234 84 193 137 112 196 194 96 62 98 168 241 43 18 179 52 132 230 231 153 185 104 201 103 173 227 204 162 170 223 62 79 152 183 223 185 207 233 121 151 204 64 96 133 125 222 207 80 107 22 200 155 133 200 119 168 215 19 73 66 102 1 81 212 186 35 159 113 33 133 255 0 82 130 67 129 140 214 62 25 76 117 159 204 172 120 129 44 224 189 198 130 100 4 100 173 223 199 63 165 126 46 34 2 149 4 168 76 43 76 76 43 102 215 212 216 141 4 212 91 128 214 161 168 234 39 51 152 220 19 74 35 58 33 23 244 35 170 156 66 49 163 184 174 115 128 253 224 101 11 71 71 184 249 128 48 13 17 213 195 121 253 87 136 46 80 72 104 221 48 56 253 15 187 253 64 150 56 182 126 34 37 17 30 152 71 229 72 49 46 62 8 210 247 18 84 171 149 33 94 130 229 64 189 162 253 74 180 13 188 167 142 162 235 47 222 165 181 175 142 127 91 112 140 225 118 243 45 128 158 22 27 37 122 36 120 125 77 144 113 77 67 121 95 81 230 114 130 216 160 120 150 132 213 214 31 88 158 48 213 42 40 57 136 101 152 232 119 158 51 40 69 220 223 207 63 171 169 95 40 93 204 168 227 80 147 134 83 63 232 156 71 108 255 0 37 203 243 249 211 248 34 154 255 0 185 226 21 240 205 213 223 196 74 42 41 222 106 98 134 19 60 243 78 111 222 81 64 180 5 69 86 199 220 69 189 61 199 51 143 140 255 0 240 207 9 99 37 254 96 12 40 25 252 13 68 57 153 106 247 57 67 241 29 227 249 151 218 55 220 227 244 159 255 217) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glassPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 128 8 3 0 0 0 244 224 145 249 0 0 3 0 80 76 84 69 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 141 239 228 83 0 0 1 0 116 82 78 83 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 220 219 219 219 219 219 219 219 219 219 219 219 219 219 220 220 220 220 220 220 220 220 220 219 219 219 219 219 219 219 219 219 219 219 219 219 219 219 221 222 222 222 223 223 223 223 223 223 222 222 222 222 222 222 222 222 222 223 224 225 225 225 225 225 225 225 225 225 225 224 224 224 224 224 224 223 224 224 225 225 225 225 225 225 226 226 226 226 226 226 226 225 225 225 225 225 225 225 224 223 222 223 222 222 222 223 223 223 223 223 223 223 223 222 222 222 222 222 221 221 221 221 221 221 221 221 220 220 220 220 220 221 221 220 220 220 220 220 221 221 221 221 222 223 223 223 223 223 223 223 223 223 223 223 223 223 223 223 223 224 224 224 225 225 225 224 224 224 223 223 223 223 223 223 225 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 225 225 224 224 223 223 223 223 223 223 223 224 225 226 227 227 227 227 227 226 225 225 225 225 225 226 226 226 227 227 227 227 227 227 227 126 165 57 16 0 0 16 219 73 68 65 84 120 218 141 156 205 109 235 202 14 199 181 73 13 246 34 173 88 91 3 94 58 157 120 35 64 163 30 82 131 23 86 9 18 160 6 92 138 19 3 167 135 55 36 255 252 146 148 139 55 192 187 247 158 19 199 252 137 195 225 215 80 175 41 101 24 46 151 161 174 199 99 28 95 19 173 66 127 153 86 41 245 175 231 186 186 174 187 133 85 255 216 245 117 125 213 213 221 158 207 231 191 186 234 191 228 167 203 243 253 254 39 127 115 235 250 235 249 242 113 164 117 58 181 109 123 191 15 143 97 28 75 99 194 88 190 1 148 29 128 105 34 89 125 96 232 186 42 88 1 132 128 151 254 60 2 124 101 128 74 64 0 99 99 210 70 146 239 0 165 140 81 190 0 8 193 151 34 176 252 175 254 202 43 18 200 15 43 192 115 5 112 8 242 239 244 200 21 64 228 137 120 6 40 88 46 191 254 112 12 0 32 232 88 126 21 125 150 117 37 237 220 244 249 9 135 0 222 6 64 4 27 128 169 193 19 211 191 86 0 133 5 99 77 17 128 183 1 226 73 244 133 86 37 184 18 193 13 242 43 165 26 1 51 9 192 225 208 202 74 0 121 233 227 139 94 92 184 254 76 17 104 227 171 252 143 143 11 214 249 92 192 38 38 209 117 139 168 128 181 2 21 252 127 0 182 243 227 14 92 111 171 62 255 7 86 125 52 58 75 197 44 146 9 150 197 205 146 113 235 103 68 56 137 39 19 152 154 250 15 88 216 60 139 13 186 2 202 174 114 202 190 124 69 40 78 208 59 193 77 85 64 39 30 242 9 96 20 0 67 240 83 232 242 103 252 117 48 15 150 95 74 253 58 145 79 135 139 17 6 70 192 169 160 237 88 1 148 51 31 248 135 138 103 128 112 206 179 24 72 199 10 187 131 159 155 124 1 224 173 173 94 109 192 161 224 83 161 4 2 208 203 239 171 112 6 200 158 70 236 60 202 95 120 205 166 156 224 157 76 254 199 103 5 128 113 209 95 179 65 130 96 137 4 252 213 99 90 141 124 147 18 244 189 1 68 249 70 32 142 91 215 65 229 7 128 186 14 225 80 204 65 5 183 78 190 220 45 27 0 252 113 70 80 243 50 249 63 1 128 127 64 159 102 115 99 128 3 228 127 126 158 108 17 1 127 64 78 229 12 21 220 160 130 62 26 117 221 127 2 144 207 15 98 193 88 83 86 0 1 204 12 192 242 109 29 143 34 255 83 36 51 1 105 67 143 68 125 164 25 8 236 157 251 68 64 246 215 12 248 42 59 250 101 31 64 194 30 3 152 205 51 192 39 0 88 251 167 128 64 95 71 187 234 0 55 249 146 125 128 67 235 8 68 17 9 230 78 195 110 33 95 118 76 4 71 87 0 201 231 63 177 73 12 70 208 45 55 211 65 215 205 118 174 201 162 26 21 175 103 72 17 204 7 96 247 97 28 6 192 31 175 191 199 4 144 79 4 80 136 18 140 133 44 187 18 220 16 164 4 128 17 10 233 179 9 242 197 128 21 97 21 126 20 0 4 173 124 127 117 172 71 81 123 117 110 17 224 164 31 24 201 14 58 34 64 146 226 103 42 0 248 17 106 7 71 96 8 58 18 87 93 236 124 88 241 248 122 70 128 124 34 80 0 38 24 214 4 172 4 1 160 111 230 35 149 0 78 244 96 236 78 157 161 202 60 83 200 59 235 186 72 68 171 30 157 29 42 17 180 26 96 50 64 205 186 224 227 132 64 3 211 147 8 232 193 200 1 52 46 95 237 23 166 160 139 162 61 31 119 119 64 23 122 184 59 92 58 8 84 5 42 63 18 76 61 116 176 2 160 175 110 72 227 173 19 156 162 118 197 71 169 191 11 12 18 81 216 149 18 193 112 23 249 190 7 167 72 64 91 73 71 193 131 243 178 116 12 112 6 192 16 206 240 233 164 4 112 118 65 254 7 92 32 7 20 73 226 234 63 107 118 59 220 239 247 164 2 245 137 119 61 9 66 144 0 122 5 8 59 112 210 35 173 10 128 179 179 160 39 14 46 230 176 18 77 7 142 240 108 5 102 4 14 48 170 79 113 43 0 192 185 2 232 14 40 64 48 224 33 203 255 52 0 86 62 114 104 39 168 107 216 87 1 92 74 72 144 58 221 3 3 56 25 64 32 128 171 243 152 215 90 150 60 38 135 170 89 198 160 4 25 96 163 2 137 140 149 96 80 128 83 2 0 1 253 64 124 45 66 30 188 91 202 83 53 71 48 128 163 169 224 14 128 45 65 0 16 57 71 23 175 71 200 1 142 241 104 75 42 185 3 64 12 76 13 223 12 128 125 2 132 230 0 112 52 23 98 218 195 146 98 74 143 21 167 210 211 31 0 230 156 21 32 168 96 228 147 96 145 177 19 128 82 1 46 2 112 252 11 64 213 227 213 212 107 63 139 55 2 0 235 209 52 143 60 245 226 13 180 170 251 3 32 100 54 121 73 46 253 109 37 108 46 99 178 10 130 252 93 130 46 2 16 193 14 192 26 2 242 191 163 6 202 182 142 84 147 130 115 118 0 164 124 29 214 151 0 156 25 224 16 0 78 167 53 129 29 242 135 40 64 141 96 91 196 59 129 70 135 71 0 136 4 95 40 171 9 128 146 172 86 77 253 116 218 0 12 9 64 179 233 141 116 78 183 3 0 62 95 215 61 126 72 19 11 6 232 107 124 111 40 40 187 6 246 229 179 147 93 1 88 180 16 223 44 37 190 3 120 180 124 228 62 199 42 193 17 128 161 85 203 221 3 120 132 5 241 144 142 130 80 9 198 49 170 196 195 229 35 53 90 86 4 141 84 75 33 24 102 0 215 228 70 190 229 230 151 203 101 107 8 249 211 214 233 216 16 52 253 84 130 225 108 20 160 138 199 247 161 156 129 124 77 143 87 0 173 3 188 240 241 33 184 163 105 13 32 4 138 208 238 0 228 46 9 71 31 147 47 9 250 206 89 176 158 219 180 233 179 0 129 243 227 134 242 67 216 179 36 182 237 102 7 198 181 247 31 57 80 30 185 44 58 134 178 48 213 56 27 151 29 22 137 231 228 124 153 155 37 19 220 35 129 43 96 229 253 21 224 147 203 210 184 54 0 161 187 144 8 102 20 61 205 115 153 53 160 240 161 149 196 110 189 3 83 238 161 12 74 112 212 80 37 94 76 16 0 192 125 47 170 111 165 18 209 38 28 8 52 63 105 106 122 52 247 136 40 226 55 148 128 99 25 8 214 10 112 27 12 226 63 81 166 187 189 189 94 63 63 191 191 191 252 168 63 63 145 0 129 241 253 110 222 4 224 141 3 16 180 167 208 205 123 108 19 16 3 8 121 140 16 36 249 36 254 93 215 47 173 229 39 108 7 1 144 252 10 240 70 134 232 4 126 34 218 251 198 8 208 162 56 36 0 67 112 5 240 6 64 190 48 160 32 82 43 92 1 20 180 75 199 20 79 182 0 246 248 216 129 211 233 180 206 38 77 101 164 0 52 139 171 20 42 71 44 130 42 192 191 127 9 224 47 130 65 195 79 9 46 240 152 1 78 146 51 198 156 133 1 254 201 122 63 117 171 169 188 83 130 138 87 109 128 90 233 20 151 86 13 106 15 169 15 222 83 23 111 141 177 227 42 130 168 120 164 44 1 128 31 179 67 41 112 17 2 6 120 55 79 52 146 165 133 151 150 230 19 0 208 0 244 223 242 191 191 191 213 218 171 157 253 106 179 26 143 137 190 242 229 92 212 8 20 160 223 1 176 52 96 11 112 220 2 176 250 33 126 180 44 152 141 16 165 72 21 114 254 184 112 137 57 20 105 95 41 0 154 152 161 246 52 4 11 107 182 3 193 239 229 176 65 143 207 238 230 165 142 95 206 154 230 225 212 170 53 128 26 22 217 19 52 214 196 188 158 45 196 171 51 203 65 184 232 9 8 226 63 179 252 151 201 183 107 30 111 145 1 224 66 53 182 0 208 15 155 69 179 244 235 217 250 63 71 71 24 211 17 100 37 12 234 1 66 25 35 230 103 242 67 6 54 163 59 195 89 224 245 10 27 24 10 20 180 52 53 73 126 74 7 15 13 40 56 212 97 167 8 179 42 4 17 203 11 185 42 127 84 249 40 22 57 77 32 4 92 240 124 117 162 231 243 112 137 165 18 3 72 169 70 70 112 64 114 10 2 200 79 113 132 191 62 167 46 164 127 151 143 104 141 254 125 233 61 23 71 41 16 30 173 230 3 104 96 177 10 8 0 133 40 19 192 161 241 242 150 57 11 184 167 188 225 110 234 127 241 207 125 47 47 131 94 163 216 21 159 181 171 153 160 145 46 162 168 64 0 52 170 88 72 117 249 64 24 135 7 55 164 246 1 68 62 58 10 85 11 131 109 131 53 74 29 160 111 208 57 17 130 0 80 253 42 84 64 98 53 168 3 96 181 11 25 128 159 195 122 26 2 208 51 192 194 4 33 75 35 0 237 221 220 96 134 71 7 32 195 182 110 233 50 175 54 33 17 60 220 2 50 0 107 82 84 176 104 195 215 1 234 89 108 216 35 81 193 184 2 192 131 141 249 218 100 150 70 182 158 133 160 130 42 155 118 138 0 206 218 88 227 47 106 185 79 55 123 191 57 16 16 128 228 38 117 117 124 187 27 1 156 128 51 40 255 130 178 6 160 83 72 0 51 119 86 21 192 182 18 122 244 92 124 146 200 75 189 216 102 82 2 142 21 4 240 17 27 125 15 254 109 189 41 76 242 3 129 0 76 232 236 158 47 65 1 188 63 171 203 152 184 26 171 218 233 251 175 180 123 161 74 165 254 198 166 152 225 238 237 186 81 44 230 226 0 225 34 67 225 240 155 178 204 87 54 5 4 252 124 190 7 167 68 176 5 56 199 180 129 99 166 86 61 220 124 59 120 181 205 218 193 133 164 69 99 255 253 198 203 246 93 128 86 234 206 191 1 188 116 103 163 234 149 128 191 7 219 243 141 59 233 243 217 219 206 1 32 148 237 215 196 174 42 88 85 213 182 5 108 72 169 114 149 47 34 27 169 21 183 117 138 56 73 160 132 66 239 249 180 227 75 255 107 134 63 8 130 155 31 198 68 64 0 233 106 55 94 178 235 71 176 59 172 157 111 238 171 112 40 247 150 175 118 157 27 68 222 162 0 186 9 225 136 63 114 85 45 201 105 188 89 142 57 136 157 51 107 162 127 19 0 165 85 210 250 246 18 142 255 220 104 254 81 226 165 80 104 149 96 212 34 148 213 241 102 119 154 197 253 73 30 96 53 135 184 154 208 88 225 38 197 197 147 233 163 213 178 13 255 201 9 74 145 152 124 114 31 227 205 201 4 0 23 249 195 37 87 76 25 212 99 39 130 187 134 232 99 32 160 213 224 79 102 7 148 21 120 175 51 3 36 2 92 173 210 154 95 89 62 106 32 35 144 78 153 221 15 218 24 7 53 244 26 240 184 37 178 5 159 162 6 214 4 73 190 221 65 37 0 16 120 27 127 176 238 129 23 158 162 129 214 84 128 203 157 85 203 72 1 198 45 128 94 45 175 90 0 8 157 104 189 132 59 237 245 5 157 1 152 199 1 65 9 14 78 221 204 30 128 106 27 97 38 204 65 224 162 57 3 180 107 241 119 1 48 149 192 231 105 168 185 223 219 0 48 4 130 226 42 152 147 120 67 232 205 156 182 143 28 250 168 116 195 162 0 70 48 105 180 123 220 239 25 160 100 128 146 110 86 61 188 5 91 61 199 185 29 27 112 240 162 143 8 154 160 37 187 224 66 161 140 78 43 234 67 247 5 24 49 137 0 114 173 170 4 46 255 178 217 118 143 32 242 229 141 92 251 137 86 72 76 137 215 251 2 129 126 179 170 192 134 108 12 64 239 117 131 6 234 127 92 119 1 218 84 116 61 30 13 59 41 238 202 120 76 13 62 214 20 97 4 113 204 8 178 86 242 161 67 25 177 194 96 192 138 192 67 24 77 209 212 111 95 25 187 24 216 75 25 180 229 60 230 203 1 223 119 21 111 179 9 18 50 113 243 89 101 174 84 16 42 206 102 178 214 84 108 71 241 1 51 39 91 63 224 50 209 168 206 4 43 249 76 160 217 135 183 59 236 254 225 225 69 95 19 246 58 54 4 171 127 249 253 53 47 155 251 224 94 196 103 249 166 59 111 230 89 230 209 198 227 30 53 221 76 41 166 35 172 16 128 180 214 204 173 231 251 236 3 230 110 182 0 62 31 33 31 205 242 133 96 15 32 47 106 109 252 166 222 154 19 232 53 129 116 223 237 206 40 58 71 105 255 98 226 134 30 57 182 160 89 5 90 244 206 83 51 239 54 115 209 196 139 221 53 35 240 30 6 158 163 4 199 160 99 47 162 129 48 27 113 218 2 112 193 217 136 51 159 195 217 223 2 204 94 13 233 125 114 4 152 160 2 249 69 1 144 82 215 194 191 95 140 115 146 247 208 62 46 55 40 4 33 88 2 218 55 6 176 72 69 87 244 94 193 226 167 3 12 58 179 35 26 152 21 192 219 73 225 82 95 220 141 200 95 154 223 56 40 86 236 102 71 154 120 210 222 89 186 72 128 219 220 255 2 96 249 50 64 26 165 219 5 52 87 42 36 191 154 121 195 143 136 232 169 46 102 5 160 173 133 73 227 43 0 30 43 128 161 120 44 150 250 236 15 249 82 72 114 35 253 41 0 29 162 183 158 112 42 103 137 32 3 88 182 189 7 96 19 121 200 5 46 62 245 240 25 0 164 157 196 57 44 1 80 155 206 228 171 235 164 175 130 25 234 77 55 234 210 0 96 91 233 78 199 236 176 87 5 64 7 167 168 0 111 103 209 22 84 0 152 216 213 130 167 180 150 86 0 171 122 3 147 209 118 139 92 224 157 173 64 37 249 141 1 156 246 228 191 36 159 51 0 174 219 236 136 23 87 129 222 245 203 192 131 140 197 182 173 110 101 54 130 13 0 210 111 62 132 167 44 255 37 7 166 145 167 187 174 0 120 15 126 5 64 218 107 212 79 199 38 181 230 208 109 20 92 53 48 6 0 86 64 253 164 223 132 73 55 91 90 57 232 123 117 141 77 232 158 173 81 203 39 108 154 104 135 180 203 43 159 8 241 21 242 95 121 134 194 92 163 0 136 169 234 45 80 27 228 191 180 136 138 0 248 122 121 190 81 84 128 94 250 87 20 47 25 6 84 169 38 112 14 237 71 86 149 212 160 18 120 172 64 177 118 182 223 220 24 0 89 225 128 185 46 113 214 47 5 224 137 100 30 41 11 179 143 161 45 102 142 72 229 151 65 147 49 81 148 87 241 27 249 10 96 69 47 238 126 217 91 207 203 51 76 133 187 252 131 216 91 4 56 159 181 95 32 55 11 166 42 40 138 17 116 130 223 76 55 3 36 95 8 128 197 182 32 152 168 40 96 212 22 106 214 0 110 157 176 155 182 83 47 77 55 94 249 29 6 234 17 245 113 146 86 103 211 24 224 69 4 139 2 184 124 109 226 146 47 1 64 9 10 240 217 130 54 155 74 232 122 243 111 240 237 85 35 37 105 234 194 74 122 166 177 21 54 224 71 196 108 228 69 41 155 180 6 3 64 152 109 200 135 117 221 245 231 110 25 0 180 200 3 130 102 167 51 8 196 8 227 240 43 2 58 157 101 43 39 7 187 245 187 184 174 238 122 225 179 157 61 146 118 93 83 138 93 101 27 129 55 211 103 206 6 228 162 225 98 133 158 152 8 123 211 80 134 110 0 248 163 114 233 181 122 87 0 247 79 220 35 26 82 157 27 50 84 207 240 216 21 151 179 123 225 1 25 197 203 106 83 36 101 233 8 28 98 41 54 164 164 221 178 123 6 72 99 252 253 38 59 101 43 144 222 13 2 209 128 140 2 206 52 212 166 10 144 42 178 45 65 60 111 141 86 92 147 87 218 107 0 35 192 132 142 102 20 91 128 144 27 108 202 65 7 72 39 190 145 75 201 60 90 146 1 158 79 16 32 22 11 128 134 147 208 65 207 145 49 212 66 232 126 148 117 61 111 157 210 77 55 182 143 253 30 153 1 85 2 241 82 47 211 128 37 11 253 102 190 111 165 131 12 128 251 122 5 216 48 232 166 232 4 162 100 77 241 157 176 191 1 118 8 118 0 112 105 96 0 151 21 130 202 151 2 225 137 59 126 15 186 102 2 129 32 142 173 39 0 13 149 37 190 37 195 213 142 0 80 255 200 107 61 69 48 5 0 64 166 12 108 58 36 0 116 246 11 97 110 221 9 248 2 58 12 193 57 192 36 179 100 67 107 111 68 164 247 120 102 29 52 225 244 216 6 61 242 85 94 167 4 179 191 16 51 165 225 168 123 28 134 42 190 219 178 91 0 64 173 133 105 118 39 240 45 144 81 224 94 131 10 135 1 7 224 183 6 236 109 140 88 70 137 47 140 83 96 232 137 78 1 224 160 173 202 18 250 47 174 130 167 77 0 8 1 139 7 64 215 57 129 148 244 54 58 31 230 218 52 32 105 141 29 28 115 163 111 141 160 73 134 11 114 35 8 227 216 246 122 196 143 172 5 0 114 229 214 205 58 188 190 132 19 227 242 95 122 223 136 206 70 0 24 12 192 210 25 125 111 13 106 117 2 209 241 175 62 169 202 215 181 11 16 222 164 28 181 189 179 15 240 64 60 71 121 38 4 34 224 230 0 207 95 44 121 249 101 35 223 14 204 176 29 106 219 2 244 2 112 224 126 57 199 56 16 72 169 217 235 67 222 110 254 126 4 6 147 184 168 84 193 42 255 109 62 67 188 125 73 125 191 209 95 170 26 29 64 234 120 201 50 94 177 23 163 165 102 39 87 223 46 158 199 114 222 10 96 175 12 60 13 64 204 53 52 174 94 211 186 111 181 7 32 46 126 242 118 212 152 95 180 21 65 255 108 48 72 8 158 113 133 145 153 62 156 89 187 213 70 170 224 85 28 111 1 78 1 107 128 0 40 240 31 108 247 236 37 83 33 248 23 1 86 98 223 111 188 223 169 0 189 94 42 101 249 210 222 9 0 7 51 66 5 184 4 251 113 130 32 95 228 4 155 136 234 193 48 0 162 131 248 140 201 186 86 89 5 21 64 103 103 218 1 213 110 177 183 108 198 68 176 252 7 192 115 3 208 169 43 253 161 134 231 140 185 130 3 94 141 180 211 177 11 224 42 176 78 160 190 60 153 196 219 193 200 242 241 146 109 71 67 171 139 157 216 169 231 139 203 112 65 36 117 92 2 144 246 93 41 241 69 35 143 78 170 130 248 126 119 50 193 0 240 228 182 74 183 88 191 179 122 103 18 244 113 204 4 53 26 14 218 205 242 158 143 122 99 127 215 201 6 0 227 218 2 56 129 244 117 22 121 241 249 45 83 155 84 92 125 28 63 142 254 166 26 169 183 209 233 172 208 116 218 25 154 231 153 168 57 29 186 219 122 69 35 216 0 240 136 76 4 104 109 126 64 8 36 217 30 95 127 16 64 5 240 202 235 255 3 0 89 78 128 192 117 91 240 242 59 17 208 116 4 181 12 62 164 195 37 47 159 84 21 252 15 162 132 180 171 88 99 65 153 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasscornersPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 160 8 3 0 0 0 73 195 222 234 0 0 3 0 80 76 84 69 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 6 6 6 11 11 11 23 23 23 34 34 34 48 48 48 59 59 59 70 70 70 83 83 83 91 91 91 99 99 99 105 105 105 108 108 108 112 112 112 115 115 115 118 118 118 120 120 120 123 123 123 124 124 124 125 125 125 129 129 129 133 133 133 136 136 136 138 138 138 141 141 141 143 143 143 145 145 145 148 148 148 150 150 150 153 153 153 155 155 155 157 157 157 158 158 158 160 160 160 161 161 161 162 162 162 164 164 164 167 167 167 169 169 169 171 171 171 171 171 171 171 171 171 173 173 173 174 174 174 169 169 169 167 167 167 166 166 166 168 168 168 171 171 171 177 177 177 179 179 179 180 180 180 182 182 182 183 183 183 186 186 186 188 188 188 190 190 190 192 192 192 193 193 193 195 195 195 196 196 196 197 197 197 198 198 198 199 199 199 200 200 200 201 201 201 202 202 202 203 203 203 204 204 204 206 206 206 208 208 208 208 208 208 210 210 210 211 211 211 212 212 212 213 213 213 214 214 214 215 215 215 215 215 215 216 216 216 219 219 219 221 221 221 222 222 222 224 224 224 225 225 225 226 226 226 227 227 227 228 228 228 228 228 228 229 229 229 230 230 230 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 233 233 233 234 234 234 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 236 236 236 236 236 236 236 236 236 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 236 236 236 236 236 236 236 236 236 237 237 237 237 237 237 238 238 238 238 238 238 238 238 238 239 239 239 239 239 239 240 240 240 240 240 240 240 240 240 241 241 241 241 241 241 241 241 241 242 242 242 242 242 242 243 243 243 243 243 243 244 244 244 244 244 244 245 245 245 245 245 245 246 246 246 246 246 246 247 247 247 247 247 247 247 247 247 255 72 31 111 0 0 1 0 116 82 78 83 85 86 86 84 81 78 76 73 70 68 67 64 61 59 56 53 49 47 45 44 43 40 38 35 33 31 30 29 27 26 25 24 23 21 19 19 19 18 17 16 15 15 14 13 12 11 10 10 10 10 11 10 10 9 8 7 6 4 1 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 2 2 2 2 2 3 3 3 3 4 4 4 5 6 7 10 17 25 45 61 81 95 106 118 124 133 142 145 147 150 151 138 126 117 111 109 113 115 120 125 116 115 108 104 104 114 122 126 128 119 108 117 131 138 144 150 156 167 175 188 201 208 209 208 208 207 208 208 209 210 214 211 210 213 215 218 218 218 217 217 216 215 214 213 212 211 211 212 213 212 212 213 216 218 219 218 217 217 220 221 221 221 220 219 217 215 213 214 214 215 217 219 220 221 221 222 223 224 224 224 224 224 225 225 224 223 222 222 221 221 221 222 221 221 220 219 220 223 225 226 226 226 226 225 225 224 223 222 222 220 219 219 218 218 219 219 218 218 218 217 216 216 215 215 214 213 213 212 211 211 211 212 212 211 211 211 210 209 209 208 208 208 42 115 171 35 0 0 7 208 73 68 65 84 88 195 237 152 207 143 27 73 21 199 191 239 85 117 183 127 100 198 54 118 58 130 221 201 32 193 117 111 160 36 4 237 97 255 2 196 133 127 3 9 254 28 4 18 132 11 39 174 156 17 18 210 10 33 20 1 34 27 101 147 205 46 155 241 204 100 236 137 221 238 238 170 122 143 67 183 61 158 118 123 18 16 199 244 197 118 233 227 87 85 93 245 126 124 31 61 196 187 61 140 247 224 123 176 241 216 119 129 244 109 224 61 67 136 223 110 241 7 73 87 112 11 12 208 77 224 131 164 43 195 132 13 17 1 128 238 3 31 14 220 164 155 152 216 212 187 149 118 240 94 167 55 184 213 75 190 253 65 204 44 128 236 155 250 254 64 210 195 248 123 195 216 26 5 68 32 237 224 189 97 56 58 232 221 63 180 4 0 2 221 179 235 239 119 194 209 97 255 135 183 8 128 74 80 236 179 24 119 239 28 244 63 238 215 152 8 80 180 110 230 193 224 240 176 87 113 94 68 80 8 66 235 235 233 248 131 248 126 15 64 16 145 50 72 128 2 217 238 212 15 186 163 238 119 110 17 16 68 188 15 14 154 1 68 187 32 107 55 186 27 3 42 94 10 9 138 140 0 156 236 130 157 195 168 147 16 212 123 41 69 52 20 4 156 180 189 158 36 142 63 178 128 136 148 226 17 74 194 73 235 237 121 24 91 78 24 65 196 139 243 65 81 115 45 107 52 81 135 85 188 243 226 3 206 54 46 176 11 178 97 8 188 72 208 185 110 134 93 211 103 98 98 0 16 13 193 3 136 160 241 30 231 34 98 120 17 17 175 23 56 247 132 218 25 184 233 70 68 16 192 3 128 59 171 134 226 189 238 42 194 33 96 58 7 230 53 233 246 249 181 84 62 186 38 93 155 69 189 254 115 14 64 123 251 34 69 181 202 1 0 140 45 0 2 232 125 158 121 15 254 239 121 70 155 62 179 15 252 4 0 80 106 241 180 26 152 237 161 109 10 40 84 53 124 184 90 230 159 34 189 13 135 153 238 162 118 4 64 85 69 124 247 208 79 46 167 79 238 38 47 83 184 89 19 181 35 212 49 83 188 43 19 30 77 254 72 116 66 233 237 38 74 151 0 16 224 194 244 171 220 23 249 98 185 252 247 95 186 196 148 54 72 91 197 1 73 164 255 129 251 107 20 71 54 124 139 255 108 184 155 76 83 55 219 34 41 223 56 158 120 191 122 156 173 22 175 226 39 127 138 76 215 208 53 210 252 220 123 15 17 81 5 195 164 231 68 246 188 51 248 28 18 236 88 227 124 67 90 7 112 216 216 231 143 254 46 146 46 87 165 72 188 122 113 140 225 198 166 249 153 170 136 72 168 30 213 201 25 225 205 96 240 68 9 178 220 178 105 151 87 129 132 64 154 132 196 119 190 241 101 207 43 0 188 224 20 90 145 230 167 68 20 148 20 128 156 46 178 188 67 75 17 28 28 126 166 74 20 81 54 170 77 178 247 222 3 162 170 138 9 220 242 75 116 77 212 149 196 5 87 186 44 28 69 195 234 218 216 41 0 32 5 0 76 1 32 131 137 34 234 139 135 35 90 189 224 244 90 176 159 98 82 125 241 128 33 182 157 111 6 128 60 27 161 122 231 188 123 143 3 179 53 248 177 72 8 222 175 116 122 253 134 79 0 156 85 51 24 16 17 76 144 32 193 7 209 106 149 60 1 128 201 100 219 108 151 152 193 34 26 36 132 188 54 89 89 60 59 91 227 108 1 192 16 179 138 4 17 145 218 87 248 172 221 231 136 84 84 37 4 209 163 104 107 141 147 70 82 34 176 66 84 84 164 248 2 67 109 113 215 106 110 16 84 85 85 195 102 234 234 227 108 99 88 42 78 17 84 161 10 213 106 55 44 34 114 69 110 185 55 105 77 110 89 108 33 171 18 79 161 161 38 27 121 70 63 73 199 163 143 45 100 229 116 133 19 192 89 8 128 73 107 236 169 150 153 109 141 76 110 14 82 39 245 45 185 41 154 137 104 130 216 57 119 83 216 147 202 142 59 215 30 0 120 110 7 85 214 223 34 160 119 67 32 21 65 128 8 60 1 243 121 111 115 30 205 114 166 84 117 65 0 143 249 249 141 149 189 168 4 185 54 18 129 101 171 80 90 63 121 240 82 136 0 58 192 96 176 181 190 38 248 204 57 121 236 192 6 243 49 48 64 191 15 16 184 101 51 203 178 112 206 67 73 157 189 58 120 222 5 203 165 43 191 86 40 13 34 167 64 85 72 17 120 7 60 165 172 124 185 8 198 168 163 74 39 212 100 19 124 50 159 231 217 227 18 136 199 68 87 73 200 239 30 225 185 185 92 173 190 202 3 0 100 170 10 196 49 0 115 183 89 226 126 62 54 100 151 179 201 121 146 195 69 117 252 54 166 1 82 222 95 38 189 34 38 57 243 179 132 92 77 174 32 77 139 232 143 159 246 110 207 13 163 16 191 10 90 116 0 92 66 120 167 116 117 83 254 20 223 125 237 14 146 80 50 152 151 93 0 64 216 177 216 57 92 250 231 29 99 23 36 1 18 130 20 69 81 22 69 209 4 41 239 143 23 225 249 223 62 60 204 75 95 4 39 46 4 175 33 236 90 68 172 89 16 125 124 144 29 248 60 148 69 81 230 101 145 23 197 78 89 168 184 157 60 207 138 220 121 247 163 206 173 73 21 136 218 234 112 82 7 238 138 170 234 239 37 132 159 48 51 96 218 20 18 205 134 196 86 3 64 30 244 59 85 129 34 180 171 184 52 121 161 29 128 136 2 139 144 66 25 187 155 1 229 177 142 179 192 74 32 16 49 49 17 83 11 184 33 137 136 152 136 153 13 155 54 176 38 133 137 136 200 48 49 49 183 75 82 154 13 193 189 176 50 222 135 32 170 10 109 181 8 80 30 31 102 199 89 164 198 88 99 216 176 217 167 134 105 134 81 193 212 151 188 78 33 123 245 53 233 108 152 98 74 61 213 66 117 191 190 6 8 51 12 71 209 20 71 95 224 70 176 66 49 66 113 7 211 183 117 21 8 58 3 48 28 189 189 253 64 235 10 240 157 250 20 244 223 84 164 244 135 171 127 25 12 0 144 94 44 138 249 155 207 126 193 108 109 28 37 189 190 25 205 182 66 138 174 185 117 46 108 79 166 219 213 106 182 43 188 0 88 88 191 118 137 129 2 140 178 142 209 129 174 137 53 174 24 11 140 199 10 102 140 170 28 164 212 208 116 53 133 113 173 17 71 27 197 217 222 239 25 195 97 188 229 178 90 231 37 109 128 99 184 26 187 208 94 6 168 136 92 153 60 90 172 95 248 216 185 43 115 232 65 188 64 90 166 30 95 77 123 161 152 203 82 67 104 1 199 91 82 247 162 146 170 226 5 191 185 98 94 142 0 240 24 142 121 180 206 228 10 0 193 149 249 215 218 56 6 134 99 92 113 115 64 22 226 29 22 87 213 202 186 106 94 155 195 9 92 4 193 42 132 34 167 18 74 68 4 50 187 217 213 161 55 23 32 132 213 234 85 246 91 24 128 64 4 162 235 137 253 228 4 184 4 176 116 101 158 165 89 21 23 137 64 117 93 107 55 229 72 117 198 75 31 86 139 233 226 17 24 196 196 100 136 43 139 150 244 2 46 170 184 176 242 193 47 151 207 146 95 66 171 240 68 108 146 187 197 140 0 174 207 211 121 95 204 150 165 203 23 111 254 117 252 90 97 136 12 19 25 195 244 210 1 128 125 77 96 41 128 85 80 145 80 172 222 60 59 254 231 35 40 17 19 25 54 188 206 191 118 1 37 18 168 138 250 178 44 150 167 201 63 30 65 45 51 51 179 97 219 65 122 10 0 182 168 178 172 74 8 165 47 94 165 151 191 82 192 18 49 179 53 54 98 38 87 53 1 231 80 168 168 138 136 3 22 103 143 0 48 113 21 235 34 219 165 180 122 29 246 13 20 80 85 224 36 43 127 173 85 39 135 153 217 24 27 25 195 84 203 36 251 84 0 81 21 121 180 190 222 150 152 141 49 214 88 27 117 143 139 186 142 35 91 95 249 218 233 212 162 10 238 214 196 113 220 51 119 214 186 203 214 187 87 214 117 101 205 204 108 172 137 162 168 103 200 205 214 151 194 172 157 72 107 142 152 201 178 141 226 200 26 74 79 55 215 204 94 247 95 34 34 99 216 218 40 54 61 74 221 230 234 90 179 211 105 98 50 198 70 113 67 24 218 120 187 205 67 32 34 54 198 90 219 105 8 72 27 53 202 116 38 75 214 116 249 184 192 233 118 184 176 221 198 212 204 76 93 98 42 154 34 55 1 104 189 21 2 136 18 34 162 93 133 109 251 215 99 53 225 46 94 166 174 69 136 55 118 157 162 112 163 83 236 145 246 219 245 209 222 102 193 236 93 219 15 244 255 238 124 252 7 225 143 14 53 46 197 157 233 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasslrPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 80 0 0 0 128 8 3 0 0 0 171 241 30 176 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 9 9 9 29 29 29 61 61 61 88 88 88 103 103 103 111 111 111 113 113 113 114 114 114 115 115 115 115 115 115 115 115 115 116 116 116 116 116 116 117 117 117 120 120 120 127 127 127 138 138 138 153 153 153 161 161 161 164 164 164 165 165 165 166 166 166 166 166 166 166 166 166 167 167 167 169 169 169 173 173 173 175 175 175 177 177 177 178 178 178 178 178 178 179 179 179 179 179 179 181 181 181 186 186 186 190 190 190 191 191 191 191 191 191 192 192 192 193 193 193 194 194 194 196 196 196 197 197 197 198 198 198 199 199 199 200 200 200 202 202 202 204 204 204 210 210 210 213 213 213 214 214 214 214 214 214 214 214 214 215 215 215 215 215 215 215 215 215 216 216 216 220 220 220 224 224 224 225 225 225 227 227 227 229 229 229 230 230 230 230 230 230 231 231 231 231 231 231 232 232 232 231 231 231 231 231 231 232 232 232 232 232 232 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 233 233 233 234 234 234 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 236 236 236 237 237 237 237 237 237 238 238 238 238 238 238 238 238 238 239 239 239 240 240 240 240 240 240 240 240 240 241 241 241 241 241 241 241 241 241 242 242 242 242 242 242 242 242 242 242 242 242 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 229 27 35 135 0 0 1 0 116 82 78 83 84 84 83 82 80 79 77 75 73 71 70 68 67 64 62 61 60 58 56 53 51 51 51 49 46 43 40 40 40 39 37 34 31 30 29 29 28 26 23 21 20 20 20 20 19 17 15 14 13 13 13 12 11 10 9 8 8 8 8 8 7 7 5 3 1 1 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 3 3 3 3 3 3 3 3 3 3 5 15 42 86 123 143 154 158 158 158 158 158 157 157 156 152 144 130 113 103 99 98 97 97 98 107 130 169 193 207 216 219 220 221 219 213 208 206 206 206 209 211 215 218 220 220 221 220 217 212 208 207 208 211 216 219 220 221 221 221 222 222 221 221 220 220 220 220 220 219 218 216 213 212 210 209 209 210 213 217 217 219 221 222 223 223 223 223 223 223 224 224 224 224 222 222 221 221 221 222 223 222 221 221 220 220 221 223 224 225 226 226 226 226 226 227 227 227 226 225 225 225 225 225 225 223 222 221 220 221 221 221 220 220 219 219 218 218 217 216 216 215 214 213 212 211 209 208 208 209 210 212 213 214 214 213 211 210 211 211 211 211 210 233 152 48 82 0 0 8 187 73 68 65 84 104 222 165 218 205 107 28 71 22 0 240 216 242 71 236 221 216 249 0 59 1 39 236 226 93 114 72 32 129 28 114 9 193 248 79 200 223 144 32 176 79 11 241 105 229 156 114 136 229 195 174 67 236 181 45 9 186 71 16 27 19 230 214 48 116 211 215 153 158 153 203 92 71 163 185 12 66 146 19 89 160 145 189 135 193 100 247 125 86 85 143 165 169 106 165 14 142 9 228 151 215 221 213 175 222 123 61 175 93 45 173 43 55 190 255 215 227 221 201 100 119 123 99 152 231 245 40 138 154 205 188 149 21 69 210 128 149 166 221 94 175 15 171 215 235 165 105 99 249 225 189 219 223 205 31 155 123 253 141 119 46 253 245 195 79 63 255 242 171 43 87 175 190 118 32 184 111 65 16 17 44 26 70 164 149 150 193 247 254 242 225 39 51 193 103 4 54 201 107 182 90 10 90 209 128 223 4 129 207 5 108 90 16 131 5 15 86 183 219 163 127 198 75 213 192 209 176 57 13 70 13 38 105 53 12 120 218 15 190 220 57 24 140 162 68 185 6 129 139 0 30 175 2 18 135 94 177 28 199 113 20 101 89 34 28 130 15 66 193 151 14 216 18 48 166 69 100 194 34 128 119 43 128 91 163 225 176 213 82 78 193 56 206 137 60 2 8 17 26 76 65 186 139 57 144 244 151 120 233 254 221 197 133 0 240 17 128 255 221 222 28 173 175 23 69 9 148 231 2 98 9 244 61 229 59 22 28 12 6 7 128 104 25 48 96 31 26 208 229 138 172 86 55 11 49 224 67 193 31 25 220 24 149 60 2 65 34 145 184 88 193 19 152 28 102 129 63 143 1 124 58 5 230 53 242 68 100 146 158 242 60 128 231 48 219 248 192 205 209 218 218 90 155 185 36 201 242 85 6 1 171 193 34 113 69 192 51 231 46 28 158 190 254 33 224 14 130 109 88 236 161 20 73 132 181 26 147 43 2 158 244 128 119 30 25 112 173 4 210 171 109 193 186 68 120 252 84 16 184 141 96 135 188 52 201 16 164 23 209 130 181 122 109 229 193 189 219 55 67 193 157 205 141 81 191 3 98 154 82 128 156 106 65 156 6 175 205 29 1 140 28 48 18 112 117 21 192 187 4 158 5 240 242 225 103 138 185 135 253 126 183 211 73 13 216 44 95 51 131 139 4 158 159 13 62 158 2 211 196 122 54 68 137 112 33 28 220 0 176 107 193 156 114 35 221 69 185 137 116 15 143 6 38 148 99 56 194 92 67 252 5 192 159 252 224 183 223 255 219 5 249 0 1 49 203 50 78 183 185 138 149 193 209 52 152 25 48 214 75 70 240 68 56 216 37 176 65 119 49 227 213 202 50 16 227 88 30 74 69 176 79 1 18 152 100 102 81 136 117 7 60 253 167 243 23 47 93 254 200 3 226 171 199 155 6 15 119 23 228 16 49 235 172 192 65 191 112 29 192 55 67 192 141 89 96 68 96 13 192 155 12 190 63 19 220 147 8 219 114 166 155 167 98 65 20 163 149 96 112 194 17 226 139 76 37 87 163 81 6 229 216 171 2 226 185 60 40 164 232 128 63 241 154 147 132 14 23 3 230 241 81 192 84 119 34 120 40 90 16 30 13 130 215 170 128 174 136 17 26 144 22 129 223 133 108 27 2 55 203 96 234 222 66 89 12 6 188 122 248 80 158 78 131 185 235 69 71 5 69 196 211 47 159 94 89 164 224 204 35 64 55 54 130 28 34 106 237 78 91 138 26 169 233 28 208 115 72 221 48 224 6 85 14 232 117 112 197 238 170 4 222 121 242 42 8 121 71 242 180 1 51 5 61 7 253 1 32 122 253 190 230 125 42 235 208 43 178 138 224 200 128 232 25 176 166 158 128 215 3 192 221 151 230 41 195 83 17 112 213 68 168 96 18 26 161 214 135 235 5 214 251 6 92 213 146 38 202 185 248 6 240 63 8 66 245 53 179 156 83 112 216 226 14 2 69 2 81 172 83 51 137 220 192 130 88 31 6 116 1 195 102 206 162 1 177 68 20 174 24 184 224 27 94 240 197 206 54 244 61 144 84 178 68 175 25 57 246 214 169 154 47 131 239 121 193 173 17 22 131 2 98 136 84 98 131 167 156 125 40 21 65 72 89 180 19 169 187 199 240 6 3 1 121 219 204 7 128 99 2 135 212 51 17 136 162 120 3 235 69 203 80 44 73 23 224 7 233 30 194 126 163 162 29 69 126 28 198 131 68 134 224 98 80 3 62 150 109 131 41 176 80 17 188 162 112 226 131 240 165 53 243 69 120 71 207 101 216 190 10 130 168 222 154 122 212 248 220 170 2 150 122 199 54 93 238 26 46 106 132 32 51 174 132 130 143 198 175 182 102 69 138 224 154 130 25 117 102 15 239 255 196 160 239 213 59 160 53 43 131 9 7 8 224 15 0 250 147 195 171 32 236 29 3 22 46 8 17 114 198 246 150 196 124 46 59 96 179 5 255 3 105 255 160 68 142 151 21 196 83 111 198 185 60 5 210 225 78 127 194 83 70 176 141 41 210 5 231 61 149 195 13 83 206 173 19 100 22 129 156 114 177 136 95 22 240 159 8 190 117 241 131 191 125 244 217 23 135 130 187 147 23 59 156 15 205 66 80 38 26 10 198 10 190 254 103 4 63 62 4 252 150 192 231 248 46 55 169 38 82 146 222 20 11 242 62 12 5 247 159 83 182 161 177 133 1 37 239 23 169 17 1 92 92 184 126 18 192 119 63 248 187 7 124 182 53 202 235 145 12 66 176 25 205 101 36 68 135 2 136 216 161 174 40 248 182 7 220 155 236 19 168 211 41 234 163 236 22 215 130 145 178 77 16 184 75 224 176 46 98 76 37 141 221 230 44 194 102 92 198 94 47 236 146 9 164 16 77 133 164 121 171 224 211 63 149 35 0 42 88 255 67 217 3 112 27 193 186 51 78 42 165 30 154 110 36 166 130 245 130 60 131 109 234 24 137 162 44 123 216 235 87 7 155 214 43 69 200 21 94 59 229 67 106 238 20 191 122 33 96 228 172 169 75 198 105 4 130 11 243 199 48 57 248 186 128 9 130 67 5 233 159 178 253 18 123 19 27 203 15 233 76 161 124 24 0 142 24 212 62 158 57 67 242 28 155 15 169 153 249 176 4 58 43 79 109 226 145 189 216 128 141 125 107 225 107 60 2 60 69 251 20 136 47 93 179 137 61 154 21 93 112 246 183 128 105 176 165 203 1 57 66 124 83 170 131 45 23 44 221 67 200 56 203 247 43 131 118 234 92 8 151 154 55 250 136 160 61 167 202 30 136 149 192 93 2 221 57 182 189 90 220 134 244 111 204 83 254 131 96 155 115 131 128 166 114 8 1 245 24 193 211 83 250 101 243 38 183 9 228 234 43 96 31 150 64 154 197 38 22 164 222 207 1 207 248 193 125 247 146 177 254 232 116 116 232 80 176 7 201 166 161 151 92 1 180 94 135 143 103 19 97 123 10 188 28 8 14 8 236 64 159 82 6 113 2 19 45 241 182 57 17 144 109 24 28 106 197 5 94 55 115 196 54 141 102 227 234 224 250 64 193 110 23 71 207 114 27 201 3 240 225 253 187 63 4 130 147 221 223 182 70 252 253 131 110 161 128 185 62 23 202 13 149 192 241 111 91 80 100 15 24 164 167 138 96 164 69 60 85 116 75 75 22 124 63 8 28 49 200 143 85 230 115 7 128 39 207 4 156 41 227 95 5 44 248 19 67 59 61 44 194 111 20 156 121 234 77 94 252 186 41 160 148 10 58 89 50 111 54 131 183 232 212 123 115 246 185 252 100 111 242 242 197 211 50 152 166 89 228 128 84 207 65 193 137 224 241 83 190 131 254 9 77 150 168 81 177 94 106 182 33 103 158 76 191 154 205 207 157 174 0 202 127 143 32 149 158 154 17 233 131 72 21 240 119 11 234 73 231 70 72 189 40 131 55 231 253 181 205 147 241 255 126 199 65 16 129 9 5 19 177 168 1 146 39 224 181 16 144 39 75 35 235 161 104 65 241 36 66 255 37 63 62 8 204 18 115 201 56 68 164 34 52 244 30 58 211 57 138 139 155 11 23 204 75 32 150 115 135 55 62 229 249 161 60 12 206 51 122 8 240 35 70 240 129 1 103 191 41 99 59 251 74 204 140 221 150 13 137 220 66 3 158 245 77 137 29 48 53 162 3 146 8 151 189 18 10 238 217 110 148 171 66 4 233 111 230 203 38 13 179 143 0 106 217 154 20 25 245 38 246 212 199 39 77 199 232 53 189 135 193 96 90 152 138 176 40 137 6 60 27 56 105 215 198 142 59 122 182 181 12 41 76 107 22 20 33 131 235 22 148 191 165 210 161 176 72 163 170 10 17 66 3 158 144 99 50 142 78 160 249 27 108 194 17 206 207 249 219 138 177 59 225 44 76 10 51 30 214 33 169 128 55 171 128 173 204 150 132 60 115 239 96 13 161 223 96 5 60 238 7 117 100 218 178 9 139 193 14 141 200 187 242 201 84 46 249 216 169 51 231 47 92 154 57 21 41 205 96 21 148 139 61 16 60 55 19 180 67 221 166 3 166 142 39 159 76 21 60 233 7 39 2 230 153 45 209 213 195 155 200 98 163 2 248 92 64 43 166 120 161 93 3 106 39 101 126 69 224 5 113 110 35 35 122 5 187 234 245 122 252 209 20 154 199 219 213 192 200 1 251 202 209 175 190 42 131 207 4 52 98 218 231 159 103 9 137 33 86 1 121 204 66 243 26 5 123 37 176 231 128 39 60 243 67 254 101 26 141 89 156 16 19 188 98 245 12 120 79 190 86 92 240 252 212 109 95 64 43 38 175 128 93 243 83 183 217 141 207 52 200 98 194 160 43 166 46 24 240 99 60 3 146 200 31 86 82 43 150 193 160 95 247 41 136 239 75 166 9 182 171 143 197 130 60 186 183 223 83 254 15 41 136 67 170 194 183 90 220 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasstbPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 80 8 3 0 0 0 230 222 141 214 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 8 8 8 23 23 23 53 53 53 75 75 75 94 94 94 106 106 106 111 111 111 114 114 114 114 114 114 114 114 114 115 115 115 115 115 115 115 115 115 116 116 116 116 116 116 116 116 116 118 118 118 119 119 119 125 125 125 135 135 135 142 142 142 150 150 150 157 157 157 161 161 161 163 163 163 163 163 163 164 164 164 164 164 164 164 164 164 164 164 164 164 164 164 165 165 165 167 167 167 169 169 169 172 172 172 176 176 176 177 177 177 178 178 178 178 178 178 178 178 178 178 178 178 179 179 179 179 179 179 180 180 180 182 182 182 185 185 185 189 189 189 190 190 190 191 191 191 191 191 191 191 191 191 192 192 192 192 192 192 193 193 193 196 196 196 198 198 198 198 198 198 199 199 199 199 199 199 200 200 200 200 200 200 202 202 202 206 206 206 209 209 209 211 211 211 211 211 211 212 212 212 212 212 212 213 213 213 213 213 213 214 214 214 214 214 214 214 214 214 215 215 215 216 216 216 216 216 216 217 217 217 218 218 218 222 222 222 223 223 223 225 225 225 225 225 225 226 226 226 226 226 226 227 227 227 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 232 232 232 231 231 231 232 232 232 231 231 231 232 232 232 231 231 231 231 231 231 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 235 235 235 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 234 234 234 234 234 234 234 234 234 235 235 235 236 236 236 236 236 236 236 236 236 237 237 237 237 237 237 238 238 238 238 238 238 238 238 238 238 238 238 239 239 239 240 240 240 241 241 241 241 241 241 242 242 242 242 242 242 242 242 242 243 243 243 243 243 243 243 243 243 55 151 24 211 0 0 1 0 116 82 78 83 85 84 83 80 78 77 75 72 71 69 65 64 62 60 56 53 52 49 46 42 42 41 39 36 33 31 30 29 28 26 23 22 20 20 20 20 19 17 14 13 13 12 12 11 9 7 6 6 7 7 7 7 7 6 5 3 3 3 3 3 2 2 2 1 2 2 1 2 1 2 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 11 33 75 106 133 150 157 160 160 160 160 159 159 158 157 157 155 152 143 127 116 104 93 87 85 83 83 83 83 83 84 91 106 132 160 198 213 217 219 221 222 222 221 220 217 213 208 207 205 205 205 205 206 210 216 219 221 221 222 221 221 219 213 209 207 206 207 207 208 212 215 218 219 221 222 222 222 222 221 221 221 222 222 222 221 220 221 220 218 216 214 211 209 208 207 207 207 208 210 212 216 219 220 220 220 220 220 220 220 220 220 220 220 220 220 220 220 220 222 225 225 225 225 225 224 224 225 225 224 224 224 223 222 222 221 222 222 223 224 223 223 224 224 224 224 223 224 224 225 224 222 224 224 223 222 221 220 219 219 219 219 218 216 214 212 212 211 211 212 211 212 62 224 168 107 0 0 7 126 73 68 65 84 104 222 237 154 203 107 84 87 24 192 79 18 211 68 19 211 20 170 208 88 232 194 82 164 216 109 87 133 174 251 63 52 56 24 252 3 196 93 155 68 23 197 85 163 164 171 46 154 144 128 9 177 163 96 68 12 77 22 179 153 221 108 239 133 123 153 205 12 179 153 97 208 49 32 245 1 181 253 158 231 113 31 81 106 97 22 205 79 77 102 206 249 238 247 253 230 188 238 29 90 243 221 144 49 199 2 199 2 199 2 199 2 199 2 199 2 67 23 248 118 200 152 171 202 181 107 87 139 184 86 210 254 95 97 110 18 63 221 28 22 230 215 33 99 30 17 15 75 216 221 221 219 123 240 96 111 111 119 247 225 195 71 62 208 247 248 241 227 93 132 35 109 146 71 229 248 153 181 205 188 26 50 230 77 57 127 7 148 247 190 121 31 76 105 193 28 127 225 159 119 136 43 147 42 14 52 47 0 28 10 252 253 50 224 117 128 182 190 120 93 64 46 30 226 52 241 171 87 71 196 190 124 105 254 44 39 84 242 155 115 248 209 244 46 76 19 70 6 152 67 98 48 160 95 207 15 3 158 7 60 123 230 53 194 165 207 75 57 60 34 77 166 239 208 12 6 45 97 192 4 111 6 207 148 39 79 158 230 218 6 33 97 115 107 96 147 12 180 154 86 240 46 50 173 62 208 108 54 251 125 21 233 19 242 166 219 125 66 116 9 118 123 42 216 16 238 232 118 159 74 168 100 105 105 22 91 205 166 111 89 12 150 175 3 218 108 125 250 237 118 187 213 193 236 61 250 33 224 107 91 167 3 116 115 244 58 112 105 63 237 247 251 153 98 250 225 164 181 141 152 36 77 155 245 90 77 20 144 180 137 164 100 0 5 122 25 252 66 153 110 105 134 246 56 78 32 113 154 102 12 250 208 132 185 57 185 21 104 212 128 122 147 98 219 86 32 77 88 64 138 68 121 131 94 30 105 142 98 52 72 72 0 198 145 160 81 225 220 205 64 32 33 129 58 9 180 72 64 135 64 12 34 160 23 69 239 80 222 9 136 65 34 117 120 180 81 160 1 80 242 82 1 171 153 114 80 140 68 36 241 118 1 109 143 200 32 150 234 58 0 56 216 52 218 54 57 79 65 195 77 1 9 36 32 80 179 227 20 199 86 33 92 1 221 92 89 215 44 2 104 208 201 215 7 3 43 16 27 30 0 25 2 17 160 81 210 165 226 12 194 21 24 174 137 112 21 246 84 64 119 73 71 4 106 34 96 13 64 64 173 72 160 45 129 186 84 124 131 222 17 2 189 156 0 25 224 250 245 4 180 62 124 88 93 135 133 2 58 4 52 6 9 65 67 224 9 244 130 141 17 214 23 129 40 142 160 190 221 153 237 24 39 160 234 4 216 32 9 5 250 34 160 67 0 36 206 64 106 104 89 183 48 123 57 1 234 196 110 123 100 196 49 22 170 214 66 131 36 49 105 78 0 231 192 51 192 55 36 144 61 146 242 2 206 64 235 187 17 64 129 42 8 28 176 0 27 36 40 160 187 192 19 72 82 187 21 5 52 200 28 138 81 22 127 17 228 4 96 73 36 129 0 25 64 94 35 155 163 174 39 161 53 80 9 9 180 67 16 21 212 206 24 228 4 160 133 70 0 102 224 64 234 195 29 135 134 192 244 112 120 218 116 110 234 237 163 206 224 11 189 63 180 125 188 13 45 217 246 21 111 126 233 102 214 114 75 150 111 146 154 67 198 179 219 53 60 63 120 110 186 59 85 221 82 36 144 248 2 28 182 239 12 130 250 225 77 178 11 167 66 40 208 69 129 174 189 119 104 181 102 51 39 208 207 148 111 212 2 1 171 16 108 177 172 64 207 171 207 19 234 9 208 94 163 155 49 77 125 169 64 18 142 191 21 96 3 90 92 54 190 213 205 28 220 29 206 144 216 21 149 21 16 131 102 214 128 22 7 5 164 97 121 79 160 206 245 245 113 163 72 128 167 26 239 135 106 208 229 53 128 199 102 67 12 220 234 247 70 128 230 212 149 175 34 57 1 127 192 90 69 2 17 109 69 134 182 53 11 208 142 166 182 134 110 122 217 125 77 93 18 34 144 202 228 31 93 191 101 239 126 109 123 18 203 217 136 59 81 73 116 14 84 32 22 129 166 143 125 72 203 9 212 138 4 92 121 89 4 106 32 231 86 3 143 2 56 12 170 141 70 154 17 136 120 4 84 207 87 176 22 5 11 160 172 126 75 215 33 239 181 158 173 225 9 192 227 22 157 4 134 79 45 28 130 134 183 189 244 94 232 147 20 236 128 253 178 250 116 122 182 165 136 214 32 1 252 43 2 29 22 224 94 154 31 239 195 241 141 32 179 5 249 54 165 229 237 206 211 229 103 235 211 92 202 29 36 226 115 185 17 144 38 58 64 56 2 124 247 142 229 198 44 7 42 9 100 15 97 62 7 236 38 117 6 126 125 121 176 174 213 232 131 202 3 37 24 200 56 195 64 167 122 82 129 129 209 187 11 10 208 35 139 158 104 222 227 123 203 63 197 41 125 189 126 196 250 199 0 30 37 94 109 206 161 161 223 23 82 187 76 77 36 67 132 6 40 224 206 84 125 106 226 188 252 13 65 159 174 155 253 178 245 71 253 110 46 225 67 37 206 128 158 211 236 153 79 6 6 231 72 135 192 19 216 71 129 212 9 116 148 182 126 237 42 21 224 250 7 200 62 41 184 105 32 3 26 69 21 136 81 192 62 72 39 158 0 204 173 251 122 214 225 175 97 86 32 59 11 129 0 125 14 40 46 35 201 179 16 201 215 155 136 191 45 216 49 136 77 108 13 100 25 58 1 187 153 233 235 89 39 51 9 25 131 150 247 252 239 9 208 72 242 16 244 114 67 128 223 189 12 44 12 183 77 112 232 246 239 19 168 192 91 137 238 28 10 31 228 248 211 127 14 168 227 145 133 219 30 111 106 152 165 122 239 190 0 31 4 15 57 255 24 110 36 250 200 213 192 71 178 70 108 13 106 158 192 31 190 1 6 197 225 78 14 4 244 171 36 223 236 66 129 253 58 238 198 36 72 128 81 124 178 39 198 62 42 87 153 123 191 223 181 215 30 28 72 111 181 24 59 206 180 216 252 44 119 17 205 18 228 207 98 182 33 114 7 254 220 221 1 182 183 183 182 238 108 121 236 108 109 239 108 115 159 101 91 240 162 8 42 202 221 208 118 231 142 215 235 117 101 49 235 235 27 27 27 235 155 248 99 125 125 141 248 13 88 23 54 240 47 245 249 172 173 249 239 54 60 214 109 22 202 195 189 155 155 155 220 183 102 177 23 155 219 183 87 111 175 174 226 79 96 5 249 89 184 5 172 222 130 62 237 117 172 232 139 213 44 210 189 178 114 107 69 50 172 174 254 98 187 86 28 154 193 44 1 203 75 203 203 75 194 226 143 192 15 2 188 188 14 44 11 75 33 212 118 221 114 195 15 90 92 164 68 156 224 6 192 61 212 12 63 232 21 254 91 52 149 249 249 10 252 187 52 63 255 189 0 239 23 22 174 40 11 11 151 47 87 42 149 75 192 124 8 180 94 38 22 108 100 197 69 85 130 44 87 160 175 98 43 80 21 193 20 49 58 58 54 54 118 2 129 223 99 163 163 35 35 166 152 145 145 145 209 81 138 150 64 191 15 219 49 199 248 56 230 25 45 203 97 47 166 50 35 124 217 248 7 30 152 224 132 6 49 114 17 57 66 1 27 73 113 210 127 130 179 76 32 212 167 215 143 5 152 137 9 13 193 82 227 116 201 228 73 224 20 113 146 152 156 180 49 12 95 52 201 156 180 80 156 244 79 122 89 48 205 228 132 119 45 39 68 204 52 51 117 202 50 53 61 125 154 152 153 153 225 23 167 57 4 144 136 169 169 105 143 211 14 13 116 237 51 51 146 70 106 132 151 78 79 155 89 226 67 2 99 225 215 236 236 71 25 188 24 101 214 35 19 56 43 189 153 20 254 149 26 57 59 107 206 158 17 62 86 206 156 57 91 64 16 69 47 207 22 163 249 242 237 122 105 16 106 206 205 9 159 40 115 115 231 128 79 29 248 54 23 51 199 97 5 72 190 115 126 22 106 246 211 219 72 115 222 227 51 192 190 249 92 57 255 94 188 45 135 185 160 124 97 161 183 95 122 92 200 7 93 200 225 135 121 141 94 138 194 11 205 197 18 190 242 184 248 239 41 201 224 90 204 215 67 198 124 51 100 134 255 159 239 255 247 255 7 197 63 242 7 91 91 199 192 20 36 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasstitlecornersPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 160 8 3 0 0 0 73 195 222 234 0 0 3 0 80 76 84 69 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 6 6 6 13 13 13 24 24 24 34 34 34 48 48 48 59 59 59 70 70 70 80 80 80 89 89 89 97 97 97 103 103 103 106 106 106 109 109 109 113 113 113 116 116 116 117 117 117 118 118 118 120 120 120 124 124 123 127 127 125 129 129 127 132 131 128 134 133 129 136 135 132 138 137 133 140 139 136 142 142 138 145 144 140 147 146 143 149 149 146 151 150 148 152 152 150 154 154 151 156 156 154 158 158 156 160 160 159 161 161 161 162 162 162 163 163 162 165 164 161 167 166 160 168 167 159 170 169 159 170 169 160 171 170 161 172 171 163 172 171 165 171 171 164 169 169 163 166 166 158 164 163 155 163 162 148 165 163 139 167 164 134 168 164 127 168 163 120 167 162 115 168 162 109 171 165 102 173 166 96 177 170 94 180 173 93 184 178 94 188 182 96 191 185 96 195 189 97 198 192 98 201 195 99 203 198 101 205 200 102 208 204 104 213 209 108 216 212 111 220 217 117 223 220 124 224 222 128 226 223 131 226 223 133 226 224 134 227 224 135 227 224 135 227 225 137 228 225 138 228 225 139 228 225 140 228 225 140 228 226 141 228 226 142 229 226 142 229 226 144 229 226 144 229 226 145 229 227 145 230 227 146 230 227 148 230 228 149 230 228 149 230 228 150 231 229 151 231 229 152 231 229 153 231 229 155 232 230 158 233 231 161 234 232 165 234 232 167 235 233 170 235 234 173 236 234 176 237 235 180 238 236 182 238 236 184 239 237 186 239 238 190 240 238 193 240 239 195 240 239 197 239 238 198 235 234 197 228 227 196 216 215 196 202 201 194 196 195 193 195 195 194 198 198 197 201 201 201 206 206 206 209 209 208 211 211 211 213 213 213 215 215 215 216 216 216 219 219 219 223 223 223 226 226 226 228 228 228 229 229 229 230 230 230 231 231 231 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 236 236 236 236 236 236 238 238 237 239 239 237 240 240 238 241 241 238 242 242 236 243 243 233 244 244 230 245 245 226 245 245 223 245 244 219 245 244 217 245 244 217 60 172 233 4 0 0 1 0 116 82 78 83 85 86 86 84 81 78 76 73 70 68 67 64 61 59 56 53 49 47 45 44 43 40 38 35 33 31 30 29 27 26 25 24 23 21 19 19 19 18 17 16 15 15 14 13 12 11 10 10 10 10 11 10 10 9 8 7 6 4 1 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 2 2 2 2 2 3 3 3 3 4 4 4 5 6 7 7 11 18 28 48 65 85 99 110 117 123 131 140 142 142 144 147 151 150 141 131 123 118 114 111 116 124 125 132 134 122 106 92 97 104 116 125 127 118 110 116 125 132 137 144 154 165 176 185 193 204 208 207 207 204 203 203 204 204 205 207 210 211 211 213 211 212 211 211 211 211 211 212 213 214 216 216 216 217 217 218 218 219 220 221 222 223 222 222 223 224 224 224 224 224 224 225 225 225 224 223 221 220 219 218 218 218 217 216 215 214 213 213 212 212 211 211 211 211 211 212 214 217 217 217 217 218 217 216 217 217 217 218 218 219 221 221 221 221 220 221 221 221 220 221 222 223 223 223 223 222 222 221 221 220 218 216 215 214 212 211 210 209 209 209 209 208 133 172 95 139 0 0 7 113 73 68 65 84 88 195 237 152 203 143 28 87 21 198 191 239 220 91 213 211 61 19 79 15 142 123 18 135 216 70 121 109 29 33 86 72 147 93 246 8 33 177 96 3 43 254 25 150 65 98 193 2 156 13 171 72 16 76 22 236 65 8 133 177 68 164 56 6 252 130 128 199 2 58 201 60 186 186 238 61 31 139 170 238 233 233 174 30 27 196 210 189 24 245 180 126 117 110 157 115 207 155 95 199 211 125 12 207 192 103 224 210 39 62 13 164 39 129 123 32 202 39 75 220 235 245 29 220 52 59 31 220 43 55 211 14 105 32 1 64 235 192 183 182 211 48 6 99 43 15 222 13 238 21 131 157 80 216 165 231 162 153 3 190 238 232 189 11 126 177 180 47 111 22 215 221 4 220 10 107 192 189 11 190 91 198 107 253 235 57 81 231 216 113 175 240 221 114 248 194 215 114 34 13 183 0 135 119 130 236 63 95 14 47 191 153 5 195 45 184 3 169 83 153 189 225 118 25 47 191 233 64 220 135 59 146 195 59 205 211 75 209 174 125 53 3 97 31 158 220 29 2 180 122 244 222 96 24 71 253 44 196 125 36 247 4 9 168 59 222 145 30 108 251 122 70 220 87 78 238 130 106 0 211 85 176 191 105 189 50 171 225 36 161 6 166 93 230 233 245 194 46 1 32 39 101 40 59 166 157 118 124 171 36 195 117 183 125 185 146 28 104 185 85 137 102 44 97 251 74 217 229 152 64 235 110 166 117 152 148 221 189 154 95 32 38 203 49 83 54 238 7 200 27 106 186 86 34 12 251 144 187 188 194 97 185 46 10 5 16 205 237 2 213 23 167 34 105 221 17 76 119 124 62 5 166 32 166 0 170 117 113 173 198 173 103 100 213 149 0 228 103 254 157 130 152 114 93 166 16 32 52 33 189 85 2 40 1 62 171 51 207 192 255 189 206 104 57 165 172 3 223 110 220 83 147 219 205 15 227 53 116 220 5 32 72 186 122 116 116 242 91 140 46 161 198 88 171 104 220 152 129 218 216 78 163 207 63 189 125 165 247 112 132 122 188 140 198 30 0 9 130 43 231 13 110 95 254 53 249 136 163 75 203 40 127 7 0 142 228 39 255 174 149 83 117 120 244 240 247 125 26 71 75 100 44 154 104 42 243 198 115 105 252 185 89 244 55 236 55 193 250 189 131 81 61 94 32 195 247 27 193 132 89 232 111 85 176 141 127 190 184 241 23 164 67 30 95 40 39 167 100 248 94 206 89 238 46 129 228 96 34 108 125 186 185 125 23 158 227 69 45 144 49 1 54 15 121 218 238 35 224 218 103 213 212 189 60 185 127 21 195 249 233 225 187 146 187 123 118 119 119 23 6 135 68 216 218 250 68 132 31 45 200 140 62 191 9 1 117 1 152 98 241 96 59 9 0 238 219 8 106 200 240 29 119 247 108 201 221 243 36 215 117 84 13 109 110 109 221 145 200 130 199 59 173 200 54 145 214 2 128 114 58 97 69 208 162 111 212 0 121 60 248 74 213 190 102 172 154 140 12 0 168 0 81 38 51 187 224 9 53 121 114 223 70 103 82 243 20 189 230 75 6 98 54 218 75 25 96 178 224 108 53 95 114 220 30 128 68 24 195 55 221 115 78 233 68 7 103 61 188 215 156 140 0 68 144 8 33 123 246 156 178 171 24 10 128 245 154 186 6 104 193 215 105 12 238 202 158 243 164 21 217 72 172 42 9 40 75 160 23 26 187 210 212 222 66 251 188 85 107 27 50 151 60 103 215 203 197 194 59 150 103 3 140 64 20 92 46 247 234 1 134 234 8 215 230 108 0 146 36 229 249 209 88 172 120 101 163 58 64 32 75 144 32 53 218 196 170 177 205 180 92 233 25 212 146 11 18 171 133 42 122 70 31 65 185 37 151 234 140 222 254 86 111 240 37 8 114 101 36 204 156 44 118 230 30 45 252 157 123 196 121 73 42 45 242 214 41 144 144 200 160 133 107 237 4 217 84 236 198 155 181 14 212 194 55 157 155 72 165 25 147 146 230 111 187 12 78 127 217 180 39 130 159 228 243 58 123 97 81 131 121 40 167 21 137 135 84 67 186 33 132 115 146 253 159 179 235 200 65 192 251 64 64 140 235 148 57 254 69 158 122 227 127 243 174 170 19 172 145 27 3 26 80 160 9 183 78 240 239 204 233 48 139 4 234 186 40 230 228 10 120 251 179 159 231 116 228 128 89 81 212 167 214 88 53 248 163 248 94 170 14 155 8 96 93 215 104 180 95 1 71 127 252 23 166 117 245 133 167 217 75 215 53 4 134 43 103 173 59 217 60 42 158 255 248 13 161 206 53 130 55 106 123 50 44 129 192 230 197 63 21 163 143 94 23 29 158 178 187 1 72 240 176 2 150 143 112 111 227 242 71 175 185 32 185 148 61 103 73 121 5 220 184 112 148 238 22 241 175 183 95 117 135 164 166 98 72 203 32 39 155 23 15 243 221 63 140 46 125 124 231 149 166 2 200 229 238 43 18 81 234 56 187 62 26 28 93 250 228 206 171 238 217 179 231 156 243 74 91 40 92 234 221 59 174 38 117 170 191 177 241 250 105 2 88 29 42 84 195 250 46 73 239 121 206 223 54 51 34 118 77 72 28 15 105 81 25 96 2 127 38 57 132 220 61 197 141 122 247 181 1 144 204 230 78 65 29 6 7 56 41 117 241 56 155 8 130 52 26 105 236 0 231 36 73 26 105 102 193 66 23 216 146 110 36 201 96 52 154 117 143 164 28 15 97 131 124 18 82 202 217 37 65 157 18 1 78 202 11 199 87 143 11 133 16 67 176 96 97 221 52 204 49 118 42 227 166 79 218 18 178 118 190 166 198 195 17 14 56 144 42 105 253 124 13 16 99 12 119 138 3 188 252 0 231 130 13 138 29 84 187 56 120 210 86 129 208 24 192 112 231 201 235 7 206 58 192 167 218 83 240 191 233 72 249 183 197 7 3 136 162 174 83 158 230 119 126 100 22 99 89 244 6 155 97 103 204 69 137 45 183 174 25 102 247 251 119 44 93 154 197 1 1 132 178 237 83 0 32 103 158 169 18 17 160 0 2 253 217 213 1 0 110 114 169 152 196 86 90 255 236 185 90 49 71 107 199 126 99 169 133 122 144 151 170 147 205 56 179 166 18 77 5 64 98 62 213 233 229 185 196 62 96 167 15 75 114 81 29 71 247 1 107 127 87 141 36 135 230 202 47 28 221 239 159 190 139 144 18 32 57 240 211 83 230 33 0 88 127 65 215 132 26 128 148 117 243 83 45 25 223 206 114 9 240 12 247 240 217 220 92 60 53 248 188 51 104 234 175 178 223 180 10 34 73 48 172 86 87 65 73 144 43 229 131 163 119 17 0 130 108 151 87 167 23 144 18 144 0 185 39 255 224 197 67 128 13 68 96 52 151 120 218 142 200 221 243 251 7 227 27 48 208 104 12 108 253 203 170 105 83 159 5 64 57 123 174 243 189 151 126 12 53 233 137 22 122 87 48 38 16 155 46 29 170 225 146 43 229 252 195 87 62 20 2 25 140 12 193 248 112 7 0 98 6 146 32 52 137 53 231 247 239 189 114 235 6 68 26 25 44 216 108 195 22 211 105 47 225 217 253 131 131 215 62 188 1 69 51 51 179 96 113 3 163 199 11 160 55 174 112 243 241 11 227 31 8 136 164 153 197 16 11 51 214 32 128 56 157 181 58 192 175 24 198 255 184 209 108 104 154 92 87 196 62 71 245 108 250 184 57 27 145 238 76 127 162 102 229 99 102 22 66 44 66 48 182 3 85 124 39 183 253 241 187 179 11 138 52 11 33 196 16 99 209 191 90 181 93 0 99 171 75 235 209 138 104 146 123 12 101 89 14 194 238 108 66 139 54 235 25 90 191 34 205 204 66 12 69 81 12 2 235 241 204 41 194 194 242 4 32 73 51 70 139 69 89 196 192 209 227 185 155 197 179 241 75 146 33 88 140 69 25 6 28 213 115 39 140 97 41 159 208 140 33 196 162 236 7 46 142 144 177 92 236 47 9 146 22 66 140 113 227 44 55 27 73 79 29 223 24 25 67 223 174 86 120 188 152 175 98 127 233 104 51 99 159 198 106 121 200 237 1 156 169 66 128 236 145 228 234 132 29 55 207 102 70 226 10 30 142 234 142 65 124 73 235 17 170 122 231 113 71 54 141 59 75 237 227 218 101 193 248 105 215 15 252 127 111 62 254 3 236 213 220 248 116 109 15 64 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasstitletbPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 80 8 3 0 0 0 230 222 141 214 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 26 26 26 50 50 50 73 73 73 91 91 91 102 102 102 107 107 107 111 111 111 113 113 113 114 114 114 114 114 114 114 114 114 115 115 115 115 115 115 116 116 116 117 117 117 119 119 119 124 124 124 132 132 132 144 144 144 152 152 152 158 158 158 162 162 162 163 163 163 164 164 163 164 164 164 164 164 164 164 164 164 164 164 163 166 165 156 168 166 143 172 168 120 175 169 103 176 170 95 177 170 92 178 171 91 178 171 91 181 175 93 191 185 96 198 192 99 202 196 100 202 196 101 203 197 101 204 198 102 213 209 114 221 219 124 223 221 126 223 221 127 225 222 129 226 223 131 226 223 132 227 223 132 227 223 133 227 224 136 228 225 139 228 226 139 228 226 139 228 226 140 228 225 140 228 225 140 228 225 140 228 225 141 229 226 143 229 226 143 229 226 144 229 226 144 229 226 144 229 226 144 229 226 145 229 226 145 229 226 145 229 227 145 229 227 146 229 227 146 229 227 146 230 227 147 230 227 149 230 228 149 230 228 150 230 228 150 230 228 150 231 229 151 231 229 152 231 229 153 232 230 156 232 230 157 233 231 157 233 231 160 233 231 163 234 232 163 234 232 163 234 232 167 235 233 170 235 234 172 235 234 174 236 234 176 236 234 176 237 235 178 237 235 179 237 236 181 238 236 182 238 236 183 238 236 184 238 236 184 238 236 184 239 237 185 239 237 187 239 238 189 240 238 193 240 239 195 241 239 197 241 240 198 241 240 198 241 240 198 240 239 197 233 232 195 217 216 190 194 194 183 182 182 180 179 179 179 179 179 179 180 180 180 184 184 184 191 191 191 196 196 196 199 199 199 199 199 199 200 200 200 201 201 201 204 204 204 209 209 209 212 212 212 214 214 214 215 215 215 216 216 216 217 217 217 219 219 219 222 222 222 224 224 224 225 225 225 226 226 226 226 226 226 227 227 227 227 227 227 228 228 228 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 233 233 233 232 232 232 233 233 233 233 233 233 233 233 233 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 234 234 234 234 234 234 195 53 138 7 0 0 1 0 116 82 78 83 84 84 84 83 80 78 76 74 71 69 65 63 62 59 56 50 46 45 45 43 41 37 34 32 30 28 28 27 23 20 19 18 17 17 15 12 11 9 9 8 7 7 6 5 3 2 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 36 70 102 126 142 150 155 158 159 160 160 160 159 157 156 152 145 133 114 101 92 86 84 83 83 83 83 83 95 118 157 185 199 204 205 205 205 205 206 206 206 206 206 207 209 209 209 212 217 219 220 221 222 223 223 223 223 223 223 223 224 225 226 226 226 226 226 225 224 223 222 222 222 222 223 225 226 226 226 225 223 222 222 222 222 221 220 220 220 220 219 218 217 217 216 216 216 215 214 213 211 211 211 211 212 214 213 213 212 212 212 211 212 211 213 215 219 221 221 221 221 222 222 221 221 222 222 222 221 222 221 221 221 222 222 221 221 221 222 222 222 222 221 220 220 220 220 220 220 220 220 220 221 222 221 221 222 223 224 224 224 224 223 222 222 224 225 225 225 225 225 224 223 223 223 223 223 223 223 223 223 131 190 208 184 0 0 7 16 73 68 65 84 104 222 237 154 65 107 27 71 20 128 135 200 118 157 216 109 2 77 73 8 77 15 205 33 133 210 254 131 254 137 216 68 110 206 201 173 199 230 80 131 145 64 160 131 46 146 192 96 44 129 131 3 105 15 14 41 129 208 208 220 226 64 98 247 16 217 52 49 110 12 58 73 218 93 131 79 130 5 93 76 223 155 55 51 251 102 118 118 157 54 5 29 234 47 70 246 206 188 125 239 219 55 179 163 67 43 190 27 51 226 84 224 84 224 84 224 84 224 84 224 84 96 236 2 223 142 25 113 91 115 231 206 109 31 119 50 198 255 43 196 15 99 70 252 248 15 184 123 55 249 204 143 179 99 238 230 220 34 126 58 145 197 69 235 98 209 243 167 255 54 25 176 168 126 103 33 30 75 126 125 47 84 220 201 225 20 241 56 33 243 166 199 226 89 54 191 91 100 207 62 251 16 80 224 169 196 45 152 226 55 248 247 52 45 230 7 178 230 63 143 70 60 100 60 178 120 98 161 71 31 62 241 144 138 135 184 132 156 216 71 143 196 47 94 126 70 54 54 54 152 143 28 194 185 13 15 60 90 94 177 92 100 161 35 121 1 140 19 235 235 247 129 123 247 224 99 125 253 193 186 197 3 11 107 16 238 125 144 137 138 188 175 240 205 25 196 218 90 91 177 70 88 23 107 38 112 45 193 55 198 199 85 158 181 118 214 76 155 221 36 218 205 102 115 185 82 169 44 47 107 145 166 164 221 110 17 20 215 74 48 247 182 92 248 112 3 82 96 22 254 52 107 38 189 201 222 18 16 88 41 1 203 203 20 14 215 77 240 105 54 27 64 171 142 49 53 249 161 48 133 240 143 58 144 210 104 213 234 120 111 181 217 212 143 98 170 181 245 24 164 6 71 68 84 171 213 74 105 105 9 20 168 102 163 89 173 32 85 121 1 5 106 14 188 144 51 173 134 97 188 92 174 74 116 45 69 3 171 65 110 74 110 4 160 62 24 200 135 70 43 37 32 163 234 117 93 164 108 202 172 74 88 83 24 56 131 193 101 101 32 107 168 226 152 154 114 87 60 2 37 41 32 195 170 186 5 202 0 179 65 202 164 196 202 202 10 213 201 21 40 27 1 122 46 18 192 213 182 12 114 4 40 168 108 160 18 43 132 95 64 213 175 169 59 26 118 3 176 148 236 54 95 4 161 7 109 129 37 99 89 182 13 86 140 192 106 170 236 170 236 14 19 64 131 122 186 62 24 24 129 178 80 91 64 182 64 11 200 46 121 91 176 98 176 31 123 149 183 135 181 64 191 37 117 37 176 164 4 140 1 8 104 43 41 208 80 129 124 171 248 26 224 10 212 252 2 184 127 153 128 174 143 15 120 130 64 201 108 3 122 157 220 14 212 172 23 195 174 159 8 64 125 243 102 54 202 166 18 9 144 65 213 18 104 170 173 106 90 144 192 90 160 203 38 27 179 150 18 168 233 166 181 90 242 149 173 193 187 100 234 51 131 170 45 96 94 22 199 160 36 5 220 35 41 45 144 24 152 69 195 109 137 43 228 10 144 65 21 5 244 91 96 11 84 211 45 112 14 197 178 11 223 4 41 1 60 23 44 129 146 202 46 212 203 81 74 78 66 189 238 250 216 170 232 53 168 235 149 47 251 49 6 92 64 31 26 188 3 37 121 240 83 11 196 112 56 140 163 227 48 12 131 32 56 38 6 4 254 113 236 3 66 123 189 174 6 67 187 140 193 160 223 215 169 70 196 16 161 63 117 142 40 142 105 80 140 80 32 138 192 32 169 48 48 120 235 115 1 10 203 175 175 53 70 113 28 219 2 35 20 0 131 200 54 232 247 115 4 168 124 175 107 9 48 133 28 129 33 171 31 69 142 64 24 42 3 88 137 126 98 144 255 248 76 96 96 174 250 38 214 41 15 2 148 1 200 16 80 6 125 215 32 48 55 6 118 121 38 48 160 11 93 219 39 64 75 125 4 104 131 17 237 1 92 129 67 101 16 4 212 2 165 64 233 100 75 147 242 7 72 74 128 55 108 228 19 144 11 13 213 123 61 50 80 2 67 156 57 4 194 163 64 209 87 232 45 161 4 2 181 248 249 245 71 201 110 135 125 198 250 47 31 19 203 35 71 161 94 3 45 16 41 129 62 71 63 80 90 160 235 19 176 203 51 3 85 31 138 28 29 244 224 238 94 47 112 4 34 234 64 79 193 21 250 124 251 57 27 32 171 190 121 219 233 93 27 154 26 76 0 246 155 60 9 132 234 13 218 177 215 11 139 155 131 201 24 164 223 128 110 86 125 144 149 123 90 22 209 53 164 64 15 126 148 64 76 2 52 43 215 135 61 28 10 56 10 106 27 246 117 121 222 132 99 107 253 229 90 162 2 52 58 146 249 101 121 52 160 30 7 161 110 16 118 128 34 96 135 242 167 147 2 254 115 200 188 164 137 129 93 255 24 183 82 183 43 31 52 210 28 170 62 67 163 77 102 48 144 2 67 37 16 184 6 252 68 73 36 2 118 84 122 247 127 208 87 93 162 221 150 56 28 226 65 16 176 214 198 177 136 116 3 96 142 4 212 30 31 244 173 3 53 150 232 183 162 127 156 183 255 216 131 244 130 35 174 64 135 62 235 104 44 112 141 116 11 120 7 80 32 72 4 98 141 57 26 179 5 100 26 115 90 216 77 0 172 37 141 80 64 111 211 40 236 217 95 107 129 106 83 28 143 134 150 128 187 10 150 128 124 142 131 3 109 192 4 134 62 129 136 25 216 219 112 96 214 9 25 198 206 34 56 6 73 3 28 1 120 142 144 149 183 12 96 49 4 110 12 243 150 118 205 157 7 122 31 170 239 174 100 31 193 145 21 226 137 202 191 132 7 120 100 225 210 226 151 26 102 121 39 145 137 6 3 56 120 15 205 123 72 9 104 39 194 254 8 69 120 200 82 219 2 137 129 12 74 18 28 185 2 120 108 161 0 212 167 199 72 234 31 116 7 248 54 134 86 2 252 78 194 250 240 173 36 160 36 13 66 44 121 255 197 244 97 182 203 172 178 144 155 173 171 35 101 18 64 167 233 118 115 114 136 183 251 251 251 123 240 111 127 15 120 3 252 137 31 111 222 18 123 248 67 115 6 24 54 243 42 74 242 110 31 83 237 225 44 166 49 121 248 20 205 189 97 247 139 78 103 103 103 167 179 139 31 157 206 107 67 71 177 131 63 114 142 147 204 203 24 70 199 202 242 154 102 119 119 119 105 46 157 191 35 182 182 182 183 182 183 241 147 120 101 177 253 10 230 216 172 203 182 203 150 155 6 198 254 64 244 212 203 151 48 200 50 136 231 192 230 243 205 205 231 25 108 50 114 166 128 23 222 32 140 122 1 108 102 148 16 197 185 185 98 113 126 254 230 252 252 13 5 92 47 44 124 175 89 0 138 197 226 77 96 222 166 136 113 24 185 96 34 139 73 84 81 101 185 117 235 22 77 22 139 115 55 24 115 10 113 198 67 161 48 49 49 49 137 192 239 137 66 225 76 14 133 130 140 246 4 226 56 230 152 154 194 60 89 73 132 185 185 192 110 155 154 250 200 48 133 9 38 117 16 161 110 146 142 16 76 225 83 84 105 66 205 79 58 89 38 245 253 19 22 98 26 209 149 40 213 244 244 89 224 156 228 172 196 196 48 166 13 103 13 44 108 154 103 193 52 211 233 59 241 66 204 206 16 231 12 51 51 179 179 31 91 204 2 60 74 254 57 203 72 7 206 240 97 154 162 187 217 157 50 78 156 55 124 66 152 235 11 200 249 15 229 2 79 195 178 107 196 69 198 167 0 253 245 153 205 197 19 200 8 204 76 193 6 196 149 203 140 75 151 46 225 175 43 105 46 123 184 226 39 99 214 115 31 94 136 171 140 207 1 115 241 133 230 234 7 113 82 14 113 77 243 165 225 90 54 239 19 147 127 179 59 40 174 103 240 21 227 250 191 39 35 67 50 34 190 30 51 226 155 49 51 254 255 124 255 191 255 63 40 254 6 172 215 173 137 176 62 182 155 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
gradientPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 10 0 0 2 88 8 3 0 0 0 108 53 135 90 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 153 80 76 84 69 0 1 0 2 0 5 0 1 4 6 0 0 4 0 6 0 2 0 7 0 0 0 3 6 9 1 0 5 2 7 6 3 9 14 1 9 15 2 10 8 5 10 16 4 12 17 5 13 23 4 14 20 5 20 18 7 14 23 6 15 21 6 21 26 5 22 24 7 17 22 8 22 27 7 22 23 9 22 27 8 23 31 7 24 28 10 24 30 9 29 32 9 25 34 8 30 36 8 26 31 10 30 36 9 26 35 9 30 33 10 26 33 11 26 37 10 27 36 10 31 40 9 32 38 11 28 40 10 33 36 12 32 41 11 34 47 10 36 42 12 34 48 11 37 43 13 35 44 13 36 45 14 37 94 146 151 39 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 21 10 41 33 110 26 236 73 0 0 4 254 73 68 65 84 88 71 237 143 109 139 226 88 16 133 11 177 165 97 20 243 33 66 219 136 24 66 212 47 105 141 255 255 199 205 121 169 27 99 219 179 12 11 11 187 179 93 38 185 79 157 123 234 220 107 188 140 21 19 156 189 204 190 80 23 47 11 44 51 124 131 240 2 152 193 176 152 81 66 7 117 54 163 73 42 22 240 98 17 244 121 39 22 150 104 192 4 104 102 3 145 59 28 227 138 204 224 148 246 117 112 86 200 40 135 188 186 18 212 57 85 30 40 131 166 120 29 228 200 28 243 151 249 108 174 45 226 194 63 121 57 138 92 125 197 84 103 243 185 144 65 0 116 60 66 218 204 104 247 52 193 219 108 137 105 161 193 1 229 8 169 218 159 26 116 132 140 122 105 240 88 170 242 151 35 230 26 179 200 211 242 56 121 237 212 105 2 25 138 213 6 63 58 66 229 211 92 191 137 175 95 170 207 72 159 222 84 95 209 196 107 206 255 122 140 69 107 25 227 192 212 144 227 196 137 250 141 223 248 71 227 234 73 93 17 127 76 212 149 60 43 224 74 140 247 97 204 219 216 99 194 143 249 15 122 98 53 22 145 251 30 155 170 217 201 48 81 19 151 143 184 196 111 181 132 97 73 90 62 122 41 22 164 85 118 170 52 211 203 143 44 74 16 44 237 117 133 135 24 60 162 198 92 24 115 146 12 229 6 121 132 67 194 23 76 52 148 59 200 228 127 33 206 92 93 82 171 74 9 119 204 42 119 88 221 113 162 126 227 4 215 248 25 177 250 249 228 245 254 250 238 93 203 235 90 143 152 6 123 148 176 38 173 169 250 161 215 219 242 90 75 85 131 10 91 187 60 102 67 38 209 224 113 29 81 230 125 201 50 38 105 205 65 142 217 83 84 10 33 205 6 77 72 119 130 116 122 243 104 25 28 61 122 11 230 125 199 26 177 228 150 211 74 253 63 176 34 86 119 204 2 86 79 170 177 146 61 176 77 71 69 76 170 132 108 106 170 181 176 170 165 214 246 4 22 79 86 233 101 133 199 249 56 87 141 114 211 48 210 3 142 244 5 214 159 85 10 137 226 186 126 26 163 132 189 192 90 243 133 170 41 54 66 137 117 45 131 221 161 93 27 68 153 160 93 62 196 156 227 17 218 174 39 7 23 149 117 191 164 212 108 136 190 219 182 92 71 71 248 0 94 167 218 250 136 122 235 4 185 148 160 251 40 183 150 71 215 145 170 59 120 72 170 198 120 201 140 242 17 62 128 127 62 139 55 115 40 195 184 108 41 226 102 245 22 35 124 113 29 238 243 22 65 218 110 183 188 36 124 219 45 158 45 188 91 238 178 9 246 172 138 87 231 66 63 213 74 89 197 0 177 178 202 184 137 74 148 116 87 81 155 59 190 9 55 226 240 34 228 22 229 141 199 222 240 179 97 227 38 54 20 222 38 42 187 208 222 102 3 93 200 14 42 63 111 106 66 171 90 161 187 130 19 117 196 7 239 103 116 238 103 245 25 255 250 136 223 193 119 226 251 123 170 185 18 167 42 65 141 177 24 40 162 127 135 154 50 80 10 123 37 168 101 46 137 21 154 49 122 165 131 9 89 70 102 37 178 241 17 119 204 18 150 176 71 116 141 248 60 246 140 187 103 117 39 228 198 78 6 252 244 33 238 40 238 118 49 138 54 188 107 71 97 110 96 96 241 27 166 59 170 128 123 174 248 4 65 13 208 140 133 134 189 245 32 169 217 75 85 201 43 131 80 13 126 244 154 247 193 143 59 171 42 121 63 161 14 46 252 149 225 63 139 13 158 103 245 111 34 194 186 232 138 216 89 85 79 213 15 189 73 192 142 216 225 1 242 135 186 171 10 163 68 71 116 29 227 247 93 67 236 216 225 3 220 55 108 132 92 240 54 129 181 105 154 238 208 52 209 181 173 220 135 46 142 109 35 199 225 16 109 119 240 6 188 135 3 204 199 166 69 66 115 132 114 60 118 173 188 45 85 24 80 192 174 61 70 11 235 177 193 4 80 187 45 186 208 23 205 145 99 71 116 237 145 232 106 219 54 216 243 33 18 84 66 137 68 173 232 139 202 4 105 146 67 169 163 87 118 171 89 28 203 100 171 121 240 212 240 75 60 25 185 156 248 165 122 66 129 133 110 97 176 3 134 147 152 111 134 209 45 131 178 78 193 113 154 78 68 173 198 82 113 188 227 68 253 87 225 113 170 158 209 39 226 61 223 81 117 126 72 56 115 255 124 62 167 129 205 233 28 148 210 235 113 126 67 95 189 193 125 143 6 73 226 153 94 139 57 198 92 122 61 196 131 165 120 204 177 105 48 49 76 187 84 229 204 48 23 13 10 53 106 95 85 12 127 6 126 24 63 138 154 48 241 126 60 143 125 60 171 101 14 9 44 124 207 145 43 54 169 166 101 234 85 14 93 244 74 198 151 99 25 17 20 221 17 83 79 195 57 13 182 142 99 159 176 76 141 99 82 31 240 90 176 192 245 57 236 122 165 202 143 252 87 122 165 165 225 170 146 42 199 181 140 93 149 123 45 134 92 229 253 135 112 120 84 221 70 1 226 32 28 138 58 240 71 175 64 134 34 19 61 57 32 183 207 38 134 193 17 246 66 30 250 76 24 248 244 209 19 135 161 239 49 214 15 220 165 129 138 84 221 193 5 175 68 164 0 111 214 250 62 110 55 13 162 11 46 253 112 163 119 184 245 124 168 246 183 27 124 220 128 58 220 46 151 139 188 151 254 130 182 191 93 226 130 253 219 229 6 91 112 193 51 72 165 21 159 62 184 194 206 211 46 204 1 223 134 160 168 177 11 13 23 230 93 250 159 26 177 13 184 74 164 114 96 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
logoPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 244 0 0 0 147 8 3 0 0 0 79 142 27 238 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 30 26 5 139 120 21 178 154 26 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 181 156 28 181 157 28 181 157 28 181 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 27 179 155 27 180 156 27 179 155 27 180 156 27 180 156 27 180 156 27 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 27 180 156 27 180 156 27 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 180 156 27 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 180 156 28 179 155 27 180 156 28 180 156 28 179 155 28 179 155 28 179 155 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 182 158 28 182 158 28 182 158 28 182 158 28 182 158 28 183 159 28 183 159 28 183 159 28 184 160 28 184 160 28 184 160 28 183 159 28 183 159 28 181 157 28 181 157 28 180 156 28 181 157 28 180 156 28 180 156 28 179 155 28 179 155 28 180 156 28 179 155 28 180 156 28 177 233 194 44 0 0 0 232 116 82 78 83 0 0 0 0 0 0 0 0 0 1 1 1 2 1 1 1 0 1 1 1 1 1 1 1 1 1 0 0 0 0 0 1 1 2 2 2 2 2 3 4 4 4 5 6 6 8 8 9 9 10 12 13 13 13 13 14 15 17 18 19 21 24 26 28 29 31 31 32 33 34 36 37 38 40 41 43 46 48 50 52 54 55 56 58 60 62 64 66 67 69 71 72 74 75 78 79 80 82 83 86 89 91 92 95 100 103 104 105 107 108 110 111 113 116 119 121 124 127 129 130 132 134 136 138 139 141 143 147 151 154 157 159 161 163 166 169 172 174 176 177 178 181 183 185 189 191 193 195 197 198 200 202 203 206 207 209 209 210 212 214 215 215 216 218 220 221 223 224 226 227 229 230 231 232 232 233 234 235 236 237 239 240 241 241 242 243 245 246 247 248 249 249 249 249 249 249 248 249 251 252 253 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 253 253 253 253 253 254 254 254 254 254 221 114 161 106 0 0 42 115 73 68 65 84 120 218 237 125 75 115 84 71 210 54 139 220 124 179 58 44 57 49 27 45 32 162 245 217 16 48 161 176 100 75 130 9 48 6 131 185 188 230 110 176 49 194 22 23 131 185 51 190 112 51 70 128 199 50 216 6 27 108 131 9 204 197 70 204 231 17 208 19 6 194 163 232 141 225 172 234 249 5 253 3 42 162 22 181 171 85 62 223 226 180 90 45 169 37 181 110 200 210 171 90 73 167 79 157 115 42 159 202 172 204 172 204 172 41 50 30 219 171 31 92 186 122 80 38 91 87 91 124 232 194 213 125 149 222 60 101 188 141 46 150 23 247 180 145 228 239 147 72 119 82 164 110 215 45 128 196 204 137 9 122 44 43 90 9 37 136 214 73 184 211 182 242 52 212 40 200 214 137 201 233 209 130 171 154 48 24 252 235 224 243 147 104 139 136 72 195 69 130 193 240 215 127 204 150 104 34 130 30 207 121 154 4 111 145 63 80 241 248 38 122 155 195 132 206 38 252 96 48 157 198 19 232 209 212 92 98 61 181 173 102 18 242 2 23 84 253 23 214 19 247 106 100 130 130 30 203 61 181 222 240 75 137 39 225 46 80 228 10 130 35 174 14 146 34 227 7 244 72 46 104 240 134 31 76 138 246 34 69 142 39 116 9 79 13 150 11 166 140 159 89 253 33 233 13 183 77 130 93 164 200 118 165 3 15 15 90 242 77 25 55 35 220 64 245 134 91 39 193 46 182 117 160 7 247 13 190 227 184 225 244 70 168 227 36 230 93 237 175 139 64 175 56 36 207 8 244 88 68 26 214 110 223 123 96 215 150 149 207 104 249 154 197 196 81 183 141 221 122 30 139 72 227 218 157 123 15 189 183 121 133 200 216 235 21 81 13 224 200 99 242 44 64 143 69 54 124 241 48 247 148 0 72 210 228 126 221 40 34 239 142 46 197 51 76 44 147 195 99 68 235 88 228 141 243 217 14 128 0 64 34 247 175 85 18 197 235 198 84 137 203 194 18 103 135 100 201 76 25 236 232 143 220 235 0 12 187 154 81 254 103 199 83 52 142 234 8 127 73 108 24 226 8 71 160 29 107 207 23 166 56 73 82 9 229 195 15 200 133 99 104 59 94 212 16 112 97 104 20 153 50 40 196 247 182 165 131 55 0 238 126 247 213 229 251 100 66 107 1 98 233 104 142 240 51 208 226 246 24 96 30 137 236 191 155 194 13 128 109 63 124 121 233 65 97 204 52 92 49 118 152 159 32 109 114 123 136 146 111 74 229 144 215 95 204 17 36 200 47 54 47 152 85 184 218 216 68 4 71 61 63 154 136 236 33 157 230 167 142 129 88 111 248 38 71 146 134 104 221 244 247 194 38 214 180 198 102 194 58 242 196 216 97 190 135 198 225 65 52 196 213 110 74 165 51 126 195 117 144 4 248 209 146 233 210 133 112 44 51 219 212 121 101 102 244 70 184 134 116 9 106 158 61 151 191 125 3 32 1 28 122 53 238 54 230 154 44 156 39 199 76 169 220 72 227 18 214 14 85 195 153 82 217 240 223 189 13 67 16 167 150 245 250 109 198 61 165 15 90 59 90 58 86 252 119 26 103 184 40 126 214 144 111 255 5 134 0 78 46 149 30 98 44 150 44 131 15 186 104 140 48 175 125 146 56 114 213 144 31 80 1 232 177 108 107 35 8 228 154 123 239 222 69 242 163 33 189 75 54 142 22 241 159 127 4 71 54 63 107 193 190 243 223 0 13 31 191 147 41 243 227 47 164 58 139 181 99 98 76 68 210 158 184 128 125 50 122 160 199 242 246 207 52 52 184 177 169 236 239 199 1 36 214 235 206 209 26 225 149 196 6 61 243 140 201 186 181 13 160 193 149 141 101 41 114 214 16 137 117 201 150 177 225 244 203 176 65 63 147 81 3 61 150 229 223 209 208 240 230 186 242 154 218 38 0 205 26 188 238 29 45 115 9 193 234 173 103 203 229 43 175 3 52 188 190 186 188 118 188 149 224 42 88 167 239 142 9 230 71 25 28 110 13 199 101 49 165 255 25 95 123 134 32 121 183 169 60 228 81 61 129 227 25 208 235 40 109 132 108 38 61 126 159 254 44 23 244 134 207 9 26 252 178 169 15 131 228 69 26 30 146 142 224 240 230 88 44 232 107 104 28 88 31 141 26 167 239 165 82 129 253 125 76 171 88 174 2 55 100 38 233 146 81 177 89 227 6 26 111 248 122 252 12 217 252 0 65 178 99 79 95 99 142 219 129 171 34 29 193 98 245 179 95 211 163 204 19 120 114 237 176 30 50 165 159 225 175 122 168 134 9 91 251 30 218 126 154 39 85 113 141 134 128 209 208 222 35 185 5 23 248 143 103 72 212 213 29 48 76 216 210 247 29 135 97 32 145 60 13 99 163 189 255 10 23 112 88 70 9 244 204 73 32 80 239 46 234 211 237 18 55 146 216 27 73 163 90 234 172 209 24 225 73 88 139 11 207 142 203 103 127 70 19 12 126 126 185 111 87 211 203 32 154 34 121 157 150 200 60 115 62 151 143 24 108 114 117 152 123 16 83 250 122 250 26 38 180 202 19 253 121 218 46 25 252 36 34 135 213 51 59 26 67 92 69 186 228 225 179 242 190 70 178 142 96 72 248 113 223 52 141 165 205 240 23 145 248 115 117 252 246 217 243 249 60 26 103 56 39 26 21 78 207 156 86 6 195 59 53 253 81 124 39 201 149 113 28 147 22 91 71 3 132 108 226 12 87 60 171 133 51 243 133 210 170 222 153 221 223 77 219 96 248 146 196 146 67 192 198 103 13 121 44 72 60 249 218 112 159 51 165 44 181 95 33 104 193 51 253 137 145 72 64 124 37 34 175 104 0 171 71 1 154 47 213 6 30 122 86 244 92 68 208 38 60 209 239 152 107 73 94 18 145 165 180 100 230 153 99 126 10 150 122 88 70 1 244 88 246 42 108 224 163 1 54 206 78 147 92 28 197 114 71 237 168 232 90 171 72 135 139 125 83 96 100 233 185 15 106 13 179 115 7 24 51 12 103 72 28 119 32 160 249 89 194 157 10 119 24 199 182 190 185 112 56 156 126 73 233 12 7 136 171 141 27 169 60 47 34 43 52 104 71 60 130 24 76 125 225 141 67 45 23 174 220 120 2 103 145 253 181 164 221 253 249 230 141 171 151 46 126 253 245 197 150 165 85 35 74 213 170 235 160 75 248 221 0 148 91 74 229 37 17 89 143 128 252 179 179 215 166 206 89 119 176 229 226 247 55 72 111 181 189 173 132 34 109 157 20 249 250 244 107 51 134 1 122 109 62 161 3 63 28 168 231 121 144 203 34 121 158 132 121 113 4 71 248 66 30 137 166 193 10 222 179 143 102 48 162 202 195 2 26 58 229 222 129 228 199 185 132 120 65 36 67 36 172 127 102 206 131 231 178 197 8 14 215 39 69 148 127 31 50 232 127 93 79 181 22 92 50 80 199 26 18 223 139 200 151 36 246 143 224 8 255 178 72 131 43 52 239 187 254 242 222 123 231 92 176 12 36 121 114 36 169 186 25 106 45 58 26 6 250 180 37 36 174 202 95 228 54 137 183 159 157 112 95 75 186 34 33 186 254 72 41 98 173 101 8 74 28 29 250 154 254 17 224 2 254 51 176 142 114 6 68 147 200 30 18 231 71 116 136 181 160 77 71 228 157 13 33 116 205 101 85 133 170 170 130 159 141 228 154 254 49 225 66 242 160 18 183 65 208 181 177 124 76 226 196 51 12 215 139 145 4 239 188 247 206 59 107 75 40 194 148 32 128 18 95 14 125 77 255 39 141 35 46 85 208 49 107 72 145 102 24 92 31 97 165 106 62 19 122 231 189 103 162 154 10 54 220 189 220 122 252 96 243 250 69 117 53 179 103 205 156 153 169 26 73 146 255 147 198 83 47 85 48 10 80 239 137 236 32 121 225 153 134 104 46 32 212 57 239 60 19 133 42 65 178 237 210 231 199 15 110 91 191 184 174 102 246 172 231 51 153 204 96 64 232 14 250 101 26 79 156 172 96 68 27 24 146 19 178 27 198 220 29 225 241 199 82 181 81 141 243 158 122 248 165 186 154 76 131 140 102 156 84 44 151 105 156 106 5 99 142 222 209 128 83 178 31 134 109 207 56 162 99 250 6 210 123 103 248 97 125 93 77 205 243 213 85 195 123 127 55 208 175 50 120 226 80 37 147 166 85 137 101 45 0 111 77 29 113 2 68 114 82 157 11 216 39 177 172 188 7 126 54 122 212 140 228 42 131 35 15 86 50 230 150 36 112 254 57 26 222 126 214 225 122 177 236 83 231 173 142 144 38 51 165 100 252 215 24 60 117 87 69 156 123 3 228 109 146 151 71 69 206 157 85 231 240 155 196 210 76 88 195 195 131 65 113 48 38 107 36 215 25 28 185 189 34 225 120 147 236 184 77 224 217 200 246 238 95 116 64 189 75 242 35 180 144 78 233 122 199 143 12 158 186 173 178 7 103 25 12 77 101 28 146 182 163 247 128 91 43 42 161 87 20 19 158 152 39 178 139 198 121 87 121 165 145 88 94 191 154 227 131 51 21 127 85 138 121 133 193 16 8 1 48 220 57 234 155 1 71 238 1 183 214 148 144 42 170 1 189 49 13 209 200 114 122 36 23 24 60 81 105 226 80 135 33 241 120 89 133 119 71 178 251 33 16 2 42 139 117 187 98 92 192 62 137 94 167 113 206 7 190 94 177 141 127 153 8 150 184 55 189 178 239 186 204 48 136 248 59 144 100 118 201 104 51 248 206 44 16 2 240 126 201 213 207 212 90 61 53 82 239 152 210 249 170 179 26 60 177 167 210 89 188 181 13 60 84 241 140 127 241 10 140 245 54 4 229 243 3 195 241 6 130 75 30 79 139 229 223 112 206 7 92 238 255 246 149 197 153 117 152 73 112 54 4 154 202 140 214 115 12 158 124 175 210 81 52 223 39 246 141 36 155 199 34 53 239 156 60 119 229 86 219 47 197 137 87 251 3 18 235 109 8 134 153 226 171 54 146 46 121 36 35 12 186 188 15 122 234 199 131 91 173 226 10 239 218 74 4 23 18 37 128 1 67 28 163 12 213 83 27 68 230 35 120 31 208 214 223 123 34 105 41 136 143 120 214 15 160 115 38 53 105 106 43 248 172 15 25 60 245 25 237 232 148 35 222 150 211 237 132 170 146 134 133 189 189 38 38 193 133 4 40 241 127 68 207 61 129 39 151 68 35 12 250 10 170 183 73 235 104 172 86 145 124 66 227 156 193 175 77 179 223 37 49 160 230 123 193 184 144 250 151 114 38 80 175 245 99 159 68 178 248 161 6 195 85 34 178 44 159 4 31 128 143 22 212 228 200 101 3 127 216 27 52 62 224 212 88 37 160 174 57 13 130 193 58 231 189 35 106 68 36 146 19 76 156 51 104 111 154 253 38 201 170 162 94 107 173 142 160 13 51 37 213 19 8 231 112 95 70 37 228 233 91 165 15 9 15 72 36 111 82 89 211 151 204 200 44 20 17 145 213 160 71 94 34 17 121 231 42 113 164 223 143 90 134 196 250 128 253 34 91 9 235 13 191 107 144 88 30 169 25 56 78 179 6 137 119 201 205 49 74 138 220 241 175 52 121 70 53 88 103 19 221 150 234 85 160 179 9 15 73 44 171 84 11 220 31 173 37 61 70 50 74 101 138 136 68 242 147 113 62 97 245 104 24 194 153 91 8 62 224 254 203 34 145 60 4 217 61 70 161 113 235 137 139 63 180 236 89 89 51 171 137 104 22 137 51 84 111 240 74 97 194 12 132 200 53 117 222 153 172 200 251 52 206 37 60 44 177 68 27 25 146 173 3 10 215 7 112 206 176 102 76 48 127 159 52 96 246 236 177 99 103 175 0 208 39 111 74 44 241 244 148 84 15 94 17 137 228 62 137 66 8 218 125 184 192 141 209 8 115 250 94 4 103 240 250 104 96 254 220 125 4 71 94 148 88 34 121 31 129 143 75 9 191 244 11 66 73 85 128 154 152 239 68 228 104 98 29 190 76 231 203 27 155 158 235 23 147 104 234 83 227 125 208 215 228 48 233 109 242 116 131 136 200 76 130 186 100 32 48 63 78 130 39 135 159 107 27 139 84 13 102 119 63 22 105 6 12 121 174 83 1 109 254 252 136 136 72 52 163 93 173 167 126 43 177 68 178 3 100 199 52 17 17 57 166 193 234 151 50 178 156 30 207 37 189 229 231 35 171 164 44 95 190 164 70 100 70 123 18 188 225 167 18 73 36 239 130 37 49 70 177 52 180 194 40 157 243 222 6 50 16 205 18 47 36 61 158 74 36 34 117 57 160 68 131 45 167 63 206 163 245 158 87 101 63 233 45 178 245 177 136 212 229 212 154 199 37 55 151 21 96 141 74 111 245 232 240 71 58 109 199 111 224 177 185 253 193 30 203 188 229 75 23 116 254 183 170 3 6 60 93 85 236 17 75 36 34 241 180 251 106 157 225 105 137 37 146 173 202 128 45 34 105 176 142 55 249 114 138 205 171 203 150 52 12 153 211 47 39 206 225 241 8 44 232 213 53 233 67 34 89 245 16 170 188 149 185 135 224 76 26 242 52 237 136 210 226 118 28 117 174 245 251 104 12 1 160 176 133 164 23 69 228 106 226 2 155 35 17 145 47 213 218 228 163 158 239 88 125 126 91 166 248 136 179 234 156 211 181 219 72 31 244 87 137 36 150 229 68 0 231 117 165 152 238 111 42 167 104 220 75 156 51 29 211 163 97 77 108 17 105 252 13 36 193 131 11 23 52 214 215 205 153 89 61 173 248 243 130 78 88 235 91 168 80 54 139 68 210 240 13 141 193 165 94 251 35 177 252 27 214 153 180 242 99 244 17 104 121 39 205 68 254 22 46 116 134 203 196 145 20 166 87 36 139 47 65 149 185 198 161 129 190 14 193 7 174 138 135 205 221 107 128 53 34 18 75 237 5 101 8 129 76 49 223 45 34 178 20 160 97 91 209 79 218 144 133 97 251 167 235 94 92 119 149 198 123 239 13 95 140 228 109 4 167 119 210 7 230 232 61 62 233 241 150 183 104 186 50 168 230 170 113 206 225 40 225 131 222 146 40 150 154 227 100 72 138 185 0 145 252 221 160 28 55 172 208 224 168 11 134 51 222 249 45 55 243 32 17 188 247 142 10 77 247 3 9 158 93 19 199 210 120 49 53 185 34 217 78 48 4 226 156 136 236 162 49 204 174 40 35 23 46 33 56 195 61 34 34 75 58 192 192 95 37 22 145 248 77 6 167 188 94 184 107 225 35 166 193 11 153 227 48 12 129 216 39 18 203 172 37 47 13 18 244 27 137 119 195 206 22 139 165 190 13 48 23 69 34 217 8 48 144 65 115 8 105 21 176 169 11 126 4 169 184 88 20 39 187 105 76 254 176 196 34 145 220 132 243 62 96 155 196 66 245 38 213 95 226 189 176 222 162 57 234 254 150 255 194 37 133 76 132 168 154 106 161 142 132 11 122 77 68 234 118 17 76 52 251 247 162 100 223 7 160 28 163 231 233 157 249 113 88 35 206 167 53 88 10 161 30 161 176 243 95 240 69 84 31 212 68 33 34 82 211 14 13 129 22 152 43 245 89 67 178 76 253 134 72 142 49 120 195 119 68 166 206 255 129 134 192 55 5 82 181 37 174 96 178 71 242 66 43 19 162 90 34 89 248 20 12 164 69 86 68 26 91 168 131 202 121 153 34 171 17 188 225 156 97 130 62 251 20 77 32 154 68 226 207 73 3 62 254 3 57 67 79 110 153 57 247 99 18 4 218 230 139 136 200 140 76 237 146 71 36 31 23 34 104 235 76 226 156 75 126 20 145 3 106 139 202 197 3 56 111 216 35 240 235 22 156 225 130 194 26 114 62 177 166 227 33 19 134 128 235 82 251 214 13 130 68 46 45 184 52 45 51 187 246 67 130 120 189 140 8 95 138 224 203 235 11 21 183 122 152 66 56 143 165 170 2 208 224 60 249 219 221 203 71 211 164 1 220 17 145 53 4 129 142 28 249 182 108 134 49 204 149 117 93 47 163 113 100 211 204 134 15 65 67 99 218 210 228 153 170 204 7 80 5 174 73 20 75 102 27 18 6 156 144 88 14 3 4 127 255 29 217 26 153 219 14 48 224 155 65 129 126 6 206 225 198 48 149 244 99 76 232 172 158 21 169 205 25 210 92 172 22 137 243 137 35 127 7 212 144 36 46 157 62 211 122 233 214 195 180 64 83 87 224 101 6 137 115 222 176 49 142 230 144 62 73 13 210 104 43 172 15 232 145 11 123 72 67 40 186 208 54 130 9 235 229 18 24 20 96 42 94 249 228 212 153 179 95 255 120 15 36 104 12 30 204 44 183 108 127 75 239 6 242 238 14 212 190 34 172 119 206 42 115 237 45 251 155 15 158 123 136 196 83 255 46 242 63 121 165 117 73 78 100 234 41 24 131 108 202 133 199 65 224 215 178 170 83 53 19 71 230 160 41 169 248 195 233 51 95 124 219 69 170 147 18 139 52 51 161 115 73 126 186 200 143 160 49 55 230 139 136 60 127 31 38 120 151 152 67 165 202 70 52 16 232 164 15 104 24 30 1 102 128 214 251 4 145 172 35 140 185 91 21 73 28 103 225 210 160 158 160 189 3 27 217 185 123 80 213 1 58 31 116 155 136 180 36 54 112 71 250 197 217 196 121 211 189 192 71 20 229 225 145 239 210 191 3 143 202 186 194 243 53 152 94 193 147 48 39 203 105 213 81 157 210 155 97 39 37 189 9 245 62 48 87 76 221 60 65 23 240 154 200 13 13 222 27 108 142 171 179 32 176 69 34 145 88 190 78 104 88 214 242 138 226 251 106 251 34 149 50 173 9 89 67 181 222 145 53 50 187 3 64 46 221 247 169 74 117 138 4 37 234 73 213 138 134 233 253 195 62 101 11 172 195 157 97 142 127 250 83 122 79 44 145 67 36 10 86 217 110 6 215 107 8 232 44 205 85 48 150 254 26 221 36 85 29 238 137 252 101 33 233 80 80 46 86 51 248 208 51 111 230 158 58 114 117 225 159 71 106 249 91 36 191 107 185 0 81 16 224 253 190 182 207 214 194 58 228 134 171 185 158 167 245 1 191 116 93 216 7 71 52 138 180 170 247 22 95 201 28 144 60 87 80 231 47 50 4 244 225 74 109 86 246 38 85 74 45 165 22 124 113 164 247 68 147 172 32 137 3 133 158 117 8 222 123 162 43 92 255 47 245 32 76 255 76 60 229 8 156 211 143 135 169 197 77 207 83 3 246 72 43 128 155 34 145 72 92 77 245 228 251 187 119 239 222 189 251 189 29 219 222 221 242 198 234 215 230 55 206 202 100 222 161 18 71 59 167 98 43 72 90 98 129 136 156 135 11 92 150 98 241 80 157 231 127 187 77 216 120 31 131 43 238 66 124 132 144 228 99 185 64 71 28 223 189 123 247 238 93 239 237 220 222 220 180 105 253 138 87 231 190 144 121 174 186 122 198 180 62 125 38 39 224 237 112 19 234 163 93 128 134 110 110 220 118 56 62 22 145 86 245 14 237 178 8 0 150 21 165 64 176 250 77 217 15 138 103 145 158 220 211 69 170 141 171 151 47 108 156 149 201 84 95 129 35 54 20 65 183 184 41 7 1 176 177 243 65 117 8 222 83 87 21 9 21 69 6 206 2 253 166 5 76 185 64 111 57 220 73 191 137 100 210 38 151 8 236 43 188 255 74 226 202 21 151 139 119 32 33 62 233 252 200 127 144 164 134 100 191 72 188 130 193 37 5 125 228 85 6 79 93 219 93 195 125 2 207 206 133 104 5 73 46 147 90 99 108 114 101 176 159 155 165 231 211 97 206 243 122 26 50 41 217 1 140 228 137 177 216 37 34 160 39 27 214 211 160 125 102 250 123 188 133 198 37 217 62 132 238 69 88 234 107 101 12 162 217 52 174 144 180 27 45 64 112 64 213 73 26 158 233 114 66 212 34 248 144 124 88 252 138 232 185 156 90 239 181 255 181 107 202 109 122 182 15 215 41 99 72 162 250 6 128 206 208 152 151 148 22 189 87 212 184 137 8 40 38 146 52 147 164 58 114 106 36 114 25 142 172 75 53 243 135 234 188 222 237 214 61 186 174 206 22 228 90 52 139 134 56 38 169 222 80 59 216 239 5 189 230 134 57 230 135 32 77 71 117 201 23 30 163 163 214 69 241 126 181 1 31 55 3 232 202 236 191 11 111 251 168 208 18 215 147 150 143 190 40 35 5 126 86 71 45 4 109 180 192 147 139 206 1 108 46 153 59 23 225 28 30 118 229 23 45 201 147 222 59 189 208 191 120 127 72 175 195 50 88 35 89 159 7 137 53 55 0 22 253 67 237 198 41 103 196 189 87 83 216 36 63 163 240 213 155 9 66 73 44 22 137 215 50 20 247 15 27 17 60 209 125 242 47 166 241 100 193 25 127 25 196 13 145 37 8 212 65 39 143 102 72 135 7 195 243 74 92 3 201 210 218 168 177 24 88 28 17 145 7 198 225 218 86 130 187 138 56 174 101 240 1 101 137 39 235 179 9 213 144 189 227 98 94 98 112 201 217 244 190 6 210 226 124 43 193 101 37 194 101 30 233 141 206 41 126 194 65 128 244 206 176 255 253 235 41 185 224 244 242 176 198 223 10 163 106 174 94 135 201 118 30 12 22 213 43 131 246 22 238 243 153 120 178 190 240 223 58 26 222 123 74 151 180 138 136 92 129 99 231 52 105 83 231 240 93 183 215 76 253 47 92 232 204 43 217 11 226 55 137 162 44 188 185 51 104 255 113 13 232 42 138 237 239 187 93 128 33 209 173 228 202 21 58 178 58 142 247 192 146 251 96 58 215 98 17 145 83 234 124 96 111 63 238 194 150 91 79 96 148 220 187 112 78 239 97 220 81 71 45 196 197 157 128 69 238 44 193 249 165 247 253 98 92 224 198 226 4 74 107 66 121 135 150 1 76 182 187 28 14 232 145 204 187 151 250 161 110 192 252 218 37 236 190 52 14 247 162 158 140 254 60 225 136 213 93 92 143 91 235 53 40 103 70 18 173 101 176 157 78 215 26 24 79 204 239 214 247 29 88 79 78 143 68 36 94 6 131 124 77 36 47 168 161 206 27 252 87 131 78 47 13 99 154 47 108 135 33 185 189 244 234 70 53 212 21 34 146 133 213 27 48 40 85 72 62 131 115 86 223 239 14 235 218 175 179 132 97 94 157 102 203 187 127 130 67 26 244 28 207 37 3 47 2 221 109 235 21 8 14 55 58 57 127 245 35 0 219 16 188 45 178 85 159 138 156 122 189 58 116 204 63 165 33 233 104 96 238 118 237 4 213 144 189 109 255 56 250 61 113 1 199 10 83 117 61 192 111 133 12 120 71 68 228 58 28 89 149 254 244 149 113 61 146 148 227 12 213 7 93 147 238 65 230 76 90 171 224 180 113 230 251 33 124 118 150 78 239 13 157 205 207 2 84 38 165 145 208 113 13 149 56 38 113 124 24 150 134 232 94 207 177 69 157 119 184 86 66 183 197 159 255 6 26 226 224 50 50 176 220 196 141 219 212 177 51 77 242 76 98 213 160 231 62 194 99 227 76 65 79 143 229 36 192 59 47 54 193 121 230 6 16 126 83 142 36 190 239 148 231 129 166 252 59 237 36 161 33 40 77 71 73 93 130 215 97 241 160 71 250 114 36 151 18 235 147 71 133 203 155 8 180 202 70 4 101 28 73 188 140 161 115 167 51 126 158 234 137 238 179 117 95 66 91 96 116 249 150 228 78 17 169 162 82 135 178 203 116 2 62 121 60 212 105 190 237 55 164 202 231 115 37 152 79 205 154 96 110 74 36 242 216 56 37 208 189 174 96 19 172 243 37 129 16 239 95 39 9 156 91 45 242 58 2 202 170 245 117 38 56 28 79 31 191 136 180 36 122 76 142 205 26 2 183 167 228 92 126 15 6 39 69 78 170 47 250 58 250 6 125 13 66 24 146 115 42 146 215 175 1 192 221 60 189 99 247 130 189 173 180 92 211 179 195 78 13 158 40 108 134 108 35 112 76 166 26 6 179 92 68 228 170 58 118 58 195 119 194 57 211 45 214 61 202 128 26 244 13 17 17 249 16 196 137 212 177 22 248 199 80 172 205 149 8 33 63 148 173 228 72 214 254 132 20 243 210 152 147 72 126 74 136 199 18 139 180 192 250 160 221 194 151 11 70 182 115 184 151 170 110 31 253 65 67 240 112 131 196 34 45 198 242 237 114 131 184 174 158 172 75 127 185 148 56 23 128 229 221 62 57 122 106 60 218 83 238 59 78 24 190 41 177 60 162 183 220 52 160 239 253 145 113 67 136 168 142 101 249 5 130 6 7 223 83 235 188 178 177 251 24 153 235 97 130 68 245 164 119 230 243 148 72 7 0 188 47 178 26 1 15 36 150 120 65 23 163 203 116 210 19 179 163 210 151 157 3 85 153 137 68 226 141 232 244 102 190 13 151 52 13 133 93 171 72 55 132 186 38 177 172 184 12 67 26 117 206 156 47 197 252 27 67 60 206 136 196 207 61 53 206 135 222 193 25 71 52 120 111 113 94 68 142 18 48 184 191 179 224 33 239 235 168 224 217 106 156 73 21 178 232 13 4 239 13 55 119 159 166 59 16 200 134 72 34 217 148 5 112 177 78 68 106 73 207 142 129 55 92 222 209 96 114 131 30 254 154 139 4 13 46 205 175 37 189 55 186 186 244 231 70 80 127 238 53 115 141 115 9 167 197 105 237 20 195 205 34 146 165 77 51 225 191 135 99 103 41 235 249 26 188 185 222 77 165 185 105 168 33 57 40 34 113 67 222 224 70 74 175 115 12 248 191 67 10 131 104 210 0 12 154 213 55 94 34 8 92 2 189 114 122 137 87 230 107 16 143 166 138 136 92 130 243 182 92 205 148 219 112 206 147 199 247 1 0 238 188 211 101 150 81 203 58 193 47 26 199 206 226 124 237 112 190 232 185 46 10 63 210 233 55 18 201 130 115 128 73 51 22 226 213 176 14 237 3 131 46 183 96 7 48 230 123 181 205 183 9 26 100 155 69 206 195 57 211 163 110 197 43 26 112 176 183 72 245 142 167 68 36 170 190 10 100 151 136 200 18 4 125 36 177 72 6 116 248 180 83 235 49 190 116 169 142 165 25 134 106 13 102 68 18 73 187 49 109 5 141 241 49 149 67 170 66 18 205 120 96 44 62 27 4 234 177 72 211 29 128 6 15 154 90 140 179 216 81 66 253 43 32 239 74 36 18 191 198 224 93 210 94 102 195 124 62 141 119 206 144 52 108 47 81 251 23 35 232 209 184 140 107 86 233 76 193 194 56 168 193 91 244 44 96 118 80 109 96 149 44 56 9 144 223 21 130 40 14 36 206 233 193 120 64 208 163 122 26 229 254 138 87 53 105 220 71 128 196 31 31 72 36 43 148 222 162 71 114 247 114 4 174 239 209 177 205 120 207 167 18 165 129 33 55 102 198 34 242 165 177 220 20 139 200 151 112 228 252 168 176 205 72 135 108 23 30 47 156 7 201 116 69 140 229 42 240 176 112 212 234 84 16 189 28 200 21 166 89 213 48 73 56 136 179 159 22 28 36 12 129 142 195 82 175 116 200 79 43 118 253 219 29 24 92 78 9 144 110 13 206 43 247 216 102 210 59 79 226 143 110 236 240 58 2 155 122 14 33 18 57 102 28 181 182 96 24 208 187 228 126 119 18 199 213 164 231 163 55 206 193 208 96 111 231 72 174 177 188 19 168 23 167 203 82 26 195 131 149 141 126 230 134 203 84 146 200 125 34 34 177 100 141 115 73 71 15 234 45 211 128 37 221 25 101 9 232 29 30 199 145 108 3 208 42 113 186 202 39 233 194 146 99 49 75 49 254 187 6 107 94 47 18 160 137 48 0 157 227 91 34 114 14 166 163 177 240 178 169 164 246 244 160 47 91 86 33 138 203 104 136 247 43 136 98 141 68 102 191 113 149 74 38 204 29 23 145 195 112 214 116 25 225 243 242 48 56 155 18 224 176 90 79 54 245 101 232 89 239 60 77 157 244 48 181 187 91 119 177 204 92 223 40 179 72 111 238 166 87 206 37 214 25 188 220 99 38 125 168 214 219 4 134 224 229 170 18 101 197 39 247 42 2 93 150 60 1 240 93 253 0 229 164 68 106 86 181 82 149 52 154 61 94 112 141 105 112 6 139 123 124 208 98 237 86 178 54 150 217 123 105 232 157 254 36 245 55 1 238 78 223 180 13 22 199 34 17 57 161 150 92 90 120 123 51 156 62 73 253 58 177 52 94 3 193 235 112 62 32 142 228 56 77 174 177 248 178 60 21 113 41 58 203 111 1 47 87 172 193 131 56 87 219 63 179 71 34 47 172 62 79 53 36 152 61 218 169 4 226 81 193 239 20 203 58 24 20 150 178 120 198 147 196 245 145 137 18 203 155 4 173 115 78 115 221 78 94 89 132 110 229 107 34 153 245 62 121 79 154 97 11 142 142 120 13 131 15 189 121 146 244 222 187 0 182 191 217 181 221 178 70 173 211 99 81 69 160 203 236 118 16 220 63 167 31 192 167 53 190 125 165 128 56 219 10 22 73 212 72 250 192 147 61 223 50 157 196 233 146 245 224 40 64 13 222 25 115 134 192 111 157 155 191 15 105 254 72 25 29 222 220 46 26 209 234 210 33 198 50 251 40 13 153 93 156 165 247 204 79 147 51 196 31 37 53 175 223 3 217 229 16 122 126 99 59 193 199 21 219 237 179 219 105 192 221 179 250 1 124 234 220 166 107 233 121 100 224 221 116 33 142 150 104 40 154 163 145 124 72 48 183 182 64 163 27 232 51 194 54 243 5 148 106 156 243 193 204 235 225 29 196 231 37 164 250 152 48 60 47 164 67 110 154 136 196 242 107 226 202 232 92 123 212 122 239 76 42 112 139 237 3 184 80 65 77 195 41 157 158 53 0 6 45 243 203 246 152 221 176 241 60 53 33 67 0 115 87 22 23 167 214 197 196 57 148 113 237 236 5 242 179 211 5 182 182 233 30 13 1 22 130 70 249 67 129 185 226 165 160 254 32 34 209 86 218 208 181 141 122 154 193 72 36 145 60 191 29 32 248 165 52 128 206 243 233 203 237 192 227 18 75 46 154 5 154 66 213 194 153 139 79 19 196 224 14 149 254 12 32 112 106 94 166 247 20 23 153 221 184 233 171 116 204 76 52 119 105 94 167 72 216 159 56 164 230 104 36 53 63 211 160 184 163 190 146 193 119 9 172 110 211 103 161 49 4 111 24 227 93 79 199 248 46 226 143 194 196 171 221 114 15 32 243 123 101 37 66 167 181 253 137 90 111 208 171 78 223 199 176 214 104 190 199 222 220 47 244 93 112 20 41 53 173 58 147 153 89 93 213 117 177 88 148 96 230 29 16 0 127 120 175 177 110 86 102 154 136 68 85 207 213 212 213 47 217 115 14 212 132 100 8 80 243 239 189 37 161 9 91 17 188 193 75 81 111 193 144 53 134 219 27 235 87 158 0 13 9 124 79 122 231 93 64 199 214 98 247 15 16 184 80 36 150 14 184 146 147 143 118 24 237 16 153 86 187 151 36 208 177 74 100 181 90 239 157 194 48 219 61 230 127 29 13 206 47 168 111 220 125 21 0 13 114 59 6 167 197 215 253 146 134 167 92 218 222 88 251 124 245 84 17 137 171 158 171 169 171 95 186 247 60 8 144 33 80 153 191 183 171 100 204 151 233 184 47 22 17 153 241 62 13 241 143 78 226 78 99 226 44 78 148 19 25 135 104 148 102 143 172 70 240 174 103 106 244 175 6 120 175 161 126 249 241 167 105 4 253 141 153 177 220 165 79 158 78 139 68 162 26 210 7 238 234 165 175 190 4 48 215 51 3 184 145 193 233 167 145 136 200 244 217 117 245 75 183 30 62 115 169 141 4 152 158 29 121 241 208 203 51 36 42 1 61 146 121 109 160 33 13 208 117 91 154 72 203 96 3 148 79 178 31 148 170 199 177 80 189 45 91 26 61 206 228 73 67 213 52 232 39 187 72 30 24 239 44 248 107 119 193 246 171 164 14 133 146 56 150 168 30 0 255 69 5 21 169 89 181 156 198 57 155 16 87 122 174 192 71 96 8 104 66 42 152 63 62 248 100 196 37 255 74 103 101 122 136 40 8 82 161 80 146 105 114 117 62 123 160 123 0 78 190 224 119 154 241 58 96 208 94 23 117 18 227 172 58 111 202 69 216 70 63 131 134 15 254 22 73 61 232 144 143 122 168 225 121 22 118 152 73 224 63 75 36 146 249 160 43 156 162 122 19 206 150 139 116 141 171 118 190 209 75 31 217 1 27 248 82 205 252 93 173 191 147 165 103 70 150 180 229 18 245 168 46 117 234 143 98 16 91 26 179 21 130 117 129 80 154 142 159 155 122 134 31 157 73 66 192 175 229 149 128 170 54 64 67 8 80 252 60 95 98 217 198 36 97 199 230 174 239 140 87 42 83 53 238 154 118 15 132 216 11 40 73 219 149 190 177 203 0 48 143 150 247 140 247 139 100 187 129 33 173 81 226 224 208 242 79 167 159 201 155 30 228 177 214 6 38 74 211 113 107 115 175 251 111 80 179 50 99 230 81 18 196 150 174 119 54 82 131 41 87 160 185 33 15 130 45 34 81 253 191 97 240 164 167 210 17 85 221 5 148 33 36 106 238 166 133 230 79 194 153 180 190 204 126 134 0 188 84 46 186 83 226 231 22 206 158 81 66 145 169 114 89 189 130 221 14 69 5 10 7 40 178 192 199 60 40 113 143 58 114 241 244 131 237 165 160 23 58 126 221 60 61 250 63 61 95 187 130 4 239 247 73 205 77 134 0 241 201 204 191 138 136 200 177 158 39 0 127 164 132 136 68 85 121 245 69 181 79 68 68 182 67 73 130 60 91 188 180 97 79 14 52 101 206 21 153 126 5 4 113 115 24 217 151 209 204 67 247 203 112 197 249 119 203 206 162 237 134 0 12 9 236 46 37 28 72 150 41 6 254 215 102 104 80 108 16 89 243 187 33 81 214 158 218 144 202 152 79 103 165 164 170 3 29 110 138 136 200 239 36 249 106 89 53 243 149 118 67 240 35 17 145 191 136 52 238 255 25 166 43 20 21 4 96 110 93 60 115 252 240 158 109 77 155 54 174 91 179 177 105 219 158 3 71 219 8 188 95 174 32 240 244 234 218 13 251 79 157 187 124 229 135 203 231 78 236 95 87 83 93 85 222 6 104 6 47 205 232 179 18 112 44 83 51 243 107 138 169 93 145 76 155 214 29 177 71 76 174 139 136 28 164 11 58 191 187 165 250 79 144 95 16 157 50 63 122 238 17 52 132 96 138 90 96 169 98 92 223 152 169 26 238 217 214 211 171 235 222 216 127 234 220 119 87 126 184 124 238 248 190 181 179 51 51 162 242 143 140 229 116 26 194 157 123 125 106 233 164 168 6 241 90 85 175 105 18 125 192 196 145 171 222 187 245 4 0 30 189 90 238 164 204 88 166 85 207 159 147 41 70 187 188 163 54 20 60 60 228 131 198 169 101 49 191 109 72 75 224 23 145 183 46 230 158 164 18 58 4 2 79 91 119 46 125 46 51 163 143 82 111 87 128 133 21 29 198 87 190 189 178 121 94 255 164 142 251 75 225 93 10 234 65 17 153 78 245 52 189 182 68 102 172 36 208 169 182 101 242 133 42 161 196 23 131 249 194 65 237 38 84 122 99 92 223 114 247 147 149 51 123 116 169 122 107 227 140 114 233 74 79 225 130 26 144 198 240 187 198 126 78 140 40 33 101 214 120 252 150 106 215 111 45 234 163 203 157 148 34 4 126 55 96 122 232 49 213 233 237 105 253 59 166 163 53 192 39 83 100 140 218 126 16 233 230 76 176 201 166 222 154 224 19 160 120 46 78 3 12 158 238 92 180 234 39 86 92 254 107 180 91 133 130 101 9 12 148 32 113 123 99 133 135 197 70 175 145 14 255 136 251 127 17 192 7 103 31 21 211 58 200 79 87 84 145 14 199 6 122 252 34 242 238 152 129 126 25 230 170 136 200 119 198 17 179 123 241 72 14 232 218 150 136 182 125 179 64 68 68 190 165 225 75 145 140 155 22 203 139 203 150 52 190 56 111 94 125 166 114 97 242 73 226 152 27 104 198 29 254 61 255 132 5 69 228 199 247 231 215 136 72 147 218 192 153 3 125 209 65 176 99 172 64 143 73 30 17 137 103 81 61 91 123 209 234 1 112 190 52 164 188 243 58 84 79 203 120 106 209 160 181 141 12 233 244 70 127 119 60 255 225 141 14 34 181 52 191 167 38 87 59 125 244 14 3 167 0 220 6 175 141 21 232 27 65 190 84 152 158 152 219 19 243 59 196 227 105 229 136 117 151 44 36 173 78 212 22 53 169 181 236 227 152 191 72 228 181 51 119 88 112 45 252 184 99 81 181 144 68 93 193 27 111 7 60 117 55 222 77 114 251 88 129 126 148 188 43 34 242 152 190 231 166 120 36 55 12 251 56 46 253 42 236 8 28 92 243 167 110 23 140 215 255 244 129 248 250 115 15 10 230 98 238 200 255 204 22 137 69 190 160 51 159 138 72 188 3 118 192 19 221 227 153 79 96 46 201 88 129 254 3 121 86 36 174 83 186 30 229 29 35 249 9 224 226 242 51 253 130 58 222 154 208 152 215 145 78 91 203 169 247 111 182 230 0 67 144 23 155 23 20 85 132 99 116 68 36 34 151 147 66 2 65 127 107 205 191 129 108 38 26 43 208 73 110 141 68 222 75 92 64 183 34 99 81 230 23 99 176 190 47 54 80 55 112 8 216 184 110 187 97 3 123 173 119 178 177 53 15 144 6 108 121 179 155 82 248 9 29 89 45 50 139 33 96 227 0 38 244 13 34 91 27 143 21 167 55 50 53 216 12 189 118 207 193 105 204 2 220 218 151 170 123 39 241 250 245 132 6 253 170 241 166 167 107 123 229 39 185 212 183 250 228 147 117 61 239 239 96 170 235 31 135 27 240 24 204 235 196 173 153 177 140 21 232 111 144 119 69 162 6 165 195 71 165 242 103 29 97 250 41 69 221 65 151 28 156 200 152 255 141 193 225 108 233 149 5 255 120 144 250 206 115 159 174 233 101 247 165 133 116 143 137 200 93 88 29 224 132 173 239 201 207 37 150 49 3 125 119 90 59 103 43 92 48 153 18 249 243 33 96 208 103 88 115 252 142 218 128 181 19 88 123 143 223 131 181 197 163 178 34 201 108 253 190 224 74 111 125 163 172 165 191 72 173 213 37 18 175 164 37 7 8 32 185 202 66 78 243 24 129 126 24 56 38 34 119 232 19 51 173 120 117 206 101 18 88 221 183 23 227 22 28 49 145 25 93 190 76 58 15 43 142 69 150 183 144 160 33 46 239 236 203 220 191 64 175 156 25 201 101 184 228 194 64 158 162 206 135 140 17 232 123 129 253 34 245 160 211 175 138 223 180 142 134 204 246 115 124 193 212 167 116 201 209 9 13 58 67 90 68 49 150 154 45 247 211 240 134 182 227 51 251 82 113 162 26 165 55 95 137 8 67 192 219 149 250 252 198 8 244 119 137 163 34 171 97 45 58 75 164 206 252 140 198 240 98 127 222 202 86 117 101 227 145 38 142 116 127 11 214 234 206 72 100 193 177 194 254 232 119 171 251 235 112 8 46 104 163 200 137 65 137 192 49 2 189 14 252 82 228 83 245 236 204 41 219 68 16 232 215 241 50 181 195 120 92 153 208 140 254 41 92 192 84 89 122 37 13 125 120 240 73 191 94 220 120 14 233 240 40 22 201 38 86 15 252 217 65 151 219 224 92 1 29 30 139 68 82 245 234 35 208 48 187 168 223 37 233 91 184 160 75 39 180 19 246 134 122 222 89 158 75 171 226 181 109 29 232 246 227 176 1 175 74 188 161 2 53 110 236 65 143 87 3 216 162 116 218 42 153 218 109 36 104 208 218 255 222 196 75 70 125 114 115 66 51 186 48 56 165 146 134 230 214 188 1 183 106 230 43 157 102 99 145 54 12 232 141 251 51 112 186 236 37 104 24 120 241 30 9 210 48 183 184 255 105 18 61 77 28 203 167 12 77 148 22 189 205 160 202 96 52 127 97 224 221 185 72 254 31 156 49 127 147 248 37 6 114 101 252 231 7 93 150 154 210 226 142 79 7 56 39 42 146 253 8 22 31 78 100 200 37 106 161 146 128 169 140 107 155 17 44 207 139 200 77 56 243 64 198 1 167 139 200 157 52 68 154 32 54 13 120 243 139 80 175 168 158 192 160 203 166 60 53 16 21 158 61 24 207 7 29 114 34 34 121 6 188 57 78 64 7 157 254 254 69 203 222 87 50 241 64 97 37 81 53 141 235 86 194 107 194 181 198 44 149 74 125 80 105 140 205 35 56 229 220 88 162 47 212 145 81 52 46 64 111 32 29 174 138 84 16 91 18 203 21 216 128 109 19 22 241 88 174 83 67 80 13 90 233 105 244 103 17 130 30 23 137 228 15 216 100 187 140 15 78 95 142 224 80 161 127 237 35 165 77 174 75 60 81 33 63 248 7 140 165 26 235 244 68 101 125 14 146 22 183 69 210 29 117 214 68 227 2 244 120 19 172 211 173 21 221 187 129 116 106 170 38 42 159 215 252 202 196 49 225 9 88 167 251 42 129 47 218 76 227 144 149 88 226 8 168 32 8 246 207 194 233 59 18 103 203 102 111 244 86 244 105 28 186 199 90 76 36 165 253 8 19 27 20 103 231 236 83 103 81 73 233 164 120 25 141 75 204 11 145 136 236 161 37 234 163 113 2 250 126 117 150 47 86 64 149 249 132 51 61 10 72 78 156 54 227 166 170 35 184 66 226 143 224 108 37 165 110 163 185 121 88 195 101 34 18 77 39 122 108 192 255 169 65 255 88 189 173 96 147 32 106 204 39 206 112 185 76 76 183 204 198 124 18 172 65 75 149 136 156 84 103 241 63 3 243 249 172 92 98 77 161 170 207 174 100 208 140 62 150 160 31 171 8 244 168 254 49 138 35 156 120 26 220 71 52 206 2 105 9 145 211 112 129 43 6 164 72 245 111 176 38 45 109 19 85 83 157 25 108 0 217 24 130 126 88 189 229 128 100 121 241 97 210 57 194 9 136 249 121 208 81 239 214 166 118 201 113 56 171 3 113 122 60 253 63 176 134 5 243 117 47 44 81 59 126 64 223 171 206 178 102 32 62 127 144 216 180 208 224 4 84 225 166 254 160 244 134 45 157 166 232 97 56 171 107 6 232 148 121 160 214 112 107 225 31 170 51 23 100 252 128 190 45 113 150 253 171 103 209 188 199 8 134 27 38 38 159 87 223 78 130 55 60 208 197 6 176 182 180 214 84 185 78 117 29 26 76 177 250 235 135 137 51 168 25 63 160 199 27 213 58 246 175 171 46 202 131 9 86 76 72 21 46 170 186 129 224 76 105 26 238 6 88 171 239 245 187 30 44 0 104 58 43 207 197 117 44 137 55 27 23 156 190 20 193 245 159 163 180 145 9 53 59 49 115 215 34 185 146 4 103 186 205 250 186 1 124 148 145 172 70 194 228 113 81 60 254 211 56 51 248 26 183 99 9 122 45 233 244 219 126 102 245 126 130 184 49 117 130 238 160 255 83 131 51 220 212 109 116 12 229 82 154 186 48 223 70 67 220 45 22 51 90 168 116 60 35 227 137 211 37 79 159 60 232 115 132 51 191 37 13 207 79 80 243 92 222 83 122 195 166 238 187 9 215 224 249 175 62 187 84 181 210 144 151 186 40 114 37 113 73 126 8 27 18 99 9 250 17 117 204 247 197 230 243 1 2 251 38 232 30 75 92 203 196 179 68 135 75 219 9 184 208 71 172 91 36 175 208 208 224 72 23 69 214 43 45 15 68 227 138 211 163 5 164 67 185 58 213 177 84 159 32 136 1 34 168 198 115 187 153 56 91 172 15 90 108 207 195 216 194 17 30 61 33 175 250 128 6 200 189 90 114 137 234 145 29 202 203 199 146 211 165 69 45 114 82 166 122 247 114 144 6 215 227 9 27 16 215 172 193 39 143 122 47 93 39 97 211 10 248 61 217 224 53 32 45 37 213 213 14 168 13 28 82 142 215 88 130 30 213 0 65 143 118 31 122 44 113 99 14 134 120 178 69 38 110 90 195 191 225 88 182 220 196 67 132 158 5 86 34 137 26 218 64 195 252 238 210 122 157 141 44 86 155 27 87 156 30 55 50 49 232 158 194 49 109 121 158 164 225 221 25 19 55 238 53 218 162 214 150 45 158 19 53 2 228 246 110 124 48 117 217 111 36 193 182 82 38 136 228 235 196 154 161 29 108 49 182 160 139 188 76 146 37 5 202 231 156 41 84 60 92 36 19 185 253 162 142 125 156 89 191 8 32 78 119 225 251 220 169 180 246 248 31 175 255 181 219 125 239 34 216 194 81 125 227 12 244 72 234 9 131 39 95 109 105 204 52 110 56 218 254 135 73 235 242 110 159 58 129 69 187 164 39 89 244 5 88 35 1 230 47 55 53 102 26 214 127 212 222 81 168 49 179 183 135 220 155 10 227 112 111 136 84 26 99 78 143 101 230 143 128 73 11 109 119 86 176 109 206 200 196 110 175 209 6 125 181 175 229 107 218 121 210 0 105 49 238 244 132 129 237 189 170 81 126 161 150 92 38 227 145 211 69 68 164 225 58 186 146 30 240 207 198 233 19 155 203 69 228 176 58 62 233 71 252 205 253 174 200 3 134 56 55 191 23 228 209 54 6 139 86 25 183 160 199 34 47 190 126 226 22 193 155 45 111 53 76 116 38 23 17 145 243 240 3 4 189 214 45 59 254 19 136 155 45 91 202 81 36 170 134 113 201 131 33 59 43 167 252 185 200 17 253 111 192 92 174 195 14 144 145 18 247 79 145 75 234 56 112 136 205 120 1 253 127 71 187 10 171 195 217 47 62 194 16 112 66 38 65 31 79 237 115 4 93 54 228 222 241 74 26 151 220 30 134 230 51 9 250 24 180 35 8 186 106 232 43 224 99 56 195 198 104 146 211 199 153 201 54 184 44 211 94 26 1 217 60 156 247 79 130 62 22 45 31 244 216 80 251 158 102 8 67 117 197 77 130 62 134 237 30 248 159 33 118 221 78 99 147 107 195 51 115 38 65 31 11 215 196 199 202 94 7 212 86 182 160 175 162 113 230 247 154 104 146 211 199 95 131 193 7 67 233 55 15 137 51 156 59 76 151 229 36 232 99 210 190 4 49 4 118 125 137 112 201 48 188 50 147 160 143 101 203 16 104 25 116 175 90 194 41 55 201 36 232 227 179 29 101 183 35 230 43 197 220 42 119 202 36 232 227 181 221 162 193 243 131 18 240 141 76 172 114 183 76 130 62 94 91 148 129 193 173 65 28 252 40 243 153 88 112 151 76 130 62 142 81 95 67 152 155 149 218 219 145 172 83 181 192 38 153 4 125 92 183 102 194 220 173 244 230 3 160 213 252 18 153 4 125 220 163 78 230 254 86 1 175 71 85 183 192 128 220 72 69 152 76 130 62 118 2 94 214 193 0 123 6 190 115 35 53 168 222 30 177 55 79 130 62 118 45 150 185 52 3 170 115 177 92 37 104 120 112 228 66 7 39 65 31 211 150 249 209 24 62 61 213 159 56 104 201 147 212 92 253 8 134 139 78 130 62 198 204 254 62 0 62 58 209 87 21 224 150 199 48 76 120 96 198 72 190 117 18 244 177 70 125 193 93 210 176 227 187 53 189 131 32 55 124 247 20 134 6 231 107 71 54 42 124 18 244 177 111 111 145 134 224 163 43 31 174 234 186 248 218 193 239 178 0 105 120 113 241 72 7 9 79 130 254 39 96 118 105 98 154 206 69 60 188 123 237 199 31 127 252 37 61 105 147 36 142 47 28 249 184 240 73 208 255 28 176 175 254 156 40 57 223 164 144 238 243 213 230 204 104 164 251 76 130 254 103 193 125 230 250 99 55 0 22 206 224 3 191 61 188 110 234 40 189 108 18 244 63 19 191 203 188 85 111 111 219 177 173 121 227 242 23 68 70 47 165 239 255 3 13 195 229 237 201 102 199 82 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:47'!
selectorsToInclude
	^ #(styleCss)! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/25/2009 17:17'!
styleCss
	^'
* {
	font-family: verdana,sans-serif;
}

a {
	color: #b49c1c;
}

a:hover {
	color: #cccccc;
}

legend {
	font-weight: bold;
}

body {
	background-image: url("/seaside/files/CCLibrary/gradient.png");
	background-repeat: repeat-x;
	background-color: #2e0d26;
}

#heading {
	position: absolute;
	top: 10px;
	height: 147px;
	left: 0.75em;
	right: 0;
	margin:0;
	font-size: 2em;
	background-image: url("/seaside/files/CCLibrary/logo.png");
	background-repeat: no-repeat;
	z-index: 1;
}

#heading h1 {
	display: none;
}


#contents,
#contents-bg,
#lightbox {
	position: absolute;
	top: 110px;
	left: 13em;
	right: 1.5em;
	bottom: 1.5em;
}

#contents.lightbox,
#contents-bg.lightbox,
#lightbox {
	left: 1.5em;
}

#contents-bg {
	z-index: 0;
	overflow: hidden;
}

#nav,
#nav-bg {
	position: absolute;
	left: 1.5em;
	top: 110px;
	width: 10em;
	margin: 0;
	bottom: 1.5em;
}

#nav-bg
{
	z-index: 0;
	background-repeat: no-repeat;
}

#nav-bg .tl, #contents-bg .tl,
#nav-bg .tr, #contents-bg .tr,
#nav-bg .bl, #contents-bg .bl,
#nav-bg .br, #contents-bg .br {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/background.png");
	height: 40px;
	width: 40px;
	background-repeat: no-repeat;
}

#nav-bg .tl,
#contents-bg .tl 
{
	left: 0;
	top: 0;
}

#nav-bg .tr,
#contents-bg .tr {
	right: 0;
	top: 0;
	background-position: 0 -40px;
}

#nav-bg .l,
#contents-bg .l  {
	position: absolute;
	background-color: #5d1a4d;
	left: 0;
	top: 40px;
	bottom: 40px;
	right: 0;
	z-index: -1;
}

#nav-bg .r,
#contents-bg .r {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 40px;
	right: 40px;
	background-color: #5d1a4d;
	z-index: -1;
}


#contents-bg .bl,
#nav-bg .bl {
	left: 0;
	bottom: 0;
	background-position: 0 -80px;
}

#nav-bg .br,
#contents-bg .br {
	right: 0;
	bottom: 0;
	background-position: 0 -120px;
}

#nav {
	z-index: 4;
	background-color: transparent;
}

#nav ul {
	list-style: none;
	padding: 0;
	margin: 0;
	margin-top: 35px;
}

#nav li {
	margin: 0;
	padding: 0;
}
#nav a {
	text-decoration: none;
	padding: 0.5em;
	color: #b49c1c;
	font-weight: bold;
	display: block;
}

#nav a:hover {
	color: black;
	background-color: #b49c1c;
}


#contents {
	padding: 0;
	margin: 0px;
	z-index: 4;
}

#contents .tl, #contents .tr,
#contents .bl, #contents .br  {
	position: absolute;
	height: 40px;
	width: 40px;
	background-image: url("/seaside/files/CCLibrary/glasstitlecorners.png");
	z-index: -1;
}

#contents .tl {
	top: 0;
}
#contents .tr {
	right: 0;
	top: 0;
	background-position: 0 -40px;
}

#contents .bl {
	bottom: 0;
	background-position: 0 -80px;
}

#contents .br {
	bottom: 0;
	right: 0;
	background-position: 0 -120px;
}

#contents .t,
#contents .b {
	position: absolute;
	left: 40px;
	right: 40px;
	height: 40px;
	width: auto;	
	background-image: url("/seaside/files/CCLibrary/glasstitletb.png");
	z-index: -1;
}

#contents .t {
	background-position: 0 0px;
	top: 0;
}

#contents .b {
	background-position: 0 -40px;
	bottom: 0;
}

#contents .l, #contents .r
{
	position: absolute;
	width: 40px;
	top: 40px;
	bottom: 40px;
	background-image: url("/seaside/files/CCLibrary/glasslr.png");
}

#contents .r {
	right: 0;
	background-position: -40px 0;
}

#contents .m,
#lightbox-content {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/glass.png");
	background-repeat: repeat;
	left: 40px;
	right: 40px;
	top: 40px;
	bottom: 40px;
	overflow: auto;
	padding-top: 0.5em;
}


#contents h2,
#lightbox h2 {
	margin-top: 15px;
	font-size: 21px;
	text-align: center;
	font-weight: normal;
	color:  black;
}

#contents h3 {
	font-weight: normal;
	font-align: center;
	font-size: 1.1em;
	margin-top: 0;
	margin-bottom: 0;
}

#contents p {
	margin-top: 0.5em;
	margin-bottom: 1.5em;
}

#contents a.fn {
	text-decoration: none;
}

#contents .footnotes {
	border-top: solid black 1px;
}

#contents .footnotes p {
	font-size: 0.6em;
	margin-top: 0;
	margin-bottom: 0;
}

#background  {
	height: 100%;
	width: 100%;
}

#background td {
	text-align: center;
}

#background img {
	width: 40%;
	max-width: 400px;
	min-width: 200px;
}

.product-preview {
	border-bottom: dashed 1px grey;
	margin: 3px;
	padding: 3px;
clear: both;
}

.product-preview img {
	float: left;
	margin-top: 0.2em;
	margin-left: 0.2em;
	margin-right: 1em;
	margin-bottom: 0.5em;
}
.product-preview h3 {
	margin-top: 0;
	margin-bottom: 0;
	font-size: 1em;

}
.product-preview p {
	margin-top: 0;
	margin-bottom: 0;
}

.product-preview a {
	text-decoration: none;
}

.product-preview img {
	border: none;
}

.product-details {
	margin-bottom: 2em;
}

.product-details h2 {
	margin-top: 0;
}

.product-details .image-viewer {
	float: right;
	margin-right: 1em;
	margin-bottom: 0.5em;
}

.product-details form {

}
.image-viewer {
	border: solid grey 1px;
	padding: 0;
	text-align: center;
	background-color: #2d002d;
}

.image-viewer img {
	border: 0;
	padding: 0;
}

.image-viewer ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.image-viewer li {
	display: inline;
	margin: 0;
	padding: 0;
}

.image-viewer li img {
	opacity: 0.4;
}

.image-viewer li a img {
	opacity: 1;
}

#lightbox {
	background-color: transparent;
z-index: 10;
}

#lightbox-content {
	background-image: none;
}
#lightbox .nav-buttons {
	padding: 0.2em;
	text-align: right;
}

#lightbox .item p {
	font-size: 1.1em;
	margin-left: 2em;
}

#lightbox fieldset {
	border: 1px solid #5d1a4d;
}
#lightbox legend  {
color: #5d1a4d;
}

#lightbox fieldset label {
margin-left: 0;
margin-top: 0.5em;
}

#lightbox fieldset p {
margin-top: 0;
font-size: 0.9em;
}
#lightbox fieldset p.desc {
margin: 0;
font-size: 0.7em;
color: #5d1a4d;
font-weight: bold;
}
 
ul.wizard-tabs {
	list-style: none;
	margin: 0;
	padding: 0;
}

.wizard-tabs li {
	display: inline;
	margin-left: 0.5em;
	margin-right: 0.5em;
}

.wizard-tabs li.disabled {
	color: grey;
}

.cart-view {
	margin: 0.5em;
}

#confirm-order {
	padding-left: 0.5em;
	padding-right: 0.5em;
}

#confirm-order h2 {
	margin-top: 0;
	margin-bottom: 0;
	font-size: 1.2em;
}

#confirm-order div {
	margin: 0;
}
#confirm-order p {
	margin-top: 0;
}

#confirm-order dl {
	margin-top: 0.5em;
	padding: 0;
}

#confirm-order dt {
	font-weight: bold;
}

#confirm-order dd {
	margin-left: 8em;
	margin-top: -1em;
}

label {
	width: 10em;
	display: inline-block;
	text-align: right;
	margin-right: 0.5em;
}

.error label {
	color: red;
}

.cc-sizes-editor {
padding-top: 0;
}

#contents .cc-sizes-editor p {
margin-bottom: 0.5em;
margin-top: 0;
}

.cc-sizes-editor .desc {
font-size: 0.8em;
color: #404040;
font-style: italic;
}

.cc-sizes-editor div {
	display: inline-block;
margin-right: 1em;
}

.cc-sizes-editor input {
	width: 3em;
}

.cc-sizes-editor label {
	width: auto;
}

.cc-sizes-editor .units {
display: block;
}

.error-msgs {
	border: 1px dotted red;
	padding-left: 5px;
	font-size: 0.8em;
	margin-top: 0;
	list-style: none;
}

#add-item div.item {
	padding: 5px;
	margin-top: 0;
}

#add-item div.item img {
	float: left;
	margin-right: 5px;
	margin-top: 0;
}

#add-item div.item p {
	margin-top: 0;
}

.cart-widget {
	border: solid 1px #b49c1c;
	margin: 4px;
	margin-top: 1em;
	background-image: url("/seaside/files/CCLibrary/glass.png");
	padding: 2px;
}

.cart-widget h3 {
	margin: 0;
	padding-left: 0.5em;
	padding-right: 0.5em;
	font-size: 1em;
	text-align: center;
	background-color: #b49c1c
}

.cart-widget p {
	margin: 0;
	font-size: 0.9em;
}


.cc-fabric-editor {
	width: 500px;
	padding-top: 0;
}

.cc-fabric-editor img.selected {
	width: 100px;
	height: 100px;
	float: left;
}

.cc-fabric-editor div.selected {
	border-width: 1px;
	border-style: solid;
	border-color: red;
	float: left;
	text-align: center;
	color: red;
	width: 98px;
	height: 98px;
	line-height: normal;
}

.cc-fabric-editor h4 {
margin-bottom: 0;
margin-top: 1em;
}

#contents .cc-fabric-editor p {
	margin-top: 0;
	margin-bottom: 0.2em;
}

.cc-fabric-editor .fabricList {
	line-height: 0;
}

.cc-fabric-editor .fabricList a {
	border: none;
	margin: 0;
	padding: 0;
}

.cc-fabric-editor img {
	border: none;
	margin: 0;
	padding: 0;
	height: 50px;
	width: 50px;
}

.cc-fabric-editor .fabricNav {
	text-align: center;
}

.cc-fabric-editor .fabricNav a,
.cc-fabric-editor .fabricNav span {
	text-decoration: none;
	font-weight: bold;
}

.cc-fabric-editor .fabricNav span {
	color: #808080;
}
'! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
thcenturyPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 150 0 0 0 159 8 6 0 0 0 27 14 32 42 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 32 0 73 68 65 84 120 218 237 157 119 124 92 215 117 231 127 131 222 11 9 18 32 65 128 5 4 155 216 41 54 201 106 180 154 139 108 75 178 229 22 247 146 56 137 179 41 78 214 217 236 218 217 216 217 244 230 18 59 89 59 142 45 91 205 77 81 179 45 81 189 80 162 10 197 78 176 128 0 73 20 2 32 209 59 48 216 63 222 247 248 30 206 146 20 41 1 160 72 226 125 62 243 25 96 230 205 123 247 157 251 187 167 223 115 98 58 119 71 76 210 136 164 12 73 197 146 186 37 13 72 234 56 201 185 229 146 10 36 165 75 138 75 42 145 84 45 105 119 194 181 38 142 55 201 17 59 199 247 95 201 107 178 164 74 73 79 75 106 149 148 39 105 80 82 161 164 58 73 45 146 50 37 93 34 105 157 164 231 36 189 10 216 94 150 212 56 49 149 19 192 50 238 114 137 164 153 146 234 37 205 144 212 197 223 5 112 177 181 146 14 73 122 64 210 7 36 125 2 192 85 73 74 3 112 127 41 105 158 164 124 73 247 193 205 46 214 35 155 197 151 11 13 143 65 191 115 114 36 159 163 251 78 145 244 231 146 182 2 174 62 222 43 225 70 43 37 53 75 250 153 164 191 149 244 27 146 106 37 165 72 234 145 180 77 210 144 164 105 146 30 147 180 87 210 219 37 237 185 200 152 66 182 164 5 44 210 165 146 174 144 84 36 169 77 210 219 160 215 161 139 133 99 73 210 63 194 165 178 37 29 151 52 91 82 42 156 172 80 210 237 146 190 42 233 235 0 110 23 196 171 134 104 67 188 231 72 218 32 233 123 0 178 66 210 163 23 56 160 50 225 208 11 209 53 75 36 45 145 212 41 233 121 73 115 0 212 243 146 38 177 104 59 198 155 46 177 113 38 200 111 75 186 82 210 131 136 173 122 73 195 40 229 37 40 233 55 33 6 63 39 105 185 164 253 40 246 179 224 98 57 146 218 37 29 5 72 249 146 74 225 108 93 156 119 223 5 6 166 36 104 51 136 161 179 8 186 205 150 212 43 169 1 96 245 51 167 215 240 253 34 73 47 74 186 159 5 122 92 210 75 44 204 11 70 20 110 192 138 59 0 176 86 195 177 234 225 68 123 208 15 202 209 167 74 33 214 49 206 219 205 123 151 164 169 232 97 67 128 242 136 164 53 16 177 31 177 176 255 2 0 212 52 230 104 145 164 203 36 125 12 186 196 176 160 27 208 53 75 225 246 41 146 178 88 180 253 168 8 235 80 49 14 67 179 41 112 178 150 177 212 73 199 19 88 87 73 58 200 234 59 138 110 144 36 233 17 222 179 224 102 243 224 72 127 10 97 211 1 73 14 160 42 228 122 11 32 228 70 196 98 7 220 110 27 43 179 12 208 198 70 145 86 227 225 210 200 145 180 10 16 180 74 186 81 210 50 20 242 26 68 91 53 28 169 16 14 214 5 72 210 49 112 58 81 45 38 115 110 28 17 185 95 210 11 72 143 229 92 111 228 124 6 214 44 73 77 146 222 137 232 122 22 55 193 78 8 246 30 56 210 141 146 46 197 149 240 67 73 79 0 200 20 88 126 9 22 97 174 164 167 248 253 2 8 156 197 42 188 77 210 93 172 242 56 28 239 245 30 147 185 78 169 164 247 73 90 129 40 25 139 163 4 218 228 161 112 151 75 250 34 186 229 65 212 128 56 28 106 30 96 26 225 179 118 104 148 10 157 210 161 73 14 92 189 144 69 118 11 116 202 147 180 3 218 30 65 196 158 151 58 214 34 184 210 219 37 253 20 113 184 2 14 243 43 73 235 121 224 61 16 172 3 229 83 16 235 159 32 92 53 68 239 6 144 201 156 191 146 21 220 2 48 27 36 253 9 110 138 184 164 123 116 102 78 212 28 198 177 130 235 155 168 29 230 255 114 73 127 129 152 49 250 217 56 142 157 229 234 47 224 58 211 208 127 170 16 81 21 128 105 57 128 105 196 34 238 226 185 141 187 151 2 182 14 198 151 13 96 42 177 156 95 225 213 194 98 28 230 250 215 72 218 36 233 93 146 190 37 233 119 81 77 182 159 143 192 186 140 247 235 36 253 111 38 191 23 142 51 73 210 157 60 216 131 146 30 63 197 56 63 15 129 39 67 196 65 88 126 153 19 3 57 136 217 114 20 214 71 37 125 138 207 30 56 205 248 166 115 157 28 73 115 153 208 33 38 51 141 235 31 86 112 216 238 227 126 215 48 113 165 136 173 82 198 248 178 3 159 29 83 249 253 44 192 48 196 189 250 16 77 179 121 141 240 251 26 68 96 140 113 244 241 28 89 112 255 73 184 22 186 56 103 58 223 31 0 56 195 167 113 245 196 37 61 140 84 248 47 244 223 38 68 229 174 243 73 20 174 103 178 143 35 230 250 33 230 52 0 182 30 130 28 62 141 223 37 137 149 221 196 111 59 16 9 195 110 213 246 178 90 187 88 145 203 37 253 3 247 46 103 178 98 14 172 185 136 231 73 76 88 161 227 82 205 208 39 14 40 122 121 141 48 134 107 153 136 157 112 155 163 232 122 173 112 157 37 140 239 18 12 149 203 25 99 3 134 198 6 158 119 30 227 233 68 217 174 129 75 149 115 174 209 234 48 227 73 135 139 79 3 88 217 60 255 47 36 61 3 176 79 199 57 103 179 112 38 179 248 166 225 47 28 132 38 127 3 247 173 127 35 250 215 120 0 43 149 85 242 22 73 223 132 72 37 146 62 195 132 244 35 42 235 145 247 245 167 184 206 17 184 74 38 22 209 50 38 179 5 96 228 50 113 203 248 172 11 157 229 67 220 183 20 49 81 141 165 52 93 210 245 142 160 195 16 180 25 128 204 225 158 189 128 250 54 192 223 8 208 210 81 178 167 193 193 134 156 17 81 207 185 251 121 198 109 248 217 106 120 246 233 92 55 149 197 102 209 134 97 167 47 14 242 156 157 112 171 100 158 95 60 107 22 99 125 16 125 179 253 12 129 80 194 98 89 128 26 50 137 123 207 115 174 156 249 206 141 241 186 164 90 202 56 0 43 3 226 164 243 46 6 255 159 136 191 171 37 125 84 210 151 206 128 48 247 225 175 106 100 194 4 97 242 28 128 183 59 61 36 143 247 223 68 103 123 63 142 197 78 68 210 46 0 81 199 36 214 51 233 57 136 206 75 25 255 81 172 215 70 158 195 204 245 124 190 59 211 99 208 233 62 158 62 182 192 103 192 9 43 36 61 201 24 27 221 121 77 88 129 121 146 126 196 34 57 219 35 14 120 203 1 207 17 158 37 195 125 254 45 71 191 142 55 43 176 166 177 146 147 248 191 24 118 251 219 238 156 199 17 97 103 194 65 127 193 195 183 35 110 102 195 157 58 225 10 111 225 94 135 37 109 102 181 199 37 189 3 83 187 8 2 62 130 50 220 137 88 104 195 255 101 99 93 8 167 233 227 188 23 36 45 102 5 167 241 92 15 140 2 125 250 220 223 85 188 254 12 14 91 15 135 110 2 240 157 112 167 45 111 192 209 154 206 248 205 72 249 168 164 223 135 27 110 117 122 220 97 184 246 235 2 214 120 136 194 21 112 132 63 98 50 231 40 4 155 107 209 55 62 195 42 25 130 253 158 238 168 65 63 89 133 62 211 3 193 135 81 134 155 1 216 163 112 192 99 112 179 167 248 125 45 215 168 67 12 167 243 217 20 174 151 195 196 153 15 204 244 182 56 28 101 8 112 246 64 252 209 60 178 17 85 79 193 45 210 161 83 42 192 222 164 55 150 201 49 9 112 45 229 122 197 208 241 121 158 51 15 183 79 37 244 41 129 158 175 11 193 99 125 88 232 97 15 19 245 148 164 31 163 11 9 17 116 148 177 228 157 225 53 255 11 49 149 5 120 218 224 42 15 192 253 58 224 102 121 172 206 46 184 210 81 56 196 33 244 148 110 196 128 57 29 251 88 181 153 10 1 239 33 68 232 122 199 173 26 249 124 202 40 91 214 221 220 59 29 154 245 33 18 239 28 165 72 130 249 245 174 0 100 113 7 164 106 238 109 139 111 41 254 179 49 85 222 223 136 215 185 80 33 166 215 142 168 250 0 22 73 5 220 102 1 34 46 126 6 28 203 38 160 28 17 209 8 1 94 196 10 28 0 204 205 124 62 8 135 170 230 254 109 60 203 17 199 141 134 56 175 15 64 25 7 28 4 240 253 136 198 90 254 79 134 139 188 27 87 202 115 163 188 24 39 195 53 95 125 131 14 222 196 35 19 174 158 139 133 253 77 68 236 108 22 225 11 60 95 39 146 102 15 255 159 245 220 167 156 5 215 121 189 71 58 15 116 155 164 191 150 244 47 172 250 67 76 236 251 0 214 0 147 117 166 150 230 79 16 87 75 177 210 186 20 37 10 102 227 2 72 131 155 116 160 152 38 113 143 129 211 92 183 159 87 50 191 141 3 174 195 0 115 30 207 35 136 253 35 64 48 154 135 129 124 44 244 223 84 158 175 155 247 73 112 232 118 158 181 207 113 175 30 247 156 99 34 10 103 74 186 251 13 234 13 125 232 87 159 96 210 14 227 223 137 51 233 189 128 239 76 131 162 249 152 243 233 112 173 95 240 255 81 86 89 6 132 235 128 152 177 179 92 8 195 14 128 35 78 199 50 78 85 200 247 117 40 248 177 81 158 252 62 116 171 209 62 50 225 76 77 60 83 43 28 241 106 104 151 207 57 11 120 182 215 13 172 51 17 133 61 136 153 214 215 249 48 51 184 207 77 146 126 11 31 210 195 40 201 203 144 241 191 96 50 227 103 168 44 142 192 165 90 156 207 170 7 48 141 0 212 97 38 60 9 46 16 63 11 238 156 126 18 162 142 160 236 166 161 188 111 117 171 122 180 57 86 62 227 104 27 197 235 230 3 214 98 222 51 161 77 37 52 159 133 72 52 151 75 35 116 213 88 113 172 193 215 233 47 177 99 47 131 46 150 244 101 73 255 174 40 0 250 30 38 39 73 81 252 173 143 73 59 83 226 247 65 128 190 132 201 31 74 248 127 240 44 68 121 42 227 25 100 44 70 159 10 128 60 192 34 73 3 208 210 232 135 197 6 88 116 163 157 210 82 1 80 151 193 113 219 177 250 14 57 53 192 194 87 101 103 168 235 158 83 171 176 19 241 180 15 31 205 91 25 248 87 225 86 157 60 244 228 179 100 255 35 232 10 163 121 152 178 110 249 78 38 170 39 73 250 160 19 135 199 49 20 190 200 56 70 147 142 133 136 165 162 81 126 54 179 126 231 195 145 243 241 203 253 30 210 168 0 78 95 160 81 72 241 30 15 96 37 35 215 83 248 251 26 73 247 58 215 66 27 58 215 154 179 96 253 153 184 26 218 198 96 188 67 112 174 100 199 65 44 57 177 137 251 14 240 60 75 198 224 254 217 92 63 107 148 175 153 130 37 61 0 221 10 0 212 79 177 18 59 0 212 26 69 169 65 73 111 118 96 89 222 80 131 34 111 245 1 69 97 153 84 133 120 223 17 68 230 101 103 40 94 114 157 254 55 90 135 209 34 205 89 143 49 133 120 222 65 38 35 9 174 178 149 213 174 81 22 91 22 111 204 29 101 253 170 11 23 66 11 254 183 22 73 223 86 148 73 145 129 196 24 130 107 189 110 165 125 60 129 53 2 135 121 142 21 126 59 19 180 28 43 113 45 34 114 4 246 159 113 6 15 101 86 225 21 163 56 206 156 4 71 98 146 211 61 164 16 243 236 3 112 131 163 236 99 242 11 209 68 226 104 29 150 21 50 31 90 15 225 146 153 39 233 189 88 128 181 0 239 185 243 5 88 66 89 207 3 76 211 177 10 203 153 168 101 138 118 217 76 81 148 102 124 235 89 248 223 134 71 113 140 29 9 220 39 238 172 74 115 202 246 49 230 148 49 82 220 205 221 81 8 16 70 115 113 39 75 122 136 121 152 198 115 205 64 20 46 135 83 150 233 13 120 219 95 143 131 116 52 196 204 213 172 148 133 138 66 58 41 176 225 53 88 40 55 242 254 40 223 13 189 6 241 245 6 173 213 211 233 88 126 66 70 224 180 133 44 144 130 132 239 71 251 136 179 96 250 71 241 154 189 138 60 238 107 49 148 158 194 136 122 153 239 30 146 116 131 162 208 209 168 41 214 227 113 52 41 228 11 77 85 20 10 217 138 232 91 140 114 89 172 40 25 238 121 56 193 233 210 81 10 184 102 242 40 79 192 169 142 217 138 28 186 237 206 122 234 197 145 88 63 6 170 67 63 0 56 50 10 250 91 62 58 226 28 69 27 127 125 74 209 65 184 215 10 222 159 26 45 46 60 94 162 112 24 29 37 71 81 54 229 79 153 172 53 128 202 242 168 154 21 37 248 191 214 184 108 23 78 246 56 88 180 194 74 186 7 235 53 133 113 94 47 233 211 99 176 64 147 20 114 192 74 70 73 119 236 84 200 177 63 172 104 143 192 97 69 187 162 226 112 178 123 71 147 11 143 23 176 4 120 82 33 218 74 148 84 91 73 255 0 72 114 121 208 197 175 49 190 105 16 190 97 140 199 28 119 11 195 118 194 12 114 255 7 21 37 39 142 182 174 103 186 91 253 40 249 178 98 188 210 161 111 3 186 108 23 170 196 44 69 1 239 218 209 214 125 198 235 248 145 162 122 13 35 136 144 118 69 201 108 185 146 190 128 82 191 85 210 39 1 95 234 105 196 64 58 28 107 242 24 143 57 113 245 22 177 250 59 225 90 71 199 232 158 133 206 213 49 90 156 119 41 160 218 162 40 5 200 178 107 103 40 74 67 210 249 10 44 203 186 188 27 11 172 68 81 86 231 43 128 41 142 249 251 43 69 153 16 87 158 134 91 153 94 83 166 241 61 90 0 84 225 24 90 133 102 141 102 143 130 126 149 194 28 79 195 56 122 76 209 30 128 90 164 194 78 69 49 193 214 243 25 88 45 172 142 29 112 170 108 69 73 121 171 21 21 9 89 143 130 108 171 232 150 83 232 80 83 17 161 113 124 89 227 113 228 192 37 143 225 114 72 29 227 251 181 51 217 111 84 223 201 128 158 171 160 215 66 104 154 35 233 251 138 18 2 54 141 149 27 96 60 143 35 136 175 123 81 210 235 112 216 229 72 250 165 162 196 182 92 76 254 107 120 37 114 134 97 183 178 7 199 105 220 107 113 151 24 23 168 211 216 87 17 28 114 170 194 235 61 86 163 75 173 83 180 49 117 9 244 222 131 40 236 71 253 24 51 171 103 188 142 58 69 158 222 65 252 42 67 172 206 247 73 250 15 86 79 161 78 204 123 74 172 28 83 161 40 220 146 49 70 58 206 169 22 96 63 92 119 30 227 255 13 64 126 68 99 147 225 144 194 228 31 215 137 25 28 103 58 175 215 40 218 40 81 130 234 112 43 134 210 33 56 111 5 162 112 207 133 192 177 164 40 253 117 18 126 168 36 228 253 30 69 249 90 31 83 72 171 73 101 53 125 34 65 151 178 160 246 120 46 138 3 138 18 250 74 249 127 18 147 50 60 134 247 140 189 78 243 63 205 185 113 102 177 88 111 97 145 110 99 49 198 145 28 63 31 107 63 205 120 30 7 97 209 59 88 253 73 138 66 58 251 21 121 221 211 176 92 222 131 227 238 48 22 99 46 32 204 83 228 156 180 130 98 227 121 20 179 234 27 21 197 212 14 143 225 189 82 20 114 192 58 206 98 62 23 225 99 251 130 162 45 118 239 103 220 51 161 245 17 92 63 207 41 20 7 190 32 128 21 87 228 28 253 160 162 224 116 6 250 203 44 86 153 85 87 105 68 233 188 18 101 190 19 69 212 68 195 60 141 82 92 235 44 184 71 177 162 216 230 243 227 0 234 97 184 203 229 138 114 217 206 68 81 159 133 30 245 46 69 153 23 55 2 206 255 203 98 108 67 52 118 40 218 51 208 61 150 171 226 92 28 247 40 218 75 216 165 40 140 80 228 148 204 10 198 213 130 127 37 93 145 135 123 142 162 170 51 245 138 234 107 190 50 142 227 29 113 98 102 202 56 25 13 150 13 155 123 134 192 95 130 136 190 1 250 222 142 184 222 202 34 206 64 191 218 205 249 77 99 57 248 115 193 177 146 153 152 25 176 230 22 86 210 7 224 82 175 224 99 121 9 46 149 139 239 171 0 93 161 3 221 224 211 156 111 186 218 88 90 104 95 80 148 114 114 136 201 171 129 59 180 141 177 158 149 172 80 164 164 243 20 92 52 93 145 195 121 137 162 172 220 175 74 250 59 198 92 7 151 31 130 115 165 242 89 235 88 89 131 231 18 88 6 128 14 172 193 135 209 165 126 196 10 155 133 178 92 161 104 83 234 253 88 52 109 124 254 49 69 27 0 30 66 84 188 225 252 236 51 56 26 17 37 86 48 227 89 38 174 69 97 55 203 88 28 185 220 183 72 39 223 100 82 132 234 176 65 209 182 252 63 134 62 63 67 143 125 43 11 245 6 116 171 110 0 121 215 88 138 193 115 101 21 218 97 85 143 91 89 85 73 88 42 173 138 50 73 83 20 109 190 184 70 209 214 177 103 89 121 247 160 99 125 67 81 206 121 17 138 126 209 73 124 94 163 117 84 99 205 90 86 105 178 162 146 0 91 199 152 70 86 62 32 233 36 115 181 0 151 205 59 208 165 62 134 101 109 17 140 57 136 189 117 44 226 108 140 162 165 99 45 6 207 53 176 98 88 130 83 96 211 149 112 160 17 69 30 249 60 69 161 157 221 136 198 82 38 50 151 239 191 143 43 226 239 1 233 165 172 220 177 18 137 89 136 146 73 220 99 239 235 240 47 157 237 97 187 102 44 199 95 44 198 181 40 225 191 131 8 124 81 33 199 45 11 48 109 135 190 125 208 114 171 66 238 91 198 120 232 59 231 234 72 98 133 89 145 251 207 96 42 167 160 55 36 75 250 87 73 55 3 184 135 20 165 34 255 39 226 111 58 0 75 149 244 63 21 170 39 95 138 14 215 163 80 251 106 180 38 57 215 233 127 227 145 7 54 8 39 62 128 11 193 182 199 125 88 81 70 72 55 99 185 17 142 222 143 91 161 23 215 204 54 20 247 71 21 101 52 84 72 250 238 24 187 73 206 57 176 102 32 194 14 34 98 158 101 165 253 5 58 77 6 43 45 67 81 8 104 170 162 234 123 189 232 101 29 112 185 131 172 194 89 252 95 2 129 203 16 9 7 244 198 131 185 217 138 18 230 172 230 104 213 56 1 203 196 225 8 46 154 73 146 254 0 247 204 215 20 106 223 255 0 224 220 196 66 123 30 206 86 137 191 240 78 133 50 220 63 25 47 11 237 92 29 249 172 180 59 32 200 29 138 66 13 235 89 169 83 225 80 51 20 170 237 237 3 68 215 192 177 166 0 172 187 121 150 38 68 195 59 184 199 35 138 10 153 229 0 214 248 235 228 96 159 196 159 244 44 190 181 237 76 116 76 99 179 27 58 230 124 83 43 20 5 143 203 20 165 29 89 21 191 114 68 224 117 208 197 66 53 127 0 120 38 43 42 44 215 166 168 94 134 213 188 218 55 14 34 252 156 2 171 16 107 239 90 30 54 25 171 112 25 92 103 59 147 185 13 46 49 157 239 22 0 144 155 224 26 219 16 81 159 84 212 180 105 35 214 218 71 208 193 246 0 170 249 0 246 245 236 69 236 4 208 157 140 99 15 34 186 94 99 179 83 39 9 181 32 159 197 243 49 73 31 87 148 5 18 195 136 121 88 210 31 98 225 221 4 224 70 224 82 59 177 148 103 64 131 191 128 195 15 104 140 178 25 222 76 192 154 138 178 189 11 197 114 1 68 252 5 132 93 198 231 222 149 176 23 61 99 131 164 207 66 180 103 153 232 84 56 85 58 196 127 156 115 111 134 203 180 193 1 202 184 119 243 89 248 160 172 216 171 165 247 182 42 170 91 53 22 160 154 141 74 144 140 187 224 191 51 206 219 177 150 95 96 161 124 129 133 100 101 195 43 24 219 1 184 83 6 110 134 231 160 209 76 69 187 113 30 27 15 7 111 138 206 237 145 164 168 210 111 13 147 116 68 161 152 90 51 98 102 0 113 183 14 224 124 153 85 119 189 162 18 135 243 224 86 221 10 229 135 122 89 241 191 64 196 94 5 192 134 17 11 187 153 180 78 68 200 225 51 212 195 178 224 8 123 70 121 113 39 227 58 152 2 240 215 179 120 250 0 208 34 196 255 67 138 162 14 203 225 204 139 57 207 74 125 91 161 148 253 128 255 65 133 190 143 86 58 170 251 66 231 88 217 40 227 77 232 16 86 51 160 6 165 253 48 128 250 48 32 120 28 63 204 10 133 154 15 151 50 25 155 33 248 247 121 79 133 160 85 78 172 124 159 137 250 176 162 93 66 135 20 106 36 100 43 212 143 111 63 197 120 135 89 245 111 195 202 26 120 3 207 94 12 40 138 17 209 87 35 170 126 71 81 208 56 21 133 188 131 241 127 70 81 56 107 37 214 222 223 179 104 86 50 222 93 124 254 75 28 166 182 192 172 138 226 37 208 183 93 163 95 36 238 77 3 44 11 191 172 98 101 93 142 159 102 47 28 161 67 161 195 130 117 86 56 160 80 224 245 18 128 85 129 114 63 23 49 245 36 19 244 32 126 158 221 252 111 109 232 246 193 9 234 224 10 239 85 168 189 176 24 209 219 136 99 209 182 165 29 67 164 172 130 131 206 83 168 103 154 246 26 162 212 118 219 100 2 32 203 145 186 150 223 182 114 143 107 88 44 191 195 253 238 224 62 59 209 19 143 99 205 173 96 161 88 87 142 175 66 199 58 133 82 155 13 44 162 60 126 191 155 223 26 208 58 88 132 23 36 176 70 208 143 10 224 54 214 132 169 22 34 229 35 218 158 86 20 165 79 66 12 238 99 82 238 85 232 171 179 21 128 221 129 229 247 121 69 225 12 11 115 108 98 53 103 41 218 81 243 51 20 218 60 56 88 27 223 125 24 110 116 37 160 74 99 76 147 21 202 255 204 1 216 79 193 97 111 228 251 66 126 59 23 243 63 131 123 148 184 133 80 206 121 185 44 134 219 80 198 111 97 226 119 43 10 105 45 99 129 109 224 119 207 2 228 39 0 82 33 139 108 9 247 248 50 207 242 79 0 240 86 198 221 162 40 27 247 93 140 171 149 49 236 195 216 57 19 139 244 188 20 133 51 153 192 123 241 168 199 89 157 85 112 149 1 196 214 91 225 34 15 41 20 112 203 85 8 168 46 132 91 109 71 223 74 7 0 63 64 201 173 1 192 115 240 251 88 149 191 33 69 181 80 127 9 33 111 231 222 217 112 145 171 225 16 179 21 197 220 214 0 240 38 38 60 149 123 246 34 206 173 163 217 106 184 229 45 0 114 26 99 253 56 34 238 109 10 93 38 54 1 216 29 136 168 85 140 107 6 78 204 29 40 223 214 135 112 68 81 214 106 133 162 16 211 38 69 225 153 175 48 254 52 104 214 204 248 62 161 104 99 138 21 227 53 208 110 61 141 3 56 227 12 69 188 149 122 26 25 43 116 102 242 58 126 150 191 179 176 131 133 111 190 132 104 186 143 137 189 7 235 229 179 176 254 84 0 113 37 122 195 191 193 242 63 193 223 151 1 6 43 31 89 10 167 186 3 223 207 46 38 217 114 193 26 1 229 221 40 246 175 194 125 246 192 69 173 223 140 21 42 105 68 156 165 35 162 167 42 212 9 237 1 96 197 112 150 85 10 245 80 219 156 63 170 10 96 150 41 228 158 109 114 92 113 27 99 204 224 90 63 98 17 29 135 227 124 128 123 189 77 161 214 251 6 0 189 15 78 184 23 206 157 6 87 123 4 107 187 8 206 120 213 41 140 20 3 202 48 139 119 248 20 134 222 176 66 145 151 129 211 169 2 111 132 99 217 206 230 46 157 93 234 136 85 106 177 24 152 117 172 55 209 248 61 86 87 154 66 27 90 235 8 86 5 113 83 16 51 43 56 71 138 74 113 111 1 152 171 20 165 214 172 225 154 86 48 63 7 46 150 204 106 238 196 55 100 29 177 222 7 87 56 228 64 151 9 48 151 194 41 54 43 218 201 93 207 61 83 0 230 253 60 211 125 220 187 5 157 105 190 66 248 42 153 235 109 230 30 183 114 239 73 128 243 113 68 172 89 170 214 90 229 93 232 142 83 152 88 203 93 171 70 196 217 102 212 28 196 234 20 69 41 222 221 188 218 225 106 213 167 81 79 70 156 222 152 234 128 148 120 142 25 50 241 177 16 133 185 128 193 218 156 89 229 187 179 105 9 59 160 80 207 220 28 141 71 209 9 110 135 216 181 16 252 18 8 253 50 58 152 249 108 182 179 162 111 64 167 233 115 32 234 199 44 255 58 14 198 29 112 164 62 94 119 225 190 248 6 19 53 31 128 212 48 182 124 38 105 134 66 38 198 102 128 215 3 39 120 153 107 229 192 129 222 6 87 250 12 19 115 61 116 201 71 196 239 129 70 37 112 227 44 64 244 0 191 159 199 51 91 250 240 21 88 160 51 37 253 55 196 92 3 28 121 47 231 154 238 118 148 207 219 1 198 49 64 55 149 197 252 178 78 191 249 196 2 222 54 159 67 206 208 50 142 102 165 52 83 95 107 174 207 22 88 147 64 235 144 67 239 136 66 149 226 76 199 46 79 117 125 43 13 100 253 141 51 20 197 12 239 196 178 123 187 227 70 105 136 172 151 32 94 29 231 182 192 53 146 153 164 117 78 39 169 69 140 148 242 125 17 231 63 140 155 161 31 238 242 126 62 175 69 132 85 32 114 186 225 34 115 0 194 128 162 174 26 123 113 127 88 129 178 71 209 167 58 120 150 143 49 153 173 112 214 71 225 116 22 5 120 198 89 182 211 112 110 254 128 123 77 86 200 239 159 204 123 5 192 235 5 100 15 57 11 184 15 227 227 15 161 217 113 192 104 9 129 71 249 77 3 128 222 207 34 108 67 66 12 37 232 71 233 142 11 153 10 144 236 64 102 220 42 158 192 185 70 70 11 88 189 14 28 67 128 194 254 78 231 129 13 229 89 124 151 195 255 195 78 191 74 229 101 253 139 159 101 229 245 177 202 210 208 101 238 99 18 94 229 252 255 133 152 124 128 239 167 43 20 252 207 146 244 127 16 37 149 92 231 94 56 81 167 91 201 27 21 90 197 229 227 11 26 100 66 27 156 203 194 234 117 246 51 246 131 128 163 95 81 138 202 2 183 200 202 17 61 217 252 221 194 181 102 50 246 141 46 230 185 200 125 103 85 95 54 162 10 44 102 33 152 127 111 50 231 88 50 99 134 162 116 237 255 100 17 31 81 104 148 89 236 172 231 108 56 161 5 228 159 118 214 160 159 139 20 167 154 120 102 96 138 185 127 183 207 77 68 198 222 40 176 98 39 249 77 142 19 103 182 141 123 88 39 86 251 77 118 250 211 144 123 24 235 236 144 239 86 112 54 231 244 163 136 63 203 10 253 8 215 48 49 180 149 73 155 229 92 2 105 128 166 26 113 241 60 86 85 171 162 134 5 47 40 148 253 174 132 35 190 67 33 183 234 113 38 181 30 176 44 132 11 61 199 132 111 96 209 236 0 180 195 140 185 142 235 45 230 179 43 157 239 170 13 192 90 90 75 25 19 191 0 206 57 5 174 186 156 115 42 1 68 1 190 187 149 112 179 34 2 202 38 210 172 100 101 59 226 187 6 154 21 32 118 55 243 91 115 194 182 0 176 54 64 168 4 189 41 238 56 83 154 78 172 151 145 236 230 85 9 12 229 53 59 149 36 191 70 184 39 61 225 66 214 61 170 223 253 221 3 48 178 120 224 36 103 89 244 41 116 87 31 226 60 43 180 106 21 138 141 131 205 64 4 60 139 82 123 4 98 30 128 221 95 199 67 31 98 130 106 80 206 115 184 94 31 226 196 156 169 197 136 162 126 174 191 130 243 55 3 10 235 89 99 213 111 22 114 141 111 50 129 75 120 182 24 156 234 86 196 117 174 162 122 245 217 142 139 213 113 207 167 1 253 8 227 200 69 92 46 6 172 119 113 95 107 150 89 138 168 50 199 236 16 227 62 132 190 117 8 96 91 103 214 131 68 27 222 197 66 200 113 214 217 65 68 96 47 215 178 22 51 203 36 125 199 89 115 217 58 49 229 39 133 151 159 83 43 254 150 148 96 37 154 158 21 115 58 216 41 253 17 167 58 134 244 255 231 28 197 220 0 172 126 186 5 102 187 225 46 35 14 48 201 206 45 97 191 183 87 156 149 123 204 137 210 169 206 135 51 4 139 47 193 1 248 28 255 167 226 142 168 70 108 205 225 58 235 17 121 15 41 74 110 59 130 149 119 4 3 97 8 93 169 69 209 118 243 56 215 76 194 66 124 212 41 239 135 157 30 82 201 125 15 185 231 249 142 243 133 93 6 232 172 153 250 63 243 28 55 112 126 10 147 190 29 154 204 67 28 110 87 180 251 219 156 160 63 227 185 183 160 219 165 195 169 44 248 254 47 88 169 217 220 35 9 235 115 53 207 127 131 11 152 219 226 74 134 139 39 193 157 77 157 201 115 243 49 226 66 108 241 132 185 24 118 24 201 112 170 139 49 165 248 169 220 86 201 167 17 127 249 172 6 47 107 147 220 255 166 67 245 49 16 3 91 122 130 162 55 224 6 155 226 238 89 192 10 155 196 189 106 120 144 207 51 177 117 78 97 94 69 136 98 154 162 30 207 165 156 179 31 110 240 69 133 93 202 213 112 191 28 64 118 51 99 121 4 130 126 30 14 248 175 40 195 27 153 216 57 78 119 122 63 19 176 24 199 234 7 21 186 195 199 25 71 35 11 102 15 96 48 143 190 117 51 107 5 148 83 224 124 31 69 103 178 86 118 111 97 12 86 77 122 14 207 88 204 181 172 227 236 11 208 234 101 167 131 118 35 34 63 2 7 110 129 30 190 253 221 0 64 221 225 44 62 57 5 221 226 169 169 206 127 53 149 115 172 200 176 149 58 232 113 207 158 156 192 237 76 153 79 245 226 241 116 162 112 208 89 112 118 65 51 157 123 29 219 76 226 198 25 142 61 154 78 149 5 199 73 118 22 220 49 136 216 0 145 134 152 132 5 76 200 253 172 200 175 192 1 30 70 20 20 34 174 158 64 252 236 82 168 1 145 2 39 200 98 98 236 222 6 232 54 76 245 15 114 253 205 232 75 247 51 238 35 76 192 231 153 228 127 193 91 158 227 148 122 83 132 247 195 1 51 24 247 37 140 237 102 8 59 79 33 91 179 28 96 84 1 230 155 20 54 72 12 160 171 101 161 255 13 192 101 154 20 37 240 117 242 119 191 194 118 185 58 158 37 23 16 47 133 235 150 67 187 69 208 223 74 155 255 192 185 117 108 177 123 61 169 68 161 186 79 23 215 45 112 226 184 140 5 148 170 80 47 35 230 116 181 65 7 190 1 167 94 12 158 10 88 169 206 89 54 236 46 56 236 184 82 170 11 240 206 82 168 141 158 6 248 76 239 26 100 130 50 33 210 28 20 85 107 87 146 199 3 36 59 199 220 74 136 186 151 135 92 205 117 147 121 240 92 188 238 255 206 121 235 9 207 84 64 136 92 133 157 59 41 88 121 139 156 135 123 53 159 125 0 229 61 23 29 236 41 206 49 197 190 1 110 105 254 186 22 38 112 3 223 253 16 78 148 2 120 154 209 165 182 241 236 223 131 19 255 22 113 206 151 0 88 58 215 185 132 235 116 96 209 101 186 113 55 57 151 195 65 128 126 41 92 165 142 191 255 17 174 58 7 32 109 68 63 188 30 139 250 5 133 230 13 35 206 144 42 129 155 118 59 67 108 9 207 109 11 209 106 195 91 138 120 175 243 103 101 59 189 44 147 235 218 252 246 159 138 99 37 42 115 89 0 96 216 197 146 250 20 154 9 141 40 108 55 47 228 28 43 2 91 148 144 39 84 169 80 182 200 210 143 173 213 137 101 102 14 194 153 108 115 165 137 169 106 190 159 196 235 48 28 109 22 28 98 166 66 241 220 42 192 218 140 126 180 10 206 151 170 80 215 115 47 58 202 23 185 254 108 184 233 0 98 106 6 58 215 183 21 122 28 182 115 206 93 0 106 1 156 174 21 174 247 81 158 197 26 102 78 229 125 55 92 182 28 218 110 85 232 103 243 97 238 111 105 62 22 75 125 63 122 88 33 150 236 43 128 49 19 58 126 23 171 210 22 114 58 226 241 83 252 255 61 133 190 139 221 206 200 42 227 127 227 168 222 39 213 167 208 60 189 148 207 178 121 190 86 199 245 134 29 80 173 53 204 224 107 233 88 113 231 129 29 113 62 11 251 113 150 83 198 251 28 55 235 231 61 143 201 30 102 53 46 112 49 179 126 184 209 76 136 211 3 97 82 120 208 33 174 221 37 233 115 40 213 166 100 175 195 35 159 205 239 166 56 107 114 42 247 72 225 126 22 94 105 101 242 166 2 150 105 156 255 16 58 204 231 88 137 182 153 227 102 184 89 6 226 112 62 193 237 122 126 95 229 104 177 74 97 159 97 45 207 86 239 22 213 126 23 210 153 2 231 221 226 148 249 82 184 228 128 66 47 197 61 0 188 134 144 82 58 191 89 2 247 233 96 206 238 195 218 235 224 90 43 201 209 90 5 29 31 36 68 149 230 164 139 89 185 37 112 239 24 192 43 100 209 219 130 29 128 33 212 51 31 29 44 208 20 167 200 199 152 167 100 55 255 169 14 120 39 181 10 205 121 153 236 78 182 11 164 56 145 151 234 216 95 26 19 54 203 41 247 214 89 213 18 249 6 92 56 40 207 177 223 89 60 124 14 162 33 27 118 254 36 15 182 1 174 102 155 22 62 134 24 56 72 160 186 194 57 1 47 87 40 244 31 119 10 245 26 156 170 57 76 208 44 62 155 225 172 193 10 184 194 223 40 42 168 241 54 198 242 37 244 166 205 76 246 108 192 214 130 30 104 153 171 243 152 132 122 20 237 151 156 251 228 65 0 123 196 229 102 153 31 240 56 226 248 17 178 57 246 59 113 107 158 253 155 36 253 41 156 239 70 69 45 99 6 16 175 243 113 152 14 42 116 69 253 25 207 109 89 32 86 27 99 1 139 205 178 52 230 2 208 57 208 196 92 63 45 46 116 150 198 34 72 225 239 76 22 78 220 233 226 195 206 208 59 37 199 50 93 102 200 153 153 131 78 33 150 179 16 147 32 180 85 60 110 101 117 154 245 183 4 66 190 4 184 154 24 148 121 233 147 121 136 56 159 95 6 161 95 116 162 245 17 136 215 200 253 107 21 213 209 92 195 239 191 2 145 174 228 187 77 92 59 31 113 151 15 224 166 48 193 243 33 178 245 135 62 0 39 179 242 222 175 112 221 151 220 179 239 118 153 9 69 0 102 196 101 85 108 225 249 173 207 244 1 104 177 28 240 94 205 111 214 193 245 214 49 129 203 1 213 92 128 176 131 223 47 97 44 143 40 52 141 218 201 231 135 20 85 143 49 63 149 109 242 48 181 226 135 188 15 3 202 98 133 214 201 86 38 242 114 158 125 128 239 179 20 202 127 111 102 204 150 129 58 89 161 87 181 225 98 0 238 22 83 104 209 114 66 152 39 17 88 182 81 180 223 153 161 253 9 190 139 152 11 69 228 35 238 38 241 112 115 177 84 102 64 128 118 6 52 31 162 93 6 112 107 92 92 171 152 107 175 100 181 246 3 174 221 176 96 235 35 253 52 43 116 8 191 81 21 192 251 14 68 45 70 119 201 66 41 111 69 87 168 69 31 105 98 156 171 0 220 16 122 155 121 238 215 97 141 174 3 32 93 16 127 16 80 110 224 247 71 248 123 43 58 202 86 133 118 191 197 76 198 54 244 191 114 34 1 181 44 192 84 56 228 108 184 237 14 184 239 86 206 217 192 179 126 3 253 111 1 202 124 21 139 245 0 207 186 148 5 153 130 186 80 196 34 207 229 179 98 64 116 13 116 29 230 55 141 206 117 51 25 250 27 55 122 28 0 45 114 186 230 2 230 49 201 205 101 185 11 211 53 56 171 211 244 202 152 164 225 68 96 13 243 165 249 159 146 29 247 49 243 61 133 65 21 67 124 243 208 95 206 239 210 21 170 177 140 56 147 180 12 32 102 64 160 74 56 69 145 203 36 72 130 157 159 124 30 58 0 0 32 0 73 68 65 84 111 67 153 63 224 114 146 76 9 94 198 195 78 99 98 38 163 51 21 50 166 50 73 127 133 82 92 138 1 112 13 28 109 39 191 237 64 92 117 243 155 107 89 169 133 0 99 1 162 182 16 171 107 0 247 134 237 99 220 141 248 220 206 111 77 121 183 58 11 107 21 26 58 213 43 20 244 56 4 77 202 25 219 251 177 108 175 39 168 158 73 124 115 45 150 238 187 121 62 235 60 111 73 145 187 160 187 113 71 235 44 17 131 110 109 156 59 13 17 60 155 231 48 38 48 19 26 207 68 53 200 118 89 169 93 142 131 90 25 37 95 179 162 31 96 89 29 250 126 133 142 182 191 110 58 154 124 146 24 96 87 66 110 142 197 191 146 92 194 216 84 136 86 132 72 186 214 125 223 237 60 185 101 172 172 69 60 88 63 147 53 159 201 155 206 3 36 1 76 75 201 152 133 120 177 120 213 203 152 219 207 50 198 95 65 240 39 17 177 53 16 113 11 99 88 2 167 168 114 250 222 147 16 188 28 162 236 134 253 119 64 248 185 0 181 132 49 23 1 202 36 158 213 114 229 23 115 191 30 133 138 123 25 112 158 189 128 207 162 13 187 81 180 43 17 209 189 220 111 55 98 176 202 185 0 86 0 192 122 184 166 113 213 103 224 58 182 35 60 15 238 102 61 113 174 98 81 52 2 20 235 163 184 12 26 229 184 172 89 203 193 159 227 60 237 115 92 114 96 11 128 22 180 154 194 243 151 51 86 203 125 235 116 216 25 118 226 250 215 233 52 201 9 137 92 3 78 199 234 119 186 148 233 67 6 22 43 82 97 155 25 246 241 222 5 17 83 21 186 166 142 0 36 75 37 158 236 156 166 86 214 122 26 247 51 163 160 24 14 208 228 50 24 186 121 136 86 86 99 43 121 79 83 17 105 53 172 206 103 92 138 200 10 136 80 207 24 135 156 165 58 143 243 172 95 244 102 206 51 160 151 225 62 232 81 40 17 217 143 200 104 133 179 189 135 231 120 17 29 106 5 92 209 58 209 191 147 177 213 3 188 2 104 176 8 16 237 66 49 55 103 244 49 167 179 92 141 142 213 137 33 241 164 194 86 255 74 158 179 205 229 127 45 129 46 86 119 44 147 223 198 157 42 147 165 80 60 110 54 207 211 197 179 173 80 232 100 127 156 121 170 226 188 7 16 165 86 254 220 22 84 143 195 70 175 139 7 23 36 159 34 118 24 119 22 98 204 249 102 22 42 108 22 152 233 100 187 57 201 242 97 247 115 185 89 27 0 179 206 242 25 112 143 65 231 51 179 244 145 114 231 141 190 20 194 155 30 245 60 68 184 5 206 81 138 14 50 192 68 254 57 122 201 106 231 98 120 31 49 197 117 232 45 79 0 232 27 152 208 121 92 59 221 113 203 233 76 218 42 116 160 133 46 240 109 205 163 204 250 157 13 231 177 138 131 230 165 46 225 122 219 209 167 42 20 234 92 109 99 204 183 162 100 91 30 90 138 115 148 182 57 32 55 32 46 197 120 202 224 100 71 184 247 160 66 23 143 98 230 99 50 227 108 69 252 215 187 12 211 52 39 230 77 87 94 232 242 234 7 88 32 57 188 95 141 235 230 42 184 164 37 61 30 116 243 151 156 144 69 60 40 169 39 249 36 41 170 102 237 229 184 184 88 170 123 128 18 206 187 154 9 236 102 162 107 185 73 169 66 35 238 17 56 197 124 136 218 234 114 202 109 91 210 0 15 85 203 132 29 103 229 46 134 248 73 172 250 121 172 238 123 113 7 252 12 199 225 34 133 62 205 189 152 227 79 242 155 85 140 223 182 65 149 49 254 167 157 185 255 39 16 255 184 83 126 191 11 200 190 135 46 117 8 189 103 42 147 127 163 211 239 6 48 247 205 239 115 24 174 150 9 189 170 152 204 18 198 123 156 255 171 225 18 15 57 235 251 74 38 255 90 198 120 61 52 126 145 231 60 8 160 45 37 249 82 103 144 204 114 139 116 58 64 179 226 42 165 252 31 227 188 6 231 50 56 14 39 202 119 113 206 36 0 247 93 196 176 229 227 251 20 229 163 60 175 249 184 116 58 119 67 166 115 114 90 68 220 54 13 148 65 136 165 16 204 170 233 77 70 12 21 58 29 171 12 2 117 226 10 168 227 166 111 231 111 179 34 103 184 236 199 34 254 142 57 199 94 158 91 33 139 176 154 246 112 143 25 76 232 35 16 228 58 178 42 87 114 94 61 247 201 116 14 192 183 163 216 231 193 221 172 130 204 1 38 160 201 41 190 51 17 245 185 16 57 15 189 101 11 11 227 48 6 66 45 227 249 83 23 130 177 112 208 74 8 127 51 162 182 149 107 236 130 30 83 36 253 38 222 242 175 48 249 59 160 199 199 241 250 183 64 139 105 140 45 27 209 52 79 161 190 232 76 231 179 178 212 229 24 115 99 109 121 205 239 216 203 66 46 86 232 9 52 204 181 11 157 122 242 24 11 160 67 161 123 88 167 211 183 83 21 154 147 247 58 7 106 220 3 43 230 64 229 99 132 125 206 218 154 13 203 43 128 200 169 112 181 61 14 128 121 156 123 156 223 197 21 202 105 151 50 41 198 241 186 33 154 237 185 155 203 53 44 207 125 16 113 240 19 55 49 182 107 231 167 172 230 167 16 39 27 21 109 248 108 67 84 52 32 242 142 43 52 133 218 199 119 131 136 159 95 97 17 45 103 108 147 25 223 97 184 211 87 224 54 119 48 166 63 114 142 227 30 174 31 231 153 55 241 249 26 184 220 76 231 178 168 226 189 159 239 47 229 190 93 40 246 27 201 203 127 27 147 88 14 0 251 24 219 34 198 102 77 56 83 224 88 31 70 108 183 177 0 44 26 146 199 117 38 59 7 119 15 11 183 143 251 198 160 163 101 178 14 1 26 235 195 216 6 152 171 185 95 46 191 169 83 232 227 237 29 188 125 78 12 38 75 26 73 86 216 79 54 232 242 176 4 104 22 49 185 21 12 196 86 106 151 219 188 48 221 89 29 126 75 208 8 3 155 10 199 169 113 233 28 126 75 187 249 202 204 119 50 195 173 38 171 147 208 132 120 187 22 48 90 202 138 117 201 218 128 222 98 221 230 175 67 84 62 133 14 118 23 227 104 132 19 228 51 246 125 220 43 9 113 183 11 49 103 153 23 219 92 148 224 85 174 107 150 86 63 11 234 231 10 85 156 39 65 244 223 66 124 253 68 209 230 212 205 208 242 179 232 93 181 232 101 195 40 221 107 224 236 171 120 206 165 204 203 32 160 93 12 29 76 145 47 117 0 185 213 233 198 86 105 185 200 69 64 186 93 90 82 178 115 11 116 195 44 122 120 37 41 212 90 221 238 22 145 25 80 22 177 120 42 193 45 149 233 174 105 158 251 193 100 183 163 101 200 153 247 35 16 105 158 139 27 245 130 216 69 206 221 144 229 118 198 196 157 169 221 162 80 1 229 128 194 22 113 75 209 109 119 233 55 121 142 149 182 112 205 38 64 86 136 88 56 12 183 153 134 57 156 207 42 127 55 28 37 29 157 228 67 16 192 210 134 143 59 69 243 26 174 155 75 130 157 181 20 217 12 24 126 14 55 89 195 42 62 4 65 139 16 11 139 9 100 47 87 104 41 119 23 96 171 134 134 247 146 88 215 167 208 92 125 163 179 64 95 1 40 151 57 215 201 111 48 222 126 232 146 3 112 186 161 203 90 238 255 22 133 42 55 125 46 109 166 24 90 199 92 200 173 159 191 219 57 175 133 207 166 41 108 157 75 83 40 204 59 204 28 103 96 164 216 198 149 33 198 177 27 6 99 186 214 176 66 23 180 14 199 88 44 30 60 146 236 162 211 25 206 193 153 201 10 170 7 137 37 60 192 36 151 73 88 233 82 95 234 64 179 41 209 197 78 7 19 92 168 219 129 200 146 204 26 156 147 114 43 215 179 56 85 28 46 118 53 233 194 239 68 135 50 142 243 12 43 110 14 58 135 237 170 249 28 10 241 98 23 8 182 128 249 42 192 53 219 137 247 62 128 116 57 32 254 55 133 90 238 101 0 245 54 199 157 31 69 108 47 226 26 75 20 186 191 155 201 254 52 244 49 163 102 45 116 157 169 80 203 126 128 216 224 78 183 248 172 110 67 31 156 241 136 179 180 219 153 52 235 156 150 134 56 142 185 212 241 1 151 10 222 227 54 172 244 1 150 126 71 251 86 167 58 28 71 143 60 4 176 43 248 205 97 196 111 38 11 99 146 203 191 27 225 119 93 46 15 207 198 17 183 16 77 134 115 138 198 92 76 46 15 130 88 218 197 76 136 105 91 213 119 32 50 138 156 2 108 14 73 179 46 91 1 147 185 36 10 248 44 153 137 106 228 243 37 206 34 57 198 164 30 133 139 88 191 157 26 184 131 109 195 122 65 161 84 247 53 112 157 84 198 219 198 36 25 155 62 236 114 196 76 249 255 41 175 77 76 240 38 190 219 132 101 87 169 80 126 242 40 65 232 21 136 184 153 138 234 128 86 112 238 7 152 188 106 104 177 157 107 173 131 30 89 172 246 159 115 206 74 104 208 200 132 165 64 167 108 198 214 200 189 94 116 73 140 214 85 226 17 44 227 124 231 30 234 117 153 34 35 142 123 84 59 149 195 230 183 131 5 150 195 115 207 1 32 13 140 117 55 244 55 44 236 119 139 248 128 147 54 157 60 227 128 19 195 5 146 146 18 211 76 45 208 156 206 170 237 114 236 213 182 27 229 112 225 20 184 212 81 151 27 111 187 150 109 91 122 51 0 104 225 198 230 225 181 20 153 44 238 99 89 1 22 204 46 231 179 92 62 55 78 177 12 165 59 25 63 213 51 78 153 173 228 252 44 252 93 119 35 178 111 6 168 211 25 255 115 16 243 17 133 118 181 195 58 121 11 147 35 0 32 87 161 138 205 215 177 196 108 11 252 86 196 212 28 172 184 89 112 191 27 1 244 191 99 20 244 16 215 180 64 246 126 104 52 23 46 244 79 46 72 125 5 227 57 224 196 87 37 162 54 139 69 120 157 203 141 138 185 29 54 131 10 219 185 58 1 99 10 220 37 155 235 154 126 116 196 197 29 219 156 216 92 173 80 252 196 162 40 169 46 172 245 60 192 202 114 24 73 115 134 95 119 178 83 250 82 92 108 208 88 232 48 28 170 16 203 202 118 163 148 178 82 235 56 103 146 83 182 7 225 46 133 16 197 60 229 157 206 170 49 239 126 135 66 89 158 46 231 196 107 86 216 64 106 28 241 23 206 201 186 85 161 160 216 78 44 195 173 40 182 57 140 221 54 118 150 33 114 214 49 145 31 116 169 192 113 158 47 211 165 229 36 57 61 179 149 251 238 103 124 22 59 140 115 143 153 44 156 41 184 62 126 196 2 184 15 177 246 10 207 59 159 235 191 11 122 205 71 148 174 85 104 245 150 233 50 104 191 207 194 121 14 231 228 83 44 34 3 206 239 48 217 230 119 236 119 121 235 131 46 189 37 3 186 231 241 44 102 197 238 230 247 3 44 132 22 103 77 246 241 204 27 184 182 89 125 187 152 71 43 153 158 199 115 183 37 228 240 245 36 250 177 134 93 110 186 121 164 11 157 50 104 5 43 166 186 109 79 203 57 167 201 197 147 242 33 184 165 180 166 49 184 116 183 243 37 203 121 245 173 106 95 169 243 246 231 56 157 172 129 85 189 141 235 36 57 11 179 28 16 94 11 215 186 9 160 149 1 164 159 194 173 246 67 128 203 209 85 230 48 246 43 0 181 85 37 206 227 89 204 218 153 9 103 88 199 247 85 128 96 163 203 5 47 100 34 122 248 125 61 92 98 57 220 114 58 244 178 156 182 92 56 133 25 48 223 101 195 198 245 128 178 136 223 61 239 114 164 126 198 152 173 57 192 6 199 16 226 206 154 79 115 25 42 67 110 215 141 92 90 113 167 75 224 51 151 143 237 203 156 198 121 198 253 237 30 141 140 235 40 243 111 11 247 24 247 27 112 49 195 19 28 164 182 17 98 200 237 160 137 187 0 105 146 19 87 25 206 93 240 10 68 42 0 213 213 46 166 104 165 30 13 148 189 110 21 165 243 219 2 174 155 195 196 167 241 155 114 38 35 197 41 143 49 64 211 7 176 86 112 206 52 114 167 86 163 251 216 222 185 90 222 219 96 233 143 241 191 249 230 172 104 217 90 244 163 74 183 61 235 114 196 238 36 62 255 1 6 193 94 116 53 107 105 183 31 49 87 193 121 121 184 20 44 105 241 0 244 123 63 214 226 187 1 105 167 66 45 133 36 158 209 118 254 220 12 71 105 85 212 22 238 107 124 151 207 179 221 226 242 173 98 46 78 151 234 196 97 146 139 106 164 187 29 85 201 78 103 46 229 122 71 21 218 251 21 58 71 233 11 140 253 21 158 107 31 11 109 144 197 85 204 124 29 75 200 56 62 33 191 106 68 39 238 110 237 116 14 78 219 214 101 38 174 109 142 200 96 101 54 193 85 170 240 108 151 38 60 104 19 255 155 7 120 47 232 159 227 130 190 3 124 158 154 224 31 153 228 242 170 151 32 34 74 48 26 150 50 177 69 76 196 71 0 207 83 132 70 246 50 166 227 46 179 226 251 78 255 123 16 160 189 4 209 6 113 87 44 100 177 12 243 253 51 44 146 83 213 238 140 3 244 102 0 250 4 191 93 206 2 185 17 213 96 31 241 204 251 120 182 15 49 102 243 11 45 98 81 89 86 110 30 255 39 67 167 74 244 189 149 46 88 111 206 237 116 157 184 183 207 152 65 154 83 236 227 46 231 206 230 115 59 192 74 119 156 107 31 139 166 133 5 99 65 103 203 151 27 112 91 205 122 92 122 85 204 221 227 215 31 36 235 196 98 15 49 126 144 197 123 183 66 97 47 57 197 47 205 165 140 140 184 204 130 50 103 125 205 81 232 168 96 117 2 154 92 142 151 165 146 44 113 233 180 117 78 241 76 114 217 169 125 232 82 191 197 181 171 112 33 24 187 78 131 75 148 192 61 175 96 101 109 115 57 72 151 184 48 141 237 253 123 22 80 126 7 241 105 117 58 243 25 227 85 248 158 230 59 14 59 3 239 247 66 184 136 245 178 110 83 40 15 57 153 107 111 102 18 86 0 180 149 46 161 241 113 62 207 231 62 79 240 108 75 153 64 219 252 208 74 90 246 224 201 38 210 109 237 242 175 1 231 155 236 118 34 178 153 231 42 226 249 147 92 60 181 131 69 113 212 197 58 15 240 94 196 34 178 108 147 110 167 222 12 159 108 51 69 226 126 125 239 81 141 115 67 139 253 197 120 224 24 8 111 114 166 174 237 126 222 194 185 214 181 170 217 133 105 134 21 54 113 38 187 48 195 176 75 98 235 115 138 161 245 69 30 130 101 255 165 162 46 87 15 113 159 151 153 172 7 216 113 99 13 137 110 115 147 115 23 62 159 50 244 181 92 183 249 161 206 165 41 143 56 125 225 8 222 246 157 46 158 184 6 80 191 23 208 172 7 172 151 115 238 35 110 115 198 126 0 101 245 45 134 156 58 113 68 161 42 160 249 16 247 112 254 59 24 91 5 198 192 211 44 206 121 188 58 121 190 193 4 73 51 236 156 220 114 14 211 30 167 215 246 186 121 46 83 104 204 80 206 66 204 112 97 189 56 122 94 18 139 61 15 177 88 236 2 254 126 19 239 200 201 128 229 247 228 203 197 9 77 236 13 56 80 244 184 237 92 150 243 222 232 68 102 170 99 237 79 57 135 105 42 171 110 41 64 51 35 193 68 239 116 151 118 146 225 128 106 233 56 253 206 79 244 43 38 174 0 240 197 32 206 52 8 208 238 172 195 233 172 182 133 110 83 70 3 128 75 66 28 77 113 217 171 101 60 251 58 184 146 85 55 190 142 231 202 199 226 251 161 66 237 119 75 124 91 133 174 87 194 184 150 3 220 155 112 240 182 114 239 121 248 202 246 194 133 94 84 212 81 98 177 83 45 42 16 215 115 225 112 171 220 2 143 39 168 49 35 206 240 138 57 101 125 192 133 123 204 27 223 204 156 108 1 20 249 252 238 48 247 174 114 129 118 243 20 84 179 8 138 225 88 113 231 31 244 115 126 210 237 95 39 43 75 19 135 221 25 155 53 69 179 201 69 202 147 208 171 22 0 140 28 38 179 218 133 82 102 243 64 11 33 230 92 133 34 34 243 20 10 175 154 249 107 105 59 205 46 153 44 198 185 182 137 213 38 168 7 37 126 30 34 108 54 227 179 186 18 195 40 242 255 133 24 156 73 24 197 234 141 182 2 162 235 152 184 69 112 141 38 158 73 152 254 255 129 152 188 29 46 213 195 152 183 160 2 152 232 219 172 80 21 122 18 215 72 102 33 188 10 141 158 128 6 75 88 160 169 124 111 117 231 87 43 170 125 117 37 99 171 131 227 250 66 28 62 119 46 53 33 165 197 111 227 75 119 214 91 51 127 167 177 168 13 232 67 9 155 85 102 0 124 147 74 123 176 188 247 184 32 117 135 66 217 4 51 18 134 79 6 172 184 243 103 197 28 251 54 171 209 194 1 29 160 185 23 206 101 137 94 91 157 165 80 171 176 25 210 10 108 244 32 114 50 20 26 6 88 74 206 78 38 188 21 34 86 184 212 220 34 0 98 169 179 199 184 86 22 78 208 249 206 74 49 215 68 3 207 211 207 189 222 130 199 251 54 196 226 119 184 206 46 136 209 142 72 253 158 203 8 152 15 235 63 174 80 36 54 87 39 238 20 46 113 1 240 102 231 110 25 130 243 29 131 139 110 7 196 159 36 68 245 69 62 187 193 109 229 90 11 80 75 224 156 53 10 181 75 191 236 124 86 137 73 153 62 167 109 196 165 175 36 41 84 225 73 227 156 2 23 27 54 139 125 6 207 249 44 11 51 3 250 89 136 108 59 224 222 232 82 101 108 243 178 25 5 105 10 165 21 78 154 143 229 43 184 37 187 156 119 203 72 232 103 213 247 42 20 18 171 70 252 92 173 208 113 61 135 201 238 113 105 32 171 56 119 192 101 8 152 50 111 149 146 167 240 249 20 30 170 52 193 247 114 24 144 220 195 189 119 178 170 103 177 226 102 3 204 118 133 178 72 226 251 14 22 128 21 71 251 168 19 129 213 138 182 232 183 163 75 109 68 135 219 173 80 172 68 136 241 60 0 49 195 165 27 55 57 189 202 218 13 239 112 193 234 67 140 255 37 36 128 101 146 62 2 71 183 234 53 86 83 171 153 251 84 224 252 45 112 74 187 18 244 226 78 7 166 116 231 175 242 106 141 213 138 104 115 97 184 24 247 105 114 22 121 9 239 213 46 76 183 12 145 111 155 44 90 185 158 109 171 31 113 170 146 78 5 172 17 151 155 21 119 94 248 20 151 51 221 5 139 183 58 6 149 0 110 23 98 196 182 95 55 51 161 121 206 124 46 99 114 204 58 185 194 153 185 86 206 168 31 2 204 230 126 45 110 235 211 60 183 43 164 214 113 169 26 167 35 154 217 255 247 156 179 192 121 144 171 21 42 234 89 243 166 197 206 27 222 152 16 251 50 154 20 195 137 190 128 229 118 148 49 191 4 39 52 93 107 157 75 242 91 207 57 203 1 115 50 227 73 114 28 111 175 123 166 15 161 147 54 99 136 220 2 167 188 201 249 165 148 224 86 232 227 218 94 225 142 187 196 189 126 196 239 116 206 169 113 201 149 119 192 117 172 161 103 43 227 123 25 80 109 98 145 247 176 64 87 41 84 126 182 220 171 184 139 49 15 157 14 88 114 44 205 151 14 28 118 142 71 219 208 48 0 242 143 57 214 120 76 161 58 177 201 251 45 46 238 118 24 128 44 84 232 176 106 110 7 75 202 43 113 89 147 175 112 254 8 4 25 130 16 86 192 227 7 76 194 86 88 247 71 20 202 131 103 194 189 114 185 102 23 28 226 227 232 54 243 225 190 15 67 248 173 16 111 45 156 178 8 64 93 202 53 222 78 202 202 157 0 219 74 15 77 66 95 201 199 37 177 20 144 205 100 49 117 58 127 160 229 157 77 129 19 212 32 106 190 173 80 212 118 200 101 243 78 119 122 94 170 194 30 207 196 186 9 169 46 187 180 6 64 215 186 176 90 151 83 97 106 160 139 109 221 154 205 249 7 21 234 107 28 87 40 11 94 141 84 56 192 92 181 186 128 182 207 115 215 107 1 203 43 128 67 46 246 212 235 182 134 165 66 236 6 133 226 182 83 33 222 1 231 232 243 128 172 113 155 44 234 152 148 152 243 209 148 113 253 29 0 243 168 243 11 89 143 155 97 38 43 27 37 185 148 107 110 225 122 139 25 231 139 16 227 73 184 226 255 84 216 236 185 29 183 65 12 14 213 200 100 127 130 149 91 204 179 149 242 92 235 1 204 99 128 176 138 87 134 115 37 188 139 49 91 172 110 149 203 83 170 112 160 178 174 94 111 129 27 77 65 45 88 13 7 153 197 249 133 156 255 78 23 169 104 118 98 39 67 161 81 64 30 227 239 229 221 196 166 213 225 106 116 201 1 79 67 239 14 230 200 154 38 252 202 165 226 12 65 171 50 230 44 211 133 229 106 156 49 103 250 92 166 78 210 20 244 181 106 144 230 56 37 216 226 78 195 206 181 48 194 170 138 51 112 171 221 52 232 182 77 229 57 191 71 3 159 215 161 168 118 195 129 218 21 74 255 148 185 36 184 116 8 239 119 254 164 41 116 186 191 147 176 71 27 215 187 142 113 216 198 12 243 50 223 199 189 174 39 139 96 189 162 93 207 229 172 216 74 128 115 144 235 60 196 24 108 11 218 50 238 127 16 101 125 26 207 86 143 131 179 74 161 76 99 43 64 79 117 10 253 159 65 167 28 184 66 38 159 31 3 132 150 139 102 219 231 54 42 244 202 78 119 0 22 244 104 115 128 75 101 156 199 24 83 147 83 230 135 17 249 29 220 195 252 113 121 46 9 176 30 122 13 43 148 23 200 229 251 66 56 110 23 116 60 150 16 186 137 57 223 216 89 1 107 32 33 24 105 65 79 171 131 62 89 161 170 75 163 227 78 105 206 121 186 211 121 222 51 33 150 53 59 170 81 168 112 98 22 102 3 147 221 171 80 45 176 147 235 219 190 181 29 136 136 78 192 244 60 186 142 5 123 15 96 210 175 112 224 40 133 51 88 246 227 32 142 205 60 128 91 237 114 162 172 102 122 29 247 125 142 239 109 146 255 217 89 154 113 133 82 77 101 46 211 214 22 193 42 92 21 11 1 92 1 19 212 201 247 29 206 209 248 32 0 159 15 247 45 87 216 122 103 41 220 214 214 196 242 212 183 40 212 80 152 202 251 46 22 146 185 133 186 156 242 111 65 240 102 22 209 17 232 213 235 118 99 89 200 199 44 74 171 41 97 27 154 211 117 98 45 210 179 6 86 204 121 162 125 41 230 12 23 136 181 93 30 69 10 53 149 154 92 106 109 54 127 91 74 76 3 214 86 190 194 54 244 70 62 79 86 40 103 93 128 94 149 234 156 160 150 145 217 14 65 139 81 166 191 198 247 75 240 41 221 140 18 250 65 128 109 197 49 110 135 56 173 112 157 159 58 199 239 34 0 181 152 177 102 3 250 27 17 179 61 76 64 7 121 81 91 241 192 139 243 86 3 192 26 44 100 107 173 91 207 184 74 20 182 216 91 125 170 61 208 52 27 224 109 101 124 87 160 163 153 197 183 207 169 32 85 78 181 104 118 222 246 30 0 107 219 210 108 143 130 89 131 77 232 180 86 69 217 116 99 235 128 81 229 34 46 86 171 161 157 231 93 234 56 178 165 65 247 159 36 20 120 198 192 242 123 197 124 47 21 147 245 230 34 176 114 141 71 157 203 33 174 80 102 219 204 226 78 151 31 221 170 176 45 223 26 22 89 92 204 216 247 171 78 145 143 97 133 153 135 249 168 243 4 183 187 216 165 173 172 33 190 219 8 199 40 1 132 239 98 108 51 17 151 22 148 54 11 174 10 48 46 132 200 7 224 86 135 1 181 117 208 216 205 121 83 24 99 15 191 185 21 112 111 130 243 190 151 73 173 83 40 137 57 0 56 151 194 157 82 0 161 237 210 201 118 49 214 62 196 227 171 46 111 171 65 161 154 98 39 192 179 253 2 105 140 175 11 80 191 196 255 57 10 77 6 14 2 236 189 206 157 99 217 29 141 60 115 145 91 252 123 92 102 106 170 243 137 117 235 20 101 185 207 166 129 128 143 142 15 57 179 215 110 84 229 124 38 214 188 169 221 165 172 14 187 109 80 125 206 44 63 228 156 124 29 232 99 253 206 151 86 235 238 51 201 109 172 200 103 82 246 48 182 39 0 138 237 203 91 139 178 122 148 251 84 34 250 246 115 173 45 16 230 114 73 255 3 206 245 3 62 155 143 152 123 222 41 201 86 69 167 132 201 187 204 233 24 230 223 170 98 98 76 55 26 81 40 167 152 206 235 69 198 112 29 186 222 63 2 248 105 60 203 18 151 60 105 190 195 159 112 159 22 133 178 79 182 248 6 156 43 168 7 131 197 22 248 54 104 110 138 187 109 227 95 128 194 190 208 185 120 186 0 191 185 147 218 152 155 108 232 218 228 210 168 178 220 216 226 111 20 88 62 33 48 213 253 190 7 0 89 246 169 23 113 22 44 181 192 108 204 137 213 22 23 107 234 119 220 44 201 5 71 173 171 88 187 78 44 71 57 135 149 216 166 176 29 205 170 249 109 129 27 149 243 189 37 173 61 238 178 13 250 221 228 191 202 103 22 166 177 173 83 133 16 113 18 247 191 22 203 241 25 128 84 201 152 45 47 108 192 69 15 42 17 161 109 136 228 90 151 165 49 29 160 23 187 228 60 115 174 22 195 253 251 248 93 51 0 178 44 15 11 167 60 231 2 248 77 140 175 142 231 168 134 155 150 184 192 242 102 133 230 154 165 46 237 168 214 37 22 12 56 157 175 203 133 125 90 20 122 13 13 56 17 104 73 129 93 163 5 172 196 240 143 175 243 96 178 185 192 57 240 12 136 125 142 157 38 187 128 118 220 165 227 88 210 218 100 151 15 230 13 134 56 171 209 50 26 123 241 86 79 113 207 178 11 182 191 156 207 183 160 243 220 163 176 47 111 54 68 126 21 32 212 179 32 114 1 237 38 8 124 53 207 51 27 2 63 6 199 121 149 235 238 0 144 141 120 227 159 33 13 250 87 60 219 54 22 142 113 183 2 192 191 199 77 218 26 128 182 145 107 52 40 148 195 108 116 57 234 214 235 185 193 133 185 204 154 59 4 216 172 13 113 129 66 137 240 87 120 111 129 38 166 95 30 112 169 200 173 206 152 72 113 185 119 141 248 239 138 25 143 109 170 25 114 62 57 141 38 176 18 125 94 105 206 173 111 150 67 166 99 157 182 111 208 186 81 216 67 164 58 241 154 206 223 230 47 171 113 22 94 146 139 55 166 176 26 15 42 108 170 93 13 80 82 152 236 60 38 184 202 229 33 141 40 116 77 45 81 216 150 62 83 209 150 49 219 86 101 222 240 197 138 10 98 76 229 245 75 64 93 232 12 147 185 46 142 121 12 111 249 0 78 213 30 38 101 190 139 153 14 3 252 67 136 191 122 244 74 155 40 203 169 223 130 56 223 231 146 239 246 42 180 252 181 180 226 12 198 180 197 185 16 218 240 213 205 3 232 182 225 246 184 219 160 113 212 89 218 93 46 152 124 204 25 46 211 156 161 81 163 80 186 73 78 58 13 140 37 176 18 157 170 86 152 107 80 161 106 175 229 211 91 200 33 151 85 145 104 101 200 133 17 228 216 108 151 66 53 152 124 133 93 193 93 120 207 239 67 108 188 21 39 102 59 58 214 237 172 210 99 248 176 30 118 156 174 153 201 182 178 212 214 137 225 105 126 127 183 66 69 193 87 208 197 46 115 58 230 2 64 177 64 97 103 242 94 198 213 192 239 42 185 223 171 136 102 139 6 92 229 146 235 90 25 135 237 113 172 67 132 189 12 45 218 21 54 135 154 178 110 181 171 44 213 197 66 54 25 44 158 17 231 61 63 206 171 128 235 198 156 59 97 88 161 108 103 23 99 176 66 33 109 220 187 229 36 190 170 105 110 110 79 122 36 105 116 142 68 5 206 234 98 250 239 188 184 107 117 58 87 142 179 244 134 29 235 79 119 78 193 84 30 214 192 84 206 61 246 187 243 102 193 125 140 243 217 62 71 171 22 216 166 80 88 228 195 128 96 153 66 243 131 87 153 76 43 62 107 213 101 44 201 240 49 172 75 219 57 84 6 71 178 42 199 86 67 117 53 224 176 130 186 127 194 245 11 156 159 47 217 229 195 155 197 93 238 242 211 158 96 110 246 241 204 199 17 171 86 235 171 93 161 42 143 37 54 154 21 109 205 22 122 157 228 176 140 223 108 151 252 231 75 75 154 228 48 78 214 251 26 192 233 209 24 53 194 124 189 199 240 73 226 74 195 142 107 101 56 229 221 60 252 169 238 55 45 46 152 108 85 156 231 67 236 20 136 59 9 17 248 9 116 37 115 3 52 40 218 204 112 28 14 115 53 196 158 140 233 223 7 144 238 71 196 21 1 26 171 112 147 76 184 165 132 177 237 103 76 109 112 173 91 248 236 65 133 54 193 22 244 253 40 156 240 24 96 204 81 40 158 219 165 80 15 244 48 0 187 211 101 229 30 85 216 234 214 226 50 112 119 43 236 17 48 7 102 17 227 233 118 206 92 95 35 212 232 156 231 242 220 124 102 194 192 201 194 51 39 57 250 222 108 192 58 213 145 170 19 183 133 15 59 189 104 208 101 50 198 93 236 178 207 229 23 101 66 108 243 101 29 33 51 243 101 86 250 231 121 95 4 23 104 118 138 171 229 131 255 62 32 221 0 160 238 85 216 74 101 165 175 203 0 241 51 10 219 189 82 80 162 155 136 79 214 241 251 235 9 138 91 109 210 103 20 138 193 154 85 87 2 24 166 2 170 37 184 11 182 43 116 9 43 82 232 196 154 229 226 132 5 232 72 86 162 201 226 170 102 68 153 2 238 247 47 36 185 92 44 219 21 62 162 179 107 189 124 70 199 155 5 88 126 79 218 240 41 242 194 18 251 19 91 34 155 213 65 61 2 183 89 129 62 84 201 255 173 10 123 4 91 1 217 199 153 228 191 66 196 173 118 150 224 211 100 65 204 69 36 89 99 244 94 103 177 205 129 235 89 238 252 52 64 108 21 105 138 224 72 123 21 54 86 188 195 169 3 166 76 27 39 178 93 72 57 68 3 26 0 72 182 66 249 72 43 242 107 11 234 144 194 150 48 191 211 220 130 196 57 206 205 99 137 154 150 70 108 187 220 123 116 118 237 150 207 248 72 210 155 239 240 249 219 113 199 190 51 19 146 215 204 186 156 9 23 154 10 168 214 2 44 219 93 34 64 83 140 37 249 32 159 173 33 147 211 210 105 44 152 110 133 196 182 162 100 95 170 168 43 216 247 224 58 79 59 241 86 8 215 105 214 137 27 64 119 42 180 1 182 70 158 69 124 102 213 136 215 3 26 171 69 181 10 142 216 227 50 75 172 208 153 197 94 179 92 208 57 67 161 112 74 178 83 5 228 252 75 67 206 210 182 56 171 237 104 146 66 221 43 93 168 28 235 100 28 204 186 220 167 184 16 82 226 162 200 130 43 84 226 59 26 192 10 156 203 138 182 52 231 85 172 216 185 46 164 148 66 76 206 118 31 153 183 122 181 66 201 75 43 23 96 91 161 172 91 131 237 242 222 169 176 139 199 118 63 15 162 243 88 106 209 66 92 12 207 40 170 137 101 209 128 5 128 191 28 17 108 65 247 187 28 160 134 249 124 196 89 203 253 78 132 153 114 158 225 244 42 111 129 159 44 169 32 201 137 206 238 177 154 192 55 43 176 12 56 49 23 54 200 77 224 86 198 213 230 42 218 28 241 10 19 248 48 127 127 218 229 17 89 237 246 89 252 191 25 14 247 69 126 179 143 107 222 164 208 127 48 149 137 203 7 48 107 248 127 33 99 178 186 236 229 206 226 19 129 239 197 10 213 115 234 49 54 110 197 133 209 6 208 119 40 36 18 166 163 91 165 192 93 91 19 66 53 214 64 41 75 39 246 45 178 157 221 214 118 102 208 129 43 150 224 192 182 195 154 104 13 141 245 228 189 89 143 184 35 174 37 4 14 36 248 205 44 12 49 194 68 217 177 77 210 95 64 248 93 60 103 30 34 43 223 165 174 152 139 97 166 115 84 30 195 31 118 25 10 117 61 147 110 149 97 204 83 127 53 122 211 34 68 147 37 32 62 164 104 199 181 57 102 95 5 116 150 235 111 165 43 77 79 252 71 73 223 2 240 169 56 54 109 110 210 28 87 201 114 226 45 203 197 101 83 29 128 178 18 140 157 193 83 184 10 198 252 120 51 115 172 147 233 94 49 7 52 83 238 175 192 65 90 159 112 254 58 226 131 239 230 57 247 40 116 49 181 120 157 37 236 45 87 104 15 87 236 44 46 219 149 157 198 239 158 196 204 183 180 151 221 40 233 111 81 104 98 89 166 104 131 132 181 129 75 7 128 214 216 220 178 40 54 43 116 152 176 142 104 29 0 244 25 133 36 203 33 247 236 67 206 202 243 201 118 230 122 233 118 160 180 14 169 67 231 98 178 206 39 96 157 236 40 3 44 79 56 246 47 196 208 106 103 226 127 27 110 242 152 19 169 214 189 126 46 186 206 171 92 99 54 127 199 0 198 81 196 93 133 66 237 47 107 178 158 134 18 110 78 202 119 58 14 50 77 161 135 117 27 198 64 7 6 129 133 93 122 17 177 157 10 253 150 103 97 205 90 249 206 60 23 128 206 208 137 21 102 228 92 48 3 39 137 229 246 159 171 137 57 223 129 181 208 57 8 229 188 216 239 85 148 130 252 13 116 161 31 43 148 187 182 221 40 214 122 183 25 16 12 42 36 42 206 119 198 131 53 255 110 82 180 147 166 3 112 173 6 108 86 82 50 15 78 104 69 202 182 58 5 126 49 156 47 6 248 254 142 247 60 133 64 120 28 144 155 23 191 10 142 217 233 20 118 175 95 157 109 52 100 220 21 228 243 249 200 118 30 112 59 222 175 40 151 234 173 10 187 183 107 81 158 215 40 196 245 102 42 218 225 124 133 162 20 146 58 68 154 109 139 111 118 33 16 235 59 243 148 66 113 146 6 244 169 106 196 154 133 125 30 198 49 186 95 81 182 194 141 112 183 2 69 153 173 141 128 247 30 238 101 165 23 45 221 165 64 161 123 125 147 243 61 245 114 157 124 23 234 122 211 30 231 51 199 138 225 13 223 228 28 143 69 152 253 219 224 80 7 152 124 219 145 179 19 11 242 101 192 85 166 40 93 101 57 231 220 1 7 177 204 202 167 209 209 26 21 242 153 172 142 252 28 231 145 191 77 33 99 225 82 69 89 170 181 46 108 146 193 216 110 80 180 99 200 138 194 90 165 151 6 103 173 77 129 203 237 116 58 147 231 62 253 231 154 27 93 232 192 154 133 168 218 166 176 115 228 86 66 49 159 130 83 252 8 32 216 97 205 156 6 20 5 160 55 41 42 48 246 30 20 105 19 71 151 2 136 75 225 94 171 21 26 111 231 40 52 211 180 254 126 71 17 167 233 10 181 165 74 1 71 37 192 177 178 4 255 160 176 169 97 68 97 227 234 100 184 228 2 157 88 254 252 188 93 245 231 235 97 251 254 204 187 110 93 67 123 1 84 22 156 200 82 62 22 43 10 0 223 175 80 242 186 94 161 40 235 50 133 186 87 71 225 72 41 232 87 255 130 85 55 23 49 213 164 40 67 194 242 189 46 69 207 51 110 210 11 224 108 235 156 101 139 206 86 232 160 177 146 119 107 242 105 238 147 149 10 69 88 254 243 124 157 156 243 153 99 165 3 0 155 132 117 112 175 47 3 162 47 97 242 219 241 118 116 149 90 38 176 149 255 173 195 232 59 113 39 220 164 144 152 119 84 33 144 107 187 153 109 71 145 224 52 187 21 138 145 148 56 103 107 13 128 179 178 153 185 88 175 214 174 216 202 98 111 192 64 152 234 92 6 37 92 127 135 198 32 64 60 161 188 191 54 176 82 28 183 218 129 226 190 82 209 38 136 251 157 220 104 216 0 0 8 178 73 68 65 84 220 185 214 77 35 166 208 236 200 54 68 180 43 202 74 88 194 223 207 43 170 125 101 149 160 173 63 208 173 58 177 38 231 76 174 241 30 188 237 149 136 177 63 226 90 203 21 90 135 88 234 244 115 10 221 209 172 220 227 227 232 104 214 194 196 138 212 37 115 13 77 0 107 124 65 149 236 148 246 229 10 187 129 50 80 216 125 221 246 37 136 175 75 21 182 80 89 209 140 94 38 251 63 0 221 94 103 165 217 14 157 171 20 229 72 21 42 202 142 176 126 132 183 1 216 151 0 200 131 184 18 154 177 10 219 21 130 219 165 40 243 181 10 57 93 86 166 192 194 71 86 140 238 160 227 178 231 229 145 114 158 142 219 151 153 222 192 223 237 76 78 167 227 86 86 206 103 54 150 152 21 227 181 242 151 113 0 248 85 244 153 187 17 69 31 82 216 168 187 91 81 38 104 19 6 195 30 44 188 65 69 101 184 243 89 160 182 57 212 122 66 11 113 104 156 104 179 66 235 60 107 51 188 150 113 223 5 248 219 156 113 49 143 177 88 79 232 9 142 53 14 71 1 171 127 10 22 219 33 133 82 225 181 110 34 70 112 162 214 225 175 122 158 197 100 53 38 154 20 178 78 127 12 231 235 64 191 218 9 8 166 43 10 201 188 157 191 123 224 94 66 148 30 87 20 194 89 139 242 255 94 174 253 207 124 191 31 131 192 170 241 216 214 179 201 206 57 123 144 107 31 2 188 86 126 178 246 124 4 213 249 172 188 175 82 148 189 96 22 218 3 112 23 43 69 185 213 157 107 237 72 38 51 201 143 241 185 213 44 79 86 40 71 84 171 80 40 237 32 32 248 5 138 253 82 133 10 58 107 0 207 46 196 164 109 199 90 14 240 118 56 151 197 86 133 230 161 27 21 2 234 86 112 35 77 97 231 182 213 205 42 82 228 213 255 169 198 41 104 60 33 10 163 227 25 252 79 137 57 90 191 4 64 118 88 245 190 50 64 116 187 251 110 43 98 180 145 73 94 207 103 214 191 231 11 10 37 151 70 20 109 6 125 26 139 115 10 19 111 162 109 51 238 141 87 224 88 117 112 171 82 0 101 253 155 7 20 202 96 46 199 25 187 136 107 236 86 216 109 83 175 80 132 109 66 199 26 199 35 49 241 207 10 243 150 225 114 176 99 158 194 38 205 23 20 90 166 196 1 220 229 40 233 214 156 234 195 138 114 223 173 38 193 22 174 87 15 151 92 129 78 244 19 56 141 37 5 94 131 67 246 16 92 113 58 96 189 159 251 204 3 68 86 202 50 5 14 105 205 15 172 66 79 6 139 230 152 206 243 227 124 15 66 39 58 76 109 123 184 224 20 95 66 196 88 9 237 99 10 233 38 151 43 52 163 186 3 177 179 30 29 103 4 29 169 5 80 220 7 136 230 240 219 89 10 37 201 111 226 239 90 196 238 30 133 162 186 175 0 198 125 10 94 253 141 128 115 37 0 219 140 126 54 3 142 219 113 33 76 70 202 5 4 172 196 182 31 191 13 183 218 167 200 59 191 55 225 252 5 10 181 77 165 40 190 183 9 16 254 82 81 53 227 28 192 248 15 156 115 63 215 187 10 192 189 5 61 234 91 10 165 183 87 113 158 121 238 173 254 169 109 232 240 21 242 46 193 71 118 40 193 239 118 222 31 73 23 200 115 196 16 105 5 112 225 98 124 76 213 10 221 65 19 65 152 173 200 211 126 35 159 89 81 93 235 51 157 170 200 83 94 13 184 14 163 143 173 71 68 154 232 122 22 87 193 39 185 247 11 88 145 87 98 241 181 227 43 59 8 7 203 231 218 207 1 198 253 248 192 98 23 18 176 46 36 81 40 184 199 59 20 213 98 248 46 22 224 111 42 42 83 228 183 94 93 141 8 91 130 232 124 2 165 252 211 0 108 15 122 149 185 1 126 140 15 236 183 21 218 201 101 99 49 174 83 148 1 209 160 144 199 254 34 250 83 3 175 90 133 162 114 71 20 90 173 212 41 20 255 213 4 176 222 188 71 63 122 207 207 241 67 173 71 28 126 83 39 214 206 252 93 68 224 183 21 234 115 245 115 206 37 232 71 165 138 242 167 218 21 237 67 156 162 40 212 115 39 156 202 92 25 229 138 118 8 77 229 250 43 20 170 37 239 130 67 237 83 232 85 88 207 231 86 44 228 216 4 176 206 143 195 111 194 204 70 148 109 115 160 186 14 191 210 207 177 22 173 238 65 53 122 207 26 68 100 26 122 146 117 13 187 31 17 186 16 235 115 57 58 212 163 138 242 172 74 1 161 245 2 60 134 168 155 172 40 255 43 95 33 152 93 143 194 254 236 133 38 2 47 100 96 249 35 14 103 242 251 231 62 11 144 126 14 120 102 0 130 124 133 90 165 43 208 169 126 198 255 207 97 197 85 40 202 76 181 76 82 219 105 51 29 176 20 41 10 207 204 82 216 17 212 15 183 178 158 136 151 161 203 89 159 232 11 242 72 186 192 129 101 133 220 236 184 30 110 102 217 153 38 210 62 132 72 156 175 80 136 164 86 81 25 237 53 128 73 112 181 223 195 239 245 86 44 195 41 0 179 21 93 237 79 209 205 174 230 26 105 10 181 25 186 225 118 3 136 236 11 154 240 23 242 145 133 11 192 250 43 94 14 151 120 0 192 21 43 212 127 175 86 104 12 245 105 244 160 92 56 75 135 66 225 177 207 1 182 77 10 253 163 103 225 154 120 129 107 90 241 185 110 140 130 35 58 177 10 225 10 64 168 9 142 117 126 30 71 177 240 214 226 70 184 2 46 98 181 77 187 152 232 237 10 149 3 159 225 119 150 152 103 245 72 173 143 98 189 162 29 64 135 209 191 74 249 110 187 34 207 122 18 156 175 136 133 219 196 239 75 21 218 220 237 190 192 233 126 193 115 44 1 156 28 38 127 46 86 93 159 227 104 190 29 91 163 162 132 190 12 92 1 249 138 118 242 76 7 16 86 70 123 133 162 228 190 54 68 224 227 232 96 79 43 212 235 92 135 219 193 92 13 214 5 98 1 174 144 193 9 96 157 255 199 113 69 69 109 95 70 255 25 114 238 137 169 88 134 219 20 101 129 94 161 80 9 185 30 113 102 91 188 6 20 57 94 91 20 165 224 212 98 41 46 198 95 213 141 126 102 149 2 143 112 157 46 12 137 23 21 109 251 26 188 208 9 158 116 145 0 107 4 46 81 151 240 204 86 68 99 22 226 173 5 176 125 87 161 154 112 57 46 134 43 225 120 86 101 166 82 81 23 212 53 128 166 19 119 195 124 133 102 156 214 54 165 128 223 236 185 88 104 126 177 0 75 78 167 42 79 248 172 31 0 125 29 235 238 1 69 142 213 43 20 234 79 229 34 226 14 224 207 250 115 172 187 7 21 122 86 91 197 104 171 245 208 165 80 255 190 12 14 103 46 144 11 254 72 190 200 128 101 69 55 214 0 166 94 231 215 154 164 80 111 107 137 66 179 38 107 128 100 229 26 223 138 143 170 90 145 3 181 80 161 83 233 6 124 93 179 225 88 173 136 221 175 107 12 107 81 77 112 172 55 199 81 173 40 4 51 19 189 235 125 232 87 159 82 20 162 25 130 235 172 117 226 109 41 156 107 49 110 8 225 195 202 129 139 109 85 228 0 61 4 231 234 80 232 20 241 111 92 227 162 58 82 116 113 30 49 133 214 40 111 85 232 197 179 148 215 37 0 196 218 178 181 41 52 75 90 2 136 46 71 153 63 4 231 170 83 148 122 83 224 92 26 15 92 164 244 189 40 57 150 41 243 82 104 81 103 91 184 82 120 253 16 171 206 114 213 239 118 122 210 203 40 242 247 0 182 105 138 156 167 11 21 106 177 183 113 237 238 9 96 93 220 71 13 250 230 125 136 182 41 138 178 74 155 16 125 31 65 199 122 31 96 187 83 81 49 144 54 184 149 213 107 63 14 23 124 73 161 213 200 4 176 46 226 195 186 174 78 86 216 193 60 44 233 175 21 26 81 86 41 202 100 232 69 255 218 170 80 96 183 27 215 67 158 34 223 85 173 162 28 247 9 96 77 28 170 87 148 205 89 1 192 44 149 56 85 145 71 125 21 250 152 57 89 173 131 233 147 0 238 30 69 219 196 238 66 201 127 244 98 38 102 202 4 158 126 125 88 247 246 233 138 124 86 47 40 202 100 176 142 25 187 16 121 203 21 154 92 190 132 229 247 183 232 105 214 57 171 230 98 39 230 4 199 10 135 237 238 217 171 208 230 246 69 69 89 164 131 112 52 235 119 211 132 120 156 163 200 193 122 92 209 238 27 219 176 241 200 4 176 38 142 68 113 216 171 200 159 53 73 145 7 125 9 150 159 16 145 235 20 121 218 39 41 42 62 146 143 126 86 169 40 108 99 37 31 47 234 35 121 2 75 191 62 108 211 107 182 34 255 212 2 69 153 163 109 10 125 253 230 42 242 127 173 87 232 254 62 29 110 117 43 122 213 126 20 253 9 96 77 28 39 28 125 10 37 32 247 195 141 62 165 208 173 180 66 81 131 0 75 18 124 68 161 5 202 136 164 127 157 32 225 132 40 60 21 176 108 75 254 109 138 66 57 217 136 193 34 69 30 250 101 156 179 7 142 117 13 150 226 127 76 144 111 130 99 157 78 36 90 251 225 118 69 59 112 190 6 120 238 86 148 171 101 173 232 146 120 175 194 18 124 106 130 124 129 136 19 199 169 143 169 138 66 57 51 80 202 13 68 197 40 244 5 88 147 51 36 253 241 4 185 38 68 225 153 46 58 43 204 22 199 66 124 1 171 112 68 161 149 219 108 69 59 173 39 142 9 81 120 86 135 109 188 200 71 215 170 85 148 131 53 25 151 195 159 232 34 73 222 155 16 133 99 115 92 169 40 84 147 205 235 32 214 225 196 113 146 227 255 1 164 180 99 178 138 77 237 209 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
victorianPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 150 0 0 0 229 8 6 0 0 0 177 183 14 141 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 32 0 73 68 65 84 120 218 236 157 119 124 149 69 246 255 79 122 32 132 150 64 232 189 247 38 34 72 145 162 116 81 80 80 16 21 92 21 219 174 174 5 187 98 69 108 88 190 168 216 88 20 4 11 42 42 32 93 164 247 222 33 244 30 122 18 82 127 127 220 247 249 205 185 147 139 232 174 174 186 242 188 94 121 5 110 158 251 60 51 103 62 231 115 202 156 153 137 144 243 215 111 121 21 22 145 242 34 82 78 68 246 139 72 31 17 185 64 68 10 138 72 62 17 121 95 68 158 22 145 51 34 82 136 255 151 19 145 122 34 210 90 68 230 138 200 42 17 217 32 34 97 231 197 249 191 127 157 109 144 107 136 200 199 34 210 70 68 154 136 200 9 17 57 32 34 89 34 146 46 34 235 68 36 77 68 182 240 123 153 136 124 39 34 185 252 237 239 124 182 70 68 246 138 200 112 254 118 251 47 108 95 132 136 68 241 251 119 185 34 207 99 228 223 186 114 249 29 43 34 15 192 50 5 68 228 106 17 57 40 34 93 184 103 149 136 188 33 34 35 184 239 29 17 169 32 34 237 1 207 110 17 105 200 179 150 137 200 122 17 57 34 34 79 138 72 85 17 121 84 68 190 17 145 202 191 176 125 217 252 252 110 87 196 121 140 252 226 235 114 17 25 132 137 251 12 118 74 16 145 99 48 204 7 200 245 34 17 153 47 34 181 69 100 130 136 124 36 34 157 68 164 29 140 247 185 136 52 7 64 215 240 183 173 34 82 93 68 194 69 100 156 136 204 0 176 169 34 242 195 207 108 95 20 236 247 18 0 63 34 34 29 105 223 225 255 150 144 194 207 227 228 103 93 85 97 165 59 68 228 75 17 41 43 34 111 49 88 149 68 164 1 38 111 132 136 76 22 145 251 241 145 170 97 2 243 1 158 8 152 172 52 108 87 15 255 233 52 44 118 3 190 214 66 204 95 67 254 222 242 23 180 53 147 113 189 22 64 190 45 34 247 192 134 179 97 209 107 127 129 121 63 15 172 223 224 106 38 34 75 68 100 147 136 236 0 0 125 68 164 167 136 252 77 68 30 130 17 170 153 1 91 0 171 157 130 101 222 19 145 226 56 226 211 97 176 218 176 220 22 17 185 18 211 215 11 39 126 48 239 157 200 119 99 68 228 213 95 216 230 162 152 207 82 34 82 70 68 230 25 54 83 83 59 157 119 44 21 145 33 198 188 159 191 126 195 171 40 142 120 174 136 188 8 96 218 137 72 15 254 126 139 136 180 18 145 155 68 164 191 136 116 54 223 109 130 153 27 205 255 187 194 28 247 136 72 93 190 35 34 146 196 103 141 248 255 227 152 82 17 145 75 241 185 158 19 145 231 49 187 63 151 81 190 160 237 254 245 20 64 43 47 34 151 137 200 30 192 254 46 253 124 70 68 174 231 239 191 58 131 253 213 175 18 176 76 22 194 30 196 231 249 49 101 109 249 105 96 190 83 129 244 193 108 64 36 176 90 71 126 143 5 104 79 97 38 191 229 179 61 34 178 82 68 190 6 68 115 248 255 183 68 150 223 146 154 120 23 166 249 185 254 242 84 17 41 9 19 13 3 232 98 250 97 125 69 181 88 111 210 223 189 252 254 246 60 184 126 157 171 140 136 244 198 76 236 17 145 251 248 76 205 199 112 0 116 21 62 149 96 106 158 52 249 170 182 252 253 75 252 162 109 34 242 61 247 52 18 145 155 69 228 94 17 233 199 160 118 19 145 15 13 160 171 227 115 93 140 121 124 12 63 237 237 95 224 214 20 1 24 133 48 215 165 68 228 101 204 110 5 17 25 64 123 146 188 239 214 37 8 73 34 138 205 18 145 161 231 163 194 255 236 106 5 163 220 128 163 221 8 70 234 32 34 201 34 242 8 154 191 147 104 235 58 17 89 65 30 42 27 159 230 49 216 229 24 145 92 154 136 220 198 255 55 51 192 101 145 119 29 17 89 12 112 19 201 99 157 2 212 7 120 143 58 218 149 136 228 214 252 204 20 200 109 34 210 20 19 215 16 31 240 69 158 121 21 145 233 25 17 105 65 240 208 8 240 134 193 116 167 69 228 71 218 243 0 190 215 59 252 255 87 73 244 253 21 174 48 132 191 4 147 181 141 127 151 32 196 239 98 82 7 181 24 172 215 49 87 99 209 252 206 12 80 99 17 57 202 115 7 193 16 43 0 231 106 64 119 8 147 215 12 16 229 240 243 18 76 243 186 136 108 132 29 79 240 172 103 68 100 140 136 172 165 189 231 114 176 167 138 200 39 128 168 5 109 186 21 48 151 225 253 227 232 227 118 158 89 5 0 61 44 34 251 80 150 12 238 159 109 64 121 24 86 204 57 31 21 254 244 181 2 83 53 12 193 47 225 243 20 132 62 28 51 152 141 246 138 136 140 23 145 238 18 152 122 9 195 220 116 50 160 18 88 47 12 192 237 54 76 148 1 131 69 48 72 45 69 100 20 223 121 128 129 157 141 169 20 76 98 29 24 47 230 103 128 42 18 229 120 15 255 46 30 64 116 23 145 103 97 179 68 216 116 24 62 93 24 207 31 134 15 216 148 52 71 117 218 126 27 64 58 132 34 229 252 92 225 254 85 77 225 16 180 182 150 136 76 195 228 212 33 101 112 59 121 164 127 193 104 223 136 200 113 17 249 39 102 100 54 14 247 69 128 165 27 0 213 235 21 158 61 19 38 90 132 207 83 18 147 118 146 92 83 5 76 83 25 210 21 171 37 144 105 175 10 243 148 32 42 12 39 93 81 3 71 188 46 233 138 211 0 85 175 214 188 111 182 249 108 15 237 31 66 106 161 13 166 119 6 105 145 125 60 227 32 255 95 77 146 246 1 218 176 9 229 122 5 246 222 71 80 112 30 88 222 213 20 33 13 18 145 215 36 144 25 111 137 233 89 3 243 220 203 160 14 70 155 95 103 176 103 225 115 85 1 96 219 208 224 84 76 140 136 72 52 96 28 13 80 11 242 236 50 128 179 12 102 182 52 224 250 158 191 151 160 93 137 48 73 73 216 166 46 0 206 143 67 189 30 211 180 3 147 218 25 255 45 137 190 125 39 129 201 110 225 111 155 77 223 247 139 200 36 192 213 30 22 125 21 115 189 17 37 233 130 76 186 208 199 242 4 41 99 232 215 189 152 253 177 231 114 163 254 74 166 176 37 76 20 197 32 204 224 243 226 252 123 43 190 208 97 64 247 142 136 44 55 97 251 122 152 37 14 51 119 1 102 206 78 181 196 99 106 74 98 82 211 0 82 20 12 182 5 48 22 167 45 234 235 125 6 80 174 131 141 142 1 220 87 113 176 39 1 212 111 48 217 179 73 208 86 20 145 250 164 9 202 97 222 43 136 200 64 17 169 73 68 104 175 242 188 103 33 0 126 153 168 115 4 32 212 156 218 123 220 115 28 214 18 114 92 111 192 208 239 156 203 52 255 85 156 247 71 36 80 57 48 85 68 238 4 16 13 240 135 246 2 146 203 69 228 46 88 101 17 137 204 171 49 87 177 12 202 66 64 115 2 31 104 37 190 200 10 147 54 184 9 144 150 193 180 86 1 96 71 68 164 24 128 25 70 74 97 71 136 182 198 225 208 63 12 19 181 102 224 237 85 4 211 88 21 32 21 34 221 241 57 204 22 206 59 243 139 200 11 248 137 57 34 114 35 253 28 73 95 199 26 191 176 34 138 83 153 62 221 4 27 223 65 63 151 97 126 39 240 238 22 40 207 95 142 177 84 105 118 97 86 190 129 25 226 36 48 207 183 143 124 211 9 50 233 47 226 160 126 132 246 79 135 89 74 96 162 62 192 132 37 227 66 172 128 45 214 153 119 214 100 96 10 227 0 151 130 197 14 241 239 52 192 178 240 44 160 18 6 239 33 76 111 33 64 53 152 103 234 117 20 211 118 132 54 168 9 126 3 54 107 74 138 32 3 147 171 78 247 125 128 61 11 25 180 66 105 178 104 219 86 130 128 75 140 252 222 224 249 117 48 215 79 210 254 79 207 21 73 252 175 94 185 34 114 55 204 209 4 159 66 96 156 71 0 212 151 18 152 166 121 14 83 247 38 62 136 0 174 177 104 111 44 204 80 151 36 166 58 252 105 200 48 147 247 157 97 192 143 137 155 99 12 103 224 106 48 192 195 189 204 125 168 171 43 9 219 120 130 134 231 37 48 177 189 8 214 187 140 188 91 4 237 217 135 47 88 144 172 121 111 24 117 182 231 10 156 196 73 79 194 68 191 77 226 246 20 108 55 152 172 127 125 0 184 28 150 155 78 255 143 161 80 31 98 218 191 197 31 139 16 175 76 231 215 2 86 28 9 192 13 127 16 80 149 64 216 11 16 88 97 132 82 132 65 62 12 245 127 141 22 55 225 179 39 189 108 116 3 0 83 159 20 196 84 9 204 35 54 195 111 202 2 44 154 99 74 32 231 84 6 144 53 228 239 153 0 123 23 108 242 209 57 218 95 148 123 79 242 253 25 152 186 142 164 60 86 224 7 110 17 145 190 56 224 237 189 180 199 116 239 153 127 67 145 50 48 145 167 0 87 12 114 168 9 112 227 1 91 2 50 25 193 179 50 81 48 193 44 14 70 110 13 1 224 47 50 133 225 103 1 209 179 68 10 119 226 187 156 162 195 58 207 244 4 33 236 50 9 204 172 235 244 64 2 62 67 203 16 207 142 248 149 76 95 121 156 203 183 137 168 250 161 85 197 240 37 110 65 251 183 195 12 183 160 253 99 17 186 94 123 49 75 153 248 26 91 17 98 50 190 69 121 210 21 153 166 47 249 248 89 199 125 7 25 156 83 12 154 112 255 73 243 158 42 100 226 235 240 255 10 248 53 31 48 224 149 0 213 139 68 174 37 24 200 121 152 246 101 140 199 209 115 200 101 9 237 169 195 59 211 249 253 14 78 251 22 88 252 99 198 226 8 230 123 172 136 252 131 113 29 135 178 149 134 153 235 73 232 18 156 115 50 86 14 249 156 75 8 115 115 49 17 101 201 68 119 198 15 184 31 135 244 101 6 240 0 141 88 6 109 23 39 186 42 198 207 6 180 250 5 6 103 38 239 249 79 77 223 203 152 191 31 13 251 164 155 105 137 186 8 182 15 247 172 197 100 60 8 27 172 3 244 71 8 171 227 37 80 213 240 13 137 198 122 188 39 157 62 68 224 127 169 153 189 136 123 75 192 146 155 24 156 98 12 70 52 239 155 192 253 55 1 102 205 161 173 35 42 28 78 238 41 13 249 189 198 115 7 75 96 34 123 128 4 170 33 62 131 1 159 58 135 92 74 74 160 168 112 11 190 213 205 40 64 170 136 92 129 18 126 194 56 214 131 45 53 69 209 79 2 117 249 77 96 104 193 7 124 22 32 126 97 44 195 57 163 194 174 8 184 47 47 223 37 34 95 1 158 55 97 171 116 162 139 191 243 130 13 38 99 156 128 217 136 167 97 103 248 126 61 26 151 45 129 146 145 66 60 39 21 1 94 12 8 87 224 219 252 146 43 63 224 191 17 208 95 203 96 236 102 224 52 114 171 79 100 116 53 14 244 98 204 97 119 4 185 9 63 107 42 190 200 139 8 110 7 10 80 17 118 158 0 115 20 167 221 199 81 148 242 244 191 59 172 151 142 105 219 4 144 47 7 252 2 43 109 135 81 171 51 216 209 12 242 1 156 254 57 94 74 163 31 81 236 223 177 12 149 73 83 252 212 117 57 63 79 48 197 179 11 197 127 133 89 132 36 9 84 111 188 64 30 203 78 31 45 130 169 31 70 9 190 1 140 47 114 207 167 204 64 156 51 16 28 11 173 166 67 139 31 161 233 130 102 91 182 83 250 110 79 232 107 233 221 239 216 37 230 255 137 18 40 7 209 18 222 107 160 219 92 4 154 139 16 162 185 247 92 215 37 12 226 232 16 140 92 28 214 153 8 136 146 137 184 186 112 79 27 24 184 32 96 184 21 115 125 27 159 181 69 144 141 208 220 36 113 245 87 143 192 72 79 112 95 19 222 241 22 131 113 25 0 190 146 254 94 231 201 166 24 62 142 189 94 70 1 127 234 170 129 239 83 10 6 27 124 142 251 191 16 87 82 125 31 227 245 57 237 186 22 37 127 17 167 223 94 227 49 125 154 211 171 193 204 68 62 100 211 12 217 29 71 49 66 94 245 233 84 46 84 121 165 136 92 200 192 219 235 33 147 72 11 231 222 66 204 153 9 96 187 153 36 93 81 227 76 247 96 144 173 115 172 66 45 4 19 206 151 192 196 235 83 152 206 44 88 168 239 79 8 173 54 109 238 239 125 126 5 207 91 202 51 238 166 61 23 242 247 107 12 176 110 99 48 195 97 190 142 76 175 216 235 110 242 60 194 239 27 9 6 84 38 143 24 173 125 12 243 115 29 161 249 8 0 123 37 14 115 40 95 86 125 204 89 40 215 207 113 13 198 147 184 236 203 253 241 248 189 62 147 95 199 188 100 5 228 212 31 37 122 139 190 60 224 77 75 9 142 122 91 76 110 36 236 54 196 68 180 73 226 42 91 23 161 184 121 124 229 250 12 206 46 143 149 226 120 241 195 32 180 57 159 247 225 69 221 12 88 154 48 152 77 249 127 117 115 191 160 213 255 228 223 221 249 177 87 95 180 74 175 9 12 254 191 96 129 154 33 4 59 28 122 238 201 255 7 2 208 41 152 47 17 87 87 245 158 199 22 79 137 43 130 187 158 126 212 1 104 23 136 43 138 11 167 159 207 154 239 246 244 24 120 142 215 174 91 121 94 19 128 63 5 86 200 5 176 207 192 24 237 188 239 37 96 114 15 114 239 22 148 238 108 215 32 0 189 152 251 231 32 183 218 230 158 82 0 176 39 102 250 91 198 114 36 204 123 29 83 65 13 189 103 63 142 47 119 7 50 44 77 116 122 3 110 82 65 113 245 100 141 121 127 31 63 234 123 210 248 58 217 60 36 18 45 221 132 137 57 110 52 246 19 114 36 19 185 191 0 121 160 107 64 111 17 4 82 196 0 232 9 38 57 47 68 139 163 109 67 48 81 214 236 101 99 150 159 71 24 159 226 204 206 33 212 127 136 193 143 6 68 155 209 244 41 220 215 140 1 86 95 237 5 19 202 231 67 104 219 77 104 158 66 212 181 207 152 209 56 2 152 217 56 251 151 241 183 207 241 183 180 204 248 142 16 166 167 7 145 216 113 252 153 79 240 93 178 9 88 30 134 25 109 162 81 87 236 232 115 223 225 189 151 154 123 26 51 46 143 65 8 79 99 194 22 0 142 211 198 201 22 228 240 57 193 203 83 16 194 61 200 235 16 74 115 220 40 82 24 204 183 131 177 154 143 172 42 33 243 6 48 87 35 240 162 115 164 119 160 216 255 255 42 9 218 218 65 109 97 52 188 181 71 139 5 0 82 45 4 240 55 163 173 53 48 153 58 55 117 167 121 73 63 132 90 2 199 183 48 192 21 216 165 9 232 23 113 11 51 99 248 44 204 152 187 1 220 255 127 204 157 21 2 96 99 241 175 242 35 232 171 197 85 72 246 166 127 98 158 59 208 60 115 188 247 247 72 111 0 253 168 185 13 83 25 98 4 218 130 190 89 211 115 179 1 135 202 35 194 12 116 119 195 234 227 80 202 209 180 199 250 81 15 25 191 119 12 12 117 59 160 253 10 166 181 215 253 94 251 4 96 180 194 135 125 206 0 254 123 190 63 148 32 194 166 125 10 98 41 26 195 204 77 193 195 149 140 101 28 214 168 27 64 123 198 68 160 109 236 52 196 100 254 221 32 4 189 79 51 194 239 229 53 250 2 52 172 21 246 59 14 128 149 50 160 184 94 92 205 246 85 102 42 161 10 130 24 226 249 75 207 209 145 58 198 52 150 196 135 171 199 223 70 194 74 90 10 114 13 218 213 196 155 16 222 142 182 54 1 204 53 66 80 126 51 126 183 32 167 37 56 164 215 25 13 238 99 124 193 167 197 45 56 184 132 244 75 69 47 185 169 102 249 165 16 230 235 54 35 231 54 40 105 51 198 224 35 76 238 11 204 229 9 255 175 131 211 61 31 153 127 194 191 139 156 35 26 171 2 179 77 128 97 134 3 136 103 72 49 116 227 57 190 111 244 4 114 238 13 160 46 134 173 187 145 250 176 110 64 5 128 24 77 127 79 139 72 68 24 66 191 21 42 75 39 82 73 66 64 26 230 214 67 184 181 24 156 234 18 40 181 56 77 248 185 23 51 25 201 139 222 133 102 31 128 250 83 72 20 46 2 176 71 120 238 61 216 237 245 116 172 1 254 130 102 121 139 211 38 93 101 252 60 32 173 4 19 150 100 16 242 3 194 84 52 255 0 64 58 204 247 227 105 83 111 99 202 122 18 25 78 49 19 183 241 124 111 39 207 236 4 56 115 12 240 27 208 135 163 252 78 167 173 35 0 166 154 135 166 48 232 103 226 138 1 23 134 152 184 109 15 144 87 240 238 247 177 28 209 248 92 31 161 156 119 147 97 255 136 49 234 19 34 10 14 149 102 232 195 128 23 103 92 119 242 253 9 184 0 119 98 10 183 153 64 171 3 237 61 195 152 47 228 251 145 184 70 215 99 90 63 69 217 138 129 135 252 180 253 230 112 52 78 7 160 59 90 180 134 193 252 140 7 44 192 161 188 5 244 118 65 32 79 1 174 67 128 101 14 130 137 49 17 206 253 12 254 23 248 10 143 2 216 169 8 63 9 159 167 45 118 63 147 118 116 192 180 118 160 211 213 77 210 118 35 29 172 201 119 86 224 135 77 34 191 115 61 29 14 131 201 226 241 137 212 196 12 229 121 7 209 254 51 252 214 114 227 62 244 165 5 26 251 42 131 216 150 239 191 133 235 176 21 6 234 67 59 170 152 96 97 17 85 1 49 0 121 143 137 176 195 97 30 1 104 163 8 231 247 35 159 130 48 202 25 204 225 6 51 7 89 153 72 183 225 207 152 49 185 2 192 159 224 221 179 24 195 221 152 213 255 163 31 219 204 119 146 144 235 124 72 98 7 125 171 139 27 179 29 37 95 204 216 116 131 60 46 163 15 5 68 164 74 36 26 120 7 78 221 44 19 86 254 0 216 158 1 4 75 140 201 104 79 227 242 113 207 18 26 20 193 139 43 208 153 52 4 146 106 242 54 21 160 246 5 104 207 173 68 23 143 163 217 163 121 70 150 49 189 69 141 105 208 201 206 40 52 60 23 144 44 49 185 182 58 68 184 229 25 208 189 40 203 120 152 238 13 124 196 190 8 240 125 128 151 102 24 250 11 242 120 77 137 206 150 32 184 114 200 102 46 253 93 140 150 47 38 90 106 4 179 141 194 100 171 35 189 202 68 208 57 48 124 53 222 161 151 230 240 6 155 202 140 215 1 123 99 28 249 57 48 124 109 128 188 229 44 217 246 162 4 68 69 24 179 175 81 128 105 144 69 121 126 111 50 223 209 136 118 36 239 43 13 179 93 9 184 55 72 160 216 111 1 228 162 62 113 69 227 252 103 138 200 99 17 248 52 171 208 190 38 8 231 69 0 22 198 160 165 137 91 41 18 131 182 253 128 191 177 216 216 243 112 162 42 93 129 219 11 74 221 104 238 9 67 243 50 232 252 49 152 47 149 127 15 70 155 126 128 117 14 98 2 235 123 179 245 13 96 166 34 102 112 42 243 190 6 128 169 11 109 188 159 207 190 4 24 237 49 193 223 161 28 63 136 171 246 212 20 69 2 108 92 29 70 158 65 255 162 0 153 86 54 236 38 154 157 142 44 190 70 121 78 153 25 138 151 80 158 112 152 102 59 17 242 73 204 80 36 253 208 29 104 178 0 119 18 242 158 204 243 142 1 238 44 218 171 109 220 31 2 92 13 144 113 93 204 125 52 50 76 6 52 75 25 167 117 40 159 206 179 158 102 172 7 194 184 39 24 183 84 222 123 138 127 223 8 147 247 64 57 171 3 188 20 17 185 54 2 116 214 195 150 134 33 156 129 116 114 23 157 185 30 33 41 178 227 248 93 152 129 210 101 81 201 6 193 37 24 184 195 48 147 230 93 82 25 204 76 192 156 140 38 235 100 235 251 104 201 54 218 116 15 194 28 197 32 61 132 79 179 65 220 98 129 178 0 170 57 131 122 63 57 179 221 48 238 19 128 105 25 66 92 140 169 234 38 174 248 174 174 81 128 198 60 183 56 166 96 183 137 60 183 208 135 68 4 125 18 5 208 149 52 97 60 107 25 223 57 72 155 238 131 73 47 38 18 20 34 221 138 180 253 48 109 41 196 255 163 120 215 50 250 221 158 207 62 102 240 159 195 137 110 129 28 180 46 126 45 172 126 43 109 84 38 111 40 174 136 175 16 160 108 76 244 151 110 124 200 146 60 95 107 207 82 249 123 97 136 226 36 204 127 24 197 237 132 69 91 9 38 54 136 72 239 112 94 84 154 65 110 7 227 140 228 179 30 0 96 162 23 146 23 65 96 251 140 182 111 48 179 232 186 42 37 67 130 87 223 110 66 43 246 3 134 226 68 69 157 209 98 213 234 167 208 214 239 0 227 189 56 222 151 163 125 29 16 250 118 132 112 24 95 71 163 169 81 176 239 163 226 234 190 195 48 107 149 76 50 247 83 250 151 224 165 29 162 241 215 116 125 94 13 254 126 49 237 79 162 237 89 128 97 153 249 110 113 6 180 17 2 191 28 69 249 27 178 41 194 128 253 13 31 114 12 62 96 12 236 165 5 125 187 177 12 186 133 209 102 163 220 123 112 168 181 14 125 14 102 181 52 238 76 45 192 29 139 217 109 141 172 10 19 108 233 220 229 50 64 172 17 124 35 152 89 171 96 231 48 229 147 4 193 28 224 123 138 145 59 25 151 195 198 69 41 39 34 43 195 65 248 41 80 188 26 166 186 1 100 174 133 6 109 34 51 9 77 191 200 68 4 145 8 60 217 176 213 97 6 204 134 226 139 1 85 52 63 141 0 232 15 152 155 210 176 214 59 0 70 175 239 113 152 119 160 165 47 193 122 25 56 231 139 72 54 54 163 109 10 72 49 17 221 90 6 54 29 45 255 202 228 240 34 104 135 94 5 185 47 141 103 109 225 239 49 188 47 21 51 82 29 217 237 53 108 222 24 69 212 9 229 52 24 126 51 253 27 5 192 219 113 255 235 68 168 169 0 235 74 227 99 173 33 53 163 192 82 127 173 63 86 100 3 38 184 47 129 199 247 184 48 83 233 83 22 140 50 22 19 189 20 165 45 137 236 23 152 118 231 67 62 229 0 219 36 156 244 117 128 105 48 50 153 198 119 50 144 201 181 48 111 27 100 146 44 34 3 195 205 36 98 31 76 201 65 60 251 104 110 202 6 12 26 233 157 161 1 97 56 145 21 12 227 229 160 49 69 25 156 83 222 132 106 46 90 152 131 230 142 69 243 154 208 33 221 173 165 129 73 154 10 2 172 75 244 247 34 109 60 6 200 239 69 0 221 77 157 83 184 153 199 83 109 108 5 59 30 132 202 171 154 182 229 154 251 133 231 20 135 205 202 97 230 19 120 238 106 228 181 148 65 77 227 62 49 65 69 45 252 153 50 68 214 249 72 154 238 195 45 104 131 12 219 242 174 82 48 201 0 88 228 160 1 83 101 88 246 102 228 19 70 155 116 70 161 45 247 43 139 125 141 79 246 60 32 239 141 233 29 36 110 59 164 44 20 254 7 147 195 234 129 60 139 208 199 75 232 195 18 19 12 165 26 39 191 186 201 8 232 255 63 231 253 39 194 113 182 50 161 227 233 12 208 24 58 155 96 34 56 165 232 131 252 100 210 241 19 248 64 179 0 105 55 113 245 216 217 158 99 169 139 55 87 152 16 248 94 222 125 26 118 168 69 71 235 154 239 173 225 115 11 208 40 0 250 1 193 135 120 192 136 9 193 88 197 104 211 49 4 117 220 128 60 204 155 78 218 131 108 86 17 169 38 243 140 76 0 89 21 25 221 234 21 8 94 6 147 143 67 233 218 242 158 250 152 150 178 124 111 25 239 41 204 51 186 80 188 167 21 22 21 49 151 77 240 1 191 98 92 114 73 169 216 92 213 197 230 255 103 24 236 116 216 234 61 124 199 71 33 140 126 248 67 234 14 232 164 122 37 222 49 4 11 180 159 96 169 34 227 244 17 32 211 89 152 254 68 169 131 81 148 135 25 167 39 69 100 133 154 176 40 242 38 93 97 138 205 8 114 13 84 157 194 11 14 32 164 70 104 204 81 6 229 12 3 80 25 128 36 243 187 132 113 12 117 106 40 29 54 44 76 7 215 1 130 211 124 86 146 208 255 184 97 156 237 146 119 187 196 76 62 31 0 32 197 19 110 101 47 140 158 7 128 75 34 148 109 226 54 239 216 233 41 192 69 228 114 116 29 94 126 242 100 245 136 128 174 133 169 94 241 38 167 99 24 212 31 232 75 111 156 227 217 12 94 91 158 121 49 126 226 72 156 114 203 204 81 176 178 22 22 46 131 41 255 137 43 241 41 97 254 50 158 249 119 76 173 117 29 198 33 27 45 74 236 131 28 243 147 175 171 71 68 119 41 99 30 70 63 111 96 92 95 100 12 47 192 116 247 4 120 143 240 60 157 13 56 9 187 221 98 138 255 190 18 145 207 194 65 103 12 130 45 132 86 165 241 210 34 100 207 183 25 63 66 96 156 29 80 124 12 66 216 129 9 187 24 19 88 16 122 12 51 108 144 140 230 150 130 5 53 63 84 145 134 231 34 236 56 227 35 233 34 133 232 16 33 245 9 52 182 112 136 191 29 246 190 83 205 104 226 135 48 82 5 204 69 85 143 33 23 144 169 63 193 191 95 67 6 171 97 173 15 152 183 76 166 109 122 21 96 128 181 226 246 126 100 218 3 118 210 37 238 10 228 34 228 239 196 40 81 126 228 24 193 59 151 35 239 227 4 19 58 31 153 70 4 93 13 54 138 247 114 133 199 76 105 205 205 200 241 52 17 242 251 248 172 131 0 199 23 200 227 7 34 195 183 0 215 112 88 243 21 88 251 19 99 186 167 226 254 220 98 114 110 66 160 240 85 36 194 139 166 179 233 36 75 251 209 201 129 198 244 37 152 180 193 94 30 26 193 96 165 96 2 119 242 183 120 76 87 150 184 29 239 116 181 237 27 220 23 133 70 239 3 160 251 104 203 165 102 94 78 53 49 221 4 1 118 99 138 44 222 95 82 130 151 155 11 108 154 100 58 124 0 191 169 33 64 250 84 220 226 138 146 226 22 10 8 64 61 196 247 247 242 142 178 200 41 191 184 141 203 46 193 151 137 48 102 45 131 231 233 156 233 102 146 182 87 243 222 215 113 27 78 208 150 101 30 48 187 0 234 99 40 105 52 202 150 106 102 53 94 23 183 212 189 23 239 191 26 121 78 103 102 65 101 183 158 159 110 0 231 164 184 106 90 1 188 115 241 191 170 227 168 191 143 18 236 48 197 2 93 197 237 219 53 143 231 219 201 247 209 4 37 185 34 178 51 146 7 156 70 232 154 62 232 12 192 30 167 209 111 25 123 172 211 16 247 48 93 48 21 182 89 131 208 15 153 60 79 14 3 102 153 163 45 127 219 12 56 71 35 156 93 12 94 1 108 119 101 35 156 147 134 149 172 47 164 219 235 20 9 193 88 155 80 134 93 198 17 222 1 0 202 162 137 159 211 198 53 30 243 68 194 172 234 199 229 26 192 229 98 146 78 0 46 27 174 223 2 80 22 1 176 42 152 164 111 112 31 78 97 42 86 242 92 221 207 84 76 249 205 221 176 211 53 152 221 56 158 191 150 136 116 11 125 154 134 217 26 12 251 21 23 183 52 45 26 249 101 49 126 90 42 52 66 220 226 135 150 38 165 112 212 88 148 162 140 225 33 210 44 19 248 251 104 38 180 117 219 201 211 33 44 197 181 170 40 225 176 81 56 218 117 10 102 73 52 19 169 7 97 46 59 55 181 204 148 182 148 227 158 106 104 77 42 3 147 205 191 51 196 237 116 39 228 73 38 163 113 91 185 175 62 157 184 10 38 209 65 177 51 238 251 66 204 228 239 48 117 76 254 117 196 75 117 52 130 13 20 184 169 176 74 45 152 167 165 87 28 119 144 129 219 5 219 105 20 148 138 73 220 108 170 65 21 120 115 233 87 73 50 211 41 200 104 55 239 218 70 223 154 99 130 95 51 41 132 2 152 176 101 128 77 55 32 57 13 96 218 193 246 177 102 42 231 67 114 119 186 92 107 8 239 191 205 0 164 40 64 29 79 63 242 17 33 31 195 207 179 65 81 121 195 252 97 40 231 124 243 247 33 70 241 162 81 200 127 138 171 198 189 9 182 148 112 6 160 0 154 181 12 7 46 129 27 106 99 191 211 37 184 172 56 3 116 111 231 197 57 56 136 159 66 199 149 140 207 178 89 130 183 58 220 8 96 194 17 228 5 80 245 124 108 121 125 4 31 238 177 136 102 118 237 158 1 115 141 255 228 95 59 197 237 190 167 126 225 33 250 218 154 160 97 188 153 220 221 236 249 88 135 1 68 46 131 191 197 76 182 222 100 76 163 189 210 76 218 102 37 166 163 31 142 113 50 185 167 68 62 79 48 218 47 38 42 235 199 61 175 145 159 234 198 24 164 18 116 172 55 115 140 153 76 36 191 131 181 104 68 158 42 63 207 62 4 56 213 100 141 225 29 75 80 142 81 140 225 133 176 229 97 28 255 103 233 119 14 253 45 231 149 25 149 128 88 50 97 51 29 135 56 82 30 255 223 95 209 85 38 117 204 100 108 51 24 225 61 180 245 17 113 139 39 78 65 181 125 77 34 113 25 81 77 26 3 53 23 97 84 240 42 26 213 159 41 73 71 242 227 115 36 17 125 28 227 25 201 18 92 142 220 152 188 144 221 163 105 43 191 19 67 204 238 111 242 6 190 32 223 221 128 9 58 14 19 232 246 144 103 76 78 167 12 238 192 53 252 174 3 99 71 33 188 31 97 134 241 158 127 212 134 231 103 194 176 29 72 220 222 15 83 247 96 32 170 243 158 217 134 133 163 112 218 117 107 161 78 12 222 87 124 126 154 126 170 172 114 0 146 230 238 150 226 150 232 174 204 175 163 232 215 24 83 93 77 220 202 171 66 164 6 150 97 218 75 193 176 219 136 240 218 97 65 166 160 164 53 76 157 91 49 222 59 144 92 100 12 166 114 165 70 243 225 32 190 151 65 99 4 192 89 74 226 179 155 153 75 179 21 149 239 138 91 211 95 29 160 36 192 108 101 120 78 57 4 144 98 18 158 27 204 164 246 78 26 90 152 142 20 129 174 151 51 0 209 94 40 238 251 82 26 98 231 11 193 88 133 77 209 157 154 224 72 250 92 134 246 150 134 254 43 24 192 134 161 237 111 224 180 190 78 255 191 196 127 249 140 246 249 39 63 116 131 5 82 233 155 46 189 191 143 105 166 70 124 127 53 3 118 192 51 163 85 0 111 126 216 179 45 102 120 53 9 218 112 130 128 145 60 127 15 159 109 53 109 168 99 242 92 251 137 226 116 151 152 143 144 87 188 145 217 123 38 29 180 203 40 72 12 190 246 78 3 166 1 252 251 24 99 89 137 54 255 200 124 236 149 98 246 45 141 132 10 181 248 254 121 216 228 41 6 242 31 52 242 74 132 187 213 68 20 91 120 248 34 34 39 141 96 142 66 193 49 12 96 12 204 84 27 115 167 147 154 55 242 60 213 190 175 64 123 62 99 142 109 226 51 153 103 172 242 76 79 38 160 215 245 140 235 97 171 189 94 70 60 78 220 22 65 169 128 35 14 166 168 96 10 221 10 225 91 106 21 199 2 148 164 9 207 237 3 171 239 147 224 109 130 218 97 106 14 50 72 97 248 31 251 232 87 27 156 231 210 40 200 23 6 88 58 65 252 1 0 28 4 128 34 201 89 45 64 70 13 24 248 37 144 192 41 47 79 56 0 83 20 143 185 90 200 115 58 162 88 21 112 198 87 242 179 7 0 126 45 110 149 206 41 111 10 78 219 56 23 249 117 2 172 113 248 92 87 208 223 93 176 87 164 136 100 69 98 238 170 2 138 174 12 236 141 100 82 103 96 2 247 152 154 160 79 16 244 70 254 173 81 149 70 74 11 209 198 252 12 238 49 76 97 97 3 134 78 48 226 26 24 238 32 130 168 143 255 22 205 32 157 241 58 233 175 106 73 199 15 170 8 53 239 135 137 186 147 135 137 246 156 249 37 188 183 1 247 109 225 187 83 12 251 105 138 36 191 151 210 88 70 95 87 195 104 89 134 225 114 81 162 11 80 200 195 252 100 16 254 47 39 138 174 105 38 155 15 120 57 182 221 248 87 211 120 94 19 100 87 154 247 190 79 178 245 30 24 163 34 21 14 250 254 18 248 125 122 204 202 2 83 37 161 251 73 84 4 188 3 104 71 57 2 151 237 152 216 47 176 46 253 249 251 63 81 158 198 180 115 14 206 126 75 195 102 2 17 44 181 51 29 17 38 161 167 166 233 34 113 187 1 191 192 141 215 208 64 205 143 156 52 142 120 109 58 212 138 239 199 26 199 118 43 2 44 138 150 46 51 211 43 97 198 207 105 6 99 68 97 6 118 195 62 29 96 178 112 218 212 198 171 201 18 210 6 123 161 227 102 104 229 86 218 114 33 2 179 169 142 189 40 128 86 41 148 99 160 116 254 81 39 111 115 205 188 89 53 52 246 48 192 41 133 188 14 210 15 157 204 254 14 48 53 129 249 218 224 247 212 228 25 243 97 249 31 141 9 139 197 215 73 224 217 185 40 123 11 100 61 147 129 205 39 110 37 246 73 76 213 17 211 183 187 0 197 86 20 119 18 253 234 203 119 191 192 101 249 2 32 101 155 252 227 28 38 246 203 211 199 117 48 127 12 74 180 144 136 255 11 228 58 215 212 173 21 36 184 24 197 184 230 218 18 214 108 168 248 4 204 178 150 198 95 8 234 103 98 6 252 69 156 217 8 97 41 29 173 15 245 119 65 80 173 0 71 44 29 208 171 57 90 211 156 247 106 17 217 60 52 180 160 41 15 17 47 143 228 95 7 24 184 102 100 225 203 2 144 120 47 233 169 105 137 198 128 57 213 152 5 221 208 86 223 165 21 176 186 33 72 50 254 68 41 6 124 160 184 101 98 185 104 241 18 113 171 149 146 145 219 72 76 244 221 152 27 77 128 238 242 156 254 51 102 194 186 54 166 240 43 192 217 154 217 143 82 180 127 15 138 186 221 235 155 102 209 15 154 185 213 222 226 14 36 184 18 249 45 49 65 138 42 197 44 72 36 18 183 66 253 167 50 176 81 81 198 234 148 184 101 108 58 117 166 133 142 227 252 232 73 64 235 64 208 126 10 116 234 90 195 215 96 150 121 32 255 17 144 28 6 210 219 152 146 155 109 116 248 123 216 76 23 27 28 192 236 232 146 178 143 161 246 85 8 65 207 215 187 19 128 108 100 80 87 122 73 209 80 71 165 29 52 101 46 79 3 208 55 121 166 15 196 100 222 179 23 0 54 130 177 78 123 209 99 37 192 213 4 32 232 178 178 50 244 247 75 143 45 146 240 189 18 1 243 78 28 238 253 200 227 4 131 112 137 169 218 212 235 58 64 120 11 0 220 78 210 179 19 32 152 133 76 116 61 226 42 83 121 97 3 135 141 56 233 45 81 20 221 31 181 57 223 237 69 190 235 132 145 229 64 204 116 79 64 21 137 69 40 47 110 19 152 149 152 220 147 226 54 90 201 69 129 14 121 74 22 148 97 214 132 103 7 147 47 170 130 80 235 211 217 182 48 208 112 132 151 97 88 228 93 156 67 77 116 158 50 40 206 4 80 201 128 49 201 52 172 12 141 61 141 54 149 69 160 53 249 94 27 168 123 170 17 70 180 228 221 228 75 5 172 123 78 77 68 184 169 33 242 91 39 16 248 105 180 127 166 233 231 76 147 169 222 2 19 79 193 36 100 211 246 237 38 107 109 175 238 8 119 35 247 196 243 254 174 60 235 59 252 195 52 113 219 109 235 156 95 73 0 120 5 202 153 131 172 117 11 238 53 68 150 19 200 47 61 46 174 214 92 101 241 49 22 160 42 125 219 135 28 23 34 199 126 248 156 246 42 7 19 254 11 214 124 129 49 171 142 12 247 2 196 167 120 199 50 9 174 175 87 199 190 143 132 216 237 38 220 77 20 57 156 0 0 32 0 73 68 65 84 56 182 107 49 93 75 97 166 157 164 34 110 192 94 159 97 0 198 209 225 48 99 138 38 211 161 111 197 29 40 84 135 121 191 40 6 226 180 4 159 20 26 129 233 152 3 195 125 9 195 212 66 72 243 248 78 164 73 5 236 148 188 75 206 53 138 169 199 59 31 52 192 243 51 245 77 209 246 237 226 202 159 127 4 248 89 166 174 104 16 142 120 59 166 41 218 35 192 110 56 207 223 122 89 250 245 4 27 41 152 13 221 10 104 18 207 104 74 95 186 155 232 83 253 171 186 188 191 41 150 97 29 64 250 128 103 60 15 48 235 225 84 79 240 92 145 15 200 192 199 243 252 85 48 96 27 44 196 114 20 108 162 39 139 1 152 222 201 0 171 169 184 77 228 142 16 169 30 50 114 121 201 40 120 7 152 189 42 191 243 156 165 104 167 76 142 193 60 31 98 155 11 147 0 108 138 144 87 211 224 28 190 183 222 128 242 19 51 205 177 31 225 37 18 225 100 193 42 187 76 4 169 73 213 138 68 47 173 208 176 19 60 47 154 193 187 11 243 188 150 119 213 231 249 41 94 194 181 59 217 231 147 94 205 86 87 9 94 194 158 5 112 43 99 94 54 96 246 166 27 58 47 45 110 1 72 4 236 59 7 48 238 226 185 19 196 29 42 89 219 84 14 12 224 187 201 244 37 11 159 110 48 3 86 158 68 162 158 91 56 132 207 143 50 192 205 81 28 173 136 213 210 241 99 0 230 106 88 75 149 250 66 76 232 55 4 26 75 197 213 162 207 227 123 245 24 151 35 198 103 237 192 247 38 194 74 115 8 44 58 152 4 177 154 56 149 223 116 99 165 182 241 220 225 228 249 214 158 141 177 162 208 184 139 204 108 118 28 69 120 107 104 120 33 104 248 25 111 170 68 35 146 4 28 219 126 152 182 44 113 37 200 153 154 223 48 211 11 90 118 83 17 160 149 226 255 139 248 206 41 252 28 59 29 148 79 242 238 214 146 137 230 54 246 64 165 209 103 172 167 72 106 154 182 24 243 106 39 182 143 243 89 57 158 27 131 31 167 185 190 75 104 187 202 174 38 102 188 10 10 246 13 62 139 58 251 11 145 221 99 248 171 214 87 236 66 29 92 49 204 210 18 24 175 56 44 158 104 0 85 201 36 41 115 77 145 223 34 238 79 22 183 99 95 67 100 157 74 95 38 210 14 37 146 174 176 76 44 239 57 133 114 234 150 154 151 208 150 187 141 187 148 109 148 91 247 118 168 130 5 139 60 27 176 212 79 153 141 41 89 131 99 187 20 83 55 0 51 244 8 206 102 35 143 237 246 66 155 11 248 73 230 247 213 248 17 197 197 109 47 168 85 18 169 48 227 205 248 50 170 109 181 248 254 189 84 82 102 123 62 161 159 101 223 69 91 74 134 112 236 139 123 157 46 79 248 93 205 152 63 63 98 213 3 36 195 204 148 211 133 104 104 121 146 156 182 68 183 24 12 250 61 223 211 69 13 103 24 164 82 0 32 89 130 119 165 185 129 68 227 223 80 158 81 226 78 92 109 137 2 237 98 94 242 239 0 254 136 151 144 213 51 168 199 136 219 23 163 14 230 179 8 102 189 130 177 46 217 184 31 153 180 167 179 184 173 47 11 193 154 45 240 55 215 96 234 172 92 163 120 214 105 242 91 195 140 37 8 9 44 189 222 65 200 25 80 127 75 132 187 22 148 71 96 110 230 138 91 149 19 14 176 174 65 136 58 71 87 12 243 168 203 178 203 97 30 226 205 251 70 16 86 167 50 192 55 152 121 172 131 146 119 67 175 237 146 119 23 194 227 38 179 30 10 88 49 230 59 211 73 1 100 0 176 26 38 127 101 19 169 25 40 74 53 83 66 50 14 243 125 212 99 13 173 30 232 203 192 230 71 142 219 1 212 7 38 211 109 175 28 230 16 99 120 223 38 252 173 66 152 200 234 12 236 52 88 126 174 23 112 189 143 41 90 32 110 143 178 195 48 201 64 76 104 101 10 251 210 188 8 246 36 86 98 31 207 107 35 110 131 61 221 91 118 58 99 108 247 243 168 135 137 206 193 239 124 77 206 114 249 192 218 64 135 138 146 179 26 8 160 134 16 246 222 0 115 29 16 183 103 186 58 214 15 64 161 181 208 150 120 34 135 20 6 166 48 182 126 169 55 215 215 222 204 19 206 66 43 214 192 146 217 226 118 222 211 212 66 25 175 205 251 141 73 243 77 225 6 207 20 150 162 29 113 248 6 141 197 45 122 176 172 152 142 83 186 21 191 164 52 253 233 229 205 87 214 224 158 29 128 119 31 131 219 216 4 58 177 184 15 163 189 1 210 3 4 180 112 238 7 124 177 74 124 191 38 237 157 72 46 108 175 97 135 235 37 80 90 92 0 51 188 192 212 181 85 198 124 150 101 156 252 84 192 43 200 234 2 190 83 141 118 228 226 236 63 141 57 95 69 59 230 24 249 174 0 232 239 75 112 73 246 57 129 37 208 224 16 6 125 44 247 244 199 177 28 140 134 93 70 67 108 57 239 122 80 94 10 32 181 99 48 170 34 196 76 114 51 199 161 103 13 89 27 243 183 87 208 164 124 76 210 86 227 190 183 189 2 195 226 94 123 247 154 208 221 7 214 46 15 88 241 198 36 198 32 36 221 95 85 175 22 164 87 74 96 86 142 0 26 101 22 11 144 4 152 34 147 62 239 195 191 90 66 150 58 129 218 168 229 198 113 214 41 156 239 185 191 33 114 188 10 63 108 45 207 120 28 22 25 70 74 39 220 36 137 91 2 192 85 6 212 53 80 196 53 128 84 143 117 73 54 140 61 130 62 175 144 64 241 102 117 126 244 4 138 108 162 223 91 205 148 89 174 145 93 71 126 90 201 57 206 169 14 5 172 219 76 90 96 170 41 134 251 23 249 138 227 60 116 22 9 57 251 156 210 8 241 36 130 251 30 150 218 102 170 37 46 51 101 46 155 184 127 19 38 230 46 192 247 62 237 216 33 174 146 84 76 56 47 33 64 20 170 38 190 188 215 199 205 248 12 217 8 231 30 128 108 231 36 15 99 190 142 2 164 61 166 111 103 76 200 45 248 25 97 124 158 12 11 108 197 180 198 97 254 139 133 208 238 56 100 218 25 240 84 231 255 135 0 227 32 192 85 85 2 85 174 71 141 101 120 24 75 178 30 167 123 181 201 33 142 67 102 95 242 157 111 205 92 98 3 82 25 107 97 221 134 40 208 215 152 202 111 25 79 245 199 58 242 172 227 198 69 248 145 194 132 81 114 142 43 252 44 153 236 69 48 212 116 163 145 135 1 90 75 254 22 193 220 225 112 211 233 207 233 116 83 124 140 142 4 4 235 96 150 37 152 167 238 134 214 171 33 224 238 68 85 147 197 109 204 127 45 239 141 53 236 84 44 68 155 119 123 192 82 13 173 232 129 230 56 190 206 118 180 125 14 138 83 204 139 28 43 138 171 98 77 7 32 118 255 138 48 238 251 158 1 185 24 223 116 17 159 151 96 208 198 162 52 219 141 172 181 186 52 155 64 233 126 254 125 61 190 89 44 145 245 106 254 253 153 151 90 185 14 208 233 22 225 90 111 181 16 165 172 2 99 61 231 41 94 27 88 174 23 12 213 20 86 45 204 24 84 101 156 163 141 5 74 51 178 108 71 224 85 22 130 137 250 165 192 18 58 249 8 255 126 156 129 239 138 32 15 67 187 49 132 224 201 226 118 232 59 69 132 183 9 65 95 11 48 235 227 43 149 103 96 31 49 239 122 78 220 65 3 123 24 164 214 226 246 224 138 244 166 47 66 205 23 70 156 165 163 169 94 84 168 139 73 187 208 15 93 141 179 206 235 123 71 113 107 1 170 51 88 43 141 144 245 119 6 138 22 5 203 54 128 97 79 97 110 58 211 167 44 51 192 31 192 224 107 77 29 219 70 28 240 81 70 94 201 166 138 34 202 204 144 232 34 217 59 205 28 109 87 102 16 210 201 207 205 246 202 95 154 152 60 218 211 48 99 26 32 121 208 84 66 28 164 79 101 197 109 107 169 237 94 7 147 190 236 101 18 66 94 161 78 131 208 48 251 18 26 55 3 191 35 10 167 115 11 224 105 202 189 21 96 130 45 6 172 237 232 244 119 104 66 50 12 20 47 110 163 177 111 121 79 28 153 230 210 152 186 129 176 218 39 60 247 3 4 126 196 228 96 190 10 161 8 171 196 29 21 103 51 237 251 188 18 143 92 132 88 21 31 42 145 182 30 53 147 194 179 25 108 173 57 223 0 160 151 243 188 92 52 191 30 32 217 136 25 44 75 159 75 160 124 21 37 120 121 151 238 45 191 18 150 188 20 183 162 37 172 184 24 224 63 68 48 244 178 137 32 59 50 232 133 0 198 41 216 236 26 113 171 165 246 139 59 96 220 78 221 92 130 220 222 160 191 173 97 223 238 148 198 44 1 224 147 25 143 124 70 102 55 240 254 27 24 235 91 228 103 92 161 24 75 17 250 24 83 58 58 31 88 6 74 63 137 115 183 137 172 236 126 236 126 89 163 85 87 152 72 74 207 240 203 226 111 169 248 21 137 38 114 75 99 112 214 193 96 17 226 142 70 25 99 178 220 34 161 171 69 79 73 222 147 217 53 56 56 238 57 239 29 81 146 121 152 238 62 38 42 140 228 157 245 24 248 68 162 179 72 130 131 116 111 58 229 115 64 212 25 176 175 6 44 23 16 205 249 147 232 13 80 210 86 12 214 8 242 88 186 215 150 250 163 189 197 237 241 106 65 89 0 133 44 3 184 116 175 178 121 88 147 155 80 48 203 52 145 226 54 20 46 7 211 205 133 189 102 51 30 15 123 21 23 233 158 155 17 5 8 111 146 159 121 253 212 254 149 123 197 29 192 56 7 180 70 211 169 113 226 10 240 183 145 154 232 227 37 239 202 209 160 20 156 197 94 102 126 44 67 130 247 101 127 29 192 70 99 66 27 194 12 219 76 249 142 94 39 207 162 12 161 216 55 42 132 239 85 131 207 187 240 158 33 226 86 162 228 103 240 178 1 65 26 131 215 31 179 101 139 243 110 193 52 44 67 241 116 15 211 47 97 216 142 226 22 75 104 225 94 83 192 126 47 63 55 162 100 122 26 199 93 124 103 162 55 184 131 196 29 174 185 70 220 6 109 23 147 60 213 205 107 83 241 211 196 4 52 255 68 89 116 199 198 7 25 143 86 40 105 115 198 100 46 238 77 121 113 251 49 68 16 69 118 96 60 214 253 92 96 157 235 44 157 183 248 185 4 45 60 136 141 214 217 238 50 8 229 17 207 12 237 166 33 187 196 157 48 250 61 130 93 3 219 13 55 247 103 160 161 159 145 94 40 136 224 6 18 110 231 120 76 17 74 9 114 207 2 44 235 123 233 209 43 122 122 104 109 128 108 163 156 143 49 121 149 97 99 221 55 180 186 97 206 226 244 235 49 216 178 41 166 245 61 76 89 83 228 179 222 12 112 87 76 84 53 34 199 54 200 52 28 208 69 146 206 233 44 193 91 6 84 66 254 63 50 71 249 34 192 155 131 89 28 106 148 117 128 215 255 59 137 174 123 162 156 227 8 42 110 35 34 94 65 85 67 127 113 171 162 54 154 239 23 161 207 215 161 40 97 114 238 67 207 207 201 88 98 38 98 27 152 28 79 79 28 205 20 113 213 164 23 211 216 43 66 116 44 17 51 53 21 127 101 7 130 220 131 198 68 144 186 248 94 220 226 201 88 238 153 106 166 54 108 190 44 42 132 95 88 232 44 209 98 25 111 94 81 55 237 136 192 108 188 33 193 123 59 117 131 213 106 115 79 33 51 119 168 87 34 138 83 154 126 111 69 86 97 100 219 253 109 152 170 139 219 138 160 58 204 214 19 128 190 198 207 103 152 209 133 180 39 194 68 218 11 145 203 48 210 62 203 8 140 242 35 207 195 166 26 66 175 135 152 218 105 128 89 175 142 245 201 198 205 136 132 205 190 229 57 5 67 40 238 229 140 205 114 113 117 252 242 107 0 75 16 192 11 38 15 164 231 9 95 5 243 196 66 235 45 196 45 145 82 243 118 26 223 43 147 41 143 40 6 187 21 148 223 198 116 36 215 100 224 171 242 174 69 166 188 198 38 73 75 134 136 254 66 1 43 218 75 144 102 144 99 202 97 160 227 37 120 37 114 146 184 93 236 244 132 178 46 152 139 31 205 125 5 17 248 97 42 64 246 194 22 51 24 224 46 176 78 132 25 228 46 56 242 27 96 170 116 228 50 136 73 255 68 218 51 217 56 236 117 97 208 206 198 53 217 143 91 146 15 57 124 195 56 142 49 227 217 88 2 69 121 67 241 135 7 17 133 110 3 204 183 240 187 13 74 112 64 130 151 208 105 178 121 11 128 236 103 218 244 171 0 43 12 123 187 139 236 185 206 81 221 132 224 18 0 74 50 78 100 146 151 1 255 90 92 65 216 94 6 162 28 108 181 75 220 153 60 214 127 170 75 148 146 131 143 211 218 155 124 141 147 224 189 179 236 28 159 132 152 143 203 231 149 205 232 166 105 153 8 186 142 247 119 173 124 205 64 224 83 233 135 45 5 214 109 195 147 113 244 107 146 179 106 142 175 153 34 238 148 143 198 56 201 23 96 58 147 72 178 142 132 161 46 19 119 240 209 80 207 111 188 31 211 121 11 41 143 56 252 165 90 40 222 108 198 227 97 111 224 91 161 8 9 180 239 57 64 255 44 50 159 140 175 213 15 69 142 13 49 67 161 44 247 164 252 27 215 185 128 149 107 156 199 225 38 138 251 6 187 124 8 214 202 69 200 7 196 237 221 20 137 169 185 140 247 28 199 191 210 109 37 119 122 230 98 20 29 210 83 166 226 233 216 78 207 244 173 240 38 178 5 179 84 60 68 251 179 60 106 215 106 134 163 180 37 76 130 87 35 215 198 159 169 193 243 52 50 236 139 2 41 3 53 151 192 226 211 46 244 75 247 235 188 9 128 125 227 201 120 19 12 159 78 251 167 139 219 249 101 150 184 173 34 237 62 16 19 0 224 8 172 65 56 249 173 229 36 54 175 162 172 101 148 231 84 247 192 151 27 204 247 63 2 180 95 49 22 207 16 52 204 192 103 46 46 110 49 141 94 71 233 247 125 248 216 191 58 176 172 9 25 98 230 135 158 53 194 232 142 118 108 71 131 58 138 219 105 70 231 154 180 72 95 87 209 28 195 193 237 108 166 107 14 163 105 141 0 236 163 176 194 28 15 72 145 33 42 25 178 207 146 56 77 145 224 237 151 178 137 122 234 211 190 74 94 212 152 131 105 40 10 211 164 153 169 140 19 226 74 148 235 243 249 70 88 175 42 140 50 7 240 29 51 17 240 149 4 2 117 137 24 227 136 144 107 195 68 185 48 215 83 226 10 0 95 1 156 219 97 156 230 204 225 62 138 111 245 0 237 95 42 238 224 171 112 126 222 194 65 239 36 174 18 182 30 207 108 66 132 215 23 2 72 166 15 223 135 112 33 102 74 112 25 245 111 2 44 17 183 187 178 110 192 113 51 232 223 140 230 118 193 145 124 17 77 212 235 85 113 231 11 215 37 180 223 36 238 200 219 4 3 222 101 48 192 76 52 191 56 3 211 220 155 150 9 149 179 74 11 241 89 156 199 88 133 197 149 9 151 52 230 206 58 247 59 1 194 78 163 189 214 15 171 15 208 62 7 28 253 48 149 58 231 25 101 82 5 165 97 160 13 48 196 131 248 72 187 25 224 67 128 239 5 3 252 4 252 216 238 226 170 57 135 48 245 244 127 56 219 83 144 227 4 79 41 62 34 98 108 66 68 125 187 4 42 130 171 192 86 251 25 183 33 33 250 109 205 252 19 128 118 225 47 196 200 191 5 44 1 229 223 154 136 107 42 126 81 38 20 63 20 112 29 16 183 156 93 153 99 187 73 73 228 199 183 217 45 193 187 157 124 71 182 58 14 173 106 1 131 172 242 252 62 127 194 57 159 132 174 199 10 243 124 190 211 176 198 118 113 167 171 78 54 127 223 65 127 78 2 172 146 48 149 173 215 138 197 68 39 17 17 190 201 231 122 158 143 117 242 117 47 244 75 72 122 14 198 132 37 242 243 52 253 223 111 76 224 43 4 2 195 25 216 181 40 240 1 152 170 1 254 108 113 227 191 170 95 85 3 64 52 229 217 11 136 122 127 196 68 106 77 252 103 33 18 205 225 124 182 66 220 54 231 191 200 97 255 119 129 21 70 102 249 83 227 71 61 141 227 184 2 90 93 66 234 97 15 78 172 54 234 16 78 167 70 105 133 248 206 98 113 43 60 194 248 94 52 209 225 96 88 32 159 41 227 16 6 58 213 107 91 186 132 168 98 36 85 17 238 229 181 106 26 118 136 244 18 171 189 196 237 166 82 4 83 89 67 220 238 194 66 254 231 53 252 186 183 1 70 31 148 107 174 201 117 37 145 92 212 116 196 100 76 127 58 178 250 18 102 208 3 52 115 153 54 209 3 38 15 16 233 85 192 233 175 201 247 19 241 169 30 241 250 250 54 242 186 145 113 88 200 88 141 132 233 250 210 206 215 197 237 142 237 7 58 186 81 201 176 179 228 11 127 19 96 229 154 178 141 254 8 127 55 115 122 253 161 246 133 208 254 41 216 70 217 66 167 19 14 34 56 117 22 143 154 44 111 46 127 143 64 248 97 128 170 142 231 96 203 89 146 116 161 206 144 142 245 24 43 135 129 239 133 121 168 230 69 67 186 140 254 136 184 195 6 206 136 171 150 21 28 231 117 176 74 7 218 56 9 240 101 122 115 116 3 0 72 101 66 119 61 130 173 3 64 121 146 126 230 136 59 64 225 77 100 247 18 64 218 130 121 43 132 162 204 2 24 118 252 70 192 246 154 29 63 74 62 238 121 250 240 127 176 216 120 216 234 222 16 145 117 56 237 171 40 174 28 234 191 2 44 123 245 70 152 218 169 194 128 225 98 113 107 238 150 74 240 49 116 143 146 55 89 40 129 98 57 221 200 173 172 184 141 104 179 25 212 146 176 73 207 16 160 9 151 188 231 40 71 159 37 143 21 238 49 217 25 76 203 88 222 163 85 154 98 18 193 17 226 150 138 239 17 119 98 172 178 219 112 113 11 61 135 97 90 46 50 19 235 202 128 151 226 243 164 99 86 95 98 10 236 5 126 82 36 184 164 167 23 0 30 138 207 54 130 132 115 11 162 191 189 128 189 165 137 58 115 112 206 143 224 139 221 193 191 117 69 206 126 252 218 4 0 250 45 62 242 251 146 119 145 110 14 121 182 7 229 87 184 254 93 96 109 97 122 64 23 65 254 31 131 180 5 224 212 67 176 85 204 123 118 99 86 116 153 87 38 142 248 231 18 124 254 93 42 172 118 6 115 177 217 51 87 97 33 218 29 115 150 60 86 172 55 183 88 144 233 9 61 4 224 123 113 181 228 165 48 127 145 152 158 112 28 222 247 77 170 162 44 147 193 35 97 210 118 228 217 246 139 91 38 149 205 96 111 161 143 181 137 106 31 5 52 31 50 184 91 13 251 54 54 206 122 75 152 166 130 184 117 134 37 49 185 131 61 183 64 112 37 116 191 141 103 176 32 109 81 246 214 226 246 208 208 218 46 173 194 200 198 53 208 133 195 55 208 199 143 207 50 239 250 95 1 86 4 157 111 132 32 166 1 162 67 8 234 43 124 138 154 68 81 234 107 189 4 224 202 34 204 146 8 160 187 87 145 80 90 220 62 241 143 139 43 196 211 2 187 184 16 206 251 145 179 244 239 128 151 68 29 45 110 205 221 29 230 217 167 152 76 222 65 198 95 115 57 155 204 247 235 146 171 42 3 104 116 107 198 131 158 147 187 31 179 117 47 185 160 120 148 77 55 85 235 104 166 128 162 1 203 109 12 236 167 76 219 124 198 59 202 48 143 122 136 12 190 101 224 78 128 104 11 74 178 4 121 229 162 200 69 36 80 175 21 3 75 214 135 173 87 154 104 48 3 75 243 50 204 40 255 169 127 245 159 0 43 219 116 76 79 91 255 27 62 67 77 6 174 38 209 72 127 207 15 210 82 219 175 1 68 113 18 134 17 38 217 89 18 83 169 9 210 8 163 221 89 146 183 194 33 86 130 11 219 124 51 105 157 249 166 226 54 253 248 151 1 78 59 64 208 150 1 41 13 176 108 41 244 197 226 22 127 46 17 183 243 95 52 3 175 237 28 35 110 219 198 187 248 78 56 14 183 78 12 139 201 97 109 66 30 25 68 133 194 189 87 226 100 63 142 50 77 247 148 251 59 82 51 91 48 201 19 80 76 61 118 183 52 128 30 103 220 11 45 202 172 201 207 65 252 230 119 60 95 242 119 1 150 245 89 158 193 100 109 100 130 56 31 147 151 71 240 123 118 153 121 168 195 228 86 244 56 182 245 228 100 116 235 237 48 34 166 56 0 244 37 166 163 180 231 184 103 134 48 133 161 42 26 99 60 63 230 20 207 143 199 44 22 244 28 247 209 0 185 12 230 101 164 151 213 214 19 44 174 64 33 30 164 191 214 12 62 11 72 212 159 209 100 236 17 0 119 163 121 94 53 162 185 194 226 86 103 247 1 148 155 137 186 147 104 199 99 38 146 21 146 177 247 161 44 123 96 164 59 80 230 167 73 73 172 17 183 124 47 31 236 186 203 200 102 61 126 111 93 113 231 247 252 33 128 37 152 143 214 38 41 87 7 179 176 30 95 230 66 113 171 136 211 0 146 30 2 217 70 220 246 136 61 76 180 55 27 45 174 132 214 54 53 109 13 11 225 3 20 11 145 130 80 38 59 237 125 54 7 83 85 69 130 247 56 189 153 231 108 70 123 199 195 152 106 226 18 36 80 250 242 13 190 207 70 124 204 35 94 123 86 17 17 38 136 43 142 107 11 96 39 121 102 230 19 178 239 95 35 151 49 252 94 41 238 236 235 150 36 97 143 24 95 175 27 140 91 140 121 192 254 152 206 98 204 47 134 1 216 120 20 227 128 184 237 43 133 136 190 54 50 125 14 64 202 31 13 88 26 1 105 242 83 151 92 39 136 219 26 114 148 233 212 76 52 51 149 14 207 133 69 236 150 218 27 137 134 210 196 157 156 144 107 114 81 126 168 156 36 33 246 15 96 16 179 77 242 49 10 65 182 132 125 172 249 220 137 246 215 197 7 188 219 107 83 101 128 177 25 165 41 71 212 183 197 176 101 1 216 34 138 118 191 15 120 158 38 129 58 215 60 175 59 38 174 57 127 123 144 126 149 102 22 99 34 214 224 40 62 159 53 129 15 17 88 204 199 212 221 77 96 84 159 207 162 80 218 125 4 70 133 96 110 245 207 218 138 219 209 57 6 19 26 254 107 2 43 226 87 2 231 30 192 82 18 97 246 20 183 153 198 1 88 35 26 22 58 12 72 118 137 219 59 170 48 140 247 133 153 54 209 42 7 93 110 53 223 152 163 178 132 251 122 221 133 249 188 146 185 180 70 226 118 2 222 45 174 60 57 138 62 111 197 220 29 16 183 128 54 129 212 64 58 126 71 79 24 73 23 124 94 5 187 116 16 119 100 240 22 242 78 246 0 129 213 128 247 9 24 99 134 184 122 172 9 230 222 27 48 167 243 77 202 162 17 114 26 206 119 222 34 5 146 229 205 126 220 196 231 13 120 103 29 228 52 147 231 236 100 60 250 161 164 209 102 246 160 57 190 89 127 152 185 9 227 147 251 71 99 44 53 21 47 152 57 175 113 56 181 21 112 126 23 161 65 122 221 142 47 81 25 160 20 133 161 116 14 240 71 126 114 241 207 58 72 240 102 253 126 150 93 247 62 216 194 128 190 133 67 90 0 54 81 161 21 7 120 83 0 179 173 160 29 10 96 118 49 177 252 169 4 207 248 235 34 210 73 164 87 150 49 40 98 192 146 74 126 234 93 218 115 136 103 60 103 230 79 115 121 118 44 201 206 194 200 162 56 44 149 74 52 249 146 184 195 160 196 128 226 89 238 255 72 220 161 159 243 196 213 165 239 129 161 6 225 55 29 246 166 164 180 84 169 3 0 59 32 191 193 245 107 210 223 92 180 243 77 180 246 16 14 163 22 164 181 53 247 62 193 0 104 21 102 28 153 235 106 198 23 75 7 140 229 73 95 156 242 6 209 94 145 152 132 183 196 149 223 126 140 121 177 17 100 81 34 159 39 76 36 165 215 100 218 250 50 154 222 13 243 17 102 124 167 45 244 101 144 4 239 30 147 67 27 134 16 217 45 167 95 81 152 169 97 230 61 221 0 239 38 211 78 221 167 171 3 223 217 65 59 199 122 227 52 146 124 216 237 228 11 167 193 72 143 145 178 248 14 185 87 2 160 227 36 120 82 124 16 1 74 11 113 251 216 203 31 29 88 130 115 123 27 201 188 145 104 199 20 180 34 75 220 174 129 186 111 252 49 52 106 43 63 85 140 89 210 67 57 199 160 221 118 77 95 84 8 31 171 49 3 53 23 19 155 14 144 178 204 119 143 98 122 94 160 157 177 134 241 14 16 52 12 194 116 142 54 12 83 149 190 220 139 143 53 138 204 248 108 47 170 236 105 252 173 171 196 149 99 191 106 218 208 2 231 185 58 109 187 148 246 191 107 34 199 190 94 154 38 71 2 139 37 86 240 189 239 120 247 60 130 12 61 98 183 6 32 214 200 115 187 184 179 20 43 136 219 52 239 49 76 234 153 63 11 176 50 17 212 87 104 82 126 6 111 11 29 188 215 164 29 154 137 171 39 63 96 230 184 52 45 80 2 176 229 71 203 139 26 33 231 134 48 133 199 97 147 205 152 193 79 97 14 155 199 42 132 63 210 133 1 88 98 24 239 106 254 125 53 108 178 203 51 65 199 241 219 78 19 16 52 50 38 185 20 204 163 91 54 53 165 205 215 139 219 84 35 87 220 89 215 19 81 128 116 216 165 170 184 211 224 103 147 135 178 187 211 212 35 226 78 33 130 44 6 35 126 72 162 122 157 184 69 45 79 209 126 61 5 55 204 200 173 2 38 52 146 223 225 127 22 96 133 161 165 201 8 234 109 230 192 14 136 91 101 162 215 235 104 117 17 216 230 17 3 158 100 216 170 48 145 82 178 9 183 115 67 36 72 115 113 88 235 34 244 207 240 127 230 33 196 92 211 95 221 180 181 167 184 2 194 202 226 78 63 61 45 110 57 154 141 46 181 92 232 114 64 52 213 27 248 48 51 207 54 19 0 95 3 192 195 24 248 139 0 70 33 124 168 25 0 120 50 12 218 143 224 103 136 215 191 97 176 251 118 228 185 16 198 81 63 117 55 239 26 1 27 89 185 228 210 102 61 36 190 30 129 131 200 191 89 18 243 115 174 200 95 249 121 58 128 255 32 75 92 130 200 234 67 58 95 154 193 219 69 200 94 0 38 216 68 66 79 125 129 12 252 174 83 104 163 93 105 83 56 4 99 229 152 192 193 94 213 61 128 212 16 183 98 40 83 92 117 105 91 147 189 95 198 236 192 82 113 103 13 221 141 25 210 189 175 90 155 44 120 36 230 243 16 57 164 251 137 234 230 139 155 224 206 197 4 190 10 155 181 193 116 85 198 25 63 202 204 197 80 100 161 230 59 151 103 157 0 84 67 241 141 158 195 34 140 6 140 131 152 186 89 127 22 242 152 134 194 252 8 163 237 146 223 248 250 173 168 112 45 3 212 10 237 184 90 2 171 87 14 136 59 170 118 157 184 131 32 79 97 2 236 161 144 123 1 65 89 47 91 29 17 98 250 38 195 51 121 17 38 74 203 246 238 203 71 90 194 238 190 60 29 89 116 97 48 247 122 217 251 49 248 50 223 138 219 133 38 211 152 193 215 197 157 232 177 79 220 218 64 77 85 36 98 178 218 144 96 157 205 61 205 240 69 239 4 144 21 196 213 167 133 155 84 74 27 218 209 131 108 123 26 0 237 40 110 239 133 134 40 176 127 197 3 212 1 176 255 8 249 47 92 225 191 225 179 239 129 214 15 162 213 177 226 54 85 211 189 1 78 34 160 186 104 229 157 94 219 116 83 123 187 200 32 209 115 58 117 71 189 12 207 36 235 51 178 61 70 93 110 64 109 157 255 69 48 104 51 9 174 177 215 69 29 53 153 27 125 148 169 38 155 88 189 154 168 177 136 4 106 208 47 246 148 225 58 204 217 75 18 168 2 221 7 240 118 27 87 160 134 4 159 15 157 13 152 79 163 148 51 37 80 39 117 10 255 171 163 97 238 22 226 78 166 109 47 193 231 52 30 71 94 67 189 148 207 159 22 88 122 144 183 110 226 145 128 99 93 201 0 99 58 142 124 177 16 121 37 173 68 88 142 255 147 107 34 70 187 137 89 130 4 239 89 165 192 10 151 188 11 44 226 112 128 119 96 30 108 86 61 206 204 21 190 107 76 236 85 12 200 44 204 214 4 28 111 149 221 243 0 47 27 198 88 137 99 124 208 200 56 142 159 151 113 220 231 97 78 239 35 165 80 21 51 102 55 47 105 70 128 240 60 253 185 158 4 242 52 20 180 7 209 233 122 9 46 175 214 205 214 236 53 158 118 47 145 95 176 232 244 143 10 172 48 252 134 23 1 217 229 8 164 157 113 26 247 99 174 102 227 144 110 52 185 172 5 176 196 165 18 188 194 218 7 82 177 16 192 210 72 209 175 235 110 9 136 106 122 172 52 128 16 191 168 184 186 40 49 57 181 47 248 91 59 156 126 221 191 235 106 216 86 115 85 225 252 127 172 249 254 195 4 38 159 224 219 69 96 222 187 32 155 118 152 187 107 205 120 68 0 192 67 164 96 114 0 93 97 20 117 61 207 120 18 23 224 217 16 14 251 227 180 165 43 138 113 179 231 7 255 105 129 37 48 131 230 167 82 136 138 102 136 171 153 215 157 147 43 97 142 14 137 171 100 40 71 244 180 76 130 55 31 75 148 224 125 53 139 75 240 6 26 154 246 40 39 121 55 177 88 1 120 237 25 211 122 230 181 110 253 179 199 56 183 113 152 181 124 68 96 205 196 109 104 38 124 190 14 103 255 1 250 215 77 220 134 101 177 248 107 163 240 157 58 210 246 88 113 11 114 251 139 171 148 213 65 191 145 126 230 147 64 157 85 57 51 221 116 3 114 217 130 18 246 58 75 0 53 84 220 41 170 3 229 191 124 253 150 192 210 14 62 136 182 190 43 238 136 224 182 102 234 230 0 3 216 0 218 47 111 18 142 179 248 78 62 143 161 236 85 90 92 221 188 189 20 204 246 186 139 231 111 23 119 82 67 85 66 253 178 176 220 70 239 93 117 240 11 39 241 60 123 10 195 3 176 208 23 4 44 221 76 100 150 139 210 188 43 238 88 189 59 121 254 149 248 159 201 184 2 203 204 119 146 96 192 37 204 16 220 133 255 181 131 84 194 151 248 84 177 188 63 212 245 52 32 156 128 153 156 248 223 6 86 228 127 225 29 234 212 214 34 11 223 2 48 148 134 29 214 34 120 61 223 111 141 97 162 238 56 238 153 158 179 46 94 4 24 106 207 172 152 16 249 174 41 152 192 7 137 244 150 147 31 250 138 231 250 71 3 167 243 140 77 176 75 19 227 31 38 193 38 255 192 36 245 36 103 181 213 180 191 33 44 23 13 211 116 194 228 77 69 105 62 3 168 201 38 189 240 24 125 250 0 214 249 0 39 127 182 184 189 226 191 151 224 109 202 197 99 240 175 1 121 15 9 125 254 208 159 222 20 234 245 44 9 60 141 134 214 97 22 20 40 53 136 118 118 153 200 104 23 78 231 73 34 34 49 159 251 130 92 26 226 157 165 188 232 49 14 112 172 164 13 186 24 164 46 218 63 30 96 45 52 223 25 8 56 42 225 43 77 52 209 167 238 189 254 3 172 23 35 129 109 140 172 143 89 65 2 245 104 186 197 230 62 190 147 131 76 142 136 219 119 65 107 223 111 227 153 119 242 254 51 68 118 201 228 193 190 199 60 79 12 49 150 225 124 111 17 38 187 155 184 147 59 228 127 17 88 227 1 214 102 156 213 89 94 100 88 131 1 108 111 216 105 63 32 170 225 105 167 95 239 158 116 22 230 45 37 193 165 182 241 248 36 133 184 95 103 252 219 144 34 232 11 179 78 241 204 249 195 152 161 29 152 116 101 195 139 152 122 153 79 144 146 42 193 155 193 126 34 174 200 110 10 160 234 136 25 60 192 187 22 73 112 33 226 27 226 14 119 127 80 2 37 49 187 36 80 127 165 251 185 54 135 197 207 120 178 136 197 10 124 206 119 15 72 240 30 18 255 147 192 58 137 137 168 192 0 39 137 91 90 159 134 175 149 129 63 101 87 18 23 18 183 208 85 125 158 148 16 192 218 24 226 157 154 223 178 64 219 35 110 39 149 48 227 231 221 1 19 196 208 158 112 51 125 163 199 211 37 26 51 119 6 48 221 38 129 249 207 5 176 157 30 133 82 153 1 30 135 9 156 134 89 189 2 83 183 18 69 122 88 220 132 250 67 164 103 154 144 52 237 141 137 237 64 196 121 39 38 185 42 209 228 116 207 108 235 241 189 91 0 86 47 249 29 175 240 255 226 187 134 144 52 93 139 0 6 154 41 154 124 176 203 82 152 67 89 225 12 154 190 245 44 96 209 207 66 109 97 88 88 130 183 30 58 131 208 55 224 179 164 153 8 172 40 109 216 130 217 200 97 192 231 147 154 40 39 238 144 117 129 117 247 242 243 5 76 107 163 197 155 120 206 96 88 99 46 74 242 40 65 194 92 100 161 17 108 53 252 160 252 0 178 47 201 212 135 48 205 207 224 208 223 199 243 54 26 165 212 190 118 146 192 36 249 122 114 111 71 255 10 192 138 64 152 245 24 84 221 79 188 50 148 93 159 31 61 131 89 175 163 226 22 94 40 99 173 13 1 172 131 63 193 88 97 134 125 46 130 25 111 48 126 71 34 76 89 65 130 171 82 11 96 254 86 0 74 155 242 120 16 22 153 76 187 55 27 112 119 135 69 23 99 234 102 2 128 246 226 22 62 60 228 101 239 155 2 184 245 128 241 41 190 187 158 200 80 15 179 202 6 156 182 254 63 204 40 197 223 248 222 148 255 86 34 244 247 6 150 14 226 44 147 229 30 134 160 79 0 50 61 28 160 128 103 6 43 25 63 36 81 242 150 83 23 151 224 185 61 49 89 115 123 213 36 219 93 77 130 75 82 116 55 156 112 47 163 127 41 17 108 46 25 240 109 38 65 187 139 126 220 142 15 120 167 151 152 157 193 223 27 2 216 161 0 115 41 207 154 70 176 18 70 159 46 18 119 134 99 29 28 243 241 176 233 93 228 217 110 144 64 97 97 172 233 155 238 211 90 27 118 126 53 68 78 236 127 22 88 86 115 38 26 231 179 181 201 24 79 193 15 91 109 204 222 81 6 224 45 51 224 133 188 105 15 221 147 220 47 88 139 150 188 155 94 236 199 92 237 17 183 118 175 170 4 42 94 247 50 48 63 122 73 214 31 97 159 207 205 231 173 73 58 86 37 127 182 216 228 209 26 227 112 103 1 138 73 48 242 76 204 215 245 18 88 220 176 193 12 254 27 164 20 214 139 219 245 248 5 218 59 146 231 69 98 18 95 245 146 193 97 228 201 150 227 231 13 146 63 200 245 223 0 150 213 156 105 176 192 56 113 147 190 130 57 105 41 129 229 223 199 13 56 146 72 7 228 26 198 242 83 8 41 33 222 89 80 220 169 96 202 112 127 151 64 69 129 61 6 37 159 209 248 90 94 88 94 0 112 199 75 240 106 232 189 36 55 139 227 39 217 121 186 171 201 81 29 49 41 146 246 36 107 47 32 49 220 85 130 15 209 172 129 178 93 204 51 63 198 4 103 195 94 5 80 166 183 67 40 171 202 229 122 238 249 215 95 9 88 254 181 71 92 237 147 250 83 41 128 38 215 68 128 225 152 1 91 181 112 192 3 82 57 9 189 210 168 168 49 93 106 54 30 35 155 29 110 6 38 14 199 247 35 192 117 212 60 175 47 3 221 83 220 214 68 17 152 183 85 152 240 231 76 222 43 28 31 114 46 62 83 10 172 87 31 54 89 76 146 243 152 151 223 251 20 243 56 140 254 151 198 180 174 224 222 119 96 172 209 158 178 234 238 207 15 195 112 157 126 111 191 234 247 247 88 200 252 0 0 32 0 73 68 65 84 6 214 55 104 98 85 162 23 77 112 238 244 218 83 140 156 142 173 212 172 226 69 59 21 37 239 76 190 154 204 40 211 199 72 180 250 56 224 84 83 164 39 153 150 21 87 203 148 67 16 81 8 243 20 135 99 172 103 203 92 42 129 41 152 9 220 163 229 201 119 0 166 74 40 206 78 124 39 45 228 123 94 220 116 80 14 224 79 227 253 3 112 230 247 195 112 15 73 96 14 113 31 44 228 87 148 234 202 166 82 164 60 30 252 35 248 85 191 55 176 86 145 0 156 36 129 233 155 202 0 164 45 254 213 22 227 36 103 121 9 196 2 158 41 172 45 193 43 109 244 170 102 204 87 22 14 244 116 204 112 75 51 0 10 156 2 176 141 14 78 19 124 151 167 196 157 219 147 43 174 16 240 52 204 213 200 48 217 14 192 19 69 102 63 155 231 246 227 189 85 37 248 144 133 102 152 209 57 188 107 40 109 253 59 105 133 229 18 40 148 156 41 193 5 144 2 75 173 196 124 23 148 224 85 64 127 89 96 173 147 192 52 71 10 249 153 88 204 86 20 244 174 64 106 36 129 170 74 187 182 207 95 70 223 42 132 208 53 25 186 210 243 73 38 192 10 9 198 60 86 224 251 254 106 227 75 49 99 71 37 120 55 191 107 197 157 7 116 171 1 93 20 202 82 79 2 243 115 197 232 203 17 18 175 59 37 48 167 152 99 102 1 146 200 194 87 2 28 39 96 176 219 1 216 74 216 248 165 16 254 99 125 228 56 76 220 218 198 191 60 176 82 49 73 53 48 65 23 194 28 31 2 170 131 70 128 195 77 68 88 47 68 14 171 182 151 34 176 38 210 110 214 54 128 119 157 130 85 180 239 45 24 152 114 94 20 169 199 178 29 20 87 16 88 141 246 85 33 121 187 133 244 137 16 141 165 16 12 204 0 64 171 48 241 123 49 107 53 76 223 78 226 204 223 15 243 133 241 12 45 229 249 16 255 170 177 184 69 28 122 221 76 144 48 24 31 117 227 31 17 88 145 191 211 123 87 241 238 162 248 21 167 37 248 64 109 117 232 213 1 22 9 61 241 26 123 150 228 104 77 207 100 234 134 180 154 243 154 15 64 34 48 53 175 139 219 30 177 0 131 55 7 182 210 69 29 59 105 247 122 216 116 128 1 232 90 0 186 20 197 137 231 249 197 8 64 190 149 224 45 175 107 209 142 241 248 123 13 137 78 71 73 96 218 167 179 4 230 48 111 53 239 208 3 190 39 96 86 7 75 232 189 237 255 178 140 165 26 91 140 104 235 8 192 42 231 37 53 75 73 240 98 136 4 9 158 116 213 253 19 182 122 207 206 23 130 217 154 192 120 115 76 118 61 10 141 239 11 67 28 53 190 79 101 82 9 186 230 81 96 147 246 18 88 187 24 14 155 8 0 184 155 207 135 114 223 197 244 101 33 239 43 32 174 2 67 163 208 19 18 152 14 138 33 231 117 57 249 181 41 180 127 18 202 145 207 200 101 1 128 125 30 223 45 227 60 176 130 175 141 152 171 161 228 112 10 97 14 10 155 124 85 37 9 222 163 161 1 38 52 220 152 202 220 16 121 172 26 38 135 165 125 220 5 144 79 27 159 173 57 126 74 130 247 140 147 228 146 70 137 219 38 82 96 8 5 66 81 9 174 130 248 24 223 171 15 38 248 11 113 103 6 165 163 36 57 166 31 55 2 154 78 68 120 215 72 96 254 177 4 126 215 203 152 212 99 18 92 107 118 138 255 215 150 223 177 114 225 143 12 172 45 104 188 30 36 112 28 13 94 99 146 163 75 37 120 191 6 157 144 14 55 57 172 80 235 227 42 123 14 125 156 4 166 83 116 75 106 141 22 183 99 142 11 74 240 1 69 157 249 57 42 193 91 39 109 225 157 199 60 150 188 71 92 217 245 33 9 76 189 92 69 219 203 209 158 235 141 219 209 91 2 245 232 186 196 125 158 184 202 218 175 137 68 211 196 45 172 181 160 191 17 83 216 95 254 224 215 239 1 44 221 70 168 185 184 229 224 106 234 162 140 79 212 66 220 130 135 194 198 25 87 211 216 88 66 111 109 88 204 228 157 4 230 107 206 231 207 155 251 154 195 96 11 36 120 130 121 141 184 51 4 117 245 117 59 192 90 20 96 28 49 81 165 238 98 56 11 19 248 35 206 127 109 88 175 164 73 123 180 193 143 60 34 129 5 22 87 241 76 173 60 109 65 116 218 157 190 167 122 153 246 28 204 228 148 243 192 202 123 229 162 145 103 36 48 93 83 195 36 53 213 15 185 78 220 129 153 234 80 31 242 146 128 77 60 64 136 17 190 221 239 169 49 78 110 148 4 159 212 90 138 207 111 21 183 175 188 144 46 248 20 63 72 175 201 220 247 35 62 211 231 134 89 179 48 143 7 1 125 111 20 161 188 4 170 13 46 54 207 233 132 11 16 78 146 248 59 218 59 0 159 49 150 52 196 102 82 10 103 76 159 47 166 13 255 148 63 193 21 249 59 1 75 163 190 141 226 86 220 172 21 55 193 26 71 142 72 107 160 74 136 155 162 209 171 173 4 31 228 29 110 178 230 118 207 167 209 0 180 130 1 167 158 200 165 27 235 158 241 0 215 84 130 151 148 53 35 146 172 136 63 37 38 219 190 22 135 186 21 38 117 37 166 116 138 97 191 92 88 173 41 96 218 8 219 166 98 90 167 193 108 109 136 30 19 36 184 172 70 136 26 163 197 149 196 228 158 103 172 208 192 210 83 212 155 136 155 147 211 133 18 199 61 167 181 129 4 215 74 105 244 183 203 75 130 42 99 89 167 255 46 9 172 102 201 54 190 87 45 6 175 160 4 111 84 34 100 208 211 37 120 185 250 173 248 76 154 182 208 107 5 102 237 27 124 165 105 56 221 179 196 29 232 169 155 146 212 7 196 59 0 169 230 175 242 3 250 221 152 231 37 152 222 42 230 61 69 105 239 23 158 12 207 3 43 196 117 2 182 58 137 25 89 136 182 54 38 124 183 123 49 180 246 24 171 36 223 243 171 73 163 36 111 118 94 217 33 209 244 183 56 140 117 191 4 239 103 218 11 0 218 165 249 213 97 21 221 81 70 203 118 242 75 96 158 174 23 12 219 147 103 181 226 39 134 116 64 134 113 218 171 225 120 235 194 146 182 166 15 29 73 154 174 3 156 59 140 79 170 103 82 127 32 127 146 235 247 4 86 54 128 90 130 54 158 4 20 245 200 47 217 204 121 178 247 221 214 146 247 128 241 108 146 139 197 66 152 204 79 249 187 154 200 131 56 221 47 123 126 90 12 224 180 71 3 151 133 153 190 18 183 241 191 38 97 167 0 208 206 68 128 27 0 151 238 13 182 196 200 185 8 62 218 24 222 163 153 247 166 152 232 100 9 204 17 106 170 197 30 187 55 26 32 238 61 15 172 115 95 49 198 199 232 110 178 200 185 104 109 152 73 43 248 2 237 38 110 58 37 204 51 25 118 65 105 117 238 45 39 193 123 197 247 20 183 23 150 149 67 37 6 114 144 97 165 227 152 173 130 18 60 111 217 136 193 159 3 160 134 27 159 113 26 125 202 54 12 91 86 130 119 129 62 36 110 43 242 102 40 192 120 190 191 200 4 52 105 248 113 43 229 79 116 133 255 206 239 190 87 220 174 190 185 198 81 46 107 6 177 188 228 221 247 169 5 121 159 218 30 107 117 19 183 187 178 72 160 90 243 99 204 235 187 6 136 19 36 184 50 66 247 142 47 97 146 164 2 240 59 18 173 190 41 238 248 98 145 64 165 67 13 250 241 182 184 93 1 187 75 160 130 98 153 9 76 116 167 229 221 164 24 218 194 118 207 160 88 155 1 209 38 238 85 101 73 34 34 126 44 132 51 127 62 42 244 46 141 104 146 72 66 158 144 224 85 54 75 196 157 241 162 81 218 70 243 221 72 9 44 181 58 42 110 35 141 143 208 234 205 158 143 21 201 0 214 5 136 81 188 251 65 9 204 223 205 241 114 99 171 121 174 157 127 60 192 103 47 25 128 199 18 221 213 195 191 186 17 70 105 131 15 245 188 23 61 238 5 172 253 8 46 102 210 127 93 245 156 108 242 91 91 140 178 108 224 190 195 30 19 159 103 172 159 184 162 197 173 50 121 202 180 165 135 4 79 174 22 48 254 86 46 160 138 32 106 211 186 164 14 176 199 113 175 95 49 60 75 119 4 204 52 102 77 147 176 54 97 122 133 199 142 141 121 231 45 226 74 100 212 100 234 201 15 159 147 183 250 1 7 189 36 17 160 45 72 188 129 8 49 25 223 172 55 145 234 255 73 160 168 239 69 113 155 248 250 71 230 85 162 13 217 231 25 235 220 140 165 76 176 67 220 68 239 187 104 103 29 9 62 136 177 128 184 210 96 77 21 28 51 126 200 167 226 14 62 95 236 133 227 122 192 147 61 12 243 148 4 150 84 229 136 43 42 20 216 46 90 2 181 88 31 27 102 218 100 194 124 189 90 137 59 179 230 75 222 29 141 143 164 19 209 139 96 200 76 152 172 32 204 249 4 237 223 5 91 159 192 124 54 198 228 250 107 36 75 135 200 225 157 103 172 179 0 43 22 205 78 227 39 154 1 184 150 100 165 117 84 43 123 223 239 13 123 244 35 71 245 32 223 189 220 228 186 116 66 123 140 4 178 218 246 236 228 107 72 103 188 225 165 52 52 193 58 212 124 150 40 174 174 126 191 231 203 149 33 223 52 146 103 30 23 183 207 250 25 195 144 37 120 110 127 124 176 19 152 246 221 38 9 59 82 242 214 238 235 216 252 77 66 23 51 158 7 86 136 4 105 17 52 56 30 70 210 185 55 157 188 221 103 252 171 57 222 247 43 74 96 82 119 181 4 86 251 28 71 211 75 138 43 250 211 12 252 29 152 200 20 47 175 181 26 182 178 219 31 233 198 112 54 82 108 10 67 62 0 72 194 140 217 140 129 129 250 0 172 178 36 58 23 72 240 28 102 67 204 171 214 154 45 132 177 58 243 255 120 218 179 64 2 85 167 170 24 57 38 80 153 114 30 88 231 190 114 136 252 54 72 96 54 191 133 209 200 20 79 59 59 73 222 140 123 61 9 212 69 197 227 183 84 148 64 237 146 191 89 200 141 128 228 17 147 154 16 146 148 101 67 56 195 117 36 144 237 78 53 41 130 31 96 167 225 70 41 170 193 134 151 74 160 140 248 40 109 234 128 83 126 181 4 159 97 93 5 229 216 38 174 142 191 48 236 166 207 60 77 63 163 204 103 61 13 16 79 158 7 214 207 187 122 73 96 74 230 132 4 38 87 245 60 189 163 30 176 234 50 32 145 6 20 217 18 152 26 177 89 237 214 30 80 194 97 178 158 152 61 173 66 77 144 192 244 208 64 113 231 246 216 220 214 191 12 139 93 73 18 179 161 4 42 76 149 173 154 210 38 245 251 150 194 54 243 49 123 141 37 184 18 246 34 113 135 51 41 51 151 240 114 109 167 49 133 246 196 13 205 240 143 150 224 227 98 206 3 235 39 174 234 152 192 185 56 177 235 208 98 187 156 43 140 191 229 24 179 208 84 66 215 96 53 150 224 125 173 138 1 166 173 18 188 208 51 90 2 243 122 51 197 109 73 164 207 125 219 203 137 149 52 190 224 157 230 111 221 240 137 246 123 223 215 173 28 179 60 229 136 198 212 149 51 125 95 71 0 160 96 47 137 194 216 121 203 246 152 243 62 242 7 90 47 248 71 6 86 73 132 188 152 104 237 1 88 162 5 3 164 225 126 17 99 2 114 204 160 76 10 241 204 120 9 174 104 168 44 129 69 156 221 36 120 211 182 203 36 176 0 52 66 130 23 142 150 146 64 181 168 141 200 106 136 91 31 104 43 73 51 121 151 141 52 23 161 20 93 201 129 89 63 45 13 214 58 78 159 246 195 206 81 252 125 191 9 80 108 148 62 12 6 127 93 130 15 99 63 159 110 56 203 85 13 199 121 167 4 50 212 202 80 181 37 144 109 79 54 192 242 23 74 252 227 44 102 33 206 187 55 133 168 43 25 135 94 147 178 93 97 2 61 15 71 63 111 44 129 154 43 203 12 58 5 211 6 31 77 239 173 44 129 197 22 122 32 231 173 128 117 51 207 180 197 121 49 128 103 190 233 227 70 158 51 11 214 110 228 5 54 86 57 106 18 125 150 61 207 88 231 190 238 34 169 24 142 38 235 234 149 233 226 14 225 22 114 59 51 188 239 22 144 188 203 157 34 67 8 190 21 207 255 18 63 76 7 172 1 142 117 89 24 68 63 175 64 91 190 242 242 101 253 141 239 22 102 238 173 207 247 211 196 29 181 210 65 2 147 200 182 125 217 164 80 138 98 234 83 48 149 122 242 235 9 250 244 141 185 223 230 219 132 180 136 110 167 121 30 88 231 240 175 98 113 122 99 0 86 81 162 178 51 94 244 119 194 115 228 183 74 222 61 221 155 73 240 190 234 234 115 85 146 224 178 154 202 12 172 86 175 170 121 45 206 125 205 248 29 201 79 126 9 62 246 55 12 16 148 224 119 21 128 89 147 254 232 134 181 169 134 125 170 147 92 77 1 164 218 30 155 180 45 143 169 43 65 20 172 215 33 9 204 101 118 71 78 183 159 7 214 217 175 215 240 25 106 98 142 146 37 48 143 214 17 179 18 105 218 229 167 25 154 72 232 157 251 180 206 220 250 112 203 141 57 179 44 182 156 103 103 121 32 220 104 76 112 22 230 58 5 48 103 27 54 105 200 125 83 1 137 158 55 184 31 128 94 224 49 86 35 195 200 107 200 187 173 3 48 239 146 198 232 13 32 247 123 209 100 6 209 231 215 128 244 14 9 62 172 234 188 143 133 182 199 17 93 21 135 61 202 138 59 234 182 12 2 215 242 152 75 66 36 70 47 151 188 171 130 85 227 143 152 255 107 165 230 64 9 222 80 164 57 3 215 66 130 51 251 213 121 111 152 23 145 45 148 224 211 43 68 2 153 246 87 96 215 44 88 101 56 254 224 25 158 253 130 151 27 235 138 25 171 68 180 184 76 2 211 68 202 88 147 200 105 189 14 248 223 10 209 71 45 99 126 199 36 86 207 51 22 26 55 141 156 82 91 113 147 202 85 9 209 19 96 135 61 38 93 224 47 198 108 46 193 251 40 168 207 181 197 251 172 1 142 124 73 6 81 167 74 46 132 177 42 26 135 94 219 208 91 130 79 20 187 16 127 107 158 7 184 122 124 182 134 62 84 32 170 157 7 16 155 137 43 238 83 246 124 133 168 114 188 4 86 239 100 32 131 4 218 118 80 2 39 114 173 59 11 168 4 134 211 117 136 9 231 129 21 108 198 106 75 96 71 186 91 36 48 113 92 4 179 18 78 132 101 39 154 147 36 120 53 115 41 192 182 210 36 17 195 184 47 213 235 75 25 76 107 13 143 145 99 25 160 2 222 253 199 37 48 153 108 167 125 202 152 247 219 72 173 34 166 73 203 116 22 240 254 81 18 216 43 235 128 231 128 79 194 39 76 194 212 23 7 32 201 248 122 5 241 213 50 112 254 111 242 210 24 154 246 216 77 95 38 139 219 20 247 60 176 36 80 171 125 25 254 76 22 44 165 27 94 148 103 208 109 230 188 146 247 253 235 196 85 51 100 155 1 183 51 255 225 70 187 199 73 96 126 77 35 48 173 12 173 42 46 11 31 134 169 203 198 188 216 45 40 43 224 243 180 241 18 157 69 241 135 94 5 96 107 0 251 58 0 180 223 99 190 127 96 154 83 97 166 130 228 240 246 211 158 174 228 218 138 160 88 239 74 222 154 253 24 76 97 33 20 242 31 146 119 250 234 47 233 99 181 129 113 230 161 225 127 147 64 13 210 22 52 252 159 104 228 102 147 235 89 27 226 25 51 188 100 169 126 62 204 56 221 37 1 78 41 239 190 75 197 157 253 183 195 220 127 17 64 88 111 34 182 36 126 94 3 116 179 140 89 139 32 105 153 130 95 182 17 19 157 43 129 66 194 92 148 68 35 215 169 36 121 35 240 43 15 137 155 132 207 194 36 235 105 25 87 162 28 5 36 248 16 243 13 226 142 38 174 195 179 39 136 59 159 240 47 199 88 234 219 140 193 15 105 128 223 178 26 231 88 75 86 74 136 219 194 81 96 143 111 61 223 166 185 23 249 233 165 187 226 217 40 76 119 136 217 231 69 132 43 49 69 89 94 10 67 15 36 87 166 209 29 255 178 36 120 107 240 40 148 99 133 4 170 25 6 242 188 101 152 55 61 179 185 184 103 198 218 240 55 221 149 89 147 182 243 113 226 39 99 122 103 147 130 153 237 245 253 12 236 86 12 153 106 249 114 223 191 42 176 178 197 29 217 241 174 4 234 187 119 154 28 205 33 124 150 31 196 173 40 86 199 125 159 1 102 37 204 193 220 16 190 199 60 239 179 139 48 51 21 188 251 171 145 235 42 47 121 119 213 27 36 193 43 117 90 48 192 153 18 60 149 115 139 184 133 18 153 48 217 52 9 76 168 239 7 212 199 196 45 186 77 0 20 207 194 56 59 140 3 126 61 102 185 153 4 54 27 233 35 129 138 216 120 62 203 245 162 214 57 248 94 90 1 251 172 4 230 43 227 255 170 166 240 89 152 170 48 204 244 177 49 117 35 49 139 54 89 153 192 32 217 137 231 138 134 17 236 213 208 152 79 225 29 101 49 85 157 76 170 33 30 95 232 36 57 47 187 40 33 7 134 168 107 216 41 30 214 105 41 193 229 42 186 44 173 13 121 184 19 176 219 86 113 123 137 30 22 55 103 121 4 159 170 22 12 149 128 201 93 7 235 36 139 219 81 70 107 198 78 74 222 165 110 106 54 119 34 155 131 60 123 30 109 40 239 249 135 255 243 140 245 48 126 200 46 24 68 129 242 79 113 165 41 99 17 202 82 99 22 79 123 207 105 127 22 51 88 80 130 11 245 74 24 32 172 242 242 92 205 105 143 5 103 28 223 217 14 96 212 252 236 193 196 190 39 193 19 219 37 200 162 175 4 64 229 240 115 42 50 216 243 36 239 130 217 175 105 99 113 34 191 186 0 236 20 140 117 16 102 77 145 64 189 125 164 228 157 31 221 12 99 143 229 251 147 105 203 51 4 46 95 253 149 76 97 41 66 248 39 248 191 30 81 171 71 241 126 206 32 124 40 193 171 95 252 60 144 70 132 131 67 188 163 164 113 196 213 95 154 132 255 177 206 235 227 35 188 119 154 151 236 92 230 37 52 69 2 165 201 137 128 48 204 203 197 189 8 32 14 224 59 214 5 20 73 226 234 203 178 205 123 203 211 158 157 252 109 175 4 106 199 114 96 215 162 36 131 21 228 209 18 152 91 180 19 237 101 49 179 19 96 226 28 216 58 17 133 43 40 110 3 147 63 76 121 77 228 111 0 212 28 180 119 43 0 106 46 129 205 59 78 32 196 175 249 91 81 104 222 10 177 169 4 159 249 39 164 20 246 158 37 227 110 175 94 56 254 123 0 176 94 87 51 16 199 189 4 235 54 222 159 225 229 171 202 240 206 194 230 179 202 152 161 254 248 90 197 97 172 229 176 215 49 34 182 134 230 249 186 125 119 4 109 152 47 238 116 215 178 248 125 71 96 203 35 226 38 229 63 242 210 9 43 196 213 151 101 242 174 165 228 6 103 145 7 235 139 76 31 151 63 200 134 33 191 54 99 229 72 96 41 87 121 242 45 2 112 180 240 237 42 19 113 221 42 129 98 187 34 38 79 116 192 123 94 93 19 145 137 231 208 46 12 193 146 223 1 94 43 216 207 240 243 166 123 247 95 44 129 74 139 161 94 254 172 152 4 138 254 14 123 129 66 67 147 156 220 131 191 120 131 4 22 174 102 154 119 134 155 32 68 119 117 46 99 20 238 67 113 21 179 177 48 88 13 204 221 106 227 34 216 75 131 136 225 40 68 6 207 59 202 179 238 146 192 26 197 7 229 15 178 97 200 175 13 172 58 132 226 123 36 80 10 82 0 211 150 31 115 81 24 135 53 12 223 225 66 195 154 245 67 128 165 29 207 218 239 125 222 193 139 250 42 243 252 137 226 54 132 213 171 16 126 200 198 16 81 235 59 226 182 167 84 118 252 23 0 90 232 165 59 158 128 77 254 14 107 36 18 128 212 224 223 122 92 73 1 147 209 79 128 157 230 208 142 138 18 168 82 208 83 48 244 0 170 189 128 83 55 40 185 215 83 166 143 97 168 37 180 173 4 10 25 103 18 206 26 129 62 252 191 8 172 145 248 55 247 241 255 170 226 246 59 127 28 86 218 108 18 137 177 226 230 250 234 120 62 147 2 104 122 136 247 104 81 96 148 1 79 6 76 105 167 102 226 97 164 226 18 92 80 39 68 164 197 60 119 32 63 3 56 213 40 128 192 74 90 249 250 14 224 137 3 40 143 195 62 90 21 161 192 74 19 183 68 62 93 220 246 222 135 9 50 18 0 85 180 184 13 81 180 230 234 10 9 174 139 255 4 80 45 228 121 122 170 236 110 147 144 125 76 2 219 0 60 109 210 39 97 127 102 96 105 190 105 34 218 190 66 92 237 246 87 116 52 31 131 56 1 205 42 195 128 191 238 57 169 219 60 129 92 32 193 103 200 104 155 115 249 201 49 145 227 68 158 61 199 99 154 15 72 17 252 159 151 177 95 192 12 128 61 128 41 147 52 131 47 151 21 48 164 250 70 115 25 248 139 8 10 202 138 91 160 106 129 250 57 204 149 40 174 14 109 9 247 69 243 89 22 128 123 71 220 2 143 25 40 72 152 39 143 211 40 218 18 124 43 61 169 163 2 209 119 58 174 192 81 218 152 251 103 6 86 54 78 109 113 4 28 70 7 155 225 103 29 129 81 226 196 157 148 245 133 184 157 134 245 170 37 193 101 189 113 128 113 142 1 111 24 204 113 192 248 116 234 184 159 65 211 237 169 170 189 17 250 98 143 201 98 240 201 62 9 225 187 45 150 192 28 158 13 110 174 199 223 203 39 174 232 110 62 102 231 95 152 244 195 56 211 54 5 114 37 102 110 27 230 188 6 236 50 27 118 209 221 253 174 66 49 238 48 9 228 174 6 24 22 32 223 18 156 204 229 158 55 1 106 44 140 251 47 204 245 193 16 9 228 63 21 176 226 9 195 187 225 36 63 106 152 236 132 201 93 197 50 232 5 97 143 247 196 77 8 119 245 178 223 57 18 88 142 181 93 130 171 74 115 1 202 30 79 224 7 0 92 126 9 62 193 107 13 207 153 230 181 57 31 159 143 242 228 208 19 230 137 49 12 214 130 116 72 46 239 121 25 179 115 7 140 152 40 129 178 151 24 9 76 243 164 121 242 205 36 80 152 65 58 36 25 32 180 37 50 62 194 223 75 227 180 119 163 127 254 178 250 251 196 173 193 172 133 34 215 69 174 5 81 234 239 177 10 111 160 100 115 189 36 242 159 10 88 243 152 22 233 46 129 137 94 155 127 90 73 199 11 136 219 143 33 81 2 69 123 229 189 8 109 186 4 47 51 191 92 220 10 96 59 161 92 223 203 117 213 195 156 220 96 192 169 253 186 141 32 226 21 175 205 103 36 80 1 97 7 47 10 103 250 148 151 2 41 140 207 53 157 54 53 132 77 191 199 28 69 227 175 205 131 97 237 14 129 163 197 149 200 220 130 28 116 95 176 68 20 33 5 51 168 103 57 31 3 140 139 189 54 15 227 30 53 155 171 97 125 205 226 107 230 127 183 137 104 239 67 57 231 253 89 128 165 54 255 46 132 249 185 4 230 209 182 27 80 37 66 233 165 233 184 110 172 113 39 254 205 81 47 26 243 107 217 47 53 25 119 107 10 26 72 240 193 223 171 72 97 204 49 169 131 76 147 85 191 133 232 210 166 45 62 3 180 113 6 184 137 244 163 184 199 112 213 208 254 162 188 107 63 96 123 136 246 229 151 192 124 231 29 226 54 249 208 171 7 230 79 247 75 237 132 2 134 195 166 5 112 226 235 99 50 139 240 188 152 179 200 187 6 242 222 74 48 50 130 247 173 228 179 166 40 192 22 113 71 209 189 139 18 236 248 51 0 43 23 234 29 142 150 9 73 58 157 154 121 76 220 250 191 94 6 112 137 12 232 21 38 89 25 35 238 24 182 108 51 125 18 25 34 253 32 146 247 72 222 46 100 230 199 224 203 89 63 42 25 243 180 200 0 174 42 225 252 221 18 188 199 66 95 88 212 174 103 20 252 167 81 180 173 46 160 46 132 217 186 0 19 172 206 125 59 9 158 24 62 0 104 119 208 223 69 248 84 165 121 215 98 113 103 65 95 15 64 15 145 62 137 53 17 102 174 177 14 187 144 97 123 34 238 97 60 163 7 126 99 101 130 163 12 204 234 120 64 246 12 239 46 246 71 55 133 115 17 212 28 242 39 95 96 70 170 99 14 52 131 62 193 248 82 249 97 133 107 140 121 107 43 121 119 236 171 140 150 250 101 199 141 36 120 199 62 77 162 46 199 255 176 59 45 63 138 47 242 184 199 34 13 0 238 76 239 57 239 32 248 69 94 118 191 29 73 205 242 12 252 213 176 216 98 204 123 126 92 129 198 244 213 102 205 103 210 230 98 152 205 102 40 203 30 76 232 5 200 70 231 83 11 99 10 215 145 106 233 18 66 137 46 226 223 223 193 80 183 72 160 58 226 61 166 142 182 210 190 8 210 33 73 248 192 251 240 117 15 254 145 129 117 7 140 117 55 130 236 109 252 161 219 36 176 197 144 94 27 197 157 218 53 152 72 201 70 110 151 73 222 163 225 90 73 232 147 83 235 72 240 60 96 89 9 148 4 143 0 132 118 67 220 29 248 87 179 61 83 122 66 2 11 78 125 115 115 47 131 249 162 49 61 9 176 236 35 48 201 14 204 95 2 192 213 147 36 210 0 216 94 9 158 132 46 195 247 142 225 23 22 3 236 97 100 211 151 145 27 171 97 24 250 51 92 140 137 248 129 226 69 132 27 201 227 233 180 206 15 164 24 118 34 203 108 100 161 219 19 52 34 169 250 29 242 232 29 34 225 252 135 0 86 101 242 79 63 66 205 239 1 132 147 48 70 138 184 146 149 213 128 48 203 176 220 51 226 78 51 213 92 215 161 16 154 57 11 22 188 211 124 158 225 77 181 180 103 128 174 144 224 114 152 36 76 195 16 143 245 162 49 93 147 36 120 113 172 230 136 190 243 194 252 20 146 190 107 81 150 191 227 107 37 98 30 147 120 222 40 192 83 91 220 94 245 154 125 175 133 195 223 150 247 238 128 253 30 195 36 86 36 50 220 136 223 121 72 92 145 226 77 33 228 63 139 246 140 71 174 223 32 195 36 158 211 67 2 243 177 87 193 204 221 48 207 77 48 183 227 9 54 118 253 81 128 165 247 14 101 16 90 226 7 76 20 183 225 69 57 113 107 249 10 32 240 112 47 162 123 207 75 74 206 12 145 33 110 204 247 111 193 49 125 217 56 210 123 61 51 184 24 0 217 131 147 18 0 117 36 66 182 192 236 202 239 198 230 243 56 113 19 205 54 226 76 20 119 8 250 99 128 58 130 65 90 9 75 233 209 195 187 233 87 1 243 253 105 152 249 69 200 76 25 62 12 208 214 130 189 11 96 6 171 3 142 97 0 116 76 136 113 232 104 50 255 154 31 108 7 19 127 76 164 155 138 220 107 35 175 167 97 195 25 124 62 17 51 62 245 143 0 172 28 52 173 39 38 73 19 144 215 24 191 167 155 113 224 203 224 76 190 110 242 93 117 112 166 211 141 201 187 192 51 85 37 240 213 250 73 96 126 174 43 38 163 85 8 255 96 173 4 42 26 158 242 194 252 198 128 120 164 7 226 88 204 75 54 81 153 2 186 9 3 253 182 184 50 98 125 78 28 192 152 198 143 166 36 58 115 223 98 162 197 43 240 161 172 153 111 137 41 74 33 90 219 5 115 197 32 131 237 244 95 211 14 145 188 227 83 192 147 26 98 28 74 74 96 243 220 221 204 42 52 6 60 186 40 163 156 4 118 49 92 77 223 147 96 234 246 128 239 22 158 243 26 202 56 251 183 152 222 251 165 15 211 245 113 213 141 35 108 15 120 204 48 194 184 215 155 142 185 21 95 162 137 25 208 237 18 92 155 174 206 124 62 162 177 37 36 248 230 49 64 126 62 38 147 129 136 240 76 228 97 52 254 104 8 223 176 53 0 72 51 128 62 74 4 167 160 215 192 226 90 210 15 219 96 218 59 96 181 165 228 198 30 21 119 190 243 10 102 22 114 61 83 56 11 70 187 204 100 195 75 163 20 249 25 236 163 102 44 250 195 184 103 51 85 75 105 199 189 68 154 97 164 19 154 48 6 53 200 204 207 132 8 10 98 126 239 167 61 159 0 224 52 2 155 83 4 46 57 191 23 176 154 146 7 74 103 48 195 97 37 61 40 169 138 4 150 69 105 209 217 27 226 54 226 23 162 153 94 176 152 10 191 148 231 112 235 252 96 28 154 55 133 1 127 139 251 86 25 80 198 195 106 77 67 204 39 190 137 214 191 230 125 190 12 243 224 111 86 219 156 188 84 99 239 243 231 0 76 107 6 252 73 146 171 199 97 234 59 97 235 120 190 219 201 51 133 197 36 176 179 224 76 20 164 40 3 169 187 17 70 243 172 116 64 81 15 197 61 132 159 153 120 150 177 24 196 24 108 133 253 50 81 174 133 244 59 2 69 60 132 185 221 15 184 175 52 83 112 154 14 25 140 207 117 247 239 1 172 48 6 105 39 194 204 198 254 15 51 217 242 23 17 110 54 26 185 220 76 239 68 210 225 33 18 188 156 125 80 136 119 93 192 64 60 69 180 248 21 233 140 8 218 27 110 192 48 86 220 146 44 59 197 180 28 127 236 233 16 81 101 166 4 215 96 9 17 232 102 9 222 173 89 72 51 44 133 65 62 130 233 74 2 136 131 68 133 225 12 232 90 20 171 160 199 88 233 134 77 166 208 174 130 226 246 143 111 200 243 86 241 91 55 30 241 23 241 218 177 24 1 224 175 34 82 212 179 27 191 231 185 207 210 174 89 124 167 3 62 226 8 198 199 46 18 217 204 51 31 192 127 19 249 21 170 34 126 46 176 6 227 179 220 46 174 58 115 20 97 108 182 137 238 180 182 169 54 25 223 48 147 172 188 72 220 18 242 92 52 106 97 136 182 52 39 235 94 67 220 62 240 179 48 55 57 134 237 110 230 167 163 23 17 54 97 96 18 25 104 63 242 91 134 25 177 87 31 201 187 236 42 146 129 208 115 160 181 29 251 153 218 57 192 224 14 196 204 41 56 82 188 40 244 48 159 157 34 45 240 141 97 13 157 138 201 32 194 155 4 232 118 194 146 101 141 108 108 165 67 17 216 243 83 34 217 8 252 174 195 200 239 18 113 91 137 79 162 173 63 226 166 148 53 129 143 0 252 158 228 35 39 225 23 230 254 214 192 10 67 115 158 5 84 175 0 134 18 116 72 41 245 10 26 175 197 116 21 49 3 251 13 139 116 241 50 218 117 37 184 248 46 151 239 164 137 59 92 82 203 75 74 152 1 203 49 41 133 219 37 239 97 152 73 104 112 25 201 123 254 204 0 88 100 164 199 112 85 189 41 31 205 196 63 1 43 158 225 185 205 25 172 87 241 1 239 101 48 179 0 98 67 9 222 219 84 15 103 170 132 41 223 70 155 191 39 81 156 66 94 238 128 233 235 39 198 116 237 50 227 96 43 29 142 98 130 239 22 183 151 188 238 174 172 145 116 3 20 47 11 119 161 171 4 42 31 30 55 169 32 77 230 254 128 159 117 6 229 137 255 173 129 149 43 238 60 229 6 226 170 19 107 97 26 51 16 232 4 9 44 138 56 129 227 93 158 124 138 94 175 34 48 187 194 247 123 9 174 157 202 133 9 22 152 212 128 30 125 82 201 155 235 106 143 19 188 88 242 46 177 111 142 208 122 132 240 163 230 99 158 143 120 169 137 239 240 17 237 2 213 253 226 78 227 234 128 198 207 100 48 251 99 166 31 68 57 106 50 32 233 18 188 153 73 50 12 85 78 220 158 13 34 129 114 162 249 244 169 141 184 211 207 218 96 166 78 161 88 253 37 248 136 59 59 189 179 136 40 54 156 246 247 128 165 70 210 191 109 226 14 132 58 140 63 250 25 236 124 37 50 212 103 29 2 160 241 4 76 27 126 107 96 149 192 212 164 1 140 108 227 171 232 241 181 89 0 230 73 4 146 198 0 13 246 64 52 223 99 194 67 102 170 71 175 171 36 239 233 18 234 35 216 37 93 187 24 228 33 56 216 182 47 119 18 20 248 207 142 36 65 251 166 231 71 220 71 31 54 193 134 97 198 212 118 166 237 219 205 156 232 18 88 231 86 76 254 38 64 121 173 153 150 209 235 12 131 56 3 199 188 10 3 63 19 215 34 31 44 213 24 64 238 195 63 212 137 237 168 115 68 107 151 136 219 249 176 20 214 164 51 125 90 32 110 35 185 121 248 128 37 241 59 95 228 59 145 38 161 251 29 192 234 202 179 198 253 39 105 136 115 125 73 157 237 119 25 16 205 35 157 52 76 81 157 6 42 109 23 36 98 178 171 109 122 153 249 58 61 131 47 212 146 46 157 228 13 5 112 187 59 95 4 130 216 7 123 90 19 57 30 102 237 21 34 76 31 47 193 75 236 5 214 236 36 121 107 182 34 1 121 83 192 246 36 102 173 62 254 159 238 212 215 16 16 104 201 112 126 47 29 50 11 246 57 6 19 84 151 64 245 135 254 123 45 179 3 69 1 216 40 146 174 205 9 130 212 145 207 231 181 79 83 36 175 153 64 225 36 138 93 18 214 170 136 82 106 18 54 146 124 218 7 76 83 157 194 74 232 149 77 128 210 143 57 209 27 255 221 52 196 79 1 171 52 97 104 39 216 170 175 209 116 45 209 213 40 238 29 113 155 162 149 64 107 142 152 136 241 93 156 66 251 222 227 33 252 185 8 201 59 33 29 106 223 209 90 56 171 87 155 100 107 14 73 194 171 161 126 127 47 173 154 8 118 145 215 247 14 12 208 26 143 201 26 209 150 237 40 215 203 56 254 71 9 2 158 2 168 75 25 12 141 32 109 250 68 151 133 141 21 119 72 103 22 76 166 251 62 148 53 105 135 226 200 60 25 179 118 144 159 11 36 239 166 190 185 124 222 0 71 255 121 166 169 166 18 116 232 161 229 113 152 220 246 76 167 69 3 254 219 197 173 244 169 98 220 143 57 100 240 215 97 150 139 253 90 192 82 193 190 128 31 209 138 168 103 157 73 96 118 17 183 7 66 93 207 7 248 2 179 145 195 231 245 49 155 99 12 0 234 134 24 248 10 176 221 106 239 243 170 146 183 154 114 56 96 248 135 55 144 81 104 224 117 134 153 34 204 4 238 143 230 89 217 8 191 61 230 172 129 247 142 17 12 238 37 48 211 205 152 137 65 176 204 112 64 92 30 197 187 12 7 250 66 35 199 165 0 191 24 17 89 47 152 125 52 166 83 119 50 60 13 243 125 75 132 219 28 211 191 132 103 110 48 137 104 123 105 112 178 80 92 213 68 75 24 171 35 166 127 59 239 124 5 160 87 6 60 233 4 51 95 25 255 53 141 123 174 16 183 5 248 30 76 227 127 12 172 40 147 117 222 68 227 239 16 87 255 253 62 90 174 194 27 109 38 149 203 146 239 249 206 3 204 97 47 217 215 60 132 160 42 137 91 47 231 79 122 251 123 19 92 193 187 111 243 238 31 196 64 180 11 193 114 115 208 224 28 47 103 22 206 160 199 25 38 72 16 119 212 221 15 60 243 3 148 102 46 26 222 149 57 183 30 226 22 138 92 98 24 87 247 239 74 33 156 255 1 101 45 133 60 119 139 171 119 223 129 121 189 8 25 204 224 153 165 49 247 41 152 37 255 154 7 88 85 145 226 48 233 5 49 195 133 145 69 37 128 180 6 147 171 171 186 159 226 223 85 197 213 178 133 193 122 165 120 110 84 8 63 246 223 2 86 134 137 168 6 99 2 117 55 152 102 208 228 5 70 120 79 24 135 59 9 33 244 49 207 187 11 179 184 216 155 239 242 1 212 90 66 239 209 80 220 75 83 84 36 49 155 194 64 91 159 233 89 132 154 251 169 31 233 0 0 27 194 73 68 65 84 98 192 152 77 110 43 22 193 90 70 212 163 237 186 26 83 168 128 248 59 237 236 193 64 191 74 222 78 79 185 255 10 39 121 50 190 82 113 228 85 216 12 208 97 250 57 6 217 245 22 119 200 122 29 228 250 58 247 173 228 251 69 0 195 10 158 217 3 247 226 185 179 140 225 43 4 4 25 4 72 29 233 195 20 147 62 232 72 95 79 243 252 117 40 79 14 102 113 151 113 77 114 241 189 142 160 44 227 177 82 109 127 137 191 117 54 4 190 142 134 21 164 17 15 242 249 2 192 163 90 121 53 236 245 41 255 215 218 162 137 38 65 184 70 220 241 30 118 46 207 191 202 73 222 13 109 213 199 74 246 152 237 66 88 227 50 243 121 13 0 221 74 92 89 174 205 46 127 75 246 217 159 151 124 7 193 90 115 222 141 126 21 194 153 214 133 166 163 17 246 133 0 100 40 207 156 140 208 43 121 115 159 26 242 223 76 223 182 114 223 18 210 51 87 194 242 203 80 138 103 48 221 199 197 45 37 235 124 142 1 213 96 160 34 172 154 40 129 53 4 90 139 191 155 231 103 192 66 151 162 72 45 144 75 95 62 143 245 158 187 11 150 188 15 69 154 44 191 96 39 193 80 192 106 196 139 158 68 176 89 198 60 94 8 194 15 25 211 119 177 249 238 62 76 104 138 97 191 5 18 188 166 175 134 132 62 38 173 177 132 62 80 59 209 27 244 139 200 223 44 245 180 120 3 166 37 86 242 158 239 119 3 125 234 30 226 157 9 18 92 175 175 51 7 195 121 199 16 216 246 122 216 161 50 114 105 3 0 239 34 251 62 3 57 221 100 24 43 150 193 93 207 128 94 202 224 220 139 239 153 99 216 227 105 20 180 40 204 114 24 249 142 192 129 143 144 188 103 26 134 97 14 63 163 253 135 1 252 115 68 162 245 24 175 210 60 183 32 196 48 140 246 55 228 222 49 48 252 62 0 181 12 159 237 18 24 110 7 125 155 245 159 0 235 113 180 236 82 52 172 19 148 26 137 179 247 163 201 17 77 99 214 92 175 183 153 204 21 51 183 247 146 7 128 194 146 119 171 34 205 141 237 252 137 96 194 250 69 57 152 100 107 6 187 227 123 61 237 105 95 56 204 209 87 130 203 110 10 35 192 18 158 242 8 64 26 8 136 199 193 132 131 0 86 50 108 48 26 80 12 5 92 207 227 127 217 149 219 57 102 130 126 35 239 56 128 31 186 29 150 222 65 254 232 30 156 249 40 250 60 31 197 188 198 76 41 133 133 136 12 5 18 40 105 156 237 211 0 104 11 206 248 245 140 77 89 64 120 29 230 182 9 254 85 99 124 225 134 16 203 63 96 208 185 228 5 107 211 238 38 38 250 143 248 41 96 69 134 24 196 206 104 216 27 18 40 146 179 123 33 148 66 136 122 245 16 87 44 118 57 104 127 223 248 54 165 48 133 113 158 105 243 169 93 115 63 169 33 104 126 171 247 217 2 227 124 218 44 183 214 87 149 230 183 178 86 28 66 127 207 75 154 158 161 253 154 241 183 127 59 36 238 12 196 70 4 35 57 128 235 1 0 188 155 246 78 130 149 198 50 96 31 152 65 207 0 120 17 48 198 86 0 187 135 232 239 1 166 96 30 197 245 72 128 117 14 19 109 110 102 192 235 201 79 31 134 57 4 64 182 193 108 77 55 10 210 140 84 201 216 115 144 76 170 145 255 161 16 127 111 5 243 223 8 216 199 254 18 198 186 28 176 221 136 35 57 196 132 243 77 160 234 62 94 166 92 7 247 132 151 217 22 204 228 6 132 22 102 180 247 104 136 57 60 13 119 237 165 103 223 216 136 245 70 192 190 220 75 70 222 72 251 74 146 222 8 51 160 125 30 22 179 39 59 164 145 92 156 128 192 252 140 118 35 6 41 30 237 222 74 62 238 98 216 103 39 96 172 129 217 188 9 121 149 241 218 219 30 80 20 195 18 140 195 49 110 6 248 167 224 235 29 37 96 120 136 182 31 224 93 59 37 239 154 0 159 49 74 3 198 153 184 43 93 49 133 77 233 251 88 198 58 242 39 252 234 88 57 251 182 86 17 140 225 0 222 245 188 228 221 11 35 36 176 34 204 28 214 139 252 30 254 255 218 59 243 248 170 170 36 143 215 123 9 129 16 48 72 26 148 29 68 99 140 44 35 160 128 178 40 194 180 11 174 180 180 14 56 78 183 52 226 214 110 168 124 196 81 17 55 220 128 193 86 84 164 91 108 20 181 65 192 93 68 108 199 6 5 101 68 208 32 40 34 171 6 33 132 68 22 33 47 253 199 253 158 207 169 91 247 62 130 14 227 184 188 243 249 228 19 184 185 239 190 115 207 169 83 245 171 95 213 169 131 10 60 93 105 138 49 226 83 125 71 48 240 211 20 25 216 203 4 120 91 42 83 233 212 246 98 137 38 177 245 68 128 109 146 127 33 3 155 84 172 254 253 152 143 85 38 147 160 27 120 224 88 9 31 192 148 131 123 223 21 254 41 161 158 61 145 1 213 233 203 13 17 232 157 8 77 17 52 65 39 180 237 147 104 172 86 152 80 199 203 141 199 12 55 80 239 155 226 253 239 231 253 174 97 188 150 51 14 167 99 18 119 160 157 251 161 1 155 33 136 142 75 235 167 250 220 84 89 132 62 120 185 203 241 90 91 35 76 47 74 244 212 251 20 243 220 156 133 57 14 77 252 177 194 87 14 107 150 0 121 94 149 104 237 121 119 68 205 91 251 34 88 9 254 221 14 147 50 29 13 85 44 62 213 229 42 176 82 153 90 213 247 169 103 229 160 141 52 49 249 39 241 231 218 36 149 121 219 105 250 113 96 26 85 239 170 25 39 21 157 113 39 253 93 106 48 199 235 172 184 75 98 204 105 71 126 127 173 4 46 23 220 209 221 60 231 96 241 105 55 207 242 183 33 76 86 55 180 210 120 4 107 35 128 182 10 115 232 202 28 233 72 194 245 252 180 199 139 29 194 115 78 99 156 155 98 194 54 194 27 246 196 105 104 136 69 120 65 57 72 46 167 254 88 22 231 4 176 80 2 161 253 194 132 103 4 111 246 69 240 214 19 224 196 22 44 250 27 232 199 241 8 105 127 180 247 213 188 151 219 35 80 74 159 30 229 179 37 204 253 240 154 4 107 15 106 238 61 6 53 193 32 56 60 229 74 30 234 179 108 62 102 48 220 51 110 228 197 151 169 23 27 15 9 231 86 76 210 168 219 132 98 239 167 197 8 213 70 241 135 0 56 14 107 62 194 122 154 18 146 174 172 236 161 49 152 108 37 131 58 212 92 191 133 254 190 195 61 73 37 112 79 225 249 185 3 159 94 0 143 141 3 84 15 101 82 219 49 233 5 8 225 245 226 211 82 170 89 64 163 193 36 14 195 92 36 254 8 147 54 0 237 54 244 63 1 111 52 16 11 176 6 13 228 112 108 1 252 214 253 56 85 71 42 172 163 77 227 64 130 231 219 89 104 19 249 153 43 65 234 204 6 204 116 109 198 107 21 239 249 46 9 5 47 67 125 108 16 159 10 93 202 162 88 195 243 111 86 176 40 123 111 24 107 16 222 65 9 42 250 62 165 145 178 120 33 109 70 94 193 28 166 84 116 252 175 49 108 250 73 38 200 188 195 8 86 2 97 94 111 174 215 151 232 241 31 110 183 242 7 134 243 250 140 126 143 134 238 208 237 56 0 179 45 55 185 8 211 49 12 225 213 154 172 31 56 234 27 240 85 71 4 103 26 247 13 97 112 179 196 215 149 255 55 112 209 205 49 160 247 175 188 123 169 90 20 229 44 206 229 8 206 120 180 85 103 132 193 37 15 190 13 93 179 22 206 237 120 52 222 50 51 127 85 56 15 238 100 142 101 44 134 231 193 130 75 88 128 78 123 127 34 123 63 96 115 7 130 185 11 65 251 92 252 126 197 167 25 183 25 124 199 158 116 130 149 67 135 175 144 32 7 104 60 92 199 93 138 232 75 210 41 167 146 79 83 192 62 129 48 126 107 66 49 217 70 93 30 36 209 228 62 119 232 80 137 146 252 132 248 186 230 26 159 245 68 216 39 75 184 170 204 22 188 190 255 137 225 90 202 80 225 3 204 245 61 8 219 96 243 29 191 225 254 62 152 246 187 1 197 183 163 185 202 89 249 127 225 157 27 138 63 101 226 43 9 239 10 114 171 249 4 250 213 1 7 105 22 147 250 45 19 216 130 123 42 24 135 97 4 203 11 153 143 247 192 117 3 36 188 83 219 89 129 241 124 238 108 22 151 43 255 116 12 159 237 196 119 59 173 180 16 44 216 177 6 79 209 197 85 47 68 171 23 41 71 231 33 176 104 251 189 153 194 115 145 240 179 48 53 39 209 129 229 42 51 96 168 248 179 247 78 228 161 247 40 193 188 202 196 179 202 144 232 124 195 85 125 169 52 95 181 196 111 24 72 137 207 11 183 47 90 79 101 86 84 41 162 246 90 88 240 38 230 51 199 50 241 83 76 72 169 0 205 99 211 116 10 208 22 127 103 181 142 37 20 51 146 65 173 205 228 157 64 95 54 242 30 78 27 29 106 158 87 27 161 234 129 89 185 7 141 49 153 107 223 176 64 215 139 63 22 101 62 88 238 124 64 190 19 16 61 103 77 120 39 119 216 211 17 44 174 243 197 159 154 177 26 173 88 31 77 150 135 121 94 74 191 15 171 65 176 222 20 95 221 249 89 176 215 122 149 80 112 142 68 207 61 10 117 242 82 58 52 15 0 120 36 18 218 140 191 15 39 172 83 161 4 98 5 218 39 193 4 204 16 159 252 39 42 202 174 57 145 92 6 34 105 88 238 181 134 80 116 12 253 186 152 73 191 67 124 10 79 150 226 113 218 209 167 55 13 9 250 47 172 250 30 134 75 91 200 189 189 98 248 156 199 16 218 43 1 229 19 209 86 195 88 68 191 198 244 59 108 228 106 185 151 73 52 173 55 11 141 114 31 94 227 38 28 141 43 232 67 55 22 246 1 104 154 50 180 90 41 239 52 201 224 167 20 253 219 192 162 108 206 130 206 225 121 219 81 8 11 48 245 5 224 169 111 128 47 61 176 4 235 197 103 176 166 107 75 153 235 166 44 206 187 89 20 181 232 151 206 135 139 21 44 119 26 85 17 82 121 39 100 224 122 37 185 21 38 176 252 166 18 178 66 204 156 174 171 48 11 109 161 191 120 155 132 43 12 187 236 135 21 198 28 57 190 107 153 33 103 83 112 79 93 205 253 85 104 131 147 37 90 248 108 18 2 250 138 225 151 46 229 123 87 196 144 181 215 243 153 123 49 47 29 20 168 174 228 51 3 208 92 181 197 151 12 239 192 184 100 155 113 152 195 88 62 197 123 213 71 19 109 193 83 93 139 176 173 198 115 107 130 183 186 193 104 230 110 76 246 201 96 205 199 213 194 117 37 39 43 240 248 92 114 224 33 140 99 1 99 223 30 77 213 150 49 57 166 6 173 245 26 194 222 135 62 214 67 51 239 164 223 89 53 121 133 101 152 134 219 17 42 157 47 245 133 248 67 149 132 213 215 205 0 199 133 18 222 158 62 2 129 157 111 112 205 118 137 158 1 184 54 70 176 234 73 244 152 147 108 38 238 46 131 49 198 208 103 187 43 231 76 6 176 137 9 231 236 2 35 180 147 104 2 93 17 0 252 99 84 253 52 190 163 49 156 148 123 175 82 180 242 87 152 152 34 241 181 174 244 201 92 239 161 81 234 224 17 62 193 34 201 103 161 245 69 104 31 96 81 31 163 32 133 166 65 158 97 146 87 72 144 15 119 5 26 53 219 104 251 229 104 146 74 238 111 196 247 245 65 43 58 47 185 28 232 112 212 94 194 123 73 230 111 23 239 84 13 52 232 73 168 167 141 164 41 48 146 84 171 180 1 222 71 2 14 235 26 37 141 167 72 248 32 236 86 104 26 81 152 107 162 185 246 188 248 130 103 9 181 130 236 214 162 98 137 79 98 171 21 19 28 119 135 147 247 50 26 102 36 43 127 186 249 204 23 226 55 75 88 1 189 150 21 248 156 249 219 6 180 209 22 38 232 86 200 192 124 204 226 227 76 208 86 188 163 19 249 251 22 4 108 170 209 154 187 209 108 39 33 204 167 112 111 83 160 196 58 9 82 134 92 81 149 69 106 94 220 97 230 149 140 199 77 112 111 7 178 192 86 198 96 28 151 146 211 26 111 219 29 23 188 138 121 109 130 182 158 133 6 221 195 24 38 210 96 221 114 180 226 50 188 229 191 241 14 157 17 218 41 123 19 172 15 197 87 213 155 197 74 184 72 169 224 11 36 124 102 203 57 202 173 206 194 13 158 73 7 146 42 32 221 95 9 86 174 162 15 170 141 167 184 35 166 111 223 198 92 91 132 198 251 179 209 150 46 215 168 135 185 127 27 19 102 179 38 154 98 238 102 72 56 151 60 151 247 92 8 96 175 143 22 31 206 4 60 200 119 79 71 184 123 97 106 167 32 172 11 48 157 98 130 227 221 233 67 111 53 65 11 208 86 19 249 252 111 213 184 164 84 66 192 199 76 228 227 140 95 14 99 158 96 17 88 207 238 191 17 134 134 244 41 95 252 17 46 155 33 173 63 23 191 139 189 14 243 91 149 198 20 86 65 94 183 133 171 188 84 209 75 171 209 164 105 121 172 153 226 139 184 142 129 60 156 196 223 158 224 33 79 170 160 174 77 164 155 32 254 100 119 55 56 215 139 223 119 232 180 68 69 76 199 27 196 4 61 15 138 225 157 138 80 193 227 205 253 61 192 62 143 72 52 221 249 27 250 208 194 152 150 33 244 115 180 132 139 191 182 68 48 142 198 107 107 135 137 154 204 100 246 197 76 13 160 15 159 2 126 93 102 233 181 120 147 173 204 98 88 1 94 123 149 73 174 5 214 26 142 246 123 217 244 239 0 62 115 38 218 233 92 112 229 76 52 84 10 92 187 73 194 37 161 68 105 195 38 40 140 173 244 169 33 130 153 139 150 108 69 40 235 67 3 107 172 108 116 130 60 31 7 76 18 230 160 177 250 92 90 30 107 21 238 243 12 76 67 71 21 147 122 152 65 117 30 226 31 80 253 109 212 115 118 138 79 198 115 130 117 152 248 147 82 221 134 203 236 24 115 87 39 198 78 31 16 163 154 27 209 207 77 120 146 186 205 133 238 40 50 215 27 34 20 171 76 223 70 225 160 116 49 247 119 0 59 77 70 99 127 134 153 253 19 224 219 149 84 90 202 4 183 1 211 52 0 171 140 17 191 153 67 155 166 39 25 163 127 71 99 53 5 163 20 153 197 230 50 45 202 89 168 179 225 217 146 60 179 142 10 129 125 45 190 84 145 93 76 89 224 214 93 152 210 46 44 214 70 42 124 247 173 248 138 205 125 12 45 228 22 183 203 30 189 88 241 143 87 225 188 21 198 208 65 17 193 250 74 252 201 85 15 2 208 28 160 238 204 67 179 149 137 250 218 152 144 99 1 181 89 38 230 214 85 169 246 252 24 117 155 75 31 190 140 17 8 219 233 82 52 66 43 227 45 214 131 157 206 86 177 178 132 2 239 135 42 110 201 109 85 239 132 203 62 46 134 26 56 14 205 244 10 154 110 32 130 213 134 239 158 138 105 90 132 54 239 134 176 111 1 135 206 150 104 33 217 118 8 203 18 22 65 158 196 111 80 24 131 153 189 14 13 124 56 166 112 2 239 87 73 255 221 9 31 238 188 232 58 49 164 240 110 76 249 90 112 230 219 140 85 23 230 171 61 215 114 152 251 70 10 243 222 205 124 186 164 4 237 64 220 207 231 87 238 75 16 218 5 113 219 241 193 243 148 144 188 193 42 250 66 225 150 161 42 184 156 205 100 188 130 224 184 73 189 83 129 233 106 241 85 79 108 170 70 45 9 215 114 23 236 191 229 176 174 1 0 119 52 248 171 3 171 222 153 38 45 88 111 161 166 117 62 123 53 220 214 117 18 77 44 108 134 118 217 134 185 115 5 54 30 67 155 55 69 40 231 96 86 92 148 98 7 130 85 70 104 199 230 149 221 0 166 186 85 252 65 82 186 159 245 24 223 65 96 153 106 4 241 105 198 231 75 76 90 62 215 115 192 73 123 248 109 203 94 46 67 33 180 103 30 27 32 104 185 8 226 135 152 238 42 22 127 49 239 61 130 133 50 10 175 211 193 145 163 232 83 59 250 179 160 6 138 34 36 88 107 0 144 37 60 200 105 151 235 140 13 94 166 216 118 103 95 239 144 240 238 148 230 76 78 165 209 66 203 99 178 26 242 36 154 81 154 48 125 171 13 120 221 32 209 179 117 182 194 52 119 146 240 9 247 141 89 233 231 27 166 223 45 162 203 249 156 110 159 160 221 6 131 123 142 67 8 158 66 160 27 3 222 115 24 224 185 44 178 5 140 81 5 26 237 50 51 190 91 97 237 251 16 7 212 94 223 201 124 238 89 204 218 64 238 171 5 166 28 192 251 183 193 252 110 66 115 22 50 209 3 37 154 114 189 132 197 234 4 233 115 241 101 5 138 153 139 161 120 153 243 192 149 191 131 198 153 108 230 227 57 188 202 11 249 236 30 217 135 166 243 177 158 4 136 46 49 252 209 51 70 29 186 106 113 165 6 43 173 52 12 249 42 35 4 69 49 234 211 173 180 202 24 97 217 164 132 44 31 243 251 160 248 141 27 58 88 122 164 209 178 213 188 219 0 220 242 37 38 10 63 7 190 40 199 104 142 255 192 196 141 195 129 25 10 21 226 14 215 108 130 0 185 163 221 154 3 168 127 141 70 75 161 133 87 43 8 48 148 197 152 47 190 82 179 243 250 238 69 131 13 1 235 44 66 35 57 51 87 193 123 87 209 215 131 24 247 29 44 178 197 244 203 6 235 221 206 231 93 104 161 43 192 198 237 89 28 47 3 43 122 194 137 61 167 240 176 16 218 155 196 188 184 148 234 201 242 29 154 14 250 150 43 59 123 27 127 75 241 194 26 79 185 85 219 78 105 175 129 198 19 114 220 77 103 197 81 165 36 90 79 161 94 26 55 183 90 173 26 23 135 235 141 187 123 150 34 72 133 96 248 102 40 144 18 245 188 147 197 23 190 176 135 93 78 82 217 11 22 199 53 3 67 220 41 62 253 228 58 6 119 131 248 92 245 186 144 159 151 97 166 63 162 143 35 20 16 30 69 44 114 104 204 59 190 131 25 234 141 201 94 131 224 244 68 139 15 102 193 236 70 107 94 9 76 233 140 151 215 146 207 214 195 58 12 17 127 96 102 5 11 234 61 32 203 178 152 177 183 237 8 190 99 40 194 60 86 194 69 228 190 87 115 43 118 178 248 202 110 195 212 96 23 24 13 246 168 250 76 3 48 88 47 99 246 222 21 95 82 210 13 178 196 48 227 27 99 174 15 86 47 229 190 231 22 132 165 171 185 247 17 52 211 31 205 245 22 104 147 209 166 255 103 161 177 94 103 98 180 230 126 9 243 87 8 174 57 27 45 254 12 147 62 13 205 116 26 161 165 203 224 130 10 49 83 179 225 238 62 230 122 39 101 17 18 202 187 93 39 225 82 219 137 125 180 46 251 235 152 184 108 250 124 61 188 215 6 22 231 227 188 191 85 60 223 185 37 205 74 190 81 124 6 228 38 6 230 70 241 57 85 205 152 168 163 141 25 233 105 130 175 206 91 105 105 180 144 196 104 172 95 137 63 128 224 92 133 219 42 213 231 206 71 72 95 138 161 43 14 67 91 218 157 194 103 139 63 119 122 155 241 152 38 152 254 84 171 152 232 48 52 213 40 136 195 28 9 242 169 250 163 125 94 82 152 104 51 131 223 6 79 113 34 193 250 213 176 236 139 21 215 87 141 144 150 162 237 110 87 19 183 47 133 206 82 242 253 10 162 229 163 185 111 98 161 173 192 58 45 6 203 77 194 1 42 224 125 255 97 66 112 223 91 114 109 56 99 30 97 138 55 192 14 45 148 253 173 100 181 29 167 60 57 135 103 122 137 207 48 61 156 78 95 96 60 192 56 114 116 55 3 63 139 223 151 199 48 241 175 32 132 179 36 92 206 168 62 120 97 15 194 174 11 148 205 81 130 245 91 229 225 244 194 229 126 87 121 55 174 6 213 185 184 252 31 137 47 228 113 2 120 236 14 48 222 92 250 93 204 36 44 102 210 123 18 235 155 15 86 179 147 50 18 136 241 71 28 132 241 132 93 234 138 175 51 246 37 99 252 181 248 109 92 219 248 183 59 111 187 74 45 222 6 252 63 155 103 54 81 129 103 119 56 232 183 8 146 75 40 28 105 240 212 255 73 139 83 117 46 161 173 8 183 185 144 159 105 252 255 31 120 8 243 213 164 156 109 24 224 134 18 62 228 82 36 190 106 73 1 207 251 79 94 248 131 52 132 105 55 9 18 240 158 51 177 197 134 76 232 97 104 18 125 88 192 213 8 237 3 198 220 78 0 176 14 128 118 88 168 132 241 3 180 202 26 132 121 10 152 163 154 207 140 133 52 189 154 152 89 103 86 252 88 52 252 108 241 103 97 107 33 127 135 62 118 144 104 209 147 28 48 85 67 126 187 170 128 5 138 15 60 8 129 171 107 168 153 10 241 135 58 125 6 110 220 128 224 148 137 47 109 244 131 183 56 193 250 84 124 189 204 217 0 198 71 21 27 187 18 128 154 195 106 112 218 77 115 41 121 60 187 158 50 105 59 99 190 171 14 64 121 8 60 144 203 37 234 30 227 253 221 14 254 155 108 192 246 60 48 208 16 9 215 220 114 187 162 199 26 60 51 28 129 251 155 17 184 2 204 217 137 8 215 153 96 189 126 76 222 127 1 154 251 163 233 142 134 72 188 16 211 119 42 11 32 169 204 86 29 180 207 172 52 97 19 81 90 165 76 197 109 127 242 45 221 30 179 187 197 23 78 27 36 190 18 240 73 80 1 131 149 167 53 19 33 212 156 208 98 86 108 161 186 22 87 12 63 23 245 252 20 131 191 7 1 178 172 123 33 38 249 29 243 156 195 1 244 91 36 186 9 246 8 241 249 223 186 61 140 166 25 164 194 33 41 22 195 76 176 222 235 8 228 195 8 242 118 204 250 29 104 204 67 84 216 166 8 243 218 205 80 9 199 99 210 111 19 159 152 248 139 105 201 52 90 204 85 190 235 11 22 113 44 248 90 128 180 78 194 63 157 107 58 201 175 18 94 73 215 80 88 29 243 93 123 208 8 37 220 251 12 206 129 45 65 180 6 236 243 103 9 167 211 184 2 110 231 25 83 155 195 68 255 171 68 83 149 239 66 211 93 46 225 45 103 45 184 247 12 4 161 43 241 194 9 96 157 215 196 151 4 114 89 153 127 71 235 245 83 206 132 64 146 58 172 122 151 252 2 91 50 205 100 11 131 226 182 22 61 197 138 221 2 96 214 197 97 167 163 21 102 155 208 72 137 132 19 237 27 167 49 133 119 227 61 30 204 196 206 151 240 65 71 73 86 254 197 96 177 124 67 142 222 203 247 77 50 139 99 36 253 181 123 223 222 66 219 76 50 94 86 21 216 238 118 28 130 229 8 249 3 132 89 92 93 206 29 128 233 137 144 140 247 171 113 220 77 252 176 55 194 247 134 252 66 219 222 10 105 173 197 205 30 141 249 43 69 19 228 24 108 114 11 131 172 3 208 189 48 95 75 107 48 133 191 138 97 221 243 12 64 77 65 121 212 229 223 250 254 238 8 124 158 132 83 140 27 131 121 6 161 109 147 234 125 143 66 35 190 21 195 169 109 150 32 59 246 60 192 248 72 34 13 143 211 167 10 216 246 75 192 134 11 85 31 93 250 79 35 238 217 34 191 224 86 83 133 182 171 24 216 92 86 241 8 9 34 226 154 179 114 187 64 218 170 107 51 225 77 52 143 21 151 27 189 51 6 212 231 199 48 226 107 197 31 232 180 211 124 79 21 230 80 147 160 155 48 71 207 210 143 148 234 67 87 4 198 30 178 185 0 122 229 76 241 167 192 30 202 115 46 64 83 189 6 158 108 205 253 238 157 186 0 190 71 74 120 31 101 70 176 246 210 70 136 175 198 119 134 4 33 30 141 115 6 194 237 116 87 215 134 137 63 148 72 99 24 219 118 72 184 124 181 51 99 150 8 92 136 0 95 100 174 183 133 83 123 208 104 178 60 220 254 50 9 159 179 147 130 248 124 222 244 87 160 31 110 99 76 110 194 169 88 37 65 160 252 117 168 135 169 18 206 103 175 66 232 22 65 123 60 34 251 249 20 173 159 171 96 37 153 152 15 48 137 41 6 86 239 236 24 143 39 245 154 186 118 37 188 141 246 10 227 194 17 85 18 173 18 87 207 8 150 171 41 229 206 169 209 180 198 110 204 244 37 18 222 207 87 202 51 114 196 31 209 34 8 201 31 120 142 205 117 255 10 246 254 125 76 95 107 250 252 59 222 109 180 68 195 70 143 130 241 242 196 151 185 76 101 196 170 102 193 114 131 52 24 158 168 59 43 121 185 248 236 203 225 12 188 230 196 28 182 41 169 129 51 251 90 194 187 127 68 162 37 123 118 139 63 13 107 136 193 95 93 240 22 95 151 112 242 95 22 30 91 153 249 222 74 174 157 98 4 206 209 19 51 16 246 148 4 81 132 142 188 179 43 225 148 80 207 127 27 13 222 40 13 126 204 8 214 62 182 83 197 231 102 223 36 65 32 86 88 249 159 73 184 52 209 84 76 97 79 195 18 219 86 95 194 113 60 71 84 218 52 144 243 209 128 169 24 205 247 27 180 138 78 245 105 42 65 210 255 225 134 230 112 233 55 227 98 192 245 251 80 9 171 225 198 102 240 206 142 233 119 76 122 51 241 39 89 52 206 136 208 255 94 176 22 227 138 187 120 224 40 72 196 157 172 94 125 36 91 63 9 24 250 55 140 230 137 163 54 236 110 156 79 37 26 203 122 12 45 184 202 152 201 135 16 144 155 37 188 13 234 0 9 50 15 46 53 60 86 29 204 89 151 152 119 175 133 16 125 194 119 60 15 71 231 4 176 26 94 111 29 158 227 239 51 226 179 127 4 43 41 190 12 246 117 104 143 91 197 39 223 77 85 247 174 144 32 214 166 61 197 242 52 130 101 115 126 234 74 116 131 192 66 190 99 161 210 18 46 247 187 88 124 242 155 107 185 18 4 148 159 198 195 75 40 173 249 180 4 217 16 218 179 45 198 236 77 149 32 149 100 181 68 171 214 140 1 6 244 147 189 212 133 202 180 239 46 88 41 101 150 174 148 32 148 225 182 94 103 27 240 124 14 152 69 63 191 85 154 231 218 172 135 173 49 0 248 24 232 134 22 18 78 51 238 139 41 126 49 6 171 229 75 52 193 239 96 76 237 115 102 33 124 9 197 49 3 252 120 165 233 251 28 9 152 250 6 224 185 68 70 116 246 159 96 233 118 186 4 9 98 181 240 24 31 52 252 205 56 64 237 32 195 89 73 140 16 217 73 218 44 209 210 56 71 225 32 60 44 209 60 170 141 0 247 114 99 78 119 99 58 139 205 247 21 227 25 110 83 223 157 207 98 104 43 126 103 111 74 2 2 183 66 124 89 165 114 35 168 153 182 159 5 235 61 204 160 43 1 116 169 4 33 157 142 10 232 31 107 40 136 56 140 85 41 209 88 158 196 0 235 93 96 155 1 18 222 179 151 7 143 150 52 224 125 187 4 236 247 10 137 22 39 155 206 130 24 40 126 211 133 163 32 86 137 39 61 251 224 141 142 66 51 102 218 15 32 88 89 18 4 103 63 23 31 79 124 154 201 40 4 0 79 145 48 219 94 21 99 174 182 197 120 128 137 24 179 217 65 130 48 75 75 9 215 211 90 6 55 85 106 238 111 133 3 48 208 96 169 230 8 252 20 180 90 87 64 248 13 202 107 173 194 17 153 203 223 239 149 12 233 249 131 9 150 203 98 236 15 182 114 135 138 143 101 50 221 249 124 26 188 127 38 225 16 143 243 222 242 99 48 215 46 211 199 55 16 214 190 226 107 35 36 192 67 219 37 72 66 108 97 56 179 57 8 225 26 243 172 86 56 7 191 231 187 109 246 193 74 9 50 64 15 146 112 44 48 211 126 0 193 210 237 104 241 133 229 69 130 176 72 39 9 114 158 206 48 94 161 37 73 75 37 26 234 217 35 97 98 213 157 67 88 32 1 121 250 170 194 57 197 226 227 135 117 12 221 113 180 248 2 99 174 173 71 232 187 72 16 60 127 77 141 193 33 44 152 18 60 213 210 140 120 252 56 218 135 18 228 150 187 102 211 82 250 73 180 18 203 105 18 79 156 182 49 255 119 59 98 202 12 38 59 21 65 222 46 225 12 205 254 152 178 251 204 115 166 74 52 241 79 36 72 127 113 155 54 246 215 130 203 180 253 216 190 144 240 246 161 97 106 178 14 145 240 241 41 130 230 136 51 51 15 153 255 159 34 65 234 204 139 230 250 157 226 119 220 232 147 18 154 72 64 230 142 196 220 117 0 11 182 75 227 136 164 140 217 206 180 31 129 41 212 237 8 9 194 62 46 142 56 81 124 49 216 44 137 146 161 59 210 112 66 182 142 231 58 241 199 175 29 160 174 127 142 3 176 68 194 53 176 114 1 228 27 49 199 39 0 254 117 60 241 120 69 87 36 37 90 31 62 211 126 100 45 15 74 160 181 186 214 25 215 255 90 115 111 91 137 103 223 39 199 8 255 82 76 91 111 245 183 195 192 92 11 205 231 47 66 104 94 80 14 131 246 80 231 241 247 1 25 211 247 211 208 88 34 1 131 221 65 130 28 37 119 206 242 251 18 36 208 157 99 60 195 173 224 35 235 25 150 27 240 222 18 142 169 153 132 75 4 173 228 231 19 37 200 23 67 43 116 3 107 233 2 113 189 249 189 154 5 48 61 227 245 253 244 90 67 38 177 95 140 54 58 91 105 183 77 18 173 245 126 143 132 243 174 142 144 128 117 127 56 134 247 122 12 239 110 158 4 113 190 30 134 19 19 184 174 23 209 82 131 50 83 243 211 111 117 112 219 71 24 115 52 16 109 209 64 130 116 27 155 27 117 131 132 203 59 214 199 20 174 81 206 128 72 16 234 217 8 174 59 42 70 160 68 129 251 185 226 51 95 51 166 239 103 208 18 0 235 7 204 245 28 9 54 141 86 67 25 232 246 146 132 11 138 136 4 91 229 223 151 160 216 217 89 18 132 97 174 69 27 197 181 91 49 113 203 36 90 114 59 211 126 70 237 47 18 221 221 236 40 137 106 180 206 153 18 16 161 111 129 143 90 227 209 245 224 158 18 204 100 186 76 137 3 37 200 205 170 198 99 236 157 25 246 255 63 109 242 67 57 9 41 52 204 69 120 137 142 137 207 3 196 31 42 1 7 182 19 115 183 78 2 142 169 54 14 193 71 18 62 160 64 183 67 37 200 168 56 21 48 63 88 121 138 89 146 190 212 116 166 253 140 132 248 20 132 76 39 203 85 75 116 183 78 77 173 175 4 177 201 53 124 222 229 160 103 218 47 184 53 2 76 151 67 73 108 150 240 182 42 219 234 66 97 92 46 158 131 170 6 187 61 36 53 156 168 158 105 63 95 83 152 174 21 67 63 116 5 19 141 195 3 108 44 1 123 222 9 33 212 220 215 171 18 132 107 22 139 223 216 234 4 43 99 242 50 45 212 206 18 191 137 161 68 130 44 132 79 36 168 157 53 85 130 125 131 205 51 195 244 211 105 255 4 168 178 25 130 28 5 103 64 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

WARenderLoopMain subclass: #CCRenderLoopMain
	instanceVariableNames: 'root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCRenderLoopMain methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:05'!
createRoot
	^ root ifNil: [self rootClass new]! !

!CCRenderLoopMain methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:04'!
root: aRoot
	root := aRoot.! !

WATask subclass: #CCSelector
	instanceVariableNames: 'component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

WADelegation subclass: #CCLightBox
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLightBox methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:02'!
initialize
	super initialize.! !

!CCLightBox methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 23:14'!
nextPresentersDo: aBlock
	super nextPresentersDo: aBlock.
	aBlock value: self owner! !

!CCLightBox methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:15'!
renderContentOn: html
	self renderOwnerOn: html.
	html div id: 'overlay'.
	html div
		id: 'lightbox';
		with: [
			html heading level: 2; with: self delegate title.
			html div id: 'lightbox-content'; with: self delegate]! !

WSField subclass: #CCUnitsField
	instanceVariableNames: 'units'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCUnitsField methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/2/2009 22:12'!
initialize
	super initialize.
	value := #mm! !

!CCUnitsField methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/25/2009 16:58'!
renderContentOn: html
	html div class: 'units';class: (self valid ifFalse: ['error']); with: [
		| id |
		id := html nextId.
		html label for: id; with: self label, ':'.
		html select id: id; list: CCSize availableUnits;
		selected: value;
		callback: [ :v | value := v].
		description ifNotNil: [html paragraph class: 'desc'; with: description]]! !

WSStoreAdmin subclass: #CCStoreAdmin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCStoreAdmin class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 15:37'!
applicationNamed: aString
	| application |
	application := CCApplication named: aString.
	application configuration addAncestor: WARenderLoopConfiguration new.
	application preferenceAt: #rootComponent put: self.
	^ application! !

WSComponent subclass: #CCFaq
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCFaq methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/31/2009 15:06'!
renderContentOn: html
	html heading level: 3; with: 'What Are Corsets Made From?'.
	html paragraph: 'Creative Corsetry''s corsets are made from coutil (this is a special corsetry fabric which is very strong and has very little stretch so that your corset will conform to your body perfectly. In some cases one of the layers of coutil is also the decorative layer.) Unless the coutil is decorative or the corset is purely functional we use another layer of fabric called the fashion fabric which is the outer decorative fabric. We can also add a decorative lining on request. We use spiral and spring steel boning.'.
	
	html heading level: 3; with: 'How Long Does It Take? Do You Have Stock?'.
	html paragraph: 'Each corset is made to order so we don''t have any in stock. Usually it takes up to four weeks before your corset will be posted to you.'.
	
	html heading level: 3; with: 'Putting On Your Corset'.
	html paragraph: 'Make sure the laces on the back are loose enough that the corset will fit around your body comfortably and that it is the right way up. (If the busk has two studs closer together than the others they will be at the bottom of the corset. Otherwise, if you look at the back of the corset where the laces are you will notice that the laces are knotted at one end. This is the bottom of the corset.) Now do up the busk. It is easiest to start at the bottom and work your way up. Sometimes this is a little awkward but it will get easier with practice!! Now you just need to tighten your laces. Start at the top or the bottom. It doesn''t matter which. Just pull the laces like you would your shoe laces until you reach the middle. Pull the long lace. Then go to the other end and do the same thing. Tie the long laces in the middle with a knot and a bow. Don''t tie them around your waist as this can damage your corset. 
Warning. It is important that you are not rough and do not jerk the laces when tightening them and don''t just pull the long laces, thinking that it will be quicker or easier because if you do you may hurt yourself or you may damage the grommets.'.

	html heading level: 3; with: 'Taking Off Your Corset.'.
	html paragraph: 'When you take off your corset first loosen the laces at the back then undo the busk. Never undo the busk without loosening the laces first as the sudden lack of pressure may cause yourself or your corset harm.'.
		html heading level: 3; with: 'Corset Cleaning'.
	html paragraph: 'We recommend that you have your corset dry cleaned by a reputable dry cleaner.'.
	
	html heading level: 3; with: 'Storing Your Corset'.
	html paragraph: 'After wearing your corset it is a good idea to let it air out before putting it away. Hanging it over the back of a chair for a day or two is a good way. Don''t roll up your corset to put it away. Let it lie flat. You can also hang it in a bag.'! !

!CCFaq methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:02'!
title
	^'Frequently Asked Questions'! !

WSComponent subclass: #CCHistory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCHistory methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/31/2009 17:35'!
renderContentOn: html
| fn |
fn := CCFootnote newWithCanvas: html.

html heading level: 3; with: 'Elizabethan'.
html paragraph with: [
	html text: 'An early form of the corset was the Elizabethan "pair of bodies" which provided support and flattened the bust. It also provided a foundation garment over which a gown''s bodice (also called a pair of bodies) was worn. There are two surviving examples today. One is from the grave of Pfalzgrafin Dorothea Sabina von Neuberg from 1598 and the other is from Queen Elizabeth I''s effigy in 1603.'.
fn addNote: 'Arnold, Janet. Queen Elizabeth''s Wardrobe Unlock''d. p. 145-146' at: 1.
fn addNote: 'Harvey, Anthony and Richard Mortimer (editors). The Funeral Effigies of Westminster Abbey (article by Janet Arnold.)' at: 2.
].
html heading level: 3; with: '17th and 18th Centuries'.
html paragraph with:[
	html image url: CCLibrary / #thcenturyPng.
	html text: 'From the end of the 17th century corsets or "stays" had changed slightly to give the wearer a more slender silhouette. By the mid 18th century stays had curved whalebone to shape the front of the bust and across the back to flatten the shoulder blades. They were often covered in beautiful fabric or embroidery.'.
fn addNote: 'Waugh, Norah. Corsets and Crinolines. p. 37-41.' at: 3].

html heading level: 3; with: '19th Century'.
html paragraph with: [
	html image url: CCLibrary/ #Stays1830Png.
	html text: 'In the beginning of the 19th century stays were unfashionable and those that could did without them. However, those who were too large for the fashionable flowing, formfitting gowns and needed something to control their excess flesh continued to wear stays. When they came back into fashion around 1809-1810 they were called by their modern name: the corset. For the first time it was not a rigid body but a curved one. It was made "... from strong cotton material (jean, later know as coutil)".'.
fn addNote: 'Waugh, Norah. Corsets and Crinolines. p. 79.' at:'4'.
	html image url: CCLibrary / #victorianPng.
	html text: 'It had shoulder straps until the 1840s and later, if the wearer needed them, for a little more support for the bust. Several new inventions helped corset manufacture during the 19th century: metal eyelets in 1828, the first front opening steel busk in 1829 and the spoon busk in 1873. White corsets were considered more ladylike. Corsets were also made in grey, putty, red and black but were always lined in white'.
fn addNote: 'Waugh, Norah. Corsets and Crinolines. p. 75-83.' at: '5'].

fn render.
! !

!CCHistory methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:08'!
title
	^'History of the Corset'! !

WSComponent subclass: #CCMeasurements
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCMeasurements methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/31/2009 17:16'!
renderContentOn: html
		html paragraph: 'Before we make your corset we will need the following measurements. It''s best to take these measurements wearing only your bra and knickers. Make sure your bra fits well and is supportive. If you can, have someone else take your measurements as they will be more accurate.  Please remember that accurate measurements are vital to the fit and comfort of your corset.'.
	html image url: CCLibrary / #bodyPng! !

!CCMeasurements methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/17/2009 10:46'!
title
	^'Taking Measurements'! !

WSComponent subclass: #CCStore
	instanceVariableNames: 'products current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:32'!
children
	^Array with: current! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:36'!
initialRequest: aRequest
	current := products.
	aRequest at: #product
		ifPresent: [ :p |
			current := WSProductDetails for: (self store productWithId: p) ]
! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:15'!
initialize
	super initialize.
	products := WSProductList products: self store products.
	current := products.! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:14'!
store
	^self session store! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:12'!
title
	^current = products ifTrue: [ 'Our Corsets' ]
		ifFalse: [ current title ]! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:59'!
updateUrl: aUrl
	aUrl addToPath: 'store'! !
